(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.2'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[   1872829,      58682]*)
(*NotebookOutlinePosition[   1984241,      62287]*)
(*  CellTagsIndexPosition[   1967834,      61681]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Theorem (Root Irrational))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[Not] rat[\@p]\)], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Theorem (Root Irrational)"],

Cell[CellGroupData[{

Cell["under the assumptions:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (Rational))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["q",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"rat", "[", 
              StyleBox["q",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[DoubleLeftRightArrow]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"nat", "[", 
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "\[And]", 
                      RowBox[{"nat", "[", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}]}], ")"}], "\[And]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"(", 
                        RowBox[{
                          StyleBox["q",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "=", 
                          FractionBox[
                            StyleBox["m",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], 
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]]}], ")"}], "\[And]", 
                      RowBox[{"(", 
                        RowBox[{
                          StyleBox["m",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[UpTee]", 
                          StyleBox["n",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], ")"}]}], ")"}]}], ")"}]}]}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (Rational)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (Coprime for Two))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"nat", "[", 
                StyleBox["m",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (Coprime for Two)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (Multiply Root Equation))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{\((\@p)\), "=", 
                FractionBox[
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (Multiply Root Equation)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (Euclid))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (Euclid)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (Divisible): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (Divisible): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (Divisible): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[Implies]", 
                RowBox[{
                  UnderscriptBox["\[Exists]", 
                    RowBox[{
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"nat", "[", 
                        StyleBox["d",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "\[And]", 
                      RowBox[{"(", 
                        RowBox[{
                          StyleBox["n",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "=", 
                          RowBox[{"p", "*", 
                            StyleBox["d",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}]}], ")"}]}], ")"}]}]}], 
              ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (Divisible): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (Simplify by Cancelling))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], "=", 
                  RowBox[{"p", "*", 
                    SuperscriptBox[
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}]}], ")"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (Simplify by Cancelling)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (Squares Preserve Naturals))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"nat", "[", 
              SuperscriptBox[
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (Squares Preserve Naturals)"]
}, Open  ]],

Cell[TextData[{
  "We prove ",
  StyleBox["(", "Label"],
  ButtonBox["Theorem (Root Irrational)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Theorem (Root Irrational)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " by contradiction."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["We assume ", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(rat[\@p]\)], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"1"],

Cell[TextData[{
  "and show ",
  Cell[BoxData[
      \("a contradiction"\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Rational)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Rational)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                RowBox[{"nat", "[", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "\[And]", 
                RowBox[{"nat", "[", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], ")"}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{\((\@p)\), "=", 
                    FractionBox[
                      StyleBox["m",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], 
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]]}], ")"}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"2"],

Cell[TextData[{
  "By ",
  StyleBox["(", "Label"],
  ButtonBox["2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we can take appropriate values such that:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{"nat", "[", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{\((\@p)\), "=", 
                FractionBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], 
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]]}], ")"}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"3"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.2.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.2.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(15)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"15"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.2.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.2.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Multiply Root Equation)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Multiply Root Equation)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(14)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "=", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"14"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Squares Preserve Naturals)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Squares Preserve Naturals)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"13"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(12)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"12"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(11)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"11"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"10"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(9)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"9"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Squares Preserve Naturals)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Squares Preserve Naturals)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"8"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(7)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"7"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"6"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"5"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"4"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(17)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"17"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(16)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"16"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["17",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "17"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus ponens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(18)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"p", "\[VerticalBar]", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{"p", "\[VerticalBar]", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"18"],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["18",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "18"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["16",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "16"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["18",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "18"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["18",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "18"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is simplified to"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(19)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Or]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"19"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["14",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "14"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Simplify by Cancelling)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Simplify by Cancelling)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(48)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                RowBox[{"p", "*", 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"48"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["14",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "14"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(47)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"47"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Squares Preserve Naturals)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Squares Preserve Naturals)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(46)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"46"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(45)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"45"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(44)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"44"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(43)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"43"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(42)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"42"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(41)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"41"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(40)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"40"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(39)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"39"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(38)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"38"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(37)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"37"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(36)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"36"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Squares Preserve Naturals)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Squares Preserve Naturals)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(35)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"35"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(34)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"34"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(33)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"33"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(32)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"32"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(31)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"31"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(30)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"30"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(29)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"29"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(28)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"28"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(27)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"27"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(26)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"26"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(25)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"25"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.2.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.2.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(24)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"24"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(23)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"23"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(22)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"22"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(21)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"21"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(20)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"20"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["24",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "24"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus ponens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(49)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"p", "\[VerticalBar]", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{"p", "\[VerticalBar]", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"49"],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["23",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "23"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["49",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "49"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["49",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "49"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is simplified to"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(50)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Or]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"50"],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["50",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "50"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["19",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "19"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["47",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "47"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(52)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"52"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["47",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "47"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(51)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"51"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["52",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "52"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus ponens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(53)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"p", "\[VerticalBar]", 
        SuperscriptBox[
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"53"],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["43",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "43"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["47",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "47"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["51",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "51"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["45",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "45"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus ponens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(54)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  StyleBox["d",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"54"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus ponens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(55)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"p", "\[VerticalBar]", 
        StyleBox[\(m\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"55"],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["30",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "30"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["39",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "39"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["40",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "40"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["41",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "41"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["19",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "19"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by resolution"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(56)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"p", "\[NotVerticalBar]", 
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"56"],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["7",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "7"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["12",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "12"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus ponens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(57)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                RowBox[{"p", "*", 
                  StyleBox["d",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"57"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus tollens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(58)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"p", "\[NotVerticalBar]", 
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"58"],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["34",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "34"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["58",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "58"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["25",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "25"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus tollens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(59)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"59"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["26",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "26"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus tollens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(60)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"60"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["27",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "27"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus tollens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(61)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"61"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["28",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "28"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus tollens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(62)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"62"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["58",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "58"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["32",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "32"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus tollens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(63)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"p", "\[NotVerticalBar]", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"63"],

Cell[TextData[{
  "By ",
  StyleBox["(", "Label"],
  ButtonBox["57",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "57"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we can take appropriate values such that:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(64)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"64"],

Cell[TextData[{
  "By ",
  StyleBox["(", "Label"],
  ButtonBox["54",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "54"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we can take appropriate values such that:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(65)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"65"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(75)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"75"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["58",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "58"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["33",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "33"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(74)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"74"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["42",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(73)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[NotVerticalBar]", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"73"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["36",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "36"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(72)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"72"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["21",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "21"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(71)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"71"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(70)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[NotVerticalBar]", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"70"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["38",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "38"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(69)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"69"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["37",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "37"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(68)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"68"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["36",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "36"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(67)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"67"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["29",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "29"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(66)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"66"],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["68",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "68"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["71",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "71"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["66",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "66"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["58",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "58"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["69",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "69"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus tollens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(76)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"76"],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["38",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "38"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["76",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "76"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["72",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "72"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus tollens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(77)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"77"],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["36",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "36"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["77",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "77"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["67",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "67"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["77",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "77"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["58",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "58"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(208)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "]"}], "\[And]", 
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"208"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["58",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "58"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(207)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"207"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(206)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"206"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(205)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"205"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Squares Preserve Naturals)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Squares Preserve Naturals)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(204)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], ")"}], "2"], "]"}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"204"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(203)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"203"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(202)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"]}]}], ")"}]}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"202"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(201)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"201"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(200)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"]}], ")"}], 
                "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              StyleBox[\(m\_0\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "2"], ")"}], "2"]}], 
                      "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"200"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(199)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"199"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(198)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"198"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(197)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"197"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(196)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"196"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["44",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(195)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"195"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["44",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(194)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"194"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["14",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "14"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["44",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(193)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"193"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["44",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(192)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"192"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["44",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(191)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"191"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["44",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(190)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"190"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["42",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(189)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"189"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["42",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(188)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"188"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["42",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(187)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"187"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["42",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(186)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"186"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["42",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(185)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"185"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Squares Preserve Naturals)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Squares Preserve Naturals)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(184)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], ")"}], "2"], "]"}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"184"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(183)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"183"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(182)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"]}]}], ")"}]}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"182"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(181)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"181"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(180)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"]}], ")"}], 
                "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              StyleBox[\(n\_0\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "2"], ")"}], "2"]}], 
                      "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"180"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(179)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"179"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(178)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"178"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(177)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"177"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(176)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"176"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["44",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(175)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"175"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["42",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(174)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"174"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["33",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "33"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(173)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"173"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["33",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "33"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(172)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"172"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["33",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "33"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(171)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"171"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["33",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "33"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(170)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"170"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["33",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "33"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(169)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"169"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["33",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "33"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(168)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"168"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["63",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "63"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(167)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], "]"}], "\[And]",
               
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"167"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["63",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "63"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(166)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"166"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["31",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "31"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(165)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"165"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["31",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "31"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(164)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"164"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["31",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "31"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(163)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"163"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["31",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "31"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(162)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"162"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["31",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "31"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(161)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"161"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["31",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "31"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(160)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"160"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(159)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"159"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(158)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"158"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(157)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "]"}], "\[And]", 
              RowBox[{"nat", "[", 
                StyleBox["m",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[NotVerticalBar]", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"157"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(156)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"156"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(155)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"155"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["42",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(154)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"154"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["31",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "31"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(153)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"153"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Simplify by Cancelling)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Simplify by Cancelling)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(152)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox[\(d\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"152"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(151)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"151"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["44",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(150)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"150"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Squares Preserve Naturals)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Squares Preserve Naturals)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(149)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"149"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(148)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"148"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(147)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(d\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"147"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(146)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"146"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(145)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(d\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox[\(d\_1\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"145"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(144)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"144"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(143)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"143"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(142)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"142"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(141)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"141"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["44",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(140)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"140"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["42",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(139)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"139"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["33",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "33"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(138)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"138"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["31",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "31"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(137)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"137"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(136)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"136"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(135)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"nat", "[", 
                StyleBox["m",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[NotVerticalBar]", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"135"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(134)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"134"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(133)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"133"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["42",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(132)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"132"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["31",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "31"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(131)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"131"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Simplify by Cancelling)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Simplify by Cancelling)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(130)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox[\(d\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"130"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(129)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"129"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(128)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"128"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["48",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "48"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(127)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "=", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"127"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Squares Preserve Naturals)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Squares Preserve Naturals)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(126)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"126"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(125)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"125"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(124)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(d\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"124"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(123)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"123"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(122)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(d\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox[\(d\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"122"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(121)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"121"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(120)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"120"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(119)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"119"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(118)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"118"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["44",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(117)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"117"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["42",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(116)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"116"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["33",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "33"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(115)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"115"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["31",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "31"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(114)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"114"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["75",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "75"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(113)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"113"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["75",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "75"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(112)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"112"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["75",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "75"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(111)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"111"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["75",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "75"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(110)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"110"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["75",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "75"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(109)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"109"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["75",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "75"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(108)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"108"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["75",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "75"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(107)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"107"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["75",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "75"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(106)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"106"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["74",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "74"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(105)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"105"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["74",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "74"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(104)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"104"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["74",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "74"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(103)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"103"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["74",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "74"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(102)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"102"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["74",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "74"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(101)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"101"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["74",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "74"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(100)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"100"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["74",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "74"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(99)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"99"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["74",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "74"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(98)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"98"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["73",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "73"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(97)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"97"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["73",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "73"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(96)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"96"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["73",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "73"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(95)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"95"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["73",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "73"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(94)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"94"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["73",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "73"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(93)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"93"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["73",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "73"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(92)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"92"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["73",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "73"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(91)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "\[UpTee]", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"91"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["73",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "73"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(90)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"90"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["73",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "73"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(89)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[UpTee]", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"89"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["73",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "73"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(88)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"88"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["70",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(87)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"87"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["70",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(86)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"86"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["70",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(85)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"85"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["70",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(84)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"84"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["70",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(83)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"83"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["70",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(82)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"82"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["70",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(81)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "\[UpTee]", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"81"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["70",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(80)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"80"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["70",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(79)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[UpTee]", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"79"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["70",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(78)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"78"],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["110",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "110"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["59",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "59"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["111",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "111"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["60",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "60"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["112",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "112"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["61",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "61"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["113",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "113"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["62",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "62"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["115",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "115"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["98",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "98"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["119",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "119"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["106",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "106"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["134",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "134"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["87",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "87"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["138",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "138"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["99",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "99"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["142",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "142"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["107",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "107"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["154",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "154"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["95",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "95"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["168",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "168"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["100",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "100"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["169",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "169"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["101",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "101"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["170",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "170"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["102",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "102"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["171",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "171"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["103",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "103"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["172",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "172"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["104",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "104"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["173",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "173"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["105",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "105"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["177",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "177"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["108",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "108"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["197",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "197"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["109",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "109"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["79",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "79"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["76",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "76"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["87",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "87"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["76",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "76"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["81",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "81"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["77",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "77"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["85",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "85"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["77",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "77"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["121",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "121"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["128",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "128"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["129",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "129"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["144",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "144"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["158",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "158"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["179",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "179"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["199",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "199"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["117",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "117"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["140",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "140"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["150",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "150"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["151",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "151"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["175",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "175"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["190",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "190"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["191",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "191"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["192",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "192"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["193",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "193"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["194",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "194"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["195",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "195"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["82",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "82"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["63",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "63"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["92",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "92"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["63",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "63"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["183",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "183"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["63",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "63"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["207",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "207"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["63",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "63"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["86",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "86"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["96",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "96"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["84",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "84"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["58",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "58"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["94",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "94"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["58",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "58"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["205",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "205"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["58",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "58"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["166",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "166"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus ponens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(209)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"p", "\[NotVerticalBar]", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], ")"}], "2"]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"209"],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["181",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "181"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["209",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "209"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["91",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "91"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus ponens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(210)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"210"],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["95",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "95"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["210",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "210"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["187",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "187"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["210",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "210"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["153",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "153"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus ponens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(211)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"211"],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["211",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "211"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["58",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "58"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["155",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "155"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus ponens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(212)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"212"],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["212",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "212"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["156",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "156"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus ponens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(213)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"213"],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["213",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "213"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["77",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "77"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["159",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "159"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus ponens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(214)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  StyleBox["d",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"214"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["89",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "89"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus ponens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(215)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"215"],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["97",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "97"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["215",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "215"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["189",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "189"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["215",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "215"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["131",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "131"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus ponens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(216)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"216"],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["216",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "216"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["58",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "58"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["132",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "132"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus ponens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(217)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"217"],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["217",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "217"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["215",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "215"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["133",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "133"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus ponens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(218)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"218"],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["218",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "218"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["136",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "136"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus ponens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(219)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                RowBox[{"p", "*", 
                  StyleBox["d",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"219"],

Cell[TextData[{
  "By ",
  StyleBox["(", "Label"],
  ButtonBox["219",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "219"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we can take appropriate values such that:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(220)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"220"],

Cell[TextData[{
  "By ",
  StyleBox["(", "Label"],
  ButtonBox["214",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "214"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we can take appropriate values such that:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(221)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"221"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["208",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "208"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(239)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"239"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["206",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "206"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(238)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"238"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["198",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "198"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(237)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"237"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["188",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "188"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(236)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"236"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["186",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "186"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(235)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"235"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["185",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "185"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(234)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"234"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["63",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "63"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["182",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "182"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(233)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"233"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["178",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "178"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(232)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"232"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["174",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "174"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(231)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"231"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["167",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "167"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(230)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"230"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["165",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "165"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(229)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"229"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["163",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "163"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(228)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"228"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["157",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "157"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(227)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[NotVerticalBar]", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"227"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["143",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "143"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(226)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"226"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["139",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "139"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(225)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"225"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["135",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "135"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(224)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[NotVerticalBar]", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"224"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["120",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "120"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(223)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"223"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["116",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "116"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(222)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"222"],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["230",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "230"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["233",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "233"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["223",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "223"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["78",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "78"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["226",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "226"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["80",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "80"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["237",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "237"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["83",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "83"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["222",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "222"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["88",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "88"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["225",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "225"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["90",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "90"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["234",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "234"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["93",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "93"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["224",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "224"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["70",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["227",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "227"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["73",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "73"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["239",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "239"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["74",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "74"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["238",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "238"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["75",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "75"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["231",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "231"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["63",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "63"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["232",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "232"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["63",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "63"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["236",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "236"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["228",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "228"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["58",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "58"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["229",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "229"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["58",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "58"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["235",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "235"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["58",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "58"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["208",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "208"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(576)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"576"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["208",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "208"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(575)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"575"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["208",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "208"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(574)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"574"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["208",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "208"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(573)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"573"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["208",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "208"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(572)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}]}]}]], "Assumption",
    
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"572"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["208",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "208"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(571)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}]}]}]], "Assumption",
    
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"571"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["208",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "208"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(570)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"570"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["208",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "208"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(569)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"569"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["206",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "206"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(568)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"568"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["206",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "206"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(567)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"567"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["206",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "206"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(566)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"566"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["206",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "206"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(565)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"565"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["206",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "206"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(564)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}]}]}]], "Assumption",
    
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"564"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["206",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "206"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(563)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}]}]}]], "Assumption",
    
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"563"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["206",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "206"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(562)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"562"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["206",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "206"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(561)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"561"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Squares Preserve Naturals)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Squares Preserve Naturals)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(560)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            ")"}], "2"], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"560"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(559)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}], 
        "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        RowBox[{"(", 
                          SuperscriptBox[
                            StyleBox[\(m\_0\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"], ")"}], "2"], ")"}], 
                    "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"559"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(558)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              StyleBox[\(m\_0\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "2"], ")"}], "2"], ")"}], 
                      "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        RowBox[{"(", 
                          SuperscriptBox[
                            StyleBox[\(m\_0\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"], ")"}], "2"], ")"}], 
                    "2"]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"558"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(557)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], "2"], 
              ")"}], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"557"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(556)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              StyleBox[\(m\_0\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "2"], ")"}], "2"], ")"}], 
                      "2"]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              RowBox[{"(", 
                                SuperscriptBox[
                                  StyleBox[\(m\_0\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None], "2"], ")"}], "2"], 
                            ")"}], "2"]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"556"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(555)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"555"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(554)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"554"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(553)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"553"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(552)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"552"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["44",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(551)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"551"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["42",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(550)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"550"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["33",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "33"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(549)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"549"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["31",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "31"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(548)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"548"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["75",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "75"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(547)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"547"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["74",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "74"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(546)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"546"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["73",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "73"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(545)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"545"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["70",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(544)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"544"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["208",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "208"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(543)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], 
              "2"]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"543"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["206",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "206"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(542)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], 
              "2"]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"542"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["202",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "202"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(541)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"541"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["202",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "202"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(540)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"540"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["202",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "202"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(539)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"539"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["202",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "202"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(538)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"538"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["202",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "202"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(537)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"537"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["202",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "202"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(536)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"536"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["202",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "202"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(535)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"535"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["202",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "202"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(534)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"534"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["202",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "202"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(533)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"533"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["200",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "200"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(532)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"532"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["200",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "200"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(531)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"531"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["200",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "200"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(530)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"530"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["200",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "200"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(529)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"529"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["200",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "200"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(528)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"528"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["200",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "200"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(527)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"527"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["200",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "200"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(526)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], ")"}], 
            "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"526"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["200",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "200"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(525)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"525"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["200",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "200"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(524)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], ")"}], 
            "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"524"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["200",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "200"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(523)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"523"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["200",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "200"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(522)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"522"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Squares Preserve Naturals)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Squares Preserve Naturals)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(521)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            ")"}], "2"], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"521"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(520)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}], 
        "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        RowBox[{"(", 
                          SuperscriptBox[
                            StyleBox[\(n\_0\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"], ")"}], "2"], ")"}], 
                    "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"520"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(519)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              StyleBox[\(n\_0\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "2"], ")"}], "2"], ")"}], 
                      "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        RowBox[{"(", 
                          SuperscriptBox[
                            StyleBox[\(n\_0\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"], ")"}], "2"], ")"}], 
                    "2"]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"519"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(518)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], "2"], 
              ")"}], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"518"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(517)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              StyleBox[\(n\_0\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "2"], ")"}], "2"], ")"}], 
                      "2"]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              RowBox[{"(", 
                                SuperscriptBox[
                                  StyleBox[\(n\_0\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None], "2"], ")"}], "2"], 
                            ")"}], "2"]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"517"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(516)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"516"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(515)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"515"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(514)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"514"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(513)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"513"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["44",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(512)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"512"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["42",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(511)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"511"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["33",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "33"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(510)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"510"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["31",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "31"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(509)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"509"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["75",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "75"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(508)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"508"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["74",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "74"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(507)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"507"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["73",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "73"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(506)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"506"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["70",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(505)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"505"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["208",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "208"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(504)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], 
              "2"]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"504"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["206",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "206"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(503)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], 
              "2"]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"503"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["202",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "202"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(502)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"502"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["200",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "200"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(501)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"501"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["182",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "182"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(500)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"500"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["182",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "182"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(499)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"499"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["182",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "182"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(498)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"498"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["182",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "182"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(497)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"497"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["182",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "182"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(496)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"496"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["182",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "182"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(495)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"495"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["182",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "182"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(494)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"494"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["182",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "182"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(493)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"493"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["182",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "182"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(492)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"492"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["182",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "182"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(491)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"491"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["180",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "180"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(490)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"490"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["180",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "180"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(489)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"489"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["180",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "180"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(488)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"488"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["180",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "180"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(487)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"487"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["180",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "180"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(486)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"486"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["180",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "180"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(485)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"485"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["180",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "180"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(484)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], ")"}], 
            "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"484"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["180",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "180"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(483)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"483"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["180",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "180"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(482)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], ")"}], 
            "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"482"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["180",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "180"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(481)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"481"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["180",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "180"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(480)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"480"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["180",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "180"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(479)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"479"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["167",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "167"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(478)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"478"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["167",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "167"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(477)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"477"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["167",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "167"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(476)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"476"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["167",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "167"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(475)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"475"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["167",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "167"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(474)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}]}]}]], "Assumption",
    
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"474"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["167",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "167"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(473)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}]}]}]], "Assumption",
    
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"473"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["167",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "167"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(472)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"472"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["167",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "167"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(471)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"471"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["167",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "167"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(470)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], 
              "2"]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"470"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["167",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "167"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(469)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], 
              "2"]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"469"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["209",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "209"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(468)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], "2"],
                 "]"}], "\[And]", 
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], "2"], 
              "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"468"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["209",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "209"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(467)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"], 
          "]"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], "2"], 
              ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"467"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Simplify by Cancelling)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Simplify by Cancelling)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(466)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox[\(d\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"466"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(465)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"465"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["44",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(464)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"464"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Squares Preserve Naturals)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Squares Preserve Naturals)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(463)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"463"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(462)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(d\_3\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"462"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(461)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(d\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox[\(d\_3\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"461"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(460)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"460"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(459)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(d\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox[\(d\_3\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"459"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(458)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"458"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(457)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"457"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(456)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"456"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(455)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"455"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["44",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(454)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"454"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["42",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(453)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"453"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["33",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "33"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(452)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"452"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["31",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "31"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(451)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"451"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["75",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "75"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(450)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"450"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["74",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "74"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(449)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"449"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["73",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "73"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(448)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"448"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["70",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(447)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"447"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["208",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "208"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(446)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"446"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["206",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "206"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(445)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"445"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["202",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "202"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(444)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"444"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["200",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "200"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(443)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"443"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["182",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "182"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(442)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"442"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["180",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "180"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(441)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"441"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["167",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "167"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(440)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"440"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["157",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "157"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(439)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"439"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["157",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "157"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(438)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"438"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["157",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "157"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(437)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"437"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["157",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "157"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(436)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"436"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["157",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "157"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(435)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"435"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["157",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "157"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(434)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"434"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["157",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "157"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(433)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}]}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "\[UpTee]", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"433"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["157",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "157"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(432)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"432"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["157",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "157"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(431)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[UpTee]", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"431"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["157",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "157"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(430)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"430"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["157",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "157"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(429)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], "2"],
                 "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"429"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["157",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "157"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(428)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], "2"],
                 "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"428"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["157",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "157"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(427)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(d\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"427"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Squares Preserve Naturals)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Squares Preserve Naturals)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(426)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"426"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(425)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    StyleBox[\(d\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"425"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(424)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox[\(d\_1\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    StyleBox[\(d\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"424"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(423)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"423"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(422)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      StyleBox[\(d\_1\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          StyleBox[\(d\_1\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"422"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(421)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"421"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(420)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"420"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(419)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"419"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(418)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"418"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["44",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(417)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"417"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["42",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(416)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"416"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["33",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "33"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(415)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"415"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["31",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "31"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(414)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"414"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["75",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "75"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(413)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"413"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["74",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "74"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(412)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"412"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["73",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "73"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(411)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"411"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["70",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(410)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"410"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["208",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "208"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(409)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"409"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["206",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "206"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(408)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"408"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["202",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "202"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(407)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"407"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["200",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "200"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(406)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"406"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["182",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "182"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(405)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"405"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["180",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "180"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(404)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"404"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["167",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "167"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(403)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"403"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["157",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "157"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(402)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"402"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["147",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "147"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(401)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"401"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["147",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "147"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(400)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"400"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["147",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "147"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(399)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"399"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["147",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "147"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(398)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"398"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["147",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "147"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(397)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"397"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["147",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "147"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(396)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"396"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["147",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "147"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(395)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"395"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["147",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "147"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(394)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"394"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["147",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "147"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(393)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"393"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["147",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "147"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(392)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"392"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["147",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "147"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(391)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"391"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["147",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "147"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(390)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"390"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["145",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "145"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(389)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"389"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["145",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "145"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(388)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"388"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["145",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "145"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(387)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"387"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["145",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "145"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(386)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"386"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["145",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "145"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(385)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"385"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["145",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "145"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(384)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"384"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["145",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "145"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(383)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"383"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["145",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "145"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(382)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"382"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["145",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "145"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(381)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"381"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["145",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "145"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(380)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"380"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["145",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "145"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(379)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"379"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["145",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "145"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(378)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"378"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["145",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "145"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(377)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"377"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["145",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "145"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(376)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"376"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Simplify by Cancelling)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Simplify by Cancelling)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(375)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox[\(d\_2\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"375"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(374)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"374"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(373)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"373"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["48",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "48"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(372)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "=", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"372"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Squares Preserve Naturals)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Squares Preserve Naturals)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(371)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"371"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(370)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(d\_2\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"370"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(369)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(d\_2\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox[\(d\_2\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"369"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(368)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"368"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(367)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(d\_2\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox[\(d\_2\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"367"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(366)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"366"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(365)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"365"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(364)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"364"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(363)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"363"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["44",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(362)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"362"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["42",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(361)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"361"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["33",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "33"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(360)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"360"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["31",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "31"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(359)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"359"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["75",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "75"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(358)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"358"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["74",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "74"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(357)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"357"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["73",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "73"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(356)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"356"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["70",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(355)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"355"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["208",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "208"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(354)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"354"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["206",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "206"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(353)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"353"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["202",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "202"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(352)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"352"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["200",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "200"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(351)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"351"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["182",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "182"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(350)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"350"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["180",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "180"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(349)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"349"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["167",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "167"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(348)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"348"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["157",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "157"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(347)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(d\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"347"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["147",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "147"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(346)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"346"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["145",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "145"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(345)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"345"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["135",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "135"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(344)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"344"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["135",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "135"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(343)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"343"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["135",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "135"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(342)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"342"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["135",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "135"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(341)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"341"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["135",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "135"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(340)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"340"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["135",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "135"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(339)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"339"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["135",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "135"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(338)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}]}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "\[UpTee]", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"338"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["135",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "135"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(337)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"337"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["135",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "135"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(336)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[UpTee]", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"336"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["135",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "135"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(335)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"335"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["135",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "135"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(334)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], "2"],
                 "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"334"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["135",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "135"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(333)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], "2"],
                 "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"333"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["135",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "135"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(332)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(d\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"332"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["135",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "135"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(331)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"331"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["135",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "135"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(330)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(d\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"330"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["14",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "14"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["130",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "130"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(329)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "=", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"329"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["127",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "127"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Simplify by Cancelling)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Simplify by Cancelling)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(328)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                RowBox[{"p", "*", 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"328"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["127",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "127"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(327)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"327"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["127",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "127"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["33",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "33"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(326)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"326"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["127",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "127"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["74",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "74"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(325)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"325"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["127",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "127"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["208",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "208"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(324)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "]"}], "\[And]", 
            RowBox[{"nat", "[", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"324"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Squares Preserve Naturals)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Squares Preserve Naturals)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(323)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"323"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(322)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    StyleBox[\(d\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"322"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(321)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox[\(d\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    StyleBox[\(d\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"321"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(320)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"320"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(319)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      StyleBox[\(d\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          StyleBox[\(d\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"319"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(318)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"318"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(317)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"317"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(316)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"316"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(315)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"315"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["44",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(314)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"314"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["42",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(313)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"313"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["33",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "33"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(312)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"312"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["31",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "31"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(311)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"311"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["75",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "75"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(310)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"310"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["74",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "74"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(309)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"309"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["73",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "73"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(308)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"308"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["70",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(307)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"307"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["208",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "208"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(306)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"306"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["206",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "206"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(305)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"305"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["202",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "202"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(304)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"304"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["200",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "200"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(303)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"303"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["182",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "182"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(302)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"302"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["180",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "180"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(301)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"301"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["167",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "167"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(300)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"300"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["157",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "157"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(299)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"299"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["147",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "147"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(298)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"298"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["145",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "145"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(297)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"297"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["135",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "135"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(296)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"296"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["124",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "124"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(295)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"295"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["124",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "124"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(294)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"294"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["124",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "124"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(293)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"293"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["124",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "124"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(292)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"292"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["124",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "124"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(291)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"291"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["124",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "124"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(290)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"290"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["124",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "124"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(289)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"289"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["124",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "124"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(288)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"288"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["124",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "124"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(287)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"287"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["124",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "124"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(286)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"286"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["124",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "124"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(285)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"285"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["124",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "124"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(284)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"284"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["124",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "124"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(283)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"283"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["124",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "124"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(282)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"282"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["122",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "122"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(281)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"281"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["122",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "122"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(280)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"280"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["122",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "122"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(279)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"279"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["122",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "122"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(278)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"278"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["122",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "122"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(277)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"277"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["122",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "122"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(276)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"276"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["122",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "122"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(275)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"275"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["122",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "122"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(274)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"274"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["122",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "122"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(273)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"273"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["122",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "122"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(272)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"272"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["122",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "122"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(271)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"271"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["122",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "122"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(270)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"270"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["122",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "122"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(269)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"269"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["122",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "122"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(268)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"268"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["122",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "122"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(267)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"267"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["122",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "122"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(266)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"266"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["103",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "103"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Simplify by Cancelling)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Simplify by Cancelling)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(265)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{"\[Not]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox["m",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}]}], ")"}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"265"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["103",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "103"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Multiply Root Equation)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Multiply Root Equation)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(264)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\((\@p)\), "\[NotEqual]", 
        FractionBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"264"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["103",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "103"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["48",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "48"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(263)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(m\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"263"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["102",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "102"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Simplify by Cancelling)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Simplify by Cancelling)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(262)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{"\[Not]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox["m",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}]}], ")"}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"262"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["102",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "102"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Multiply Root Equation)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Multiply Root Equation)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(261)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\((\@p)\), "\[NotEqual]", 
        FractionBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"261"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["102",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "102"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["48",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "48"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(260)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(m\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"260"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["101",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "101"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Simplify by Cancelling)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Simplify by Cancelling)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(259)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{"\[Not]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox["m",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}]}], ")"}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}]}], ")"}]}], ")"}]}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"259"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["101",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "101"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Multiply Root Equation)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Multiply Root Equation)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(258)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\((\@p)\), "\[NotEqual]", 
        FractionBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"258"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["101",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "101"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["48",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "48"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(257)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(m\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"257"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["100",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "100"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Simplify by Cancelling)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Simplify by Cancelling)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(256)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{"\[Not]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox["m",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}]}], ")"}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}]}], ")"}]}], ")"}]}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"256"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["100",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "100"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Multiply Root Equation)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Multiply Root Equation)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(255)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\((\@p)\), "\[NotEqual]", 
        FractionBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"255"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["100",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "100"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["48",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "48"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(254)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(m\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"254"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["233",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "233"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(253)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"253"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["233",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "233"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(252)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"252"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["233",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "233"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(251)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"251"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["233",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "233"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(250)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"250"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["233",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "233"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(249)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"249"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["233",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "233"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(248)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"248"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["65.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["233",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "233"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(247)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"247"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["64.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["233",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "233"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(246)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"246"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["204",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "204"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["233",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "233"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(245)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"245"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["184",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "184"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["233",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "233"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(244)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"244"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["221.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "221.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["233",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "233"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(243)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"243"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["233",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "233"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(242)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"242"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["220.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "220.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["233",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "233"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(241)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"241"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["233",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "233"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(240)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"240"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["a contradiction",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "a contradiction"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is proved because ",
  StyleBox["(", "Label"],
  ButtonBox["309",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "309"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["329",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "329"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " are contradictory."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["\[EmptySquare]", "ProofText",
  CellMargins->{{Inherited, Inherited}, {Inherited, 0}},
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TextAlignment->Right]
}, Open  ]],

Cell[CellGroupData[{

Cell["Additional Proof Generation Information", "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{

Cell["The Proof Call", "Subsection"],

Cell[BoxData[
    \(Prove[
        Theorem["\<Root Irrational\>"], \[IndentingNewLine]using \[Rule] \
{Definition["\<Rational\>"], Lemma["\<Coprime for Two\>"], 
            Lemma["\<Multiply Root Equation\>"], Lemma["\<Euclid\>"], 
            Definition["\<Divisible\>"], Lemma["\<Simplify by Cancelling\>"], 
            Lemma["\<Squares Preserve Naturals\>"]}, \[IndentingNewLine]by \
\[Rule] PredicateProver, SearchDepth \[Rule] \[Infinity]] // 
      Timing\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Version Info", "Subsection"],

Cell[TextData[{
  StyleBox["THEOREMA Version: ",
    FontWeight->"Bold"],
  "1",
  ".",
  "1",
  "\[Alpha]1"
}], "Text"],

Cell[TextData[{
  StyleBox["License Number: ",
    FontWeight->"Bold"],
  "D11A-00017"
}], "Text"],

Cell[TextData[{
  StyleBox["Expiration Date: ",
    FontWeight->"Bold"],
  "2001/12/31"
}], "Text"],

Cell[TextData[{
  StyleBox["Theorema`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/04/10 13:57:13 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`Common`SessionHandling`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/07/21 10:15:47 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ComputationalSession`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 2001/03/23 08:52:57 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.29 ",
  ", ",
  "Date: 2001/03/14 14:37:23 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`LookupTable`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`TmaException`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.51 ",
  ", ",
  "Date: 2001/01/15 16:00:55 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2000/09/19 14:31:32 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/09 12:04:10 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.63 ",
  ", ",
  "Date: 2001/08/30 14:05:09 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/07/02 13:34:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 1999/05/27 15:45:19 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Core`: ",
    FontWeight->"Bold"],
  "Revision: 1.84 ",
  ", ",
  "Date: 2001/08/30 13:59:45 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Domain`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 1999/06/18 13:12:07 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2000/07/20 13:24:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Functor`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2000/02/18 15:13:01 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 1999/08/13 01:53:07 ",
  ", ",
  "Last modified by: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Operator`: ",
    FontWeight->"Bold"],
  "Revision: 1.19 ",
  ", ",
  "Date: 2001/03/29 08:17:14 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Parser`: ",
    FontWeight->"Bold"],
  "Revision: 1.55 ",
  ", ",
  "Date: 2001/04/17 06:40:36 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.33 ",
  ", ",
  "Date: 1999/06/23 09:15:51 ",
  ", ",
  "Last modified by: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2000/08/25 16:43:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.19 ",
  ", ",
  "Date: 1999/06/18 09:25:18 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.31 ",
  ", ",
  "Date: 2000/08/09 13:56:28 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`BasicProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2001/03/23 09:31:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ConstraintLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/09/30 11:27:14 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.36 ",
  ", ",
  "Date: 2001/05/22 09:33:11 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2001/05/10 07:09:50 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/05/10 07:09:25 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.40 ",
  ", ",
  "Date: 2001/02/08 09:04:02 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObject`: ",
    FontWeight->"Bold"],
  "Revision: 1.29 ",
  ", ",
  "Date: 2001/05/09 13:19:00 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectInterface`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2000/08/02 09:03:58 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectManagement`: ",
    FontWeight->"Bold"],
  "Revision: 1.47 ",
  ", ",
  "Date: 2001/01/04 13:07:19 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`HandleConstraints`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:55:09 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`MetaUnification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:40 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Unification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 1999/07/23 13:28:33 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 1999/07/07 10:50:37 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/03/31 15:40:36 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.43 ",
  ", ",
  "Date: 2001/04/02 14:54:33 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/04/02 14:53:25 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/10/06 11:29:40 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/10/06 12:52:45 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`PredicateProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.13 ",
  ", ",
  "Date: 2001/04/02 14:52:15 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Debug`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 1999/01/14 15:24:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Toolbox`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Trace`: ",
    FontWeight->"Bold"],
  "Revision: 1.16 ",
  ", ",
  "Date: 2001/02/06 12:12:48 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`User`Preferences`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2000/02/28 14:02:34 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Utilities`FilterOptions`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Formulae Occuring during the Proof", "Subsection"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(rat[\@p]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"10"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(100)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"100"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(101)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"101"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(102)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"102"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(103)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"103"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(104)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"104"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(105)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"105"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(106)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"106"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(107)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"107"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(108)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"108"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(109)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"109"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(11)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"11"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(110)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"110"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(111)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"111"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(112)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"112"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(113)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"113"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(114)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"114"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(115)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"115"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(116)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"116"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(117)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"117"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(118)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"118"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(119)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"119"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(12)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"12"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(120)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"120"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(121)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"121"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(122)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(d\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox[\(d\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"122"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(123)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"123"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(124)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(d\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"124"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(125)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"125"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(126)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"126"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(127)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "=", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"127"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(128)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"128"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(129)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"129"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"13"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(130)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox[\(d\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"130"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(131)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"131"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(132)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"132"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(133)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"133"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(134)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"134"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(135)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"nat", "[", 
                StyleBox["m",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[NotVerticalBar]", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"135"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(136)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"136"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(137)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"137"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(138)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"138"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(139)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"139"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(14)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "=", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"14"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(140)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"140"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(141)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"141"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(142)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"142"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(143)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"143"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(144)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"144"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(145)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(d\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox[\(d\_1\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"145"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(146)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"146"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(147)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(d\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"147"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(148)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"148"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(149)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"149"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(15)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"15"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(150)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"150"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(151)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"151"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(152)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox[\(d\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"152"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(153)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"153"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(154)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"154"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(155)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"155"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(156)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"156"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(157)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "]"}], "\[And]", 
              RowBox[{"nat", "[", 
                StyleBox["m",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[NotVerticalBar]", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"157"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(158)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"158"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(159)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"159"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(16)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"16"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(160)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"160"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(161)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"161"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(162)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"162"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(163)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"163"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(164)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"164"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(165)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"165"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(166)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"166"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(167)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], "]"}], "\[And]",
               
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"167"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(168)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"168"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(169)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"169"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(17)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"17"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(170)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"170"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(171)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"171"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(172)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"172"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(173)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"173"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(174)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"174"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(175)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"175"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(176)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"176"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(177)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"177"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(178)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"178"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(179)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"179"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(18)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"p", "\[VerticalBar]", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{"p", "\[VerticalBar]", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"18"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(180)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"]}], ")"}], 
                "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              StyleBox[\(n\_0\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "2"], ")"}], "2"]}], 
                      "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"180"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(181)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"181"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(182)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"]}]}], ")"}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"182"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(183)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"183"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(184)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], ")"}], "2"], "]"}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"184"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(185)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"185"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(186)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"186"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(187)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"187"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(188)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"188"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(189)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"189"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(19)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Or]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"19"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(190)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"190"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(191)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"191"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(192)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"192"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(193)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"193"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(194)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"194"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(195)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"195"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(196)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"196"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(197)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"197"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(198)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"198"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(199)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"199"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                RowBox[{"nat", "[", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "\[And]", 
                RowBox[{"nat", "[", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], ")"}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{\((\@p)\), "=", 
                    FractionBox[
                      StyleBox["m",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], 
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]]}], ")"}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}]}], ")"}]}], ")"}]}]], "Text",
    
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(20)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"20"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(200)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"]}], ")"}], 
                "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              StyleBox[\(m\_0\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "2"], ")"}], "2"]}], 
                      "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"200"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(201)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"201"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(202)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"]}]}], ")"}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"202"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(203)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"203"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(204)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], ")"}], "2"], "]"}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"204"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(205)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"205"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(206)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"206"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(207)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"207"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(208)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "]"}], "\[And]", 
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"208"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(209)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"p", "\[NotVerticalBar]", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], ")"}], "2"]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"209"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(21)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"21"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(210)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"210"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(211)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"211"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(212)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"212"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(213)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"213"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(214)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  StyleBox["d",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"214"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(215)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"215"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(216)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"216"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(217)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"217"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(218)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"218"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(219)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                RowBox[{"p", "*", 
                  StyleBox["d",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"219"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(22)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"22"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(220)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"220"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(220.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        StyleBox[\(d\_2\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"220.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(220.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(m\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "=", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"220.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(221)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"221"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(221.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        StyleBox[\(d\_3\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"221.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(221.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "=", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"221.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(222)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"222"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(223)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"223"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(224)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[NotVerticalBar]", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"224"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(225)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"225"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(226)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"226"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(227)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[NotVerticalBar]", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"227"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(228)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"228"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(229)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"229"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(23)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"23"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(230)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"230"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(231)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"231"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(232)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"232"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(233)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"233"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(234)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"234"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(235)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"235"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(236)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"236"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(237)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"237"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(238)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"238"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(239)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"239"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(24)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"24"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(240)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"240"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(241)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"241"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(242)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"242"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(243)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"243"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(244)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"244"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(245)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"245"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(246)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"246"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(247)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"247"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(248)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"248"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(249)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"249"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(25)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"25"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(250)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"250"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(251)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"251"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(252)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"252"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(253)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"253"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(254)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(m\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"254"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(255)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\((\@p)\), "\[NotEqual]", 
        FractionBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"255"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(256)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{"\[Not]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox["m",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}]}], ")"}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}]}], ")"}]}], ")"}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"256"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(257)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(m\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"257"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(258)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\((\@p)\), "\[NotEqual]", 
        FractionBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"258"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(259)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{"\[Not]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox["m",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}]}], ")"}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}]}], ")"}]}], ")"}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"259"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(26)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"26"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(260)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(m\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"260"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(261)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\((\@p)\), "\[NotEqual]", 
        FractionBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"261"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(262)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{"\[Not]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox["m",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}]}], ")"}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}], ")"}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"262"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(263)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(m\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"263"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(264)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\((\@p)\), "\[NotEqual]", 
        FractionBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"264"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(265)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{"\[Not]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox["m",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}]}], ")"}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}], ")"}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"265"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(266)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"266"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(267)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"267"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(268)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"268"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(269)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"269"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(27)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"27"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(270)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"270"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(271)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"271"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(272)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"272"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(273)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"273"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(274)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"274"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(275)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"275"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(276)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"276"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(277)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"277"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(278)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"278"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(279)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"279"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(28)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"28"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(280)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"280"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(281)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"281"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(282)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"282"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(283)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"283"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(284)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"284"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(285)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"285"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(286)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"286"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(287)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"287"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(288)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"288"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(289)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"289"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(29)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"29"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(290)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"290"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(291)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"291"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(292)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"292"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(293)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"293"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(294)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"294"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(295)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"295"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(296)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"296"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(297)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"297"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(298)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"298"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(299)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"299"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{"nat", "[", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{\((\@p)\), "=", 
                FractionBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], 
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]]}], ")"}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(30)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"30"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(300)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"300"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(301)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"301"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(302)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"302"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(303)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"303"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(304)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"304"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(305)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"305"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(306)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"306"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(307)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"307"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(308)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"308"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(309)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"309"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(31)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"31"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(310)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"310"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3.1.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3.1.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(311)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"311"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3.1.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        StyleBox[\(m\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3.1.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(312)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"312"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(313)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"313"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(314)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"314"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(315)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"315"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(316)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"316"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(317)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"317"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(318)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"318"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(319)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      StyleBox[\(d\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          StyleBox[\(d\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"319"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{\((\@p)\), "=", 
            FractionBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]]}], ")"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(32)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"32"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(320)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"320"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3.2.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\((\@p)\), "=", 
        FractionBox[
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3.2.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(321)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox[\(d\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    StyleBox[\(d\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"321"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3.2.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(m\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[UpTee]", 
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3.2.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(322)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    StyleBox[\(d\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"322"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(323)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"323"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(324)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "]"}], "\[And]", 
            RowBox[{"nat", "[", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"324"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(325)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"325"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(326)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"326"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(327)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"327"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(328)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                RowBox[{"p", "*", 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"328"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(329)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "=", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"329"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(33)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"33"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(330)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(d\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"330"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(331)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"331"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(332)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(d\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"332"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(333)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], "2"],
                 "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"333"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(334)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], "2"],
                 "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"334"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(335)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"335"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(336)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[UpTee]", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"336"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(337)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"337"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(338)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}]}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "\[UpTee]", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"338"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(339)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"339"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(34)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"34"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(340)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"340"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(341)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"341"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(342)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"342"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(343)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"343"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(344)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"344"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(345)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"345"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(346)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"346"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(347)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(d\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"347"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(348)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"348"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(349)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"349"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(35)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"35"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(350)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"350"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(351)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"351"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(352)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"352"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(353)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"353"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(354)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"354"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(355)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"355"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(356)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"356"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(357)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"357"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(358)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"358"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(359)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"359"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(36)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"36"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(360)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"360"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(361)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"361"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(362)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"362"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(363)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"363"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(364)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"364"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(365)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"365"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(366)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"366"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(367)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(d\_2\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox[\(d\_2\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"367"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(368)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"368"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(369)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(d\_2\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox[\(d\_2\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"369"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(37)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"37"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(370)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(d\_2\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"370"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(371)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"371"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(372)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "=", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"372"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(373)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"373"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(374)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"374"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(375)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox[\(d\_2\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"375"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(376)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"376"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(377)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"377"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(378)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"378"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(379)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"379"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(38)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"38"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(380)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"380"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(381)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"381"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(382)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"382"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(383)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"383"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(384)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"384"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(385)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"385"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(386)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"386"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(387)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"387"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(388)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"388"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(389)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"389"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(39)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"39"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(390)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"390"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(391)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"391"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(392)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"392"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(393)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"393"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(394)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"394"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(395)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"395"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(396)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"396"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(397)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"397"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(398)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"398"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(399)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"399"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(40)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"40"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(400)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"400"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(401)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"401"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(402)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"402"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(403)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"403"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(404)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"404"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(405)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"405"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(406)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"406"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(407)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"407"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(408)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"408"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(409)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"409"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(41)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"41"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(410)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"410"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(411)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"411"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(412)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"412"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(413)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"413"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(414)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"414"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(415)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"415"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(416)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"416"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(417)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"417"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(418)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"418"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(419)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"419"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(42)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"42"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(420)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"420"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(421)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"421"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(422)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      StyleBox[\(d\_1\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          StyleBox[\(d\_1\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"422"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(423)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"423"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(424)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox[\(d\_1\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    StyleBox[\(d\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"424"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(425)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    StyleBox[\(d\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"425"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(426)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"426"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(427)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(d\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"427"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(428)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], "2"],
                 "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"428"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(429)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], "2"],
                 "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"429"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(43)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"43"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(430)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"430"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(431)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[UpTee]", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"431"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(432)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"432"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(433)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}]}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "\[UpTee]", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"433"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(434)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"434"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(435)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"435"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(436)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"436"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(437)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"437"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(438)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"438"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(439)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"439"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(44)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"44"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(440)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"440"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(441)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"441"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(442)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"442"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(443)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"443"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(444)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"444"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(445)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"445"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(446)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"446"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(447)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"447"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(448)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"448"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(449)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"449"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(45)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"45"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(450)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"450"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(451)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"451"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(452)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"452"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(453)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"453"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(454)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"454"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(455)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"455"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(456)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"456"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(457)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"457"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(458)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"458"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(459)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(d\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox[\(d\_3\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"459"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(46)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"46"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(460)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"460"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(461)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(d\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox[\(d\_3\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"461"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(462)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(d\_3\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"462"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(463)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"463"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(464)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"464"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(465)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"465"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(466)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox[\(d\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"466"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(467)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"], 
          "]"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], "2"], 
              ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"467"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(468)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], "2"],
                 "]"}], "\[And]", 
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], "2"], 
              "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"468"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(469)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], 
              "2"]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"469"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(47)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"47"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(470)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], 
              "2"]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"470"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(471)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"471"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(472)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"472"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(473)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"473"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(474)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"474"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(475)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"475"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(476)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"476"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(477)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"477"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(478)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"478"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(479)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"479"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(48)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                RowBox[{"p", "*", 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"48"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(480)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"480"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(481)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"481"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(482)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], ")"}], 
            "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"482"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(483)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"483"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(484)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], ")"}], 
            "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"484"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(485)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"485"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(486)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"486"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(487)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"487"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(488)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"488"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(489)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"489"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(49)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"p", "\[VerticalBar]", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{"p", "\[VerticalBar]", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"49"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(490)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"490"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(491)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"491"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(492)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"492"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(493)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"493"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(494)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"494"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(495)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"495"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(496)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"496"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(497)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"497"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(498)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"498"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(499)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"499"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(50)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Or]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"50"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(500)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"500"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(501)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"501"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(502)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"502"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(503)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], 
              "2"]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"503"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(504)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], 
              "2"]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"504"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(505)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"505"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(506)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"506"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(507)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"507"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(508)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"508"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(509)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"509"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(51)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"51"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(510)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"510"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(511)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"511"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(512)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"512"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(513)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"513"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(514)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"514"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(515)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"515"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(516)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"516"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(517)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              StyleBox[\(n\_0\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "2"], ")"}], "2"], ")"}], 
                      "2"]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              RowBox[{"(", 
                                SuperscriptBox[
                                  StyleBox[\(n\_0\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None], "2"], ")"}], "2"], 
                            ")"}], "2"]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"517"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(518)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], "2"], 
              ")"}], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"518"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(519)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              StyleBox[\(n\_0\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "2"], ")"}], "2"], ")"}], 
                      "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        RowBox[{"(", 
                          SuperscriptBox[
                            StyleBox[\(n\_0\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"], ")"}], "2"], ")"}], 
                    "2"]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"519"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(52)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"52"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(520)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}], 
        "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        RowBox[{"(", 
                          SuperscriptBox[
                            StyleBox[\(n\_0\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"], ")"}], "2"], ")"}], 
                    "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"520"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(521)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            ")"}], "2"], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"521"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(522)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"522"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(523)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"523"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(524)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], ")"}], 
            "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"524"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(525)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"525"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(526)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], ")"}], 
            "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"526"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(527)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"527"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(528)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"528"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(529)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"529"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(53)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"p", "\[VerticalBar]", 
        SuperscriptBox[
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"53"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(530)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"530"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(531)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"531"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(532)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"532"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(533)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"533"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(534)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"534"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(535)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"535"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(536)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"536"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(537)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"537"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(538)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"538"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(539)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"539"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(54)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  StyleBox["d",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"54"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(540)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"540"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(541)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"541"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(542)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], 
              "2"]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"542"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(543)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], 
              "2"]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"543"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(544)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"544"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(545)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"545"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(546)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"546"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(547)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"547"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(548)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"548"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(549)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"549"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(55)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"p", "\[VerticalBar]", 
        StyleBox[\(m\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"55"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(550)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"550"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(551)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"551"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(552)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"552"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(553)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"553"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(554)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"554"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(555)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"555"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(556)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              StyleBox[\(m\_0\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "2"], ")"}], "2"], ")"}], 
                      "2"]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              RowBox[{"(", 
                                SuperscriptBox[
                                  StyleBox[\(m\_0\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None], "2"], ")"}], "2"], 
                            ")"}], "2"]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"556"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(557)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], "2"], 
              ")"}], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"557"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(558)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              StyleBox[\(m\_0\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "2"], ")"}], "2"], ")"}], 
                      "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        RowBox[{"(", 
                          SuperscriptBox[
                            StyleBox[\(m\_0\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"], ")"}], "2"], ")"}], 
                    "2"]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"558"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(559)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}], 
        "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        RowBox[{"(", 
                          SuperscriptBox[
                            StyleBox[\(m\_0\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"], ")"}], "2"], ")"}], 
                    "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"559"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(56)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"p", "\[NotVerticalBar]", 
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"56"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(560)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            ")"}], "2"], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"560"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(561)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"561"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(562)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"562"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(563)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"563"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(564)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"564"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(565)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"565"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(566)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"566"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(567)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"567"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(568)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"568"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(569)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"569"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(57)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                RowBox[{"p", "*", 
                  StyleBox["d",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"57"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(570)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"570"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(571)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"571"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(572)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"572"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(573)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"573"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(574)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"574"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(575)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"575"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(576)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "\[NotEqual]", 
          RowBox[{"p", "*", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"576"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(58)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"p", "\[NotVerticalBar]", 
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"58"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(59)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"59"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"6"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(60)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"60"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(61)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"61"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(62)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"62"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(63)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"p", "\[NotVerticalBar]", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"63"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(64)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"64"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(64.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        StyleBox[\(d\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"64.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(64.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(m\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "=", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"64.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(65)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"65"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(65.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        StyleBox[\(d\_1\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"65.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(65.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "=", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"65.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(66)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"66"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(67)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"67"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(68)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"68"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(69)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"69"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(7)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"7"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(70)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[NotVerticalBar]", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"70"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(71)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"71"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(72)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"72"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(73)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[NotVerticalBar]", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"73"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(74)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"74"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(75)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"75"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(76)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"76"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(77)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"77"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(78)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"78"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(79)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[UpTee]", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"79"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"8"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(80)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"80"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(81)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "\[UpTee]", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"81"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(82)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"82"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(83)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"83"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(84)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"84"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(85)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"85"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(86)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"86"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(87)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"87"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(88)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"88"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(89)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[UpTee]", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"89"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(9)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"9"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(90)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"90"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(91)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "\[UpTee]", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"91"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(92)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"92"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(93)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"93"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(94)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"94"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(95)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"95"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(96)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"96"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(97)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"97"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(98)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"98"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(99)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"99"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(a contradiction)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(False\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"a contradiction"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (Divisible): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (Divisible): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (Divisible): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[Implies]", 
                RowBox[{
                  UnderscriptBox["\[Exists]", 
                    RowBox[{
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"nat", "[", 
                        StyleBox["d",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "\[And]", 
                      RowBox[{"(", 
                        RowBox[{
                          StyleBox["n",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "=", 
                          RowBox[{"p", "*", 
                            StyleBox["d",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}]}], ")"}]}], ")"}]}]}], 
              ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (Divisible): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (Rational))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["q",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"rat", "[", 
              StyleBox["q",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[DoubleLeftRightArrow]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"nat", "[", 
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "\[And]", 
                      RowBox[{"nat", "[", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}]}], ")"}], "\[And]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"(", 
                        RowBox[{
                          StyleBox["q",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "=", 
                          FractionBox[
                            StyleBox["m",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], 
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]]}], ")"}], "\[And]", 
                      RowBox[{"(", 
                        RowBox[{
                          StyleBox["m",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[UpTee]", 
                          StyleBox["n",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], ")"}]}], ")"}]}], ")"}]}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (Rational)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (Coprime for Two))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"nat", "[", 
                StyleBox["m",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (Coprime for Two)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (Euclid))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (Euclid)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (Multiply Root Equation))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{\((\@p)\), "=", 
                FractionBox[
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (Multiply Root Equation)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (Simplify by Cancelling))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], "=", 
                  RowBox[{"p", "*", 
                    SuperscriptBox[
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}]}], ")"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (Simplify by Cancelling)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (Squares Preserve Naturals))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"nat", "[", 
              SuperscriptBox[
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (Squares Preserve Naturals)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Theorem (Root Irrational))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[Not] rat[\@p]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Theorem (Root Irrational)"]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"5.2 for X",
ScreenRectangle->{{0, 1280}, {0, 1024}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{496, 627},
WindowMargins->{{39, Automatic}, {Automatic, 13}},
Visible->True,
Magnification->1,
StyleDefinitions -> FrontEnd`FileName[{$RootDirectory, "home", "www", \
"education", "courses", "ss2006", "atp2", "Square-Root"}, "TheoremaProof.nb", \
CharacterEncoding -> "iso8859-1"]
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Theorem (Root Irrational)"->{
    Cell[1872, 56, 415, 11, 32, "Conclusion",
      CellTags->"Theorem (Root Irrational)"],
    Cell[1872329, 58665, 472, 13, 70, "Text",
      CellTags->"Theorem (Root Irrational)"]},
  "Definition (Rational)"->{
    Cell[2424, 74, 3110, 77, 64, "Assumption",
      CellTags->"Definition (Rational)"],
    Cell[1860060, 58325, 3167, 79, 70, "Text",
      CellTags->"Definition (Rational)"]},
  "Lemma (Coprime for Two)"->{
    Cell[5537, 153, 2261, 60, 62, "Assumption",
      CellTags->"Lemma (Coprime for Two)"],
    Cell[1863230, 58406, 2318, 62, 70, "Text",
      CellTags->"Lemma (Coprime for Two)"]},
  "Lemma (Multiply Root Equation)"->{
    Cell[7801, 215, 1713, 48, 38, "Assumption",
      CellTags->"Lemma (Multiply Root Equation)"],
    Cell[1866957, 58511, 1765, 49, 70, "Text",
      CellTags->"Lemma (Multiply Root Equation)"]},
  "Lemma (Euclid)"->{
    Cell[9517, 265, 1346, 37, 37, "Assumption",
      CellTags->"Lemma (Euclid)"],
    Cell[1865551, 58470, 1403, 39, 70, "Text",
      CellTags->"Lemma (Euclid)"]},
  "Definition (Divisible): 1"->{
    Cell[10866, 304, 1921, 52, 62, "Assumption",
      CellTags->"Definition (Divisible): 1"],
    Cell[1855789, 58208, 1978, 54, 70, "Text",
      CellTags->"Definition (Divisible): 1"]},
  "Definition (Divisible): 2"->{
    Cell[12790, 358, 2230, 57, 60, "Assumption",
      CellTags->"Definition (Divisible): 2"],
    Cell[1857770, 58264, 2287, 59, 70, "Text",
      CellTags->"Definition (Divisible): 2"]},
  "Lemma (Simplify by Cancelling)"->{
    Cell[15023, 417, 2411, 66, 62, "Assumption",
      CellTags->"Lemma (Simplify by Cancelling)"],
    Cell[1868725, 58562, 2463, 67, 70, "Text",
      CellTags->"Lemma (Simplify by Cancelling)"]},
  "Lemma (Squares Preserve Naturals)"->{
    Cell[17437, 485, 1078, 30, 37, "Assumption",
      CellTags->"Lemma (Squares Preserve Naturals)"],
    Cell[1871191, 58631, 1135, 32, 70, "Text",
      CellTags->"Lemma (Squares Preserve Naturals)"]},
  "1"->{
    Cell[19073, 535, 374, 11, 32, "Assumption",
      CellTags->"1"],
    Cell[1143349, 36642, 417, 13, 70, "Text",
      CellTags->"1"]},
  "2"->{
    Cell[20420, 581, 2149, 59, 32, "Assumption",
      CellTags->"2"],
    Cell[1275329, 40648, 2192, 61, 70, "Text",
      CellTags->"2"]},
  "3"->{
    Cell[22978, 656, 1660, 46, 32, "Assumption",
      CellTags->"3"],
    Cell[1405503, 44641, 1703, 48, 70, "Text",
      CellTags->"3"]},
  "15"->{
    Cell[25324, 727, 1252, 35, 70, "Assumption",
      CellTags->"15"],
    Cell[1203767, 38507, 1295, 37, 70, "Text",
      CellTags->"15"]},
  "14"->{
    Cell[27276, 787, 730, 22, 70, "Assumption",
      CellTags->"14"],
    Cell[1191059, 38119, 773, 24, 70, "Text",
      CellTags->"14"]},
  "13"->{
    Cell[28712, 834, 546, 16, 70, "Assumption",
      CellTags->"13"],
    Cell[1176691, 37689, 589, 18, 70, "Text",
      CellTags->"13"]},
  "12"->{
    Cell[29948, 875, 1464, 42, 70, "Assumption",
      CellTags->"12"],
    Cell[1164009, 37302, 1502, 43, 70, "Text",
      CellTags->"12"]},
  "11"->{
    Cell[32102, 942, 1538, 42, 70, "Assumption",
      CellTags->"11"],
    Cell[1152487, 36943, 1581, 44, 70, "Text",
      CellTags->"11"]},
  "10"->{
    Cell[34308, 1009, 764, 22, 70, "Assumption",
      CellTags->"10"],
    Cell[1143769, 36657, 807, 24, 70, "Text",
      CellTags->"10"]},
  "9"->{
    Cell[35758, 1056, 1880, 50, 70, "Assumption",
      CellTags->"9"],
    Cell[1843300, 57822, 1923, 52, 70, "Text",
      CellTags->"9"]},
  "8"->{
    Cell[38344, 1131, 544, 16, 70, "Assumption",
      CellTags->"8"],
    Cell[1832424, 57480, 587, 18, 70, "Text",
      CellTags->"8"]},
  "7"->{
    Cell[39578, 1172, 1462, 42, 70, "Assumption",
      CellTags->"7"],
    Cell[1819885, 57093, 1500, 43, 70, "Text",
      CellTags->"7"]},
  "6"->{
    Cell[41730, 1239, 1536, 42, 70, "Assumption",
      CellTags->"6"],
    Cell[1807035, 56678, 1579, 44, 70, "Text",
      CellTags->"6"]},
  "5"->{
    Cell[43934, 1306, 762, 22, 70, "Assumption",
      CellTags->"5"],
    Cell[1690639, 53220, 805, 24, 70, "Text",
      CellTags->"5"]},
  "4"->{
    Cell[45382, 1353, 1880, 50, 70, "Assumption",
      CellTags->"4"],
    Cell[1545398, 48884, 1923, 52, 70, "Text",
      CellTags->"4"]},
  "17"->{
    Cell[47906, 1428, 1040, 29, 70, "Assumption",
      CellTags->"17"],
    Cell[1233507, 39391, 1083, 31, 70, "Text",
      CellTags->"17"]},
  "16"->{
    Cell[49590, 1482, 1040, 29, 70, "Assumption",
      CellTags->"16"],
    Cell[1218357, 38941, 1083, 31, 70, "Text",
      CellTags->"16"]},
  "18"->{
    Cell[51288, 1536, 820, 23, 70, "Assumption",
      CellTags->"18"],
    Cell[1247008, 39802, 863, 25, 70, "Text",
      CellTags->"18"]},
  "19"->{
    Cell[53801, 1621, 725, 21, 70, "Assumption",
      CellTags->"19"],
    Cell[1262921, 40265, 768, 23, 70, "Text",
      CellTags->"19"]},
  "48"->{
    Cell[55220, 1667, 1539, 44, 70, "Assumption",
      CellTags->"48"],
    Cell[1658044, 52264, 1577, 45, 70, "Text",
      CellTags->"48"]},
  "47"->{
    Cell[57443, 1736, 1054, 30, 70, "Assumption",
      CellTags->"47"],
    Cell[1643741, 51835, 1097, 32, 70, "Text",
      CellTags->"47"]},
  "46"->{
    Cell[59197, 1791, 627, 18, 70, "Assumption",
      CellTags->"46"],
    Cell[1630209, 51429, 670, 20, 70, "Text",
      CellTags->"46"]},
  "45"->{
    Cell[60508, 1834, 1552, 44, 70, "Assumption",
      CellTags->"45"],
    Cell[1616732, 51020, 1590, 45, 70, "Text",
      CellTags->"45"]},
  "44"->{
    Cell[62744, 1903, 1641, 45, 70, "Assumption",
      CellTags->"44"],
    Cell[1603752, 50624, 1679, 46, 70, "Text",
      CellTags->"44"]},
  "43"->{
    Cell[65047, 1973, 889, 25, 70, "Assumption",
      CellTags->"43"],
    Cell[1588941, 50185, 932, 27, 70, "Text",
      CellTags->"43"]},
  "42"->{
    Cell[66616, 2023, 1986, 52, 70, "Assumption",
      CellTags->"42"],
    Cell[1572653, 49714, 2029, 54, 70, "Text",
      CellTags->"42"]},
  "41"->{
    Cell[69246, 2100, 921, 27, 70, "Assumption",
      CellTags->"41"],
    Cell[1560652, 49343, 964, 29, 70, "Text",
      CellTags->"41"]},
  "40"->{
    Cell[70811, 2152, 921, 27, 70, "Assumption",
      CellTags->"40"],
    Cell[1547324, 48938, 964, 29, 70, "Text",
      CellTags->"40"]},
  "39"->{
    Cell[72370, 2204, 965, 28, 70, "Assumption",
      CellTags->"39"],
    Cell[1533763, 48519, 1008, 30, 70, "Text",
      CellTags->"39"]},
  "38"->{
    Cell[73977, 2257, 1209, 34, 70, "Assumption",
      CellTags->"38"],
    Cell[1519182, 48083, 1252, 36, 70, "Text",
      CellTags->"38"]},
  "37"->{
    Cell[75828, 2316, 1209, 34, 70, "Assumption",
      CellTags->"37"],
    Cell[1505496, 47671, 1252, 36, 70, "Text",
      CellTags->"37"]},
  "36"->{
    Cell[77673, 2375, 1297, 36, 70, "Assumption",
      CellTags->"36"],
    Cell[1491926, 47261, 1340, 38, 70, "Text",
      CellTags->"36"]},
  "35"->{
    Cell[79668, 2436, 627, 18, 70, "Assumption",
      CellTags->"35"],
    Cell[1480614, 46908, 670, 20, 70, "Text",
      CellTags->"35"]},
  "34"->{
    Cell[80977, 2479, 1552, 44, 70, "Assumption",
      CellTags->"34"],
    Cell[1466180, 46476, 1590, 45, 70, "Text",
      CellTags->"34"]},
  "33"->{
    Cell[83211, 2548, 1641, 45, 70, "Assumption",
      CellTags->"33"],
    Cell[1450817, 46023, 1679, 46, 70, "Text",
      CellTags->"33"]},
  "32"->{
    Cell[85512, 2618, 889, 25, 70, "Assumption",
      CellTags->"32"],
    Cell[1437716, 45617, 932, 27, 70, "Text",
      CellTags->"32"]},
  "31"->{
    Cell[87079, 2668, 1986, 52, 70, "Assumption",
      CellTags->"31"],
    Cell[1420868, 45110, 2029, 54, 70, "Text",
      CellTags->"31"]},
  "30"->{
    Cell[89701, 2745, 965, 28, 70, "Assumption",
      CellTags->"30"],
    Cell[1407209, 44691, 1008, 30, 70, "Text",
      CellTags->"30"]},
  "29"->{
    Cell[91300, 2798, 1297, 36, 70, "Assumption",
      CellTags->"29"],
    Cell[1392892, 44253, 1340, 38, 70, "Text",
      CellTags->"29"]},
  "28"->{
    Cell[93239, 2859, 921, 27, 70, "Assumption",
      CellTags->"28"],
    Cell[1381061, 43884, 964, 29, 70, "Text",
      CellTags->"28"]},
  "27"->{
    Cell[94802, 2911, 921, 27, 70, "Assumption",
      CellTags->"27"],
    Cell[1365752, 43431, 964, 29, 70, "Text",
      CellTags->"27"]},
  "26"->{
    Cell[96359, 2963, 965, 28, 70, "Assumption",
      CellTags->"26"],
    Cell[1353179, 43047, 1008, 30, 70, "Text",
      CellTags->"26"]},
  "25"->{
    Cell[97958, 3016, 965, 28, 70, "Assumption",
      CellTags->"25"],
    Cell[1342138, 42703, 1008, 30, 70, "Text",
      CellTags->"25"]},
  "24"->{
    Cell[99565, 3069, 1040, 29, 70, "Assumption",
      CellTags->"24"],
    Cell[1331986, 42380, 1083, 31, 70, "Text",
      CellTags->"24"]},
  "23"->{
    Cell[101247, 3123, 1209, 34, 70, "Assumption",
      CellTags->"23"],
    Cell[1318639, 41973, 1252, 36, 70, "Text",
      CellTags->"23"]},
  "22"->{
    Cell[103098, 3182, 1209, 34, 70, "Assumption",
      CellTags->"22"],
    Cell[1303806, 41507, 1252, 36, 70, "Text",
      CellTags->"22"]},
  "21"->{
    Cell[104943, 3241, 1297, 36, 70, "Assumption",
      CellTags->"21"],
    Cell[1292253, 41146, 1340, 38, 70, "Text",
      CellTags->"21"]},
  "20"->{
    Cell[106874, 3302, 1297, 36, 70, "Assumption",
      CellTags->"20"],
    Cell[1277524, 40711, 1340, 38, 70, "Text",
      CellTags->"20"]},
  "49"->{
    Cell[108829, 3363, 820, 23, 70, "Assumption",
      CellTags->"49"],
    Cell[1676318, 52793, 863, 25, 70, "Text",
      CellTags->"49"]},
  "50"->{
    Cell[110691, 3425, 725, 21, 70, "Assumption",
      CellTags->"50"],
    Cell[1691447, 53246, 768, 23, 70, "Text",
      CellTags->"50"]},
  "52"->{
    Cell[112706, 3494, 798, 23, 70, "Assumption",
      CellTags->"52"],
    Cell[1723298, 54174, 841, 25, 70, "Text",
      CellTags->"52"]},
  "51"->{
    Cell[114140, 3542, 798, 23, 70, "Assumption",
      CellTags->"51"],
    Cell[1705988, 53680, 841, 25, 70, "Text",
      CellTags->"51"]},
  "53"->{
    Cell[115588, 3590, 552, 16, 70, "Assumption",
      CellTags->"53"],
    Cell[1740555, 54675, 595, 18, 70, "Text",
      CellTags->"53"]},
  "54"->{
    Cell[118745, 3700, 1255, 36, 70, "Assumption",
      CellTags->"54"],
    Cell[1755071, 55107, 1298, 38, 70, "Text",
      CellTags->"54"]},
  "55"->{
    Cell[120652, 3761, 514, 15, 70, "Assumption",
      CellTags->"55"],
    Cell[1769145, 55532, 557, 17, 70, "Text",
      CellTags->"55"]},
  "56"->{
    Cell[124420, 3893, 517, 15, 70, "Assumption",
      CellTags->"56"],
    Cell[1786878, 56036, 560, 17, 70, "Text",
      CellTags->"56"]},
  "57"->{
    Cell[126238, 3956, 1209, 35, 70, "Assumption",
      CellTags->"57"],
    Cell[1797057, 56362, 1252, 37, 70, "Text",
      CellTags->"57"]},
  "58"->{
    Cell[128098, 4016, 555, 16, 70, "Assumption",
      CellTags->"58"],
    Cell[1805686, 56633, 598, 18, 70, "Text",
      CellTags->"58"]},
  "59"->{
    Cell[129957, 4080, 702, 21, 70, "Assumption",
      CellTags->"59"],
    Cell[1806287, 56653, 745, 23, 70, "Text",
      CellTags->"59"]},
  "60"->{
    Cell[131312, 4126, 702, 21, 70, "Assumption",
      CellTags->"60"],
    Cell[1808617, 56724, 745, 23, 70, "Text",
      CellTags->"60"]},
  "61"->{
    Cell[132667, 4172, 662, 20, 70, "Assumption",
      CellTags->"61"],
    Cell[1809365, 56749, 705, 22, 70, "Text",
      CellTags->"61"]},
  "62"->{
    Cell[133982, 4217, 662, 20, 70, "Assumption",
      CellTags->"62"],
    Cell[1810073, 56773, 705, 22, 70, "Text",
      CellTags->"62"]},
  "63"->{
    Cell[135297, 4262, 636, 18, 70, "Assumption",
      CellTags->"63"],
    Cell[1810781, 56797, 679, 20, 70, "Text",
      CellTags->"63"]},
  "64"->{
    Cell[136344, 4296, 911, 27, 70, "Assumption",
      CellTags->"64"],
    Cell[1811463, 56819, 954, 29, 70, "Text",
      CellTags->"64"]},
  "65"->{
    Cell[137666, 4339, 953, 28, 70, "Assumption",
      CellTags->"65"],
    Cell[1813680, 56893, 996, 30, 70, "Text",
      CellTags->"65"]},
  "75"->{
    Cell[139255, 4392, 1170, 34, 70, "Assumption",
      CellTags->"75"],
    Cell[1827734, 57330, 1213, 36, 70, "Text",
      CellTags->"75"]},
  "74"->{
    Cell[141063, 4451, 1214, 35, 70, "Assumption",
      CellTags->"74"],
    Cell[1826474, 57291, 1257, 37, 70, "Text",
      CellTags->"74"]},
  "73"->{
    Cell[142915, 4511, 1544, 42, 70, "Assumption",
      CellTags->"73"],
    Cell[1824884, 57245, 1587, 44, 70, "Text",
      CellTags->"73"]},
  "72"->{
    Cell[145097, 4578, 932, 27, 70, "Assumption",
      CellTags->"72"],
    Cell[1823906, 57214, 975, 29, 70, "Text",
      CellTags->"72"]},
  "71"->{
    Cell[146667, 4630, 932, 27, 70, "Assumption",
      CellTags->"71"],
    Cell[1822928, 57183, 975, 29, 70, "Text",
      CellTags->"71"]},
  "70"->{
    Cell[148235, 4682, 1494, 41, 70, "Assumption",
      CellTags->"70"],
    Cell[1821388, 57138, 1537, 43, 70, "Text",
      CellTags->"70"]},
  "69"->{
    Cell[150367, 4748, 890, 26, 70, "Assumption",
      CellTags->"69"],
    Cell[1818949, 57063, 933, 28, 70, "Text",
      CellTags->"69"]},
  "68"->{
    Cell[151895, 4799, 890, 26, 70, "Assumption",
      CellTags->"68"],
    Cell[1818013, 57033, 933, 28, 70, "Text",
      CellTags->"68"]},
  "67"->{
    Cell[153423, 4850, 972, 28, 70, "Assumption",
      CellTags->"67"],
    Cell[1816995, 57001, 1015, 30, 70, "Text",
      CellTags->"67"]},
  "66"->{
    Cell[155033, 4903, 972, 28, 70, "Assumption",
      CellTags->"66"],
    Cell[1815977, 56969, 1015, 30, 70, "Text",
      CellTags->"66"]},
  "76"->{
    Cell[158611, 5025, 714, 21, 70, "Assumption",
      CellTags->"76"],
    Cell[1828950, 57368, 757, 23, 70, "Text",
      CellTags->"76"]},
  "77"->{
    Cell[160629, 5094, 756, 22, 70, "Assumption",
      CellTags->"77"],
    Cell[1829710, 57393, 799, 24, 70, "Text",
      CellTags->"77"]},
  "208"->{
    Cell[163371, 5187, 1498, 42, 70, "Assumption",
      CellTags->"208"],
    Cell[1289931, 41075, 1541, 44, 70, "Text",
      CellTags->"208"]},
  "207"->{
    Cell[165531, 5254, 888, 25, 70, "Assumption",
      CellTags->"207"],
    Cell[1288997, 41046, 931, 27, 70, "Text",
      CellTags->"207"]},
  "206"->{
    Cell[167103, 5304, 1408, 40, 70, "Assumption",
      CellTags->"206"],
    Cell[1287543, 41002, 1451, 42, 70, "Text",
      CellTags->"206"]},
  "205"->{
    Cell[169173, 5369, 763, 22, 70, "Assumption",
      CellTags->"205"],
    Cell[1286734, 40976, 806, 24, 70, "Text",
      CellTags->"205"]},
  "204"->{
    Cell[170636, 5416, 723, 21, 70, "Assumption",
      CellTags->"204"],
    Cell[1285965, 40951, 766, 23, 70, "Text",
      CellTags->"204"]},
  "203"->{
    Cell[172043, 5462, 1740, 48, 70, "Assumption",
      CellTags->"203"],
    Cell[1284184, 40900, 1778, 49, 70, "Text",
      CellTags->"203"]},
  "202"->{
    Cell[174467, 5535, 1855, 49, 70, "Assumption",
      CellTags->"202"],
    Cell[1282283, 40847, 1898, 51, 70, "Text",
      CellTags->"202"]},
  "201"->{
    Cell[176984, 5609, 1078, 30, 70, "Assumption",
      CellTags->"201"],
    Cell[1281159, 40813, 1121, 32, 70, "Text",
      CellTags->"201"]},
  "200"->{
    Cell[178742, 5664, 2246, 58, 70, "Assumption",
      CellTags->"200"],
    Cell[1278867, 40751, 2289, 60, 70, "Text",
      CellTags->"200"]},
  "199"->{
    Cell[181626, 5747, 1069, 31, 70, "Assumption",
      CellTags->"199"],
    Cell[1274214, 40613, 1112, 33, 70, "Text",
      CellTags->"199"]},
  "198"->{
    Cell[183331, 5803, 1490, 41, 70, "Assumption",
      CellTags->"198"],
    Cell[1272678, 40568, 1533, 43, 70, "Text",
      CellTags->"198"]},
  "197"->{
    Cell[185457, 5869, 1069, 31, 70, "Assumption",
      CellTags->"197"],
    Cell[1271563, 40533, 1112, 33, 70, "Text",
      CellTags->"197"]},
  "196"->{
    Cell[187162, 5925, 1490, 41, 70, "Assumption",
      CellTags->"196"],
    Cell[1270027, 40488, 1533, 43, 70, "Text",
      CellTags->"196"]},
  "195"->{
    Cell[189296, 5991, 1005, 29, 70, "Assumption",
      CellTags->"195"],
    Cell[1268976, 40455, 1048, 31, 70, "Text",
      CellTags->"195"]},
  "194"->{
    Cell[190945, 6045, 1005, 29, 70, "Assumption",
      CellTags->"194"],
    Cell[1267925, 40422, 1048, 31, 70, "Text",
      CellTags->"194"]},
  "193"->{
    Cell[192588, 6099, 800, 23, 70, "Assumption",
      CellTags->"193"],
    Cell[1267079, 40395, 843, 25, 70, "Text",
      CellTags->"193"]},
  "192"->{
    Cell[194026, 6147, 1049, 30, 70, "Assumption",
      CellTags->"192"],
    Cell[1265984, 40361, 1092, 32, 70, "Text",
      CellTags->"192"]},
  "191"->{
    Cell[195711, 6202, 1049, 30, 70, "Assumption",
      CellTags->"191"],
    Cell[1264889, 40327, 1092, 32, 70, "Text",
      CellTags->"191"]},
  "190"->{
    Cell[197398, 6257, 1151, 33, 70, "Assumption",
      CellTags->"190"],
    Cell[1263692, 40290, 1194, 35, 70, "Text",
      CellTags->"190"]},
  "189"->{
    Cell[199193, 6315, 1299, 36, 70, "Assumption",
      CellTags->"189"],
    Cell[1261576, 40225, 1342, 38, 70, "Text",
      CellTags->"189"]},
  "188"->{
    Cell[201136, 6376, 1299, 36, 70, "Assumption",
      CellTags->"188"],
    Cell[1260231, 40185, 1342, 38, 70, "Text",
      CellTags->"188"]},
  "187"->{
    Cell[203073, 6437, 1387, 38, 70, "Assumption",
      CellTags->"187"],
    Cell[1258798, 40143, 1430, 40, 70, "Text",
      CellTags->"187"]},
  "186"->{
    Cell[205096, 6500, 1387, 38, 70, "Assumption",
      CellTags->"186"],
    Cell[1257365, 40101, 1430, 40, 70, "Text",
      CellTags->"186"]},
  "185"->{
    Cell[207121, 6563, 1578, 43, 70, "Assumption",
      CellTags->"185"],
    Cell[1255741, 40054, 1621, 45, 70, "Text",
      CellTags->"185"]},
  "184"->{
    Cell[209399, 6631, 723, 21, 70, "Assumption",
      CellTags->"184"],
    Cell[1254972, 40029, 766, 23, 70, "Text",
      CellTags->"184"]},
  "183"->{
    Cell[210806, 6677, 1740, 48, 70, "Assumption",
      CellTags->"183"],
    Cell[1253191, 39978, 1778, 49, 70, "Text",
      CellTags->"183"]},
  "182"->{
    Cell[213230, 6750, 1855, 49, 70, "Assumption",
      CellTags->"182"],
    Cell[1251290, 39925, 1898, 51, 70, "Text",
      CellTags->"182"]},
  "181"->{
    Cell[215747, 6824, 1078, 30, 70, "Assumption",
      CellTags->"181"],
    Cell[1250166, 39891, 1121, 32, 70, "Text",
      CellTags->"181"]},
  "180"->{
    Cell[217505, 6879, 2246, 58, 70, "Assumption",
      CellTags->"180"],
    Cell[1247874, 39829, 2289, 60, 70, "Text",
      CellTags->"180"]},
  "179"->{
    Cell[220389, 6962, 1069, 31, 70, "Assumption",
      CellTags->"179"],
    Cell[1245893, 39767, 1112, 33, 70, "Text",
      CellTags->"179"]},
  "178"->{
    Cell[222094, 7018, 1490, 41, 70, "Assumption",
      CellTags->"178"],
    Cell[1244357, 39722, 1533, 43, 70, "Text",
      CellTags->"178"]},
  "177"->{
    Cell[224220, 7084, 1069, 31, 70, "Assumption",
      CellTags->"177"],
    Cell[1243242, 39687, 1112, 33, 70, "Text",
      CellTags->"177"]},
  "176"->{
    Cell[225925, 7140, 1490, 41, 70, "Assumption",
      CellTags->"176"],
    Cell[1241706, 39642, 1533, 43, 70, "Text",
      CellTags->"176"]},
  "175"->{
    Cell[228053, 7206, 1151, 33, 70, "Assumption",
      CellTags->"175"],
    Cell[1240509, 39605, 1194, 35, 70, "Text",
      CellTags->"175"]},
  "174"->{
    Cell[229842, 7264, 1578, 43, 70, "Assumption",
      CellTags->"174"],
    Cell[1238885, 39558, 1621, 45, 70, "Text",
      CellTags->"174"]},
  "173"->{
    Cell[232064, 7332, 1005, 29, 70, "Assumption",
      CellTags->"173"],
    Cell[1237834, 39525, 1048, 31, 70, "Text",
      CellTags->"173"]},
  "172"->{
    Cell[233713, 7386, 1005, 29, 70, "Assumption",
      CellTags->"172"],
    Cell[1236783, 39492, 1048, 31, 70, "Text",
      CellTags->"172"]},
  "171"->{
    Cell[235356, 7440, 1049, 30, 70, "Assumption",
      CellTags->"171"],
    Cell[1235688, 39458, 1092, 32, 70, "Text",
      CellTags->"171"]},
  "170"->{
    Cell[237041, 7495, 1049, 30, 70, "Assumption",
      CellTags->"170"],
    Cell[1234593, 39424, 1092, 32, 70, "Text",
      CellTags->"170"]},
  "169"->{
    Cell[238728, 7550, 1151, 33, 70, "Assumption",
      CellTags->"169"],
    Cell[1232310, 39354, 1194, 35, 70, "Text",
      CellTags->"169"]},
  "168"->{
    Cell[240517, 7608, 1151, 33, 70, "Assumption",
      CellTags->"168"],
    Cell[1231113, 39317, 1194, 35, 70, "Text",
      CellTags->"168"]},
  "167"->{
    Cell[242352, 7666, 1703, 47, 70, "Assumption",
      CellTags->"167"],
    Cell[1229364, 39266, 1746, 49, 70, "Text",
      CellTags->"167"]},
  "166"->{
    Cell[244717, 7738, 1071, 30, 70, "Assumption",
      CellTags->"166"],
    Cell[1228247, 39232, 1114, 32, 70, "Text",
      CellTags->"166"]},
  "165"->{
    Cell[246432, 7793, 1299, 36, 70, "Assumption",
      CellTags->"165"],
    Cell[1226902, 39192, 1342, 38, 70, "Text",
      CellTags->"165"]},
  "164"->{
    Cell[248375, 7854, 1299, 36, 70, "Assumption",
      CellTags->"164"],
    Cell[1225557, 39152, 1342, 38, 70, "Text",
      CellTags->"164"]},
  "163"->{
    Cell[250312, 7915, 1387, 38, 70, "Assumption",
      CellTags->"163"],
    Cell[1224124, 39110, 1430, 40, 70, "Text",
      CellTags->"163"]},
  "162"->{
    Cell[252335, 7978, 1387, 38, 70, "Assumption",
      CellTags->"162"],
    Cell[1222691, 39068, 1430, 40, 70, "Text",
      CellTags->"162"]},
  "161"->{
    Cell[254360, 8041, 1578, 43, 70, "Assumption",
      CellTags->"161"],
    Cell[1221067, 39021, 1621, 45, 70, "Text",
      CellTags->"161"]},
  "160"->{
    Cell[256576, 8109, 1578, 43, 70, "Assumption",
      CellTags->"160"],
    Cell[1219443, 38974, 1621, 45, 70, "Text",
      CellTags->"160"]},
  "159"->{
    Cell[258838, 8177, 1548, 44, 70, "Assumption",
      CellTags->"159"],
    Cell[1216768, 38894, 1586, 45, 70, "Text",
      CellTags->"159"]},
  "158"->{
    Cell[261048, 8246, 720, 21, 70, "Assumption",
      CellTags->"158"],
    Cell[1216002, 38869, 763, 23, 70, "Text",
      CellTags->"158"]},
  "157"->{
    Cell[262448, 8292, 1828, 49, 70, "Assumption",
      CellTags->"157"],
    Cell[1214128, 38816, 1871, 51, 70, "Text",
      CellTags->"157"]},
  "156"->{
    Cell[264912, 8366, 1265, 35, 70, "Assumption",
      CellTags->"156"],
    Cell[1212817, 38777, 1308, 37, 70, "Text",
      CellTags->"156"]},
  "155"->{
    Cell[266813, 8426, 1265, 35, 70, "Assumption",
      CellTags->"155"],
    Cell[1211506, 38738, 1308, 37, 70, "Text",
      CellTags->"155"]},
  "154"->{
    Cell[268716, 8486, 1355, 37, 70, "Assumption",
      CellTags->"154"],
    Cell[1210105, 38697, 1398, 39, 70, "Text",
      CellTags->"154"]},
  "153"->{
    Cell[270709, 8548, 1355, 37, 70, "Assumption",
      CellTags->"153"],
    Cell[1208704, 38656, 1398, 39, 70, "Text",
      CellTags->"153"]},
  "152"->{
    Cell[272762, 8610, 1732, 48, 70, "Assumption",
      CellTags->"152"],
    Cell[1206931, 38605, 1770, 49, 70, "Text",
      CellTags->"152"]},
  "151"->{
    Cell[275182, 8683, 1014, 29, 70, "Assumption",
      CellTags->"151"],
    Cell[1205871, 38572, 1057, 31, 70, "Text",
      CellTags->"151"]},
  "150"->{
    Cell[276838, 8737, 760, 22, 70, "Assumption",
      CellTags->"150"],
    Cell[1205065, 38546, 803, 24, 70, "Text",
      CellTags->"150"]},
  "149"->{
    Cell[278302, 8784, 548, 16, 70, "Assumption",
      CellTags->"149"],
    Cell[1203173, 38487, 591, 18, 70, "Text",
      CellTags->"149"]},
  "148"->{
    Cell[279538, 8825, 1466, 42, 70, "Assumption",
      CellTags->"148"],
    Cell[1201666, 38442, 1504, 43, 70, "Text",
      CellTags->"148"]},
  "147"->{
    Cell[281692, 8892, 1540, 42, 70, "Assumption",
      CellTags->"147"],
    Cell[1200080, 38396, 1583, 44, 70, "Text",
      CellTags->"147"]},
  "146"->{
    Cell[283898, 8959, 766, 22, 70, "Assumption",
      CellTags->"146"],
    Cell[1199268, 38370, 809, 24, 70, "Text",
      CellTags->"146"]},
  "145"->{
    Cell[285348, 9006, 1884, 50, 70, "Assumption",
      CellTags->"145"],
    Cell[1197338, 38316, 1927, 52, 70, "Text",
      CellTags->"145"]},
  "144"->{
    Cell[287874, 9081, 923, 27, 70, "Assumption",
      CellTags->"144"],
    Cell[1196369, 38285, 966, 29, 70, "Text",
      CellTags->"144"]},
  "143"->{
    Cell[289437, 9133, 1211, 34, 70, "Assumption",
      CellTags->"143"],
    Cell[1195112, 38247, 1254, 36, 70, "Text",
      CellTags->"143"]},
  "142"->{
    Cell[291288, 9192, 923, 27, 70, "Assumption",
      CellTags->"142"],
    Cell[1194143, 38216, 966, 29, 70, "Text",
      CellTags->"142"]},
  "141"->{
    Cell[292851, 9244, 1211, 34, 70, "Assumption",
      CellTags->"141"],
    Cell[1192886, 38178, 1254, 36, 70, "Text",
      CellTags->"141"]},
  "140"->{
    Cell[294704, 9303, 1005, 29, 70, "Assumption",
      CellTags->"140"],
    Cell[1191835, 38145, 1048, 31, 70, "Text",
      CellTags->"140"]},
  "139"->{
    Cell[296351, 9357, 1299, 36, 70, "Assumption",
      CellTags->"139"],
    Cell[1189714, 38079, 1342, 38, 70, "Text",
      CellTags->"139"]},
  "138"->{
    Cell[298292, 9418, 1005, 29, 70, "Assumption",
      CellTags->"138"],
    Cell[1188663, 38046, 1048, 31, 70, "Text",
      CellTags->"138"]},
  "137"->{
    Cell[299939, 9472, 1299, 36, 70, "Assumption",
      CellTags->"137"],
    Cell[1187318, 38006, 1342, 38, 70, "Text",
      CellTags->"137"]},
  "136"->{
    Cell[301922, 9533, 1460, 42, 70, "Assumption",
      CellTags->"136"],
    Cell[1185817, 37961, 1498, 43, 70, "Text",
      CellTags->"136"]},
  "135"->{
    Cell[304062, 9600, 1732, 47, 70, "Assumption",
      CellTags->"135"],
    Cell[1184039, 37910, 1775, 49, 70, "Text",
      CellTags->"135"]},
  "134"->{
    Cell[306430, 9672, 1179, 33, 70, "Assumption",
      CellTags->"134"],
    Cell[1182814, 37873, 1222, 35, 70, "Text",
      CellTags->"134"]},
  "133"->{
    Cell[308245, 9730, 1179, 33, 70, "Assumption",
      CellTags->"133"],
    Cell[1181589, 37836, 1222, 35, 70, "Text",
      CellTags->"133"]},
  "132"->{
    Cell[310062, 9788, 1269, 35, 70, "Assumption",
      CellTags->"132"],
    Cell[1180274, 37797, 1312, 37, 70, "Text",
      CellTags->"132"]},
  "131"->{
    Cell[311969, 9848, 1269, 35, 70, "Assumption",
      CellTags->"131"],
    Cell[1178959, 37758, 1312, 37, 70, "Text",
      CellTags->"131"]},
  "130"->{
    Cell[313936, 9908, 1635, 46, 70, "Assumption",
      CellTags->"130"],
    Cell[1177283, 37709, 1673, 47, 70, "Text",
      CellTags->"130"]},
  "129"->{
    Cell[316259, 9979, 932, 27, 70, "Assumption",
      CellTags->"129"],
    Cell[1175713, 37658, 975, 29, 70, "Text",
      CellTags->"129"]},
  "128"->{
    Cell[317833, 10031, 720, 21, 70, "Assumption",
      CellTags->"128"],
    Cell[1174947, 37633, 763, 23, 70, "Text",
      CellTags->"128"]},
  "127"->{
    Cell[319195, 10077, 732, 22, 70, "Assumption",
      CellTags->"127"],
    Cell[1174169, 37607, 775, 24, 70, "Text",
      CellTags->"127"]},
  "126"->{
    Cell[320631, 10124, 548, 16, 70, "Assumption",
      CellTags->"126"],
    Cell[1173575, 37587, 591, 18, 70, "Text",
      CellTags->"126"]},
  "125"->{
    Cell[321867, 10165, 1466, 42, 70, "Assumption",
      CellTags->"125"],
    Cell[1172068, 37542, 1504, 43, 70, "Text",
      CellTags->"125"]},
  "124"->{
    Cell[324021, 10232, 1540, 42, 70, "Assumption",
      CellTags->"124"],
    Cell[1170482, 37496, 1583, 44, 70, "Text",
      CellTags->"124"]},
  "123"->{
    Cell[326227, 10299, 766, 22, 70, "Assumption",
      CellTags->"123"],
    Cell[1169670, 37470, 809, 24, 70, "Text",
      CellTags->"123"]},
  "122"->{
    Cell[327677, 10346, 1884, 50, 70, "Assumption",
      CellTags->"122"],
    Cell[1167740, 37416, 1927, 52, 70, "Text",
      CellTags->"122"]},
  "121"->{
    Cell[330203, 10421, 923, 27, 70, "Assumption",
      CellTags->"121"],
    Cell[1166771, 37385, 966, 29, 70, "Text",
      CellTags->"121"]},
  "120"->{
    Cell[331766, 10473, 1211, 34, 70, "Assumption",
      CellTags->"120"],
    Cell[1165514, 37347, 1254, 36, 70, "Text",
      CellTags->"120"]},
  "119"->{
    Cell[333617, 10532, 923, 27, 70, "Assumption",
      CellTags->"119"],
    Cell[1163040, 37271, 966, 29, 70, "Text",
      CellTags->"119"]},
  "118"->{
    Cell[335180, 10584, 1211, 34, 70, "Assumption",
      CellTags->"118"],
    Cell[1161783, 37233, 1254, 36, 70, "Text",
      CellTags->"118"]},
  "117"->{
    Cell[337033, 10643, 1005, 29, 70, "Assumption",
      CellTags->"117"],
    Cell[1160732, 37200, 1048, 31, 70, "Text",
      CellTags->"117"]},
  "116"->{
    Cell[338680, 10697, 1299, 36, 70, "Assumption",
      CellTags->"116"],
    Cell[1159387, 37160, 1342, 38, 70, "Text",
      CellTags->"116"]},
  "115"->{
    Cell[340621, 10758, 1005, 29, 70, "Assumption",
      CellTags->"115"],
    Cell[1158336, 37127, 1048, 31, 70, "Text",
      CellTags->"115"]},
  "114"->{
    Cell[342268, 10812, 1299, 36, 70, "Assumption",
      CellTags->"114"],
    Cell[1156991, 37087, 1342, 38, 70, "Text",
      CellTags->"114"]},
  "113"->{
    Cell[344211, 10873, 664, 20, 70, "Assumption",
      CellTags->"113"],
    Cell[1156281, 37063, 707, 22, 70, "Text",
      CellTags->"113"]},
  "112"->{
    Cell[345519, 10918, 664, 20, 70, "Assumption",
      CellTags->"112"],
    Cell[1155571, 37039, 707, 22, 70, "Text",
      CellTags->"112"]},
  "111"->{
    Cell[346821, 10963, 704, 21, 70, "Assumption",
      CellTags->"111"],
    Cell[1154821, 37014, 747, 23, 70, "Text",
      CellTags->"111"]},
  "110"->{
    Cell[348161, 11009, 704, 21, 70, "Assumption",
      CellTags->"110"],
    Cell[1154071, 36989, 747, 23, 70, "Text",
      CellTags->"110"]},
  "109"->{
    Cell[349503, 11055, 789, 23, 70, "Assumption",
      CellTags->"109"],
    Cell[1151652, 36916, 832, 25, 70, "Text",
      CellTags->"109"]},
  "108"->{
    Cell[350930, 11103, 789, 23, 70, "Assumption",
      CellTags->"108"],
    Cell[1150817, 36889, 832, 25, 70, "Text",
      CellTags->"108"]},
  "107"->{
    Cell[352361, 11151, 664, 20, 70, "Assumption",
      CellTags->"107"],
    Cell[1150107, 36865, 707, 22, 70, "Text",
      CellTags->"107"]},
  "106"->{
    Cell[353667, 11196, 664, 20, 70, "Assumption",
      CellTags->"106"],
    Cell[1149397, 36841, 707, 22, 70, "Text",
      CellTags->"106"]},
  "105"->{
    Cell[354975, 11241, 702, 21, 70, "Assumption",
      CellTags->"105"],
    Cell[1148649, 36816, 745, 23, 70, "Text",
      CellTags->"105"]},
  "104"->{
    Cell[356321, 11287, 702, 21, 70, "Assumption",
      CellTags->"104"],
    Cell[1147901, 36791, 745, 23, 70, "Text",
      CellTags->"104"]},
  "103"->{
    Cell[357661, 11333, 742, 22, 70, "Assumption",
      CellTags->"103"],
    Cell[1147113, 36765, 785, 24, 70, "Text",
      CellTags->"103"]},
  "102"->{
    Cell[359039, 11380, 742, 22, 70, "Assumption",
      CellTags->"102"],
    Cell[1146325, 36739, 785, 24, 70, "Text",
      CellTags->"102"]},
  "101"->{
    Cell[360419, 11427, 827, 24, 70, "Assumption",
      CellTags->"101"],
    Cell[1145452, 36711, 870, 26, 70, "Text",
      CellTags->"101"]},
  "100"->{
    Cell[361884, 11476, 827, 24, 70, "Assumption",
      CellTags->"100"],
    Cell[1144579, 36683, 870, 26, 70, "Text",
      CellTags->"100"]},
  "99"->{
    Cell[363353, 11525, 700, 21, 70, "Assumption",
      CellTags->"99"],
    Cell[1854598, 58168, 743, 23, 70, "Text",
      CellTags->"99"]},
  "98"->{
    Cell[364695, 11571, 700, 21, 70, "Assumption",
      CellTags->"98"],
    Cell[1853852, 58143, 743, 23, 70, "Text",
      CellTags->"98"]},
  "97"->{
    Cell[366039, 11617, 932, 27, 70, "Assumption",
      CellTags->"97"],
    Cell[1852874, 58112, 975, 29, 70, "Text",
      CellTags->"97"]},
  "96"->{
    Cell[367615, 11669, 932, 27, 70, "Assumption",
      CellTags->"96"],
    Cell[1851896, 58081, 975, 29, 70, "Text",
      CellTags->"96"]},
  "95"->{
    Cell[369185, 11721, 1014, 29, 70, "Assumption",
      CellTags->"95"],
    Cell[1850836, 58048, 1057, 31, 70, "Text",
      CellTags->"95"]},
  "94"->{
    Cell[370835, 11775, 1014, 29, 70, "Assumption",
      CellTags->"94"],
    Cell[1849776, 58015, 1057, 31, 70, "Text",
      CellTags->"94"]},
  "93"->{
    Cell[372487, 11829, 1188, 33, 70, "Assumption",
      CellTags->"93"],
    Cell[1848542, 57978, 1231, 35, 70, "Text",
      CellTags->"93"]},
  "92"->{
    Cell[374313, 11887, 1188, 33, 70, "Assumption",
      CellTags->"92"],
    Cell[1847308, 57941, 1231, 35, 70, "Text",
      CellTags->"92"]},
  "91"->{
    Cell[376139, 11945, 1058, 30, 70, "Assumption",
      CellTags->"91"],
    Cell[1846204, 57907, 1101, 32, 70, "Text",
      CellTags->"91"]},
  "90"->{
    Cell[377839, 12000, 932, 27, 70, "Assumption",
      CellTags->"90"],
    Cell[1845226, 57876, 975, 29, 70, "Text",
      CellTags->"90"]},
  "89"->{
    Cell[379409, 12052, 974, 28, 70, "Assumption",
      CellTags->"89"],
    Cell[1842280, 57790, 1017, 30, 70, "Text",
      CellTags->"89"]},
  "88"->{
    Cell[381025, 12105, 932, 27, 70, "Assumption",
      CellTags->"88"],
    Cell[1841302, 57759, 975, 29, 70, "Text",
      CellTags->"88"]},
  "87"->{
    Cell[382601, 12157, 890, 26, 70, "Assumption",
      CellTags->"87"],
    Cell[1840366, 57729, 933, 28, 70, "Text",
      CellTags->"87"]},
  "86"->{
    Cell[384135, 12208, 890, 26, 70, "Assumption",
      CellTags->"86"],
    Cell[1839430, 57699, 933, 28, 70, "Text",
      CellTags->"86"]},
  "85"->{
    Cell[385663, 12259, 972, 28, 70, "Assumption",
      CellTags->"85"],
    Cell[1838412, 57667, 1015, 30, 70, "Text",
      CellTags->"85"]},
  "84"->{
    Cell[387271, 12312, 972, 28, 70, "Assumption",
      CellTags->"84"],
    Cell[1837394, 57635, 1015, 30, 70, "Text",
      CellTags->"84"]},
  "83"->{
    Cell[388881, 12365, 1146, 32, 70, "Assumption",
      CellTags->"83"],
    Cell[1836202, 57599, 1189, 34, 70, "Text",
      CellTags->"83"]},
  "82"->{
    Cell[390665, 12422, 1146, 32, 70, "Assumption",
      CellTags->"82"],
    Cell[1835010, 57563, 1189, 34, 70, "Text",
      CellTags->"82"]},
  "81"->{
    Cell[392449, 12479, 1014, 29, 70, "Assumption",
      CellTags->"81"],
    Cell[1833950, 57530, 1057, 31, 70, "Text",
      CellTags->"81"]},
  "80"->{
    Cell[394105, 12533, 890, 26, 70, "Assumption",
      CellTags->"80"],
    Cell[1833014, 57500, 933, 28, 70, "Text",
      CellTags->"80"]},
  "79"->{
    Cell[395633, 12584, 930, 27, 70, "Assumption",
      CellTags->"79"],
    Cell[1831448, 57449, 973, 29, 70, "Text",
      CellTags->"79"]},
  "78"->{
    Cell[397205, 12636, 890, 26, 70, "Assumption",
      CellTags->"78"],
    Cell[1830512, 57419, 933, 28, 70, "Text",
      CellTags->"78"]},
  "209"->{
    Cell[430750, 13814, 732, 21, 70, "Assumption",
      CellTags->"209"],
    Cell[1291475, 41121, 775, 23, 70, "Text",
      CellTags->"209"]},
  "210"->{
    Cell[432789, 13883, 800, 23, 70, "Assumption",
      CellTags->"210"],
    Cell[1293596, 41186, 843, 25, 70, "Text",
      CellTags->"210"]},
  "211"->{
    Cell[435551, 13977, 1016, 29, 70, "Assumption",
      CellTags->"211"],
    Cell[1294442, 41213, 1059, 31, 70, "Text",
      CellTags->"211"]},
  "212"->{
    Cell[437874, 14054, 934, 27, 70, "Assumption",
      CellTags->"212"],
    Cell[1295504, 41246, 977, 29, 70, "Text",
      CellTags->"212"]},
  "213"->{
    Cell[440115, 14129, 934, 27, 70, "Assumption",
      CellTags->"213"],
    Cell[1296484, 41277, 977, 29, 70, "Text",
      CellTags->"213"]},
  "214"->{
    Cell[442356, 14204, 1257, 36, 70, "Assumption",
      CellTags->"214"],
    Cell[1297464, 41308, 1300, 38, 70, "Text",
      CellTags->"214"]},
  "215"->{
    Cell[444271, 14265, 758, 22, 70, "Assumption",
      CellTags->"215"],
    Cell[1298767, 41348, 801, 24, 70, "Text",
      CellTags->"215"]},
  "216"->{
    Cell[446997, 14358, 974, 28, 70, "Assumption",
      CellTags->"216"],
    Cell[1299571, 41374, 1017, 30, 70, "Text",
      CellTags->"216"]},
  "217"->{
    Cell[449284, 14434, 974, 28, 70, "Assumption",
      CellTags->"217"],
    Cell[1300591, 41406, 1017, 30, 70, "Text",
      CellTags->"217"]},
  "218"->{
    Cell[451573, 14510, 892, 26, 70, "Assumption",
      CellTags->"218"],
    Cell[1301611, 41438, 935, 28, 70, "Text",
      CellTags->"218"]},
  "219"->{
    Cell[453778, 14584, 1211, 35, 70, "Assumption",
      CellTags->"219"],
    Cell[1302549, 41468, 1254, 37, 70, "Text",
      CellTags->"219"]},
  "220"->{
    Cell[455402, 14635, 913, 27, 70, "Assumption",
      CellTags->"220"],
    Cell[1305061, 41545, 956, 29, 70, "Text",
      CellTags->"220"]},
  "221"->{
    Cell[456728, 14678, 955, 28, 70, "Assumption",
      CellTags->"221"],
    Cell[1307284, 41619, 998, 30, 70, "Text",
      CellTags->"221"]},
  "239"->{
    Cell[458321, 14731, 1216, 35, 70, "Assumption",
      CellTags->"239"],
    Cell[1330724, 42341, 1259, 37, 70, "Text",
      CellTags->"239"]},
  "238"->{
    Cell[460183, 14791, 1172, 34, 70, "Assumption",
      CellTags->"238"],
    Cell[1329506, 42303, 1215, 36, 70, "Text",
      CellTags->"238"]},
  "237"->{
    Cell[461995, 14850, 1148, 32, 70, "Assumption",
      CellTags->"237"],
    Cell[1328312, 42267, 1191, 34, 70, "Text",
      CellTags->"237"]},
  "236"->{
    Cell[463783, 14907, 934, 27, 70, "Assumption",
      CellTags->"236"],
    Cell[1327332, 42236, 977, 29, 70, "Text",
      CellTags->"236"]},
  "235"->{
    Cell[465357, 14959, 1016, 29, 70, "Assumption",
      CellTags->"235"],
    Cell[1326270, 42203, 1059, 31, 70, "Text",
      CellTags->"235"]},
  "234"->{
    Cell[467013, 15013, 1190, 33, 70, "Assumption",
      CellTags->"234"],
    Cell[1325034, 42166, 1233, 35, 70, "Text",
      CellTags->"234"]},
  "233"->{
    Cell[468843, 15071, 1309, 37, 70, "Assumption",
      CellTags->"233"],
    Cell[1323679, 42125, 1352, 39, 70, "Text",
      CellTags->"233"]},
  "232"->{
    Cell[470792, 15133, 1148, 32, 70, "Assumption",
      CellTags->"232"],
    Cell[1322485, 42089, 1191, 34, 70, "Text",
      CellTags->"232"]},
  "231"->{
    Cell[472580, 15190, 1190, 33, 70, "Assumption",
      CellTags->"231"],
    Cell[1321249, 42052, 1233, 35, 70, "Text",
      CellTags->"231"]},
  "230"->{
    Cell[474410, 15248, 1309, 37, 70, "Assumption",
      CellTags->"230"],
    Cell[1319894, 42011, 1352, 39, 70, "Text",
      CellTags->"230"]},
  "229"->{
    Cell[476359, 15310, 974, 28, 70, "Assumption",
      CellTags->"229"],
    Cell[1317619, 41941, 1017, 30, 70, "Text",
      CellTags->"229"]},
  "228"->{
    Cell[477973, 15363, 1016, 29, 70, "Assumption",
      CellTags->"228"],
    Cell[1316557, 41908, 1059, 31, 70, "Text",
      CellTags->"228"]},
  "227"->{
    Cell[479629, 15417, 1546, 42, 70, "Assumption",
      CellTags->"227"],
    Cell[1314965, 41862, 1589, 44, 70, "Text",
      CellTags->"227"]},
  "226"->{
    Cell[481815, 15484, 892, 26, 70, "Assumption",
      CellTags->"226"],
    Cell[1314027, 41832, 935, 28, 70, "Text",
      CellTags->"226"]},
  "225"->{
    Cell[483347, 15535, 934, 27, 70, "Assumption",
      CellTags->"225"],
    Cell[1313047, 41801, 977, 29, 70, "Text",
      CellTags->"225"]},
  "224"->{
    Cell[484927, 15587, 1496, 41, 70, "Assumption",
      CellTags->"224"],
    Cell[1311505, 41756, 1539, 43, 70, "Text",
      CellTags->"224"]},
  "223"->{
    Cell[487063, 15653, 892, 26, 70, "Assumption",
      CellTags->"223"],
    Cell[1310567, 41726, 935, 28, 70, "Text",
      CellTags->"223"]},
  "222"->{
    Cell[488595, 15704, 934, 27, 70, "Assumption",
      CellTags->"222"],
    Cell[1309587, 41695, 977, 29, 70, "Text",
      CellTags->"222"]},
  "576"->{
    Cell[501289, 16147, 958, 28, 70, "Assumption",
      CellTags->"576"],
    Cell[1804682, 56601, 1001, 30, 70, "Text",
      CellTags->"576"]},
  "575"->{
    Cell[502893, 16200, 958, 28, 70, "Assumption",
      CellTags->"575"],
    Cell[1803678, 56569, 1001, 30, 70, "Text",
      CellTags->"575"]},
  "574"->{
    Cell[504491, 16253, 1000, 29, 70, "Assumption",
      CellTags->"574"],
    Cell[1802632, 56536, 1043, 31, 70, "Text",
      CellTags->"574"]},
  "573"->{
    Cell[506129, 16307, 1000, 29, 70, "Assumption",
      CellTags->"573"],
    Cell[1801586, 56503, 1043, 31, 70, "Text",
      CellTags->"573"]},
  "572"->{
    Cell[507769, 16361, 1094, 32, 70, "Assumption",
      CellTags->"572"],
    Cell[1800451, 56468, 1132, 33, 70, "Text",
      CellTags->"572"]},
  "571"->{
    Cell[509503, 16418, 1094, 32, 70, "Assumption",
      CellTags->"571"],
    Cell[1799316, 56433, 1132, 33, 70, "Text",
      CellTags->"571"]},
  "570"->{
    Cell[511241, 16475, 958, 28, 70, "Assumption",
      CellTags->"570"],
    Cell[1798312, 56401, 1001, 30, 70, "Text",
      CellTags->"570"]},
  "569"->{
    Cell[512843, 16528, 958, 28, 70, "Assumption",
      CellTags->"569"],
    Cell[1796053, 56330, 1001, 30, 70, "Text",
      CellTags->"569"]},
  "568"->{
    Cell[514447, 16581, 878, 26, 70, "Assumption",
      CellTags->"568"],
    Cell[1795129, 56300, 921, 28, 70, "Text",
      CellTags->"568"]},
  "567"->{
    Cell[515971, 16632, 878, 26, 70, "Assumption",
      CellTags->"567"],
    Cell[1794205, 56270, 921, 28, 70, "Text",
      CellTags->"567"]},
  "566"->{
    Cell[517489, 16683, 920, 27, 70, "Assumption",
      CellTags->"566"],
    Cell[1793239, 56239, 963, 29, 70, "Text",
      CellTags->"566"]},
  "565"->{
    Cell[519047, 16735, 920, 27, 70, "Assumption",
      CellTags->"565"],
    Cell[1792273, 56208, 963, 29, 70, "Text",
      CellTags->"565"]},
  "564"->{
    Cell[520607, 16787, 1014, 30, 70, "Assumption",
      CellTags->"564"],
    Cell[1791218, 56175, 1052, 31, 70, "Text",
      CellTags->"564"]},
  "563"->{
    Cell[522261, 16842, 1014, 30, 70, "Assumption",
      CellTags->"563"],
    Cell[1790163, 56142, 1052, 31, 70, "Text",
      CellTags->"563"]},
  "562"->{
    Cell[523919, 16897, 878, 26, 70, "Assumption",
      CellTags->"562"],
    Cell[1789239, 56112, 921, 28, 70, "Text",
      CellTags->"562"]},
  "561"->{
    Cell[525441, 16948, 878, 26, 70, "Assumption",
      CellTags->"561"],
    Cell[1788315, 56082, 921, 28, 70, "Text",
      CellTags->"561"]},
  "560"->{
    Cell[527021, 16999, 828, 23, 70, "Assumption",
      CellTags->"560"],
    Cell[1787441, 56055, 871, 25, 70, "Text",
      CellTags->"560"]},
  "559"->{
    Cell[528535, 17047, 1972, 54, 70, "Assumption",
      CellTags->"559"],
    Cell[1784865, 55979, 2010, 55, 70, "Text",
      CellTags->"559"]},
  "558"->{
    Cell[531193, 17126, 2110, 54, 70, "Assumption",
      CellTags->"558"],
    Cell[1782709, 55921, 2153, 56, 70, "Text",
      CellTags->"558"]},
  "557"->{
    Cell[533967, 17205, 1283, 35, 70, "Assumption",
      CellTags->"557"],
    Cell[1781380, 55882, 1326, 37, 70, "Text",
      CellTags->"557"]},
  "556"->{
    Cell[535932, 17265, 2492, 62, 70, "Assumption",
      CellTags->"556"],
    Cell[1778842, 55816, 2535, 64, 70, "Text",
      CellTags->"556"]},
  "555"->{
    Cell[539064, 17352, 1178, 33, 70, "Assumption",
      CellTags->"555"],
    Cell[1777618, 55779, 1221, 35, 70, "Text",
      CellTags->"555"]},
  "554"->{
    Cell[540880, 17410, 1719, 46, 70, "Assumption",
      CellTags->"554"],
    Cell[1775853, 55729, 1762, 48, 70, "Text",
      CellTags->"554"]},
  "553"->{
    Cell[543237, 17481, 1178, 33, 70, "Assumption",
      CellTags->"553"],
    Cell[1774629, 55692, 1221, 35, 70, "Text",
      CellTags->"553"]},
  "552"->{
    Cell[545053, 17539, 1719, 46, 70, "Assumption",
      CellTags->"552"],
    Cell[1772864, 55642, 1762, 48, 70, "Text",
      CellTags->"552"]},
  "551"->{
    Cell[547412, 17610, 1260, 35, 70, "Assumption",
      CellTags->"551"],
    Cell[1771558, 55603, 1303, 37, 70, "Text",
      CellTags->"551"]},
  "550"->{
    Cell[549312, 17670, 1807, 48, 70, "Assumption",
      CellTags->"550"],
    Cell[1769705, 55551, 1850, 50, 70, "Text",
      CellTags->"550"]},
  "549"->{
    Cell[551759, 17743, 1260, 35, 70, "Assumption",
      CellTags->"549"],
    Cell[1767839, 55493, 1303, 37, 70, "Text",
      CellTags->"549"]},
  "548"->{
    Cell[553659, 17803, 1807, 48, 70, "Assumption",
      CellTags->"548"],
    Cell[1765986, 55441, 1850, 50, 70, "Text",
      CellTags->"548"]},
  "547"->{
    Cell[556106, 17876, 887, 26, 70, "Assumption",
      CellTags->"547"],
    Cell[1765053, 55411, 930, 28, 70, "Text",
      CellTags->"547"]},
  "546"->{
    Cell[557633, 17927, 925, 27, 70, "Assumption",
      CellTags->"546"],
    Cell[1764082, 55380, 968, 29, 70, "Text",
      CellTags->"546"]},
  "545"->{
    Cell[559198, 17979, 1398, 39, 70, "Assumption",
      CellTags->"545"],
    Cell[1762638, 55337, 1441, 41, 70, "Text",
      CellTags->"545"]},
  "544"->{
    Cell[561236, 18043, 1356, 38, 70, "Assumption",
      CellTags->"544"],
    Cell[1761236, 55295, 1399, 40, 70, "Text",
      CellTags->"544"]},
  "543"->{
    Cell[563234, 18106, 1201, 34, 70, "Assumption",
      CellTags->"543"],
    Cell[1759989, 55257, 1244, 36, 70, "Text",
      CellTags->"543"]},
  "542"->{
    Cell[565077, 18165, 1121, 32, 70, "Assumption",
      CellTags->"542"],
    Cell[1758822, 55221, 1164, 34, 70, "Text",
      CellTags->"542"]},
  "541"->{
    Cell[566844, 18222, 1179, 33, 70, "Assumption",
      CellTags->"541"],
    Cell[1757597, 55184, 1222, 35, 70, "Text",
      CellTags->"541"]},
  "540"->{
    Cell[568669, 18280, 1179, 33, 70, "Assumption",
      CellTags->"540"],
    Cell[1756372, 55147, 1222, 35, 70, "Text",
      CellTags->"540"]},
  "539"->{
    Cell[570488, 18338, 1223, 34, 70, "Assumption",
      CellTags->"539"],
    Cell[1753802, 55069, 1266, 36, 70, "Text",
      CellTags->"539"]},
  "538"->{
    Cell[572349, 18397, 1223, 34, 70, "Assumption",
      CellTags->"538"],
    Cell[1752533, 55031, 1266, 36, 70, "Text",
      CellTags->"538"]},
  "537"->{
    Cell[574212, 18456, 1325, 37, 70, "Assumption",
      CellTags->"537"],
    Cell[1751162, 54990, 1368, 39, 70, "Text",
      CellTags->"537"]},
  "536"->{
    Cell[576177, 18518, 1325, 37, 70, "Assumption",
      CellTags->"536"],
    Cell[1749791, 54949, 1368, 39, 70, "Text",
      CellTags->"536"]},
  "535"->{
    Cell[578146, 18580, 1179, 33, 70, "Assumption",
      CellTags->"535"],
    Cell[1748566, 54912, 1222, 35, 70, "Text",
      CellTags->"535"]},
  "534"->{
    Cell[579969, 18638, 1179, 33, 70, "Assumption",
      CellTags->"534"],
    Cell[1747341, 54875, 1222, 35, 70, "Text",
      CellTags->"534"]},
  "533"->{
    Cell[581790, 18696, 1434, 39, 70, "Assumption",
      CellTags->"533"],
    Cell[1745861, 54832, 1477, 41, 70, "Text",
      CellTags->"533"]},
  "532"->{
    Cell[583870, 18760, 1494, 41, 70, "Assumption",
      CellTags->"532"],
    Cell[1744321, 54787, 1537, 43, 70, "Text",
      CellTags->"532"]},
  "531"->{
    Cell[586010, 18826, 1494, 41, 70, "Assumption",
      CellTags->"531"],
    Cell[1742781, 54742, 1537, 43, 70, "Text",
      CellTags->"531"]},
  "530"->{
    Cell[588144, 18892, 1582, 43, 70, "Assumption",
      CellTags->"530"],
    Cell[1741153, 54695, 1625, 45, 70, "Text",
      CellTags->"530"]},
  "529"->{
    Cell[590364, 18960, 1582, 43, 70, "Assumption",
      CellTags->"529"],
    Cell[1738927, 54628, 1625, 45, 70, "Text",
      CellTags->"529"]},
  "528"->{
    Cell[592586, 19028, 1773, 48, 70, "Assumption",
      CellTags->"528"],
    Cell[1737108, 54576, 1816, 50, 70, "Text",
      CellTags->"528"]},
  "527"->{
    Cell[594999, 19101, 1773, 48, 70, "Assumption",
      CellTags->"527"],
    Cell[1735289, 54524, 1816, 50, 70, "Text",
      CellTags->"527"]},
  "526"->{
    Cell[597412, 19174, 1563, 43, 70, "Assumption",
      CellTags->"526"],
    Cell[1733680, 54477, 1606, 45, 70, "Text",
      CellTags->"526"]},
  "525"->{
    Cell[599619, 19242, 1494, 41, 70, "Assumption",
      CellTags->"525"],
    Cell[1732140, 54432, 1537, 43, 70, "Text",
      CellTags->"525"]},
  "524"->{
    Cell[601753, 19308, 1477, 41, 70, "Assumption",
      CellTags->"524"],
    Cell[1730617, 54387, 1520, 43, 70, "Text",
      CellTags->"524"]},
  "523"->{
    Cell[603874, 19374, 1494, 41, 70, "Assumption",
      CellTags->"523"],
    Cell[1729077, 54342, 1537, 43, 70, "Text",
      CellTags->"523"]},
  "522"->{
    Cell[606010, 19440, 2002, 53, 70, "Assumption",
      CellTags->"522"],
    Cell[1727029, 54285, 2045, 55, 70, "Text",
      CellTags->"522"]},
  "521"->{
    Cell[608714, 19518, 828, 23, 70, "Assumption",
      CellTags->"521"],
    Cell[1726155, 54258, 871, 25, 70, "Text",
      CellTags->"521"]},
  "520"->{
    Cell[610228, 19566, 1972, 54, 70, "Assumption",
      CellTags->"520"],
    Cell[1724142, 54201, 2010, 55, 70, "Text",
      CellTags->"520"]},
  "519"->{
    Cell[612886, 19645, 2110, 54, 70, "Assumption",
      CellTags->"519"],
    Cell[1721142, 54116, 2153, 56, 70, "Text",
      CellTags->"519"]},
  "518"->{
    Cell[615660, 19724, 1283, 35, 70, "Assumption",
      CellTags->"518"],
    Cell[1719813, 54077, 1326, 37, 70, "Text",
      CellTags->"518"]},
  "517"->{
    Cell[617625, 19784, 2492, 62, 70, "Assumption",
      CellTags->"517"],
    Cell[1717275, 54011, 2535, 64, 70, "Text",
      CellTags->"517"]},
  "516"->{
    Cell[620757, 19871, 1178, 33, 70, "Assumption",
      CellTags->"516"],
    Cell[1716051, 53974, 1221, 35, 70, "Text",
      CellTags->"516"]},
  "515"->{
    Cell[622573, 19929, 1719, 46, 70, "Assumption",
      CellTags->"515"],
    Cell[1714286, 53924, 1762, 48, 70, "Text",
      CellTags->"515"]},
  "514"->{
    Cell[624930, 20000, 1178, 33, 70, "Assumption",
      CellTags->"514"],
    Cell[1713062, 53887, 1221, 35, 70, "Text",
      CellTags->"514"]},
  "513"->{
    Cell[626746, 20058, 1719, 46, 70, "Assumption",
      CellTags->"513"],
    Cell[1711297, 53837, 1762, 48, 70, "Text",
      CellTags->"513"]},
  "512"->{
    Cell[629105, 20129, 1260, 35, 70, "Assumption",
      CellTags->"512"],
    Cell[1709991, 53798, 1303, 37, 70, "Text",
      CellTags->"512"]},
  "511"->{
    Cell[631005, 20189, 1807, 48, 70, "Assumption",
      CellTags->"511"],
    Cell[1708138, 53746, 1850, 50, 70, "Text",
      CellTags->"511"]},
  "510"->{
    Cell[633452, 20262, 1260, 35, 70, "Assumption",
      CellTags->"510"],
    Cell[1706832, 53707, 1303, 37, 70, "Text",
      CellTags->"510"]},
  "509"->{
    Cell[635352, 20322, 1807, 48, 70, "Assumption",
      CellTags->"509"],
    Cell[1704135, 53628, 1850, 50, 70, "Text",
      CellTags->"509"]},
  "508"->{
    Cell[637799, 20395, 887, 26, 70, "Assumption",
      CellTags->"508"],
    Cell[1703202, 53598, 930, 28, 70, "Text",
      CellTags->"508"]},
  "507"->{
    Cell[639326, 20446, 925, 27, 70, "Assumption",
      CellTags->"507"],
    Cell[1702231, 53567, 968, 29, 70, "Text",
      CellTags->"507"]},
  "506"->{
    Cell[640891, 20498, 1398, 39, 70, "Assumption",
      CellTags->"506"],
    Cell[1700787, 53524, 1441, 41, 70, "Text",
      CellTags->"506"]},
  "505"->{
    Cell[642929, 20562, 1356, 38, 70, "Assumption",
      CellTags->"505"],
    Cell[1699385, 53482, 1399, 40, 70, "Text",
      CellTags->"505"]},
  "504"->{
    Cell[644927, 20625, 1201, 34, 70, "Assumption",
      CellTags->"504"],
    Cell[1698138, 53444, 1244, 36, 70, "Text",
      CellTags->"504"]},
  "503"->{
    Cell[646770, 20684, 1121, 32, 70, "Assumption",
      CellTags->"503"],
    Cell[1696971, 53408, 1164, 34, 70, "Text",
      CellTags->"503"]},
  "502"->{
    Cell[648533, 20741, 1434, 39, 70, "Assumption",
      CellTags->"502"],
    Cell[1695491, 53365, 1477, 41, 70, "Text",
      CellTags->"502"]},
  "501"->{
    Cell[650609, 20805, 2002, 53, 70, "Assumption",
      CellTags->"501"],
    Cell[1693443, 53308, 2045, 55, 70, "Text",
      CellTags->"501"]},
  "500"->{
    Cell[653257, 20883, 1179, 33, 70, "Assumption",
      CellTags->"500"],
    Cell[1692218, 53271, 1222, 35, 70, "Text",
      CellTags->"500"]},
  "499"->{
    Cell[655082, 20941, 1179, 33, 70, "Assumption",
      CellTags->"499"],
    Cell[1689414, 53183, 1222, 35, 70, "Text",
      CellTags->"499"]},
  "498"->{
    Cell[656901, 20999, 1223, 34, 70, "Assumption",
      CellTags->"498"],
    Cell[1688145, 53145, 1266, 36, 70, "Text",
      CellTags->"498"]},
  "497"->{
    Cell[658762, 21058, 1223, 34, 70, "Assumption",
      CellTags->"497"],
    Cell[1686876, 53107, 1266, 36, 70, "Text",
      CellTags->"497"]},
  "496"->{
    Cell[660625, 21117, 1325, 37, 70, "Assumption",
      CellTags->"496"],
    Cell[1685505, 53066, 1368, 39, 70, "Text",
      CellTags->"496"]},
  "495"->{
    Cell[662590, 21179, 1325, 37, 70, "Assumption",
      CellTags->"495"],
    Cell[1684134, 53025, 1368, 39, 70, "Text",
      CellTags->"495"]},
  "494"->{
    Cell[664559, 21241, 1179, 33, 70, "Assumption",
      CellTags->"494"],
    Cell[1682909, 52988, 1222, 35, 70, "Text",
      CellTags->"494"]},
  "493"->{
    Cell[666382, 21299, 1179, 33, 70, "Assumption",
      CellTags->"493"],
    Cell[1681684, 52951, 1222, 35, 70, "Text",
      CellTags->"493"]},
  "492"->{
    Cell[668203, 21357, 1434, 39, 70, "Assumption",
      CellTags->"492"],
    Cell[1680204, 52908, 1477, 41, 70, "Text",
      CellTags->"492"]},
  "491"->{
    Cell[670279, 21421, 1434, 39, 70, "Assumption",
      CellTags->"491"],
    Cell[1678724, 52865, 1477, 41, 70, "Text",
      CellTags->"491"]},
  "490"->{
    Cell[672359, 21485, 1494, 41, 70, "Assumption",
      CellTags->"490"],
    Cell[1677184, 52820, 1537, 43, 70, "Text",
      CellTags->"490"]},
  "489"->{
    Cell[674499, 21551, 1494, 41, 70, "Assumption",
      CellTags->"489"],
    Cell[1674778, 52748, 1537, 43, 70, "Text",
      CellTags->"489"]},
  "488"->{
    Cell[676633, 21617, 1582, 43, 70, "Assumption",
      CellTags->"488"],
    Cell[1673150, 52701, 1625, 45, 70, "Text",
      CellTags->"488"]},
  "487"->{
    Cell[678853, 21685, 1582, 43, 70, "Assumption",
      CellTags->"487"],
    Cell[1671522, 52654, 1625, 45, 70, "Text",
      CellTags->"487"]},
  "486"->{
    Cell[681075, 21753, 1773, 48, 70, "Assumption",
      CellTags->"486"],
    Cell[1669703, 52602, 1816, 50, 70, "Text",
      CellTags->"486"]},
  "485"->{
    Cell[683488, 21826, 1773, 48, 70, "Assumption",
      CellTags->"485"],
    Cell[1667884, 52550, 1816, 50, 70, "Text",
      CellTags->"485"]},
  "484"->{
    Cell[685901, 21899, 1563, 43, 70, "Assumption",
      CellTags->"484"],
    Cell[1666275, 52503, 1606, 45, 70, "Text",
      CellTags->"484"]},
  "483"->{
    Cell[688108, 21967, 1494, 41, 70, "Assumption",
      CellTags->"483"],
    Cell[1664735, 52458, 1537, 43, 70, "Text",
      CellTags->"483"]},
  "482"->{
    Cell[690242, 22033, 1477, 41, 70, "Assumption",
      CellTags->"482"],
    Cell[1663212, 52413, 1520, 43, 70, "Text",
      CellTags->"482"]},
  "481"->{
    Cell[692363, 22099, 1494, 41, 70, "Assumption",
      CellTags->"481"],
    Cell[1661672, 52368, 1537, 43, 70, "Text",
      CellTags->"481"]},
  "480"->{
    Cell[694499, 22165, 2002, 53, 70, "Assumption",
      CellTags->"480"],
    Cell[1659624, 52311, 2045, 55, 70, "Text",
      CellTags->"480"]},
  "479"->{
    Cell[697143, 22243, 2002, 53, 70, "Assumption",
      CellTags->"479"],
    Cell[1655996, 52207, 2045, 55, 70, "Text",
      CellTags->"479"]},
  "478"->{
    Cell[699791, 22321, 1128, 32, 70, "Assumption",
      CellTags->"478"],
    Cell[1654822, 52171, 1171, 34, 70, "Text",
      CellTags->"478"]},
  "477"->{
    Cell[701565, 22378, 1128, 32, 70, "Assumption",
      CellTags->"477"],
    Cell[1653648, 52135, 1171, 34, 70, "Text",
      CellTags->"477"]},
  "476"->{
    Cell[703333, 22435, 1170, 33, 70, "Assumption",
      CellTags->"476"],
    Cell[1652432, 52098, 1213, 35, 70, "Text",
      CellTags->"476"]},
  "475"->{
    Cell[705141, 22493, 1170, 33, 70, "Assumption",
      CellTags->"475"],
    Cell[1651216, 52061, 1213, 35, 70, "Text",
      CellTags->"475"]},
  "474"->{
    Cell[706951, 22551, 1264, 36, 70, "Assumption",
      CellTags->"474"],
    Cell[1649911, 52022, 1302, 37, 70, "Text",
      CellTags->"474"]},
  "473"->{
    Cell[708855, 22612, 1264, 36, 70, "Assumption",
      CellTags->"473"],
    Cell[1648606, 51983, 1302, 37, 70, "Text",
      CellTags->"473"]},
  "472"->{
    Cell[710763, 22673, 1128, 32, 70, "Assumption",
      CellTags->"472"],
    Cell[1647432, 51947, 1171, 34, 70, "Text",
      CellTags->"472"]},
  "471"->{
    Cell[712535, 22730, 1128, 32, 70, "Assumption",
      CellTags->"471"],
    Cell[1646258, 51911, 1171, 34, 70, "Text",
      CellTags->"471"]},
  "470"->{
    Cell[714305, 22787, 1371, 38, 70, "Assumption",
      CellTags->"470"],
    Cell[1644841, 51869, 1414, 40, 70, "Text",
      CellTags->"470"]},
  "469"->{
    Cell[716318, 22850, 1371, 38, 70, "Assumption",
      CellTags->"469"],
    Cell[1642324, 51793, 1414, 40, 70, "Text",
      CellTags->"469"]},
  "468"->{
    Cell[718375, 22913, 1926, 52, 70, "Assumption",
      CellTags->"468"],
    Cell[1640352, 51737, 1969, 54, 70, "Text",
      CellTags->"468"]},
  "467"->{
    Cell[720965, 22990, 1286, 35, 70, "Assumption",
      CellTags->"467"],
    Cell[1639020, 51698, 1329, 37, 70, "Text",
      CellTags->"467"]},
  "466"->{
    Cell[722951, 23050, 1732, 48, 70, "Assumption",
      CellTags->"466"],
    Cell[1637247, 51647, 1770, 49, 70, "Text",
      CellTags->"466"]},
  "465"->{
    Cell[725373, 23123, 1014, 29, 70, "Assumption",
      CellTags->"465"],
    Cell[1636187, 51614, 1057, 31, 70, "Text",
      CellTags->"465"]},
  "464"->{
    Cell[727031, 23177, 760, 22, 70, "Assumption",
      CellTags->"464"],
    Cell[1635381, 51588, 803, 24, 70, "Text",
      CellTags->"464"]},
  "463"->{
    Cell[728497, 23224, 548, 16, 70, "Assumption",
      CellTags->"463"],
    Cell[1634787, 51568, 591, 18, 70, "Text",
      CellTags->"463"]},
  "462"->{
    Cell[729735, 23265, 1466, 42, 70, "Assumption",
      CellTags->"462"],
    Cell[1633280, 51523, 1504, 43, 70, "Text",
      CellTags->"462"]},
  "461"->{
    Cell[731891, 23332, 1540, 42, 70, "Assumption",
      CellTags->"461"],
    Cell[1631694, 51477, 1583, 44, 70, "Text",
      CellTags->"461"]},
  "460"->{
    Cell[734099, 23399, 766, 22, 70, "Assumption",
      CellTags->"460"],
    Cell[1630882, 51451, 809, 24, 70, "Text",
      CellTags->"460"]},
  "459"->{
    Cell[735551, 23446, 1884, 50, 70, "Assumption",
      CellTags->"459"],
    Cell[1628279, 51375, 1927, 52, 70, "Text",
      CellTags->"459"]},
  "458"->{
    Cell[738079, 23521, 923, 27, 70, "Assumption",
      CellTags->"458"],
    Cell[1627310, 51344, 966, 29, 70, "Text",
      CellTags->"458"]},
  "457"->{
    Cell[739644, 23573, 1211, 34, 70, "Assumption",
      CellTags->"457"],
    Cell[1626053, 51306, 1254, 36, 70, "Text",
      CellTags->"457"]},
  "456"->{
    Cell[741497, 23632, 923, 27, 70, "Assumption",
      CellTags->"456"],
    Cell[1625084, 51275, 966, 29, 70, "Text",
      CellTags->"456"]},
  "455"->{
    Cell[743062, 23684, 1211, 34, 70, "Assumption",
      CellTags->"455"],
    Cell[1623827, 51237, 1254, 36, 70, "Text",
      CellTags->"455"]},
  "454"->{
    Cell[744917, 23743, 1005, 29, 70, "Assumption",
      CellTags->"454"],
    Cell[1622776, 51204, 1048, 31, 70, "Text",
      CellTags->"454"]},
  "453"->{
    Cell[746566, 23797, 1299, 36, 70, "Assumption",
      CellTags->"453"],
    Cell[1621431, 51164, 1342, 38, 70, "Text",
      CellTags->"453"]},
  "452"->{
    Cell[748509, 23858, 1005, 29, 70, "Assumption",
      CellTags->"452"],
    Cell[1620380, 51131, 1048, 31, 70, "Text",
      CellTags->"452"]},
  "451"->{
    Cell[750158, 23912, 1299, 36, 70, "Assumption",
      CellTags->"451"],
    Cell[1619035, 51091, 1342, 38, 70, "Text",
      CellTags->"451"]},
  "450"->{
    Cell[752101, 23973, 664, 20, 70, "Assumption",
      CellTags->"450"],
    Cell[1618325, 51067, 707, 22, 70, "Text",
      CellTags->"450"]},
  "449"->{
    Cell[753409, 24018, 702, 21, 70, "Assumption",
      CellTags->"449"],
    Cell[1615984, 50995, 745, 23, 70, "Text",
      CellTags->"449"]},
  "448"->{
    Cell[754755, 24064, 934, 27, 70, "Assumption",
      CellTags->"448"],
    Cell[1615004, 50964, 977, 29, 70, "Text",
      CellTags->"448"]},
  "447"->{
    Cell[756333, 24116, 892, 26, 70, "Assumption",
      CellTags->"447"],
    Cell[1614066, 50934, 935, 28, 70, "Text",
      CellTags->"447"]},
  "446"->{
    Cell[757871, 24167, 958, 28, 70, "Assumption",
      CellTags->"446"],
    Cell[1613062, 50902, 1001, 30, 70, "Text",
      CellTags->"446"]},
  "445"->{
    Cell[759475, 24220, 878, 26, 70, "Assumption",
      CellTags->"445"],
    Cell[1612138, 50872, 921, 28, 70, "Text",
      CellTags->"445"]},
  "444"->{
    Cell[760999, 24271, 1179, 33, 70, "Assumption",
      CellTags->"444"],
    Cell[1610913, 50835, 1222, 35, 70, "Text",
      CellTags->"444"]},
  "443"->{
    Cell[762824, 24329, 1494, 41, 70, "Assumption",
      CellTags->"443"],
    Cell[1609373, 50790, 1537, 43, 70, "Text",
      CellTags->"443"]},
  "442"->{
    Cell[764964, 24395, 1179, 33, 70, "Assumption",
      CellTags->"442"],
    Cell[1608148, 50753, 1222, 35, 70, "Text",
      CellTags->"442"]},
  "441"->{
    Cell[766789, 24453, 1494, 41, 70, "Assumption",
      CellTags->"441"],
    Cell[1606608, 50708, 1537, 43, 70, "Text",
      CellTags->"441"]},
  "440"->{
    Cell[768929, 24519, 1128, 32, 70, "Assumption",
      CellTags->"440"],
    Cell[1605434, 50672, 1171, 34, 70, "Text",
      CellTags->"440"]},
  "439"->{
    Cell[770703, 24576, 1265, 35, 70, "Assumption",
      CellTags->"439"],
    Cell[1602441, 50585, 1308, 37, 70, "Text",
      CellTags->"439"]},
  "438"->{
    Cell[772614, 24636, 1265, 35, 70, "Assumption",
      CellTags->"438"],
    Cell[1601130, 50546, 1308, 37, 70, "Text",
      CellTags->"438"]},
  "437"->{
    Cell[774519, 24696, 1355, 37, 70, "Assumption",
      CellTags->"437"],
    Cell[1599729, 50505, 1398, 39, 70, "Text",
      CellTags->"437"]},
  "436"->{
    Cell[776512, 24758, 1355, 37, 70, "Assumption",
      CellTags->"436"],
    Cell[1598328, 50464, 1398, 39, 70, "Text",
      CellTags->"436"]},
  "435"->{
    Cell[778507, 24820, 1550, 42, 70, "Assumption",
      CellTags->"435"],
    Cell[1596732, 50418, 1593, 44, 70, "Text",
      CellTags->"435"]},
  "434"->{
    Cell[780697, 24887, 1550, 42, 70, "Assumption",
      CellTags->"434"],
    Cell[1595136, 50372, 1593, 44, 70, "Text",
      CellTags->"434"]},
  "433"->{
    Cell[782887, 24954, 1316, 37, 70, "Assumption",
      CellTags->"433"],
    Cell[1593774, 50331, 1359, 39, 70, "Text",
      CellTags->"433"]},
  "432"->{
    Cell[784847, 25016, 1265, 35, 70, "Assumption",
      CellTags->"432"],
    Cell[1592463, 50292, 1308, 37, 70, "Text",
      CellTags->"432"]},
  "431"->{
    Cell[786752, 25076, 1230, 35, 70, "Assumption",
      CellTags->"431"],
    Cell[1591187, 50253, 1273, 37, 70, "Text",
      CellTags->"431"]},
  "430"->{
    Cell[788626, 25136, 1265, 35, 70, "Assumption",
      CellTags->"430"],
    Cell[1589876, 50214, 1308, 37, 70, "Text",
      CellTags->"430"]},
  "429"->{
    Cell[790533, 25196, 1785, 47, 70, "Assumption",
      CellTags->"429"],
    Cell[1587110, 50134, 1828, 49, 70, "Text",
      CellTags->"429"]},
  "428"->{
    Cell[792960, 25268, 1785, 47, 70, "Assumption",
      CellTags->"428"],
    Cell[1585279, 50083, 1828, 49, 70, "Text",
      CellTags->"428"]},
  "427"->{
    Cell[795391, 25340, 1265, 35, 70, "Assumption",
      CellTags->"427"],
    Cell[1583968, 50044, 1308, 37, 70, "Text",
      CellTags->"427"]},
  "426"->{
    Cell[797358, 25400, 629, 18, 70, "Assumption",
      CellTags->"426"],
    Cell[1583293, 50022, 672, 20, 70, "Text",
      CellTags->"426"]},
  "425"->{
    Cell[798673, 25443, 1554, 44, 70, "Assumption",
      CellTags->"425"],
    Cell[1581698, 49975, 1592, 45, 70, "Text",
      CellTags->"425"]},
  "424"->{
    Cell[800913, 25512, 1643, 45, 70, "Assumption",
      CellTags->"424"],
    Cell[1580014, 49927, 1681, 46, 70, "Text",
      CellTags->"424"]},
  "423"->{
    Cell[803220, 25582, 891, 25, 70, "Assumption",
      CellTags->"423"],
    Cell[1579077, 49898, 934, 27, 70, "Text",
      CellTags->"423"]},
  "422"->{
    Cell[804793, 25632, 1988, 52, 70, "Assumption",
      CellTags->"422"],
    Cell[1577043, 49842, 2031, 54, 70, "Text",
      CellTags->"422"]},
  "421"->{
    Cell[807421, 25709, 967, 28, 70, "Assumption",
      CellTags->"421"],
    Cell[1576030, 49810, 1010, 30, 70, "Text",
      CellTags->"421"]},
  "420"->{
    Cell[809026, 25762, 1299, 36, 70, "Assumption",
      CellTags->"420"],
    Cell[1574685, 49770, 1342, 38, 70, "Text",
      CellTags->"420"]},
  "419"->{
    Cell[810963, 25823, 967, 28, 70, "Assumption",
      CellTags->"419"],
    Cell[1571640, 49682, 1010, 30, 70, "Text",
      CellTags->"419"]},
  "418"->{
    Cell[812568, 25876, 1299, 36, 70, "Assumption",
      CellTags->"418"],
    Cell[1570295, 49642, 1342, 38, 70, "Text",
      CellTags->"418"]},
  "417"->{
    Cell[814507, 25937, 1049, 30, 70, "Assumption",
      CellTags->"417"],
    Cell[1569200, 49608, 1092, 32, 70, "Text",
      CellTags->"417"]},
  "416"->{
    Cell[816196, 25992, 1387, 38, 70, "Assumption",
      CellTags->"416"],
    Cell[1567767, 49566, 1430, 40, 70, "Text",
      CellTags->"416"]},
  "415"->{
    Cell[818223, 26055, 1049, 30, 70, "Assumption",
      CellTags->"415"],
    Cell[1566672, 49532, 1092, 32, 70, "Text",
      CellTags->"415"]},
  "414"->{
    Cell[819912, 26110, 1387, 38, 70, "Assumption",
      CellTags->"414"],
    Cell[1565239, 49490, 1430, 40, 70, "Text",
      CellTags->"414"]},
  "413"->{
    Cell[821939, 26173, 704, 21, 70, "Assumption",
      CellTags->"413"],
    Cell[1564489, 49465, 747, 23, 70, "Text",
      CellTags->"413"]},
  "412"->{
    Cell[823283, 26219, 742, 22, 70, "Assumption",
      CellTags->"412"],
    Cell[1563701, 49439, 785, 24, 70, "Text",
      CellTags->"412"]},
  "411"->{
    Cell[824665, 26266, 1016, 29, 70, "Assumption",
      CellTags->"411"],
    Cell[1562639, 49406, 1059, 31, 70, "Text",
      CellTags->"411"]},
  "410"->{
    Cell[826321, 26320, 974, 28, 70, "Assumption",
      CellTags->"410"],
    Cell[1561619, 49374, 1017, 30, 70, "Text",
      CellTags->"410"]},
  "409"->{
    Cell[827937, 26373, 1000, 29, 70, "Assumption",
      CellTags->"409"],
    Cell[1559606, 49310, 1043, 31, 70, "Text",
      CellTags->"409"]},
  "408"->{
    Cell[829579, 26427, 920, 27, 70, "Assumption",
      CellTags->"408"],
    Cell[1558640, 49279, 963, 29, 70, "Text",
      CellTags->"408"]},
  "407"->{
    Cell[831141, 26479, 1223, 34, 70, "Assumption",
      CellTags->"407"],
    Cell[1557371, 49241, 1266, 36, 70, "Text",
      CellTags->"407"]},
  "406"->{
    Cell[833006, 26538, 1582, 43, 70, "Assumption",
      CellTags->"406"],
    Cell[1555743, 49194, 1625, 45, 70, "Text",
      CellTags->"406"]},
  "405"->{
    Cell[835230, 26606, 1223, 34, 70, "Assumption",
      CellTags->"405"],
    Cell[1554474, 49156, 1266, 36, 70, "Text",
      CellTags->"405"]},
  "404"->{
    Cell[837095, 26665, 1582, 43, 70, "Assumption",
      CellTags->"404"],
    Cell[1552846, 49109, 1625, 45, 70, "Text",
      CellTags->"404"]},
  "403"->{
    Cell[839319, 26733, 1170, 33, 70, "Assumption",
      CellTags->"403"],
    Cell[1551630, 49072, 1213, 35, 70, "Text",
      CellTags->"403"]},
  "402"->{
    Cell[841131, 26791, 1355, 37, 70, "Assumption",
      CellTags->"402"],
    Cell[1550229, 49031, 1398, 39, 70, "Text",
      CellTags->"402"]},
  "401"->{
    Cell[843132, 26853, 923, 27, 70, "Assumption",
      CellTags->"401"],
    Cell[1549260, 49000, 966, 29, 70, "Text",
      CellTags->"401"]},
  "400"->{
    Cell[844701, 26905, 923, 27, 70, "Assumption",
      CellTags->"400"],
    Cell[1548291, 48969, 966, 29, 70, "Text",
      CellTags->"400"]},
  "399"->{
    Cell[846264, 26957, 967, 28, 70, "Assumption",
      CellTags->"399"],
    Cell[1544385, 48852, 1010, 30, 70, "Text",
      CellTags->"399"]},
  "398"->{
    Cell[847869, 27010, 967, 28, 70, "Assumption",
      CellTags->"398"],
    Cell[1543372, 48820, 1010, 30, 70, "Text",
      CellTags->"398"]},
  "397"->{
    Cell[849476, 27063, 1069, 31, 70, "Assumption",
      CellTags->"397"],
    Cell[1542257, 48785, 1112, 33, 70, "Text",
      CellTags->"397"]},
  "396"->{
    Cell[851185, 27119, 1069, 31, 70, "Assumption",
      CellTags->"396"],
    Cell[1541142, 48750, 1112, 33, 70, "Text",
      CellTags->"396"]},
  "395"->{
    Cell[852898, 27175, 923, 27, 70, "Assumption",
      CellTags->"395"],
    Cell[1540173, 48719, 966, 29, 70, "Text",
      CellTags->"395"]},
  "394"->{
    Cell[854465, 27227, 923, 27, 70, "Assumption",
      CellTags->"394"],
    Cell[1539204, 48688, 966, 29, 70, "Text",
      CellTags->"394"]},
  "393"->{
    Cell[856030, 27279, 1178, 33, 70, "Assumption",
      CellTags->"393"],
    Cell[1537980, 48651, 1221, 35, 70, "Text",
      CellTags->"393"]},
  "392"->{
    Cell[857850, 27337, 1178, 33, 70, "Assumption",
      CellTags->"392"],
    Cell[1536756, 48614, 1221, 35, 70, "Text",
      CellTags->"392"]},
  "391"->{
    Cell[859674, 27395, 923, 27, 70, "Assumption",
      CellTags->"391"],
    Cell[1535787, 48583, 966, 29, 70, "Text",
      CellTags->"391"]},
  "390"->{
    Cell[861239, 27447, 967, 28, 70, "Assumption",
      CellTags->"390"],
    Cell[1534774, 48551, 1010, 30, 70, "Text",
      CellTags->"390"]},
  "389"->{
    Cell[862852, 27500, 1211, 34, 70, "Assumption",
      CellTags->"389"],
    Cell[1532506, 48481, 1254, 36, 70, "Text",
      CellTags->"389"]},
  "388"->{
    Cell[864709, 27559, 1211, 34, 70, "Assumption",
      CellTags->"388"],
    Cell[1531249, 48443, 1254, 36, 70, "Text",
      CellTags->"388"]},
  "387"->{
    Cell[866560, 27618, 1299, 36, 70, "Assumption",
      CellTags->"387"],
    Cell[1529904, 48403, 1342, 38, 70, "Text",
      CellTags->"387"]},
  "386"->{
    Cell[868497, 27679, 1299, 36, 70, "Assumption",
      CellTags->"386"],
    Cell[1528559, 48363, 1342, 38, 70, "Text",
      CellTags->"386"]},
  "385"->{
    Cell[870436, 27740, 1490, 41, 70, "Assumption",
      CellTags->"385"],
    Cell[1527023, 48318, 1533, 43, 70, "Text",
      CellTags->"385"]},
  "384"->{
    Cell[872566, 27806, 1490, 41, 70, "Assumption",
      CellTags->"384"],
    Cell[1525487, 48273, 1533, 43, 70, "Text",
      CellTags->"384"]},
  "383"->{
    Cell[874696, 27872, 1265, 35, 70, "Assumption",
      CellTags->"383"],
    Cell[1524176, 48234, 1308, 37, 70, "Text",
      CellTags->"383"]},
  "382"->{
    Cell[876605, 27932, 1211, 34, 70, "Assumption",
      CellTags->"382"],
    Cell[1522919, 48196, 1254, 36, 70, "Text",
      CellTags->"382"]},
  "381"->{
    Cell[878456, 27991, 1179, 33, 70, "Assumption",
      CellTags->"381"],
    Cell[1521694, 48159, 1222, 35, 70, "Text",
      CellTags->"381"]},
  "380"->{
    Cell[880279, 28049, 1211, 34, 70, "Assumption",
      CellTags->"380"],
    Cell[1520437, 48121, 1254, 36, 70, "Text",
      CellTags->"380"]},
  "379"->{
    Cell[882132, 28108, 1719, 46, 70, "Assumption",
      CellTags->"379"],
    Cell[1517417, 48033, 1762, 48, 70, "Text",
      CellTags->"379"]},
  "378"->{
    Cell[884493, 28179, 1719, 46, 70, "Assumption",
      CellTags->"378"],
    Cell[1515652, 47983, 1762, 48, 70, "Text",
      CellTags->"378"]},
  "377"->{
    Cell[886858, 28250, 1211, 34, 70, "Assumption",
      CellTags->"377"],
    Cell[1514395, 47945, 1254, 36, 70, "Text",
      CellTags->"377"]},
  "376"->{
    Cell[888711, 28309, 1299, 36, 70, "Assumption",
      CellTags->"376"],
    Cell[1513050, 47905, 1342, 38, 70, "Text",
      CellTags->"376"]},
  "375"->{
    Cell[890710, 28370, 1635, 46, 70, "Assumption",
      CellTags->"375"],
    Cell[1511374, 47856, 1673, 47, 70, "Text",
      CellTags->"375"]},
  "374"->{
    Cell[893035, 28441, 932, 27, 70, "Assumption",
      CellTags->"374"],
    Cell[1510396, 47825, 975, 29, 70, "Text",
      CellTags->"374"]},
  "373"->{
    Cell[894611, 28493, 720, 21, 70, "Assumption",
      CellTags->"373"],
    Cell[1509630, 47800, 763, 23, 70, "Text",
      CellTags->"373"]},
  "372"->{
    Cell[895975, 28539, 732, 22, 70, "Assumption",
      CellTags->"372"],
    Cell[1508852, 47774, 775, 24, 70, "Text",
      CellTags->"372"]},
  "371"->{
    Cell[897413, 28586, 548, 16, 70, "Assumption",
      CellTags->"371"],
    Cell[1508258, 47754, 591, 18, 70, "Text",
      CellTags->"371"]},
  "370"->{
    Cell[898651, 28627, 1466, 42, 70, "Assumption",
      CellTags->"370"],
    Cell[1506751, 47709, 1504, 43, 70, "Text",
      CellTags->"370"]},
  "369"->{
    Cell[900807, 28694, 1540, 42, 70, "Assumption",
      CellTags->"369"],
    Cell[1503910, 47625, 1583, 44, 70, "Text",
      CellTags->"369"]},
  "368"->{
    Cell[903015, 28761, 766, 22, 70, "Assumption",
      CellTags->"368"],
    Cell[1503098, 47599, 809, 24, 70, "Text",
      CellTags->"368"]},
  "367"->{
    Cell[904467, 28808, 1884, 50, 70, "Assumption",
      CellTags->"367"],
    Cell[1501168, 47545, 1927, 52, 70, "Text",
      CellTags->"367"]},
  "366"->{
    Cell[906995, 28883, 923, 27, 70, "Assumption",
      CellTags->"366"],
    Cell[1500199, 47514, 966, 29, 70, "Text",
      CellTags->"366"]},
  "365"->{
    Cell[908560, 28935, 1211, 34, 70, "Assumption",
      CellTags->"365"],
    Cell[1498942, 47476, 1254, 36, 70, "Text",
      CellTags->"365"]},
  "364"->{
    Cell[910413, 28994, 923, 27, 70, "Assumption",
      CellTags->"364"],
    Cell[1497973, 47445, 966, 29, 70, "Text",
      CellTags->"364"]},
  "363"->{
    Cell[911978, 29046, 1211, 34, 70, "Assumption",
      CellTags->"363"],
    Cell[1496716, 47407, 1254, 36, 70, "Text",
      CellTags->"363"]},
  "362"->{
    Cell[913833, 29105, 1005, 29, 70, "Assumption",
      CellTags->"362"],
    Cell[1495665, 47374, 1048, 31, 70, "Text",
      CellTags->"362"]},
  "361"->{
    Cell[915482, 29159, 1299, 36, 70, "Assumption",
      CellTags->"361"],
    Cell[1494320, 47334, 1342, 38, 70, "Text",
      CellTags->"361"]},
  "360"->{
    Cell[917425, 29220, 1005, 29, 70, "Assumption",
      CellTags->"360"],
    Cell[1493269, 47301, 1048, 31, 70, "Text",
      CellTags->"360"]},
  "359"->{
    Cell[919074, 29274, 1299, 36, 70, "Assumption",
      CellTags->"359"],
    Cell[1490581, 47221, 1342, 38, 70, "Text",
      CellTags->"359"]},
  "358"->{
    Cell[921017, 29335, 664, 20, 70, "Assumption",
      CellTags->"358"],
    Cell[1489871, 47197, 707, 22, 70, "Text",
      CellTags->"358"]},
  "357"->{
    Cell[922325, 29380, 702, 21, 70, "Assumption",
      CellTags->"357"],
    Cell[1489123, 47172, 745, 23, 70, "Text",
      CellTags->"357"]},
  "356"->{
    Cell[923671, 29426, 934, 27, 70, "Assumption",
      CellTags->"356"],
    Cell[1488143, 47141, 977, 29, 70, "Text",
      CellTags->"356"]},
  "355"->{
    Cell[925249, 29478, 892, 26, 70, "Assumption",
      CellTags->"355"],
    Cell[1487205, 47111, 935, 28, 70, "Text",
      CellTags->"355"]},
  "354"->{
    Cell[926787, 29529, 958, 28, 70, "Assumption",
      CellTags->"354"],
    Cell[1486201, 47079, 1001, 30, 70, "Text",
      CellTags->"354"]},
  "353"->{
    Cell[928391, 29582, 878, 26, 70, "Assumption",
      CellTags->"353"],
    Cell[1485277, 47049, 921, 28, 70, "Text",
      CellTags->"353"]},
  "352"->{
    Cell[929915, 29633, 1179, 33, 70, "Assumption",
      CellTags->"352"],
    Cell[1484052, 47012, 1222, 35, 70, "Text",
      CellTags->"352"]},
  "351"->{
    Cell[931740, 29691, 1494, 41, 70, "Assumption",
      CellTags->"351"],
    Cell[1482512, 46967, 1537, 43, 70, "Text",
      CellTags->"351"]},
  "350"->{
    Cell[933880, 29757, 1179, 33, 70, "Assumption",
      CellTags->"350"],
    Cell[1481287, 46930, 1222, 35, 70, "Text",
      CellTags->"350"]},
  "349"->{
    Cell[935705, 29815, 1494, 41, 70, "Assumption",
      CellTags->"349"],
    Cell[1479074, 46863, 1537, 43, 70, "Text",
      CellTags->"349"]},
  "348"->{
    Cell[937845, 29881, 1128, 32, 70, "Assumption",
      CellTags->"348"],
    Cell[1477900, 46827, 1171, 34, 70, "Text",
      CellTags->"348"]},
  "347"->{
    Cell[939619, 29938, 1265, 35, 70, "Assumption",
      CellTags->"347"],
    Cell[1476589, 46788, 1308, 37, 70, "Text",
      CellTags->"347"]},
  "346"->{
    Cell[941530, 29998, 923, 27, 70, "Assumption",
      CellTags->"346"],
    Cell[1475620, 46757, 966, 29, 70, "Text",
      CellTags->"346"]},
  "345"->{
    Cell[943099, 30050, 1211, 34, 70, "Assumption",
      CellTags->"345"],
    Cell[1474363, 46719, 1254, 36, 70, "Text",
      CellTags->"345"]},
  "344"->{
    Cell[944956, 30109, 1179, 33, 70, "Assumption",
      CellTags->"344"],
    Cell[1473138, 46682, 1222, 35, 70, "Text",
      CellTags->"344"]},
  "343"->{
    Cell[946781, 30167, 1179, 33, 70, "Assumption",
      CellTags->"343"],
    Cell[1471913, 46645, 1222, 35, 70, "Text",
      CellTags->"343"]},
  "342"->{
    Cell[948600, 30225, 1269, 35, 70, "Assumption",
      CellTags->"342"],
    Cell[1470598, 46606, 1312, 37, 70, "Text",
      CellTags->"342"]},
  "341"->{
    Cell[950507, 30285, 1269, 35, 70, "Assumption",
      CellTags->"341"],
    Cell[1469283, 46567, 1312, 37, 70, "Text",
      CellTags->"341"]},
  "340"->{
    Cell[952416, 30345, 1464, 40, 70, "Assumption",
      CellTags->"340"],
    Cell[1467773, 46523, 1507, 42, 70, "Text",
      CellTags->"340"]},
  "339"->{
    Cell[954520, 30410, 1464, 40, 70, "Assumption",
      CellTags->"339"],
    Cell[1464670, 46432, 1507, 42, 70, "Text",
      CellTags->"339"]},
  "338"->{
    Cell[956624, 30475, 1230, 35, 70, "Assumption",
      CellTags->"338"],
    Cell[1463394, 46393, 1273, 37, 70, "Text",
      CellTags->"338"]},
  "337"->{
    Cell[958498, 30535, 1179, 33, 70, "Assumption",
      CellTags->"337"],
    Cell[1462169, 46356, 1222, 35, 70, "Text",
      CellTags->"337"]},
  "336"->{
    Cell[960317, 30593, 1144, 33, 70, "Assumption",
      CellTags->"336"],
    Cell[1460979, 46319, 1187, 35, 70, "Text",
      CellTags->"336"]},
  "335"->{
    Cell[962105, 30651, 1179, 33, 70, "Assumption",
      CellTags->"335"],
    Cell[1459754, 46282, 1222, 35, 70, "Text",
      CellTags->"335"]},
  "334"->{
    Cell[963926, 30709, 1699, 45, 70, "Assumption",
      CellTags->"334"],
    Cell[1458009, 46233, 1742, 47, 70, "Text",
      CellTags->"334"]},
  "333"->{
    Cell[966267, 30779, 1699, 45, 70, "Assumption",
      CellTags->"333"],
    Cell[1456264, 46184, 1742, 47, 70, "Text",
      CellTags->"333"]},
  "332"->{
    Cell[968612, 30849, 1179, 33, 70, "Assumption",
      CellTags->"332"],
    Cell[1455039, 46147, 1222, 35, 70, "Text",
      CellTags->"332"]},
  "331"->{
    Cell[970433, 30907, 1269, 35, 70, "Assumption",
      CellTags->"331"],
    Cell[1453724, 46108, 1312, 37, 70, "Text",
      CellTags->"331"]},
  "330"->{
    Cell[972348, 30967, 1179, 33, 70, "Assumption",
      CellTags->"330"],
    Cell[1452499, 46071, 1222, 35, 70, "Text",
      CellTags->"330"]},
  "329"->{
    Cell[974167, 31025, 732, 22, 70, "Assumption",
      CellTags->"329"],
    Cell[1450039, 45997, 775, 24, 70, "Text",
      CellTags->"329"]},
  "328"->{
    Cell[975595, 31072, 1541, 44, 70, "Assumption",
      CellTags->"328"],
    Cell[1448457, 45950, 1579, 45, 70, "Text",
      CellTags->"328"]},
  "327"->{
    Cell[977822, 31141, 1056, 30, 70, "Assumption",
      CellTags->"327"],
    Cell[1447355, 45916, 1099, 32, 70, "Text",
      CellTags->"327"]},
  "326"->{
    Cell[979518, 31196, 800, 23, 70, "Assumption",
      CellTags->"326"],
    Cell[1446509, 45889, 843, 25, 70, "Text",
      CellTags->"326"]},
  "325"->{
    Cell[980958, 31244, 587, 17, 70, "Assumption",
      CellTags->"325"],
    Cell[1445876, 45868, 630, 19, 70, "Text",
      CellTags->"325"]},
  "324"->{
    Cell[982187, 31286, 898, 25, 70, "Assumption",
      CellTags->"324"],
    Cell[1444932, 45839, 941, 27, 70, "Text",
      CellTags->"324"]},
  "323"->{
    Cell[983787, 31336, 629, 18, 70, "Assumption",
      CellTags->"323"],
    Cell[1444257, 45817, 672, 20, 70, "Text",
      CellTags->"323"]},
  "322"->{
    Cell[985102, 31379, 1554, 44, 70, "Assumption",
      CellTags->"322"],
    Cell[1442662, 45770, 1592, 45, 70, "Text",
      CellTags->"322"]},
  "321"->{
    Cell[987342, 31448, 1643, 45, 70, "Assumption",
      CellTags->"321"],
    Cell[1440304, 45699, 1681, 46, 70, "Text",
      CellTags->"321"]},
  "320"->{
    Cell[989649, 31518, 891, 25, 70, "Assumption",
      CellTags->"320"],
    Cell[1438651, 45646, 934, 27, 70, "Text",
      CellTags->"320"]},
  "319"->{
    Cell[991222, 31568, 1988, 52, 70, "Assumption",
      CellTags->"319"],
    Cell[1434542, 45525, 2031, 54, 70, "Text",
      CellTags->"319"]},
  "318"->{
    Cell[993850, 31645, 967, 28, 70, "Assumption",
      CellTags->"318"],
    Cell[1433529, 45493, 1010, 30, 70, "Text",
      CellTags->"318"]},
  "317"->{
    Cell[995455, 31698, 1299, 36, 70, "Assumption",
      CellTags->"317"],
    Cell[1432184, 45453, 1342, 38, 70, "Text",
      CellTags->"317"]},
  "316"->{
    Cell[997392, 31759, 967, 28, 70, "Assumption",
      CellTags->"316"],
    Cell[1431171, 45421, 1010, 30, 70, "Text",
      CellTags->"316"]},
  "315"->{
    Cell[998997, 31812, 1299, 36, 70, "Assumption",
      CellTags->"315"],
    Cell[1429826, 45381, 1342, 38, 70, "Text",
      CellTags->"315"]},
  "314"->{
    Cell[1000936, 31873, 1049, 30, 70, "Assumption",
      CellTags->"314"],
    Cell[1428731, 45347, 1092, 32, 70, "Text",
      CellTags->"314"]},
  "313"->{
    Cell[1002625, 31928, 1387, 38, 70, "Assumption",
      CellTags->"313"],
    Cell[1427298, 45305, 1430, 40, 70, "Text",
      CellTags->"313"]},
  "312"->{
    Cell[1004652, 31991, 1049, 30, 70, "Assumption",
      CellTags->"312"],
    Cell[1426203, 45271, 1092, 32, 70, "Text",
      CellTags->"312"]},
  "311"->{
    Cell[1006341, 32046, 1387, 38, 70, "Assumption",
      CellTags->"311"],
    Cell[1424210, 45210, 1430, 40, 70, "Text",
      CellTags->"311"]},
  "310"->{
    Cell[1008368, 32109, 704, 21, 70, "Assumption",
      CellTags->"310"],
    Cell[1422900, 45166, 747, 23, 70, "Text",
      CellTags->"310"]},
  "309"->{
    Cell[1009712, 32155, 742, 22, 70, "Assumption",
      CellTags->"309"],
    Cell[1419324, 45059, 785, 24, 70, "Text",
      CellTags->"309"]},
  "308"->{
    Cell[1011094, 32202, 1016, 29, 70, "Assumption",
      CellTags->"308"],
    Cell[1418262, 45026, 1059, 31, 70, "Text",
      CellTags->"308"]},
  "307"->{
    Cell[1012750, 32256, 974, 28, 70, "Assumption",
      CellTags->"307"],
    Cell[1417242, 44994, 1017, 30, 70, "Text",
      CellTags->"307"]},
  "306"->{
    Cell[1014366, 32309, 1000, 29, 70, "Assumption",
      CellTags->"306"],
    Cell[1416196, 44961, 1043, 31, 70, "Text",
      CellTags->"306"]},
  "305"->{
    Cell[1016008, 32363, 920, 27, 70, "Assumption",
      CellTags->"305"],
    Cell[1415230, 44930, 963, 29, 70, "Text",
      CellTags->"305"]},
  "304"->{
    Cell[1017570, 32415, 1223, 34, 70, "Assumption",
      CellTags->"304"],
    Cell[1413961, 44892, 1266, 36, 70, "Text",
      CellTags->"304"]},
  "303"->{
    Cell[1019435, 32474, 1582, 43, 70, "Assumption",
      CellTags->"303"],
    Cell[1412333, 44845, 1625, 45, 70, "Text",
      CellTags->"303"]},
  "302"->{
    Cell[1021659, 32542, 1223, 34, 70, "Assumption",
      CellTags->"302"],
    Cell[1411064, 44807, 1266, 36, 70, "Text",
      CellTags->"302"]},
  "301"->{
    Cell[1023524, 32601, 1582, 43, 70, "Assumption",
      CellTags->"301"],
    Cell[1409436, 44760, 1625, 45, 70, "Text",
      CellTags->"301"]},
  "300"->{
    Cell[1025748, 32669, 1170, 33, 70, "Assumption",
      CellTags->"300"],
    Cell[1408220, 44723, 1213, 35, 70, "Text",
      CellTags->"300"]},
  "299"->{
    Cell[1027560, 32727, 1355, 37, 70, "Assumption",
      CellTags->"299"],
    Cell[1404102, 44600, 1398, 39, 70, "Text",
      CellTags->"299"]},
  "298"->{
    Cell[1029557, 32789, 967, 28, 70, "Assumption",
      CellTags->"298"],
    Cell[1403089, 44568, 1010, 30, 70, "Text",
      CellTags->"298"]},
  "297"->{
    Cell[1031166, 32842, 1299, 36, 70, "Assumption",
      CellTags->"297"],
    Cell[1401744, 44528, 1342, 38, 70, "Text",
      CellTags->"297"]},
  "296"->{
    Cell[1033107, 32903, 1269, 35, 70, "Assumption",
      CellTags->"296"],
    Cell[1400429, 44489, 1312, 37, 70, "Text",
      CellTags->"296"]},
  "295"->{
    Cell[1035022, 32963, 923, 27, 70, "Assumption",
      CellTags->"295"],
    Cell[1399460, 44458, 966, 29, 70, "Text",
      CellTags->"295"]},
  "294"->{
    Cell[1036591, 33015, 923, 27, 70, "Assumption",
      CellTags->"294"],
    Cell[1398491, 44427, 966, 29, 70, "Text",
      CellTags->"294"]},
  "293"->{
    Cell[1038154, 33067, 967, 28, 70, "Assumption",
      CellTags->"293"],
    Cell[1397478, 44395, 1010, 30, 70, "Text",
      CellTags->"293"]},
  "292"->{
    Cell[1039759, 33120, 967, 28, 70, "Assumption",
      CellTags->"292"],
    Cell[1396465, 44363, 1010, 30, 70, "Text",
      CellTags->"292"]},
  "291"->{
    Cell[1041366, 33173, 1069, 31, 70, "Assumption",
      CellTags->"291"],
    Cell[1395350, 44328, 1112, 33, 70, "Text",
      CellTags->"291"]},
  "290"->{
    Cell[1043075, 33229, 1069, 31, 70, "Assumption",
      CellTags->"290"],
    Cell[1394235, 44293, 1112, 33, 70, "Text",
      CellTags->"290"]},
  "289"->{
    Cell[1044788, 33285, 923, 27, 70, "Assumption",
      CellTags->"289"],
    Cell[1391923, 44222, 966, 29, 70, "Text",
      CellTags->"289"]},
  "288"->{
    Cell[1046355, 33337, 923, 27, 70, "Assumption",
      CellTags->"288"],
    Cell[1390954, 44191, 966, 29, 70, "Text",
      CellTags->"288"]},
  "287"->{
    Cell[1047920, 33389, 1178, 33, 70, "Assumption",
      CellTags->"287"],
    Cell[1389730, 44154, 1221, 35, 70, "Text",
      CellTags->"287"]},
  "286"->{
    Cell[1049740, 33447, 1178, 33, 70, "Assumption",
      CellTags->"286"],
    Cell[1388506, 44117, 1221, 35, 70, "Text",
      CellTags->"286"]},
  "285"->{
    Cell[1051564, 33505, 923, 27, 70, "Assumption",
      CellTags->"285"],
    Cell[1387537, 44086, 966, 29, 70, "Text",
      CellTags->"285"]},
  "284"->{
    Cell[1053129, 33557, 967, 28, 70, "Assumption",
      CellTags->"284"],
    Cell[1386524, 44054, 1010, 30, 70, "Text",
      CellTags->"284"]},
  "283"->{
    Cell[1054742, 33610, 923, 27, 70, "Assumption",
      CellTags->"283"],
    Cell[1385555, 44023, 966, 29, 70, "Text",
      CellTags->"283"]},
  "282"->{
    Cell[1056307, 33662, 967, 28, 70, "Assumption",
      CellTags->"282"],
    Cell[1384542, 43991, 1010, 30, 70, "Text",
      CellTags->"282"]},
  "281"->{
    Cell[1057920, 33715, 1211, 34, 70, "Assumption",
      CellTags->"281"],
    Cell[1383285, 43953, 1254, 36, 70, "Text",
      CellTags->"281"]},
  "280"->{
    Cell[1059777, 33774, 1211, 34, 70, "Assumption",
      CellTags->"280"],
    Cell[1382028, 43915, 1254, 36, 70, "Text",
      CellTags->"280"]},
  "279"->{
    Cell[1061628, 33833, 1299, 36, 70, "Assumption",
      CellTags->"279"],
    Cell[1379716, 43844, 1342, 38, 70, "Text",
      CellTags->"279"]},
  "278"->{
    Cell[1063565, 33894, 1299, 36, 70, "Assumption",
      CellTags->"278"],
    Cell[1378371, 43804, 1342, 38, 70, "Text",
      CellTags->"278"]},
  "277"->{
    Cell[1065504, 33955, 1490, 41, 70, "Assumption",
      CellTags->"277"],
    Cell[1376835, 43759, 1533, 43, 70, "Text",
      CellTags->"277"]},
  "276"->{
    Cell[1067634, 34021, 1490, 41, 70, "Assumption",
      CellTags->"276"],
    Cell[1375299, 43714, 1533, 43, 70, "Text",
      CellTags->"276"]},
  "275"->{
    Cell[1069764, 34087, 1265, 35, 70, "Assumption",
      CellTags->"275"],
    Cell[1373988, 43675, 1308, 37, 70, "Text",
      CellTags->"275"]},
  "274"->{
    Cell[1071673, 34147, 1211, 34, 70, "Assumption",
      CellTags->"274"],
    Cell[1372731, 43637, 1254, 36, 70, "Text",
      CellTags->"274"]},
  "273"->{
    Cell[1073524, 34206, 1179, 33, 70, "Assumption",
      CellTags->"273"],
    Cell[1371506, 43600, 1222, 35, 70, "Text",
      CellTags->"273"]},
  "272"->{
    Cell[1075347, 34264, 1211, 34, 70, "Assumption",
      CellTags->"272"],
    Cell[1370249, 43562, 1254, 36, 70, "Text",
      CellTags->"272"]},
  "271"->{
    Cell[1077200, 34323, 1719, 46, 70, "Assumption",
      CellTags->"271"],
    Cell[1368484, 43512, 1762, 48, 70, "Text",
      CellTags->"271"]},
  "270"->{
    Cell[1079561, 34394, 1719, 46, 70, "Assumption",
      CellTags->"270"],
    Cell[1366719, 43462, 1762, 48, 70, "Text",
      CellTags->"270"]},
  "269"->{
    Cell[1081926, 34465, 1211, 34, 70, "Assumption",
      CellTags->"269"],
    Cell[1364495, 43393, 1254, 36, 70, "Text",
      CellTags->"269"]},
  "268"->{
    Cell[1083779, 34524, 1299, 36, 70, "Assumption",
      CellTags->"268"],
    Cell[1363150, 43353, 1342, 38, 70, "Text",
      CellTags->"268"]},
  "267"->{
    Cell[1085724, 34585, 1211, 34, 70, "Assumption",
      CellTags->"267"],
    Cell[1361893, 43315, 1254, 36, 70, "Text",
      CellTags->"267"]},
  "266"->{
    Cell[1087577, 34644, 1299, 36, 70, "Assumption",
      CellTags->"266"],
    Cell[1360548, 43275, 1342, 38, 70, "Text",
      CellTags->"266"]},
  "265"->{
    Cell[1089572, 34705, 1701, 46, 70, "Assumption",
      CellTags->"265"],
    Cell[1358801, 43225, 1744, 48, 70, "Text",
      CellTags->"265"]},
  "264"->{
    Cell[1091969, 34776, 676, 20, 70, "Assumption",
      CellTags->"264"],
    Cell[1358079, 43201, 719, 22, 70, "Text",
      CellTags->"264"]},
  "263"->{
    Cell[1093285, 34821, 664, 20, 70, "Assumption",
      CellTags->"263"],
    Cell[1357369, 43177, 707, 22, 70, "Text",
      CellTags->"263"]},
  "262"->{
    Cell[1094645, 34866, 1701, 46, 70, "Assumption",
      CellTags->"262"],
    Cell[1355622, 43127, 1744, 48, 70, "Text",
      CellTags->"262"]},
  "261"->{
    Cell[1097042, 34937, 676, 20, 70, "Assumption",
      CellTags->"261"],
    Cell[1354900, 43103, 719, 22, 70, "Text",
      CellTags->"261"]},
  "260"->{
    Cell[1098358, 34982, 664, 20, 70, "Assumption",
      CellTags->"260"],
    Cell[1354190, 43079, 707, 22, 70, "Text",
      CellTags->"260"]},
  "259"->{
    Cell[1099718, 35027, 1759, 47, 70, "Assumption",
      CellTags->"259"],
    Cell[1351374, 42996, 1802, 49, 70, "Text",
      CellTags->"259"]},
  "258"->{
    Cell[1102173, 35099, 716, 21, 70, "Assumption",
      CellTags->"258"],
    Cell[1350612, 42971, 759, 23, 70, "Text",
      CellTags->"258"]},
  "257"->{
    Cell[1103529, 35145, 704, 21, 70, "Assumption",
      CellTags->"257"],
    Cell[1349862, 42946, 747, 23, 70, "Text",
      CellTags->"257"]},
  "256"->{
    Cell[1104929, 35191, 1759, 47, 70, "Assumption",
      CellTags->"256"],
    Cell[1348057, 42895, 1802, 49, 70, "Text",
      CellTags->"256"]},
  "255"->{
    Cell[1107384, 35263, 716, 21, 70, "Assumption",
      CellTags->"255"],
    Cell[1347295, 42870, 759, 23, 70, "Text",
      CellTags->"255"]},
  "254"->{
    Cell[1108740, 35309, 704, 21, 70, "Assumption",
      CellTags->"254"],
    Cell[1346545, 42845, 747, 23, 70, "Text",
      CellTags->"254"]},
  "253"->{
    Cell[1110090, 35355, 783, 23, 70, "Assumption",
      CellTags->"253"],
    Cell[1345716, 42818, 826, 25, 70, "Text",
      CellTags->"253"]},
  "252"->{
    Cell[1111519, 35403, 783, 23, 70, "Assumption",
      CellTags->"252"],
    Cell[1344887, 42791, 826, 25, 70, "Text",
      CellTags->"252"]},
  "251"->{
    Cell[1112942, 35451, 823, 24, 70, "Assumption",
      CellTags->"251"],
    Cell[1344018, 42763, 866, 26, 70, "Text",
      CellTags->"251"]},
  "250"->{
    Cell[1114403, 35500, 823, 24, 70, "Assumption",
      CellTags->"250"],
    Cell[1343149, 42735, 866, 26, 70, "Text",
      CellTags->"250"]},
  "249"->{
    Cell[1115866, 35549, 908, 26, 70, "Assumption",
      CellTags->"249"],
    Cell[1341184, 42673, 951, 28, 70, "Text",
      CellTags->"249"]},
  "248"->{
    Cell[1117414, 35600, 908, 26, 70, "Assumption",
      CellTags->"248"],
    Cell[1340230, 42643, 951, 28, 70, "Text",
      CellTags->"248"]},
  "247"->{
    Cell[1118966, 35651, 783, 23, 70, "Assumption",
      CellTags->"247"],
    Cell[1339401, 42616, 826, 25, 70, "Text",
      CellTags->"247"]},
  "246"->{
    Cell[1120393, 35699, 783, 23, 70, "Assumption",
      CellTags->"246"],
    Cell[1338572, 42589, 826, 25, 70, "Text",
      CellTags->"246"]},
  "245"->{
    Cell[1121818, 35747, 1006, 29, 70, "Assumption",
      CellTags->"245"],
    Cell[1337520, 42556, 1049, 31, 70, "Text",
      CellTags->"245"]},
  "244"->{
    Cell[1123466, 35801, 1006, 29, 70, "Assumption",
      CellTags->"244"],
    Cell[1336468, 42523, 1049, 31, 70, "Text",
      CellTags->"244"]},
  "243"->{
    Cell[1125118, 35855, 783, 23, 70, "Assumption",
      CellTags->"243"],
    Cell[1335639, 42496, 826, 25, 70, "Text",
      CellTags->"243"]},
  "242"->{
    Cell[1126543, 35903, 823, 24, 70, "Assumption",
      CellTags->"242"],
    Cell[1334770, 42468, 866, 26, 70, "Text",
      CellTags->"242"]},
  "241"->{
    Cell[1128012, 35952, 783, 23, 70, "Assumption",
      CellTags->"241"],
    Cell[1333941, 42441, 826, 25, 70, "Text",
      CellTags->"241"]},
  "240"->{
    Cell[1129437, 36000, 823, 24, 70, "Assumption",
      CellTags->"240"],
    Cell[1333072, 42413, 866, 26, 70, "Text",
      CellTags->"240"]},
  "AdditionalInfo"->{
    Cell[1131426, 36066, 88, 1, 70, "Section",
      CellTags->"AdditionalInfo"]},
  "220.1"->{
    Cell[1306020, 41576, 557, 17, 70, "Text",
      CellTags->"220.1"]},
  "220.2"->{
    Cell[1306580, 41595, 701, 22, 70, "Text",
      CellTags->"220.2"]},
  "221.1"->{
    Cell[1308285, 41651, 557, 17, 70, "Text",
      CellTags->"221.1"]},
  "221.2"->{
    Cell[1308845, 41670, 739, 23, 70, "Text",
      CellTags->"221.2"]},
  "3.1"->{
    Cell[1420112, 45085, 753, 23, 70, "Text",
      CellTags->"3.1"]},
  "3.1.1"->{
    Cell[1423650, 45191, 557, 17, 70, "Text",
      CellTags->"3.1.1"]},
  "3.1.2"->{
    Cell[1425643, 45252, 557, 17, 70, "Text",
      CellTags->"3.1.2"]},
  "3.2"->{
    Cell[1436576, 45581, 1137, 34, 70, "Text",
      CellTags->"3.2"]},
  "3.2.1"->{
    Cell[1439588, 45675, 713, 22, 70, "Text",
      CellTags->"3.2.1"]},
  "3.2.2"->{
    Cell[1441988, 45747, 671, 21, 70, "Text",
      CellTags->"3.2.2"]},
  "64.1"->{
    Cell[1812420, 56850, 555, 17, 70, "Text",
      CellTags->"64.1"]},
  "64.2"->{
    Cell[1812978, 56869, 699, 22, 70, "Text",
      CellTags->"64.2"]},
  "65.1"->{
    Cell[1814679, 56925, 555, 17, 70, "Text",
      CellTags->"65.1"]},
  "65.2"->{
    Cell[1815237, 56944, 737, 23, 70, "Text",
      CellTags->"65.2"]},
  "a contradiction"->{
    Cell[1855344, 58193, 442, 13, 70, "Text",
      CellTags->"a contradiction"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Theorem (Root Irrational)", 1873702, 58704},
  {"Definition (Rational)", 1873916, 58709},
  {"Lemma (Coprime for Two)", 1874126, 58714},
  {"Lemma (Multiply Root Equation)", 1874348, 58719},
  {"Lemma (Euclid)", 1874568, 58724},
  {"Definition (Divisible): 1", 1874767, 58729},
  {"Definition (Divisible): 2", 1874989, 58734},
  {"Lemma (Simplify by Cancelling)", 1875216, 58739},
  {"Lemma (Squares Preserve Naturals)", 1875456, 58744},
  {"1", 1875670, 58749},
  {"2", 1875818, 58754},
  {"3", 1875968, 58759},
  {"15", 1876119, 58764},
  {"14", 1876272, 58769},
  {"13", 1876423, 58774},
  {"12", 1876574, 58779},
  {"11", 1876727, 58784},
  {"10", 1876880, 58789},
  {"9", 1877031, 58794},
  {"8", 1877182, 58799},
  {"7", 1877331, 58804},
  {"6", 1877482, 58809},
  {"5", 1877633, 58814},
  {"4", 1877782, 58819},
  {"17", 1877934, 58824},
  {"16", 1878088, 58829},
  {"18", 1878242, 58834},
  {"19", 1878394, 58839},
  {"48", 1878546, 58844},
  {"47", 1878700, 58849},
  {"46", 1878854, 58854},
  {"45", 1879006, 58859},
  {"44", 1879160, 58864},
  {"43", 1879314, 58869},
  {"42", 1879466, 58874},
  {"41", 1879620, 58879},
  {"40", 1879772, 58884},
  {"39", 1879924, 58889},
  {"38", 1880077, 58894},
  {"37", 1880231, 58899},
  {"36", 1880385, 58904},
  {"35", 1880539, 58909},
  {"34", 1880691, 58914},
  {"33", 1880845, 58919},
  {"32", 1880999, 58924},
  {"31", 1881151, 58929},
  {"30", 1881305, 58934},
  {"29", 1881458, 58939},
  {"28", 1881612, 58944},
  {"27", 1881764, 58949},
  {"26", 1881916, 58954},
  {"25", 1882069, 58959},
  {"24", 1882222, 58964},
  {"23", 1882376, 58969},
  {"22", 1882531, 58974},
  {"21", 1882686, 58979},
  {"20", 1882841, 58984},
  {"49", 1882996, 58989},
  {"50", 1883149, 58994},
  {"52", 1883302, 58999},
  {"51", 1883455, 59004},
  {"53", 1883608, 59009},
  {"54", 1883761, 59014},
  {"55", 1883916, 59019},
  {"56", 1884069, 59024},
  {"57", 1884222, 59029},
  {"58", 1884377, 59034},
  {"59", 1884530, 59039},
  {"60", 1884683, 59044},
  {"61", 1884836, 59049},
  {"62", 1884989, 59054},
  {"63", 1885142, 59059},
  {"64", 1885295, 59064},
  {"65", 1885448, 59069},
  {"75", 1885601, 59074},
  {"74", 1885756, 59079},
  {"73", 1885911, 59084},
  {"72", 1886066, 59089},
  {"71", 1886219, 59094},
  {"70", 1886372, 59099},
  {"69", 1886527, 59104},
  {"68", 1886680, 59109},
  {"67", 1886833, 59114},
  {"66", 1886987, 59119},
  {"76", 1887141, 59124},
  {"77", 1887294, 59129},
  {"208", 1887448, 59134},
  {"207", 1887606, 59139},
  {"206", 1887762, 59144},
  {"205", 1887920, 59149},
  {"204", 1888076, 59154},
  {"203", 1888232, 59159},
  {"202", 1888390, 59164},
  {"201", 1888548, 59169},
  {"200", 1888706, 59174},
  {"199", 1888864, 59179},
  {"198", 1889022, 59184},
  {"197", 1889180, 59189},
  {"196", 1889338, 59194},
  {"195", 1889496, 59199},
  {"194", 1889654, 59204},
  {"193", 1889812, 59209},
  {"192", 1889968, 59214},
  {"191", 1890126, 59219},
  {"190", 1890284, 59224},
  {"189", 1890442, 59229},
  {"188", 1890600, 59234},
  {"187", 1890758, 59239},
  {"186", 1890916, 59244},
  {"185", 1891074, 59249},
  {"184", 1891232, 59254},
  {"183", 1891388, 59259},
  {"182", 1891546, 59264},
  {"181", 1891704, 59269},
  {"180", 1891862, 59274},
  {"179", 1892020, 59279},
  {"178", 1892178, 59284},
  {"177", 1892336, 59289},
  {"176", 1892494, 59294},
  {"175", 1892652, 59299},
  {"174", 1892810, 59304},
  {"173", 1892968, 59309},
  {"172", 1893126, 59314},
  {"171", 1893284, 59319},
  {"170", 1893442, 59324},
  {"169", 1893600, 59329},
  {"168", 1893758, 59334},
  {"167", 1893916, 59339},
  {"166", 1894074, 59344},
  {"165", 1894232, 59349},
  {"164", 1894390, 59354},
  {"163", 1894548, 59359},
  {"162", 1894706, 59364},
  {"161", 1894864, 59369},
  {"160", 1895022, 59374},
  {"159", 1895180, 59379},
  {"158", 1895338, 59384},
  {"157", 1895494, 59389},
  {"156", 1895652, 59394},
  {"155", 1895810, 59399},
  {"154", 1895968, 59404},
  {"153", 1896126, 59409},
  {"152", 1896284, 59414},
  {"151", 1896442, 59419},
  {"150", 1896600, 59424},
  {"149", 1896756, 59429},
  {"148", 1896912, 59434},
  {"147", 1897070, 59439},
  {"146", 1897228, 59444},
  {"145", 1897384, 59449},
  {"144", 1897542, 59454},
  {"143", 1897698, 59459},
  {"142", 1897856, 59464},
  {"141", 1898012, 59469},
  {"140", 1898170, 59474},
  {"139", 1898328, 59479},
  {"138", 1898486, 59484},
  {"137", 1898644, 59489},
  {"136", 1898802, 59494},
  {"135", 1898960, 59499},
  {"134", 1899118, 59504},
  {"133", 1899276, 59509},
  {"132", 1899434, 59514},
  {"131", 1899592, 59519},
  {"130", 1899750, 59524},
  {"129", 1899908, 59529},
  {"128", 1900064, 59534},
  {"127", 1900221, 59539},
  {"126", 1900378, 59544},
  {"125", 1900535, 59549},
  {"124", 1900694, 59554},
  {"123", 1900853, 59559},
  {"122", 1901010, 59564},
  {"121", 1901169, 59569},
  {"120", 1901326, 59574},
  {"119", 1901485, 59579},
  {"118", 1901642, 59584},
  {"117", 1901801, 59589},
  {"116", 1901960, 59594},
  {"115", 1902119, 59599},
  {"114", 1902278, 59604},
  {"113", 1902437, 59609},
  {"112", 1902594, 59614},
  {"111", 1902751, 59619},
  {"110", 1902908, 59624},
  {"109", 1903065, 59629},
  {"108", 1903222, 59634},
  {"107", 1903379, 59639},
  {"106", 1903536, 59644},
  {"105", 1903693, 59649},
  {"104", 1903850, 59654},
  {"103", 1904007, 59659},
  {"102", 1904164, 59664},
  {"101", 1904321, 59669},
  {"100", 1904478, 59674},
  {"99", 1904634, 59679},
  {"98", 1904788, 59684},
  {"97", 1904942, 59689},
  {"96", 1905096, 59694},
  {"95", 1905250, 59699},
  {"94", 1905406, 59704},
  {"93", 1905562, 59709},
  {"92", 1905718, 59714},
  {"91", 1905874, 59719},
  {"90", 1906030, 59724},
  {"89", 1906184, 59729},
  {"88", 1906339, 59734},
  {"87", 1906493, 59739},
  {"86", 1906647, 59744},
  {"85", 1906801, 59749},
  {"84", 1906956, 59754},
  {"83", 1907111, 59759},
  {"82", 1907267, 59764},
  {"81", 1907423, 59769},
  {"80", 1907579, 59774},
  {"79", 1907733, 59779},
  {"78", 1907887, 59784},
  {"209", 1908042, 59789},
  {"210", 1908199, 59794},
  {"211", 1908356, 59799},
  {"212", 1908515, 59804},
  {"213", 1908672, 59809},
  {"214", 1908829, 59814},
  {"215", 1908988, 59819},
  {"216", 1909145, 59824},
  {"217", 1909303, 59829},
  {"218", 1909461, 59834},
  {"219", 1909618, 59839},
  {"220", 1909777, 59844},
  {"221", 1909934, 59849},
  {"239", 1910091, 59854},
  {"238", 1910250, 59859},
  {"237", 1910409, 59864},
  {"236", 1910568, 59869},
  {"235", 1910725, 59874},
  {"234", 1910884, 59879},
  {"233", 1911043, 59884},
  {"232", 1911202, 59889},
  {"231", 1911361, 59894},
  {"230", 1911520, 59899},
  {"229", 1911679, 59904},
  {"228", 1911837, 59909},
  {"227", 1911996, 59914},
  {"226", 1912155, 59919},
  {"225", 1912312, 59924},
  {"224", 1912469, 59929},
  {"223", 1912628, 59934},
  {"222", 1912785, 59939},
  {"576", 1912942, 59944},
  {"575", 1913100, 59949},
  {"574", 1913258, 59954},
  {"573", 1913417, 59959},
  {"572", 1913576, 59964},
  {"571", 1913735, 59969},
  {"570", 1913894, 59974},
  {"569", 1914052, 59979},
  {"568", 1914210, 59984},
  {"567", 1914367, 59989},
  {"566", 1914524, 59994},
  {"565", 1914681, 59999},
  {"564", 1914838, 60004},
  {"563", 1914997, 60009},
  {"562", 1915156, 60014},
  {"561", 1915313, 60019},
  {"560", 1915470, 60024},
  {"559", 1915627, 60029},
  {"558", 1915786, 60034},
  {"557", 1915945, 60039},
  {"556", 1916104, 60044},
  {"555", 1916263, 60049},
  {"554", 1916422, 60054},
  {"553", 1916581, 60059},
  {"552", 1916740, 60064},
  {"551", 1916899, 60069},
  {"550", 1917058, 60074},
  {"549", 1917217, 60079},
  {"548", 1917376, 60084},
  {"547", 1917535, 60089},
  {"546", 1917692, 60094},
  {"545", 1917849, 60099},
  {"544", 1918008, 60104},
  {"543", 1918167, 60109},
  {"542", 1918326, 60114},
  {"541", 1918485, 60119},
  {"540", 1918644, 60124},
  {"539", 1918803, 60129},
  {"538", 1918962, 60134},
  {"537", 1919121, 60139},
  {"536", 1919280, 60144},
  {"535", 1919439, 60149},
  {"534", 1919598, 60154},
  {"533", 1919757, 60159},
  {"532", 1919916, 60164},
  {"531", 1920075, 60169},
  {"530", 1920234, 60174},
  {"529", 1920393, 60179},
  {"528", 1920552, 60184},
  {"527", 1920711, 60189},
  {"526", 1920870, 60194},
  {"525", 1921029, 60199},
  {"524", 1921188, 60204},
  {"523", 1921347, 60209},
  {"522", 1921506, 60214},
  {"521", 1921665, 60219},
  {"520", 1921822, 60224},
  {"519", 1921981, 60229},
  {"518", 1922140, 60234},
  {"517", 1922299, 60239},
  {"516", 1922458, 60244},
  {"515", 1922617, 60249},
  {"514", 1922776, 60254},
  {"513", 1922935, 60259},
  {"512", 1923094, 60264},
  {"511", 1923253, 60269},
  {"510", 1923412, 60274},
  {"509", 1923571, 60279},
  {"508", 1923730, 60284},
  {"507", 1923887, 60289},
  {"506", 1924044, 60294},
  {"505", 1924203, 60299},
  {"504", 1924362, 60304},
  {"503", 1924521, 60309},
  {"502", 1924680, 60314},
  {"501", 1924839, 60319},
  {"500", 1924998, 60324},
  {"499", 1925157, 60329},
  {"498", 1925316, 60334},
  {"497", 1925475, 60339},
  {"496", 1925634, 60344},
  {"495", 1925793, 60349},
  {"494", 1925952, 60354},
  {"493", 1926111, 60359},
  {"492", 1926270, 60364},
  {"491", 1926429, 60369},
  {"490", 1926588, 60374},
  {"489", 1926747, 60379},
  {"488", 1926906, 60384},
  {"487", 1927065, 60389},
  {"486", 1927224, 60394},
  {"485", 1927383, 60399},
  {"484", 1927542, 60404},
  {"483", 1927701, 60409},
  {"482", 1927860, 60414},
  {"481", 1928019, 60419},
  {"480", 1928178, 60424},
  {"479", 1928337, 60429},
  {"478", 1928496, 60434},
  {"477", 1928655, 60439},
  {"476", 1928814, 60444},
  {"475", 1928973, 60449},
  {"474", 1929132, 60454},
  {"473", 1929291, 60459},
  {"472", 1929450, 60464},
  {"471", 1929609, 60469},
  {"470", 1929768, 60474},
  {"469", 1929927, 60479},
  {"468", 1930086, 60484},
  {"467", 1930245, 60489},
  {"466", 1930404, 60494},
  {"465", 1930563, 60499},
  {"464", 1930722, 60504},
  {"463", 1930879, 60509},
  {"462", 1931036, 60514},
  {"461", 1931195, 60519},
  {"460", 1931354, 60524},
  {"459", 1931511, 60529},
  {"458", 1931670, 60534},
  {"457", 1931827, 60539},
  {"456", 1931986, 60544},
  {"455", 1932143, 60549},
  {"454", 1932302, 60554},
  {"453", 1932461, 60559},
  {"452", 1932620, 60564},
  {"451", 1932779, 60569},
  {"450", 1932938, 60574},
  {"449", 1933095, 60579},
  {"448", 1933252, 60584},
  {"447", 1933409, 60589},
  {"446", 1933566, 60594},
  {"445", 1933724, 60599},
  {"444", 1933881, 60604},
  {"443", 1934040, 60609},
  {"442", 1934199, 60614},
  {"441", 1934358, 60619},
  {"440", 1934517, 60624},
  {"439", 1934676, 60629},
  {"438", 1934835, 60634},
  {"437", 1934994, 60639},
  {"436", 1935153, 60644},
  {"435", 1935312, 60649},
  {"434", 1935471, 60654},
  {"433", 1935630, 60659},
  {"432", 1935789, 60664},
  {"431", 1935948, 60669},
  {"430", 1936107, 60674},
  {"429", 1936266, 60679},
  {"428", 1936425, 60684},
  {"427", 1936584, 60689},
  {"426", 1936743, 60694},
  {"425", 1936900, 60699},
  {"424", 1937059, 60704},
  {"423", 1937218, 60709},
  {"422", 1937375, 60714},
  {"421", 1937534, 60719},
  {"420", 1937692, 60724},
  {"419", 1937851, 60729},
  {"418", 1938009, 60734},
  {"417", 1938168, 60739},
  {"416", 1938327, 60744},
  {"415", 1938486, 60749},
  {"414", 1938645, 60754},
  {"413", 1938804, 60759},
  {"412", 1938961, 60764},
  {"411", 1939118, 60769},
  {"410", 1939277, 60774},
  {"409", 1939435, 60779},
  {"408", 1939594, 60784},
  {"407", 1939751, 60789},
  {"406", 1939910, 60794},
  {"405", 1940069, 60799},
  {"404", 1940228, 60804},
  {"403", 1940387, 60809},
  {"402", 1940546, 60814},
  {"401", 1940705, 60819},
  {"400", 1940862, 60824},
  {"399", 1941019, 60829},
  {"398", 1941177, 60834},
  {"397", 1941335, 60839},
  {"396", 1941494, 60844},
  {"395", 1941653, 60849},
  {"394", 1941810, 60854},
  {"393", 1941967, 60859},
  {"392", 1942126, 60864},
  {"391", 1942285, 60869},
  {"390", 1942442, 60874},
  {"389", 1942600, 60879},
  {"388", 1942759, 60884},
  {"387", 1942918, 60889},
  {"386", 1943077, 60894},
  {"385", 1943236, 60899},
  {"384", 1943395, 60904},
  {"383", 1943554, 60909},
  {"382", 1943713, 60914},
  {"381", 1943872, 60919},
  {"380", 1944031, 60924},
  {"379", 1944190, 60929},
  {"378", 1944349, 60934},
  {"377", 1944508, 60939},
  {"376", 1944667, 60944},
  {"375", 1944826, 60949},
  {"374", 1944985, 60954},
  {"373", 1945142, 60959},
  {"372", 1945299, 60964},
  {"371", 1945456, 60969},
  {"370", 1945613, 60974},
  {"369", 1945772, 60979},
  {"368", 1945931, 60984},
  {"367", 1946088, 60989},
  {"366", 1946247, 60994},
  {"365", 1946404, 60999},
  {"364", 1946563, 61004},
  {"363", 1946720, 61009},
  {"362", 1946879, 61014},
  {"361", 1947038, 61019},
  {"360", 1947197, 61024},
  {"359", 1947356, 61029},
  {"358", 1947515, 61034},
  {"357", 1947672, 61039},
  {"356", 1947829, 61044},
  {"355", 1947986, 61049},
  {"354", 1948143, 61054},
  {"353", 1948301, 61059},
  {"352", 1948458, 61064},
  {"351", 1948617, 61069},
  {"350", 1948776, 61074},
  {"349", 1948935, 61079},
  {"348", 1949094, 61084},
  {"347", 1949253, 61089},
  {"346", 1949412, 61094},
  {"345", 1949569, 61099},
  {"344", 1949728, 61104},
  {"343", 1949887, 61109},
  {"342", 1950046, 61114},
  {"341", 1950205, 61119},
  {"340", 1950364, 61124},
  {"339", 1950523, 61129},
  {"338", 1950682, 61134},
  {"337", 1950841, 61139},
  {"336", 1951000, 61144},
  {"335", 1951159, 61149},
  {"334", 1951318, 61154},
  {"333", 1951477, 61159},
  {"332", 1951636, 61164},
  {"331", 1951795, 61169},
  {"330", 1951954, 61174},
  {"329", 1952113, 61179},
  {"328", 1952270, 61184},
  {"327", 1952429, 61189},
  {"326", 1952588, 61194},
  {"325", 1952745, 61199},
  {"324", 1952902, 61204},
  {"323", 1953059, 61209},
  {"322", 1953216, 61214},
  {"321", 1953375, 61219},
  {"320", 1953534, 61224},
  {"319", 1953691, 61229},
  {"318", 1953850, 61234},
  {"317", 1954008, 61239},
  {"316", 1954167, 61244},
  {"315", 1954325, 61249},
  {"314", 1954484, 61254},
  {"313", 1954644, 61259},
  {"312", 1954804, 61264},
  {"311", 1954964, 61269},
  {"310", 1955124, 61274},
  {"309", 1955282, 61279},
  {"308", 1955440, 61284},
  {"307", 1955600, 61289},
  {"306", 1955759, 61294},
  {"305", 1955919, 61299},
  {"304", 1956077, 61304},
  {"303", 1956237, 61309},
  {"302", 1956397, 61314},
  {"301", 1956557, 61319},
  {"300", 1956717, 61324},
  {"299", 1956877, 61329},
  {"298", 1957037, 61334},
  {"297", 1957196, 61339},
  {"296", 1957356, 61344},
  {"295", 1957516, 61349},
  {"294", 1957674, 61354},
  {"293", 1957832, 61359},
  {"292", 1957991, 61364},
  {"291", 1958150, 61369},
  {"290", 1958310, 61374},
  {"289", 1958470, 61379},
  {"288", 1958628, 61384},
  {"287", 1958786, 61389},
  {"286", 1958946, 61394},
  {"285", 1959106, 61399},
  {"284", 1959264, 61404},
  {"283", 1959423, 61409},
  {"282", 1959581, 61414},
  {"281", 1959740, 61419},
  {"280", 1959900, 61424},
  {"279", 1960060, 61429},
  {"278", 1960220, 61434},
  {"277", 1960380, 61439},
  {"276", 1960540, 61444},
  {"275", 1960700, 61449},
  {"274", 1960860, 61454},
  {"273", 1961020, 61459},
  {"272", 1961180, 61464},
  {"271", 1961340, 61469},
  {"270", 1961500, 61474},
  {"269", 1961660, 61479},
  {"268", 1961820, 61484},
  {"267", 1961980, 61489},
  {"266", 1962140, 61494},
  {"265", 1962300, 61499},
  {"264", 1962460, 61504},
  {"263", 1962618, 61509},
  {"262", 1962776, 61514},
  {"261", 1962936, 61519},
  {"260", 1963094, 61524},
  {"259", 1963252, 61529},
  {"258", 1963412, 61534},
  {"257", 1963570, 61539},
  {"256", 1963728, 61544},
  {"255", 1963888, 61549},
  {"254", 1964046, 61554},
  {"253", 1964204, 61559},
  {"252", 1964362, 61564},
  {"251", 1964520, 61569},
  {"250", 1964678, 61574},
  {"249", 1964836, 61579},
  {"248", 1964994, 61584},
  {"247", 1965152, 61589},
  {"246", 1965310, 61594},
  {"245", 1965468, 61599},
  {"244", 1965628, 61604},
  {"243", 1965788, 61609},
  {"242", 1965946, 61614},
  {"241", 1966104, 61619},
  {"240", 1966262, 61624},
  {"AdditionalInfo", 1966431, 61629},
  {"220.1", 1966527, 61632},
  {"220.2", 1966613, 61635},
  {"221.1", 1966699, 61638},
  {"221.2", 1966785, 61641},
  {"3.1", 1966869, 61644},
  {"3.1.1", 1966953, 61647},
  {"3.1.2", 1967039, 61650},
  {"3.2", 1967123, 61653},
  {"3.2.1", 1967208, 61656},
  {"3.2.2", 1967294, 61659},
  {"64.1", 1967379, 61662},
  {"64.2", 1967463, 61665},
  {"65.1", 1967547, 61668},
  {"65.2", 1967631, 61671},
  {"a contradiction", 1967726, 61674}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 93, 1, 32, "ProofText"],
Cell[1872, 56, 415, 11, 32, "Conclusion",
  CellTags->"Theorem (Root Irrational)"],

Cell[CellGroupData[{
Cell[2312, 71, 109, 1, 32, "ProofText"],
Cell[2424, 74, 3110, 77, 64, "Assumption",
  CellTags->"Definition (Rational)"],
Cell[5537, 153, 2261, 60, 62, "Assumption",
  CellTags->"Lemma (Coprime for Two)"],
Cell[7801, 215, 1713, 48, 38, "Assumption",
  CellTags->"Lemma (Multiply Root Equation)"],
Cell[9517, 265, 1346, 37, 37, "Assumption",
  CellTags->"Lemma (Euclid)"],
Cell[10866, 304, 1921, 52, 62, "Assumption",
  CellTags->"Definition (Divisible): 1"],
Cell[12790, 358, 2230, 57, 60, "Assumption",
  CellTags->"Definition (Divisible): 2"],
Cell[15023, 417, 2411, 66, 62, "Assumption",
  CellTags->"Lemma (Simplify by Cancelling)"],
Cell[17437, 485, 1078, 30, 37, "Assumption",
  CellTags->"Lemma (Squares Preserve Naturals)"]
}, Open  ]],
Cell[18530, 518, 433, 12, 32, "ProofText"],
Cell[18966, 532, 104, 1, 32, "ProofText"],
Cell[19073, 535, 374, 11, 32, "Assumption",
  CellTags->"1"],
Cell[19450, 548, 296, 8, 24, "ProofText"],
Cell[19749, 558, 668, 21, 24, "ProofText"],
Cell[20420, 581, 2149, 59, 32, "Assumption",
  CellTags->"2"],
Cell[22572, 642, 403, 12, 24, "ProofText"],
Cell[22978, 656, 1660, 46, 32, "Assumption",
  CellTags->"3"],
Cell[24641, 704, 680, 21, 70, "ProofText"],
Cell[25324, 727, 1252, 35, 70, "Assumption",
  CellTags->"15"],
Cell[26579, 764, 694, 21, 70, "ProofText"],
Cell[27276, 787, 730, 22, 70, "Assumption",
  CellTags->"14"],
Cell[28009, 811, 700, 21, 70, "ProofText"],
Cell[28712, 834, 546, 16, 70, "Assumption",
  CellTags->"13"],
Cell[29261, 852, 684, 21, 70, "ProofText"],
Cell[29948, 875, 1464, 42, 70, "Assumption",
  CellTags->"12"],
Cell[31415, 919, 684, 21, 70, "ProofText"],
Cell[32102, 942, 1538, 42, 70, "Assumption",
  CellTags->"11"],
Cell[33643, 986, 662, 21, 70, "ProofText"],
Cell[34308, 1009, 764, 22, 70, "Assumption",
  CellTags->"10"],
Cell[35075, 1033, 680, 21, 70, "ProofText"],
Cell[35758, 1056, 1880, 50, 70, "Assumption",
  CellTags->"9"],
Cell[37641, 1108, 700, 21, 70, "ProofText"],
Cell[38344, 1131, 544, 16, 70, "Assumption",
  CellTags->"8"],
Cell[38891, 1149, 684, 21, 70, "ProofText"],
Cell[39578, 1172, 1462, 42, 70, "Assumption",
  CellTags->"7"],
Cell[41043, 1216, 684, 21, 70, "ProofText"],
Cell[41730, 1239, 1536, 42, 70, "Assumption",
  CellTags->"6"],
Cell[43269, 1283, 662, 21, 70, "ProofText"],
Cell[43934, 1306, 762, 22, 70, "Assumption",
  CellTags->"5"],
Cell[44699, 1330, 680, 21, 70, "ProofText"],
Cell[45382, 1353, 1880, 50, 70, "Assumption",
  CellTags->"4"],
Cell[47265, 1405, 638, 21, 70, "ProofText"],
Cell[47906, 1428, 1040, 29, 70, "Assumption",
  CellTags->"17"],
Cell[48949, 1459, 638, 21, 70, "ProofText"],
Cell[49590, 1482, 1040, 29, 70, "Assumption",
  CellTags->"16"],
Cell[50633, 1513, 652, 21, 70, "ProofText"],
Cell[51288, 1536, 820, 23, 70, "Assumption",
  CellTags->"18"],
Cell[52111, 1561, 648, 21, 70, "ProofText"],
Cell[52762, 1584, 648, 21, 70, "ProofText"],
Cell[53413, 1607, 385, 12, 70, "ProofText"],
Cell[53801, 1621, 725, 21, 70, "Assumption",
  CellTags->"19"],
Cell[54529, 1644, 688, 21, 70, "ProofText"],
Cell[55220, 1667, 1539, 44, 70, "Assumption",
  CellTags->"48"],
Cell[56762, 1713, 678, 21, 70, "ProofText"],
Cell[57443, 1736, 1054, 30, 70, "Assumption",
  CellTags->"47"],
Cell[58500, 1768, 694, 21, 70, "ProofText"],
Cell[59197, 1791, 627, 18, 70, "Assumption",
  CellTags->"46"],
Cell[59827, 1811, 678, 21, 70, "ProofText"],
Cell[60508, 1834, 1552, 44, 70, "Assumption",
  CellTags->"45"],
Cell[62063, 1880, 678, 21, 70, "ProofText"],
Cell[62744, 1903, 1641, 45, 70, "Assumption",
  CellTags->"44"],
Cell[64388, 1950, 656, 21, 70, "ProofText"],
Cell[65047, 1973, 889, 25, 70, "Assumption",
  CellTags->"43"],
Cell[65939, 2000, 674, 21, 70, "ProofText"],
Cell[66616, 2023, 1986, 52, 70, "Assumption",
  CellTags->"42"],
Cell[68605, 2077, 638, 21, 70, "ProofText"],
Cell[69246, 2100, 921, 27, 70, "Assumption",
  CellTags->"41"],
Cell[70170, 2129, 638, 21, 70, "ProofText"],
Cell[70811, 2152, 921, 27, 70, "Assumption",
  CellTags->"40"],
Cell[71735, 2181, 632, 21, 70, "ProofText"],
Cell[72370, 2204, 965, 28, 70, "Assumption",
  CellTags->"39"],
Cell[73338, 2234, 636, 21, 70, "ProofText"],
Cell[73977, 2257, 1209, 34, 70, "Assumption",
  CellTags->"38"],
Cell[75189, 2293, 636, 21, 70, "ProofText"],
Cell[75828, 2316, 1209, 34, 70, "Assumption",
  CellTags->"37"],
Cell[77040, 2352, 630, 21, 70, "ProofText"],
Cell[77673, 2375, 1297, 36, 70, "Assumption",
  CellTags->"36"],
Cell[78973, 2413, 692, 21, 70, "ProofText"],
Cell[79668, 2436, 627, 18, 70, "Assumption",
  CellTags->"35"],
Cell[80298, 2456, 676, 21, 70, "ProofText"],
Cell[80977, 2479, 1552, 44, 70, "Assumption",
  CellTags->"34"],
Cell[82532, 2525, 676, 21, 70, "ProofText"],
Cell[83211, 2548, 1641, 45, 70, "Assumption",
  CellTags->"33"],
Cell[84855, 2595, 654, 21, 70, "ProofText"],
Cell[85512, 2618, 889, 25, 70, "Assumption",
  CellTags->"32"],
Cell[86404, 2645, 672, 21, 70, "ProofText"],
Cell[87079, 2668, 1986, 52, 70, "Assumption",
  CellTags->"31"],
Cell[89068, 2722, 630, 21, 70, "ProofText"],
Cell[89701, 2745, 965, 28, 70, "Assumption",
  CellTags->"30"],
Cell[90669, 2775, 628, 21, 70, "ProofText"],
Cell[91300, 2798, 1297, 36, 70, "Assumption",
  CellTags->"29"],
Cell[92600, 2836, 636, 21, 70, "ProofText"],
Cell[93239, 2859, 921, 27, 70, "Assumption",
  CellTags->"28"],
Cell[94163, 2888, 636, 21, 70, "ProofText"],
Cell[94802, 2911, 921, 27, 70, "Assumption",
  CellTags->"27"],
Cell[95726, 2940, 630, 21, 70, "ProofText"],
Cell[96359, 2963, 965, 28, 70, "Assumption",
  CellTags->"26"],
Cell[97327, 2993, 628, 21, 70, "ProofText"],
Cell[97958, 3016, 965, 28, 70, "Assumption",
  CellTags->"25"],
Cell[98926, 3046, 636, 21, 70, "ProofText"],
Cell[99565, 3069, 1040, 29, 70, "Assumption",
  CellTags->"24"],
Cell[100608, 3100, 636, 21, 70, "ProofText"],
Cell[101247, 3123, 1209, 34, 70, "Assumption",
  CellTags->"23"],
Cell[102459, 3159, 636, 21, 70, "ProofText"],
Cell[103098, 3182, 1209, 34, 70, "Assumption",
  CellTags->"22"],
Cell[104310, 3218, 630, 21, 70, "ProofText"],
Cell[104943, 3241, 1297, 36, 70, "Assumption",
  CellTags->"21"],
Cell[106243, 3279, 628, 21, 70, "ProofText"],
Cell[106874, 3302, 1297, 36, 70, "Assumption",
  CellTags->"20"],
Cell[108174, 3340, 652, 21, 70, "ProofText"],
Cell[108829, 3363, 820, 23, 70, "Assumption",
  CellTags->"49"],
Cell[109652, 3388, 648, 21, 70, "ProofText"],
Cell[110303, 3411, 385, 12, 70, "ProofText"],
Cell[110691, 3425, 725, 21, 70, "Assumption",
  CellTags->"50"],
Cell[111419, 3448, 649, 21, 70, "ProofText"],
Cell[112071, 3471, 632, 21, 70, "ProofText"],
Cell[112706, 3494, 798, 23, 70, "Assumption",
  CellTags->"52"],
Cell[113507, 3519, 630, 21, 70, "ProofText"],
Cell[114140, 3542, 798, 23, 70, "Assumption",
  CellTags->"51"],
Cell[114941, 3567, 644, 21, 70, "ProofText"],
Cell[115588, 3590, 552, 16, 70, "Assumption",
  CellTags->"53"],
Cell[116143, 3608, 648, 21, 70, "ProofText"],
Cell[116794, 3631, 648, 21, 70, "ProofText"],
Cell[117445, 3654, 648, 21, 70, "ProofText"],
Cell[118096, 3677, 646, 21, 70, "ProofText"],
Cell[118745, 3700, 1255, 36, 70, "Assumption",
  CellTags->"54"],
Cell[120003, 3738, 646, 21, 70, "ProofText"],
Cell[120652, 3761, 514, 15, 70, "Assumption",
  CellTags->"55"],
Cell[121169, 3778, 648, 21, 70, "ProofText"],
Cell[121820, 3801, 648, 21, 70, "ProofText"],
Cell[122471, 3824, 648, 21, 70, "ProofText"],
Cell[123122, 3847, 648, 21, 70, "ProofText"],
Cell[123773, 3870, 644, 21, 70, "ProofText"],
Cell[124420, 3893, 517, 15, 70, "Assumption",
  CellTags->"56"],
Cell[124940, 3910, 646, 21, 70, "ProofText"],
Cell[125589, 3933, 646, 21, 70, "ProofText"],
Cell[126238, 3956, 1209, 35, 70, "Assumption",
  CellTags->"57"],
Cell[127450, 3993, 645, 21, 70, "ProofText"],
Cell[128098, 4016, 555, 16, 70, "Assumption",
  CellTags->"58"],
Cell[128656, 4034, 648, 21, 70, "ProofText"],
Cell[129307, 4057, 647, 21, 70, "ProofText"],
Cell[129957, 4080, 702, 21, 70, "Assumption",
  CellTags->"59"],
Cell[130662, 4103, 647, 21, 70, "ProofText"],
Cell[131312, 4126, 702, 21, 70, "Assumption",
  CellTags->"60"],
Cell[132017, 4149, 647, 21, 70, "ProofText"],
Cell[132667, 4172, 662, 20, 70, "Assumption",
  CellTags->"61"],
Cell[133332, 4194, 647, 21, 70, "ProofText"],
Cell[133982, 4217, 662, 20, 70, "Assumption",
  CellTags->"62"],
Cell[134647, 4239, 647, 21, 70, "ProofText"],
Cell[135297, 4262, 636, 18, 70, "Assumption",
  CellTags->"63"],
Cell[135936, 4282, 405, 12, 70, "ProofText"],
Cell[136344, 4296, 911, 27, 70, "Assumption",
  CellTags->"64"],
Cell[137258, 4325, 405, 12, 70, "ProofText"],
Cell[137666, 4339, 953, 28, 70, "Assumption",
  CellTags->"65"],
Cell[138622, 4369, 630, 21, 70, "ProofText"],
Cell[139255, 4392, 1170, 34, 70, "Assumption",
  CellTags->"75"],
Cell[140428, 4428, 632, 21, 70, "ProofText"],
Cell[141063, 4451, 1214, 35, 70, "Assumption",
  CellTags->"74"],
Cell[142280, 4488, 632, 21, 70, "ProofText"],
Cell[142915, 4511, 1544, 42, 70, "Assumption",
  CellTags->"73"],
Cell[144462, 4555, 632, 21, 70, "ProofText"],
Cell[145097, 4578, 932, 27, 70, "Assumption",
  CellTags->"72"],
Cell[146032, 4607, 632, 21, 70, "ProofText"],
Cell[146667, 4630, 932, 27, 70, "Assumption",
  CellTags->"71"],
Cell[147602, 4659, 630, 21, 70, "ProofText"],
Cell[148235, 4682, 1494, 41, 70, "Assumption",
  CellTags->"70"],
Cell[149732, 4725, 632, 21, 70, "ProofText"],
Cell[150367, 4748, 890, 26, 70, "Assumption",
  CellTags->"69"],
Cell[151260, 4776, 632, 21, 70, "ProofText"],
Cell[151895, 4799, 890, 26, 70, "Assumption",
  CellTags->"68"],
Cell[152788, 4827, 632, 21, 70, "ProofText"],
Cell[153423, 4850, 972, 28, 70, "Assumption",
  CellTags->"67"],
Cell[154398, 4880, 632, 21, 70, "ProofText"],
Cell[155033, 4903, 972, 28, 70, "Assumption",
  CellTags->"66"],
Cell[156008, 4933, 648, 21, 70, "ProofText"],
Cell[156659, 4956, 648, 21, 70, "ProofText"],
Cell[157310, 4979, 648, 21, 70, "ProofText"],
Cell[157961, 5002, 647, 21, 70, "ProofText"],
Cell[158611, 5025, 714, 21, 70, "Assumption",
  CellTags->"76"],
Cell[159328, 5048, 648, 21, 70, "ProofText"],
Cell[159979, 5071, 647, 21, 70, "ProofText"],
Cell[160629, 5094, 756, 22, 70, "Assumption",
  CellTags->"77"],
Cell[161388, 5118, 648, 21, 70, "ProofText"],
Cell[162039, 5141, 648, 21, 70, "ProofText"],
Cell[162690, 5164, 678, 21, 70, "ProofText"],
Cell[163371, 5187, 1498, 42, 70, "Assumption",
  CellTags->"208"],
Cell[164872, 5231, 656, 21, 70, "ProofText"],
Cell[165531, 5254, 888, 25, 70, "Assumption",
  CellTags->"207"],
Cell[166422, 5281, 678, 21, 70, "ProofText"],
Cell[167103, 5304, 1408, 40, 70, "Assumption",
  CellTags->"206"],
Cell[168514, 5346, 656, 21, 70, "ProofText"],
Cell[169173, 5369, 763, 22, 70, "Assumption",
  CellTags->"205"],
Cell[169939, 5393, 694, 21, 70, "ProofText"],
Cell[170636, 5416, 723, 21, 70, "Assumption",
  CellTags->"204"],
Cell[171362, 5439, 678, 21, 70, "ProofText"],
Cell[172043, 5462, 1740, 48, 70, "Assumption",
  CellTags->"203"],
Cell[173786, 5512, 678, 21, 70, "ProofText"],
Cell[174467, 5535, 1855, 49, 70, "Assumption",
  CellTags->"202"],
Cell[176325, 5586, 656, 21, 70, "ProofText"],
Cell[176984, 5609, 1078, 30, 70, "Assumption",
  CellTags->"201"],
Cell[178065, 5641, 674, 21, 70, "ProofText"],
Cell[178742, 5664, 2246, 58, 70, "Assumption",
  CellTags->"200"],
Cell[180991, 5724, 632, 21, 70, "ProofText"],
Cell[181626, 5747, 1069, 31, 70, "Assumption",
  CellTags->"199"],
Cell[182698, 5780, 630, 21, 70, "ProofText"],
Cell[183331, 5803, 1490, 41, 70, "Assumption",
  CellTags->"198"],
Cell[184824, 5846, 630, 21, 70, "ProofText"],
Cell[185457, 5869, 1069, 31, 70, "Assumption",
  CellTags->"197"],
Cell[186529, 5902, 630, 21, 70, "ProofText"],
Cell[187162, 5925, 1490, 41, 70, "Assumption",
  CellTags->"196"],
Cell[188655, 5968, 638, 21, 70, "ProofText"],
Cell[189296, 5991, 1005, 29, 70, "Assumption",
  CellTags->"195"],
Cell[190304, 6022, 638, 21, 70, "ProofText"],
Cell[190945, 6045, 1005, 29, 70, "Assumption",
  CellTags->"194"],
Cell[191953, 6076, 632, 21, 70, "ProofText"],
Cell[192588, 6099, 800, 23, 70, "Assumption",
  CellTags->"193"],
Cell[193391, 6124, 632, 21, 70, "ProofText"],
Cell[194026, 6147, 1049, 30, 70, "Assumption",
  CellTags->"192"],
Cell[195078, 6179, 630, 21, 70, "ProofText"],
Cell[195711, 6202, 1049, 30, 70, "Assumption",
  CellTags->"191"],
Cell[196763, 6234, 632, 21, 70, "ProofText"],
Cell[197398, 6257, 1151, 33, 70, "Assumption",
  CellTags->"190"],
Cell[198552, 6292, 638, 21, 70, "ProofText"],
Cell[199193, 6315, 1299, 36, 70, "Assumption",
  CellTags->"189"],
Cell[200495, 6353, 638, 21, 70, "ProofText"],
Cell[201136, 6376, 1299, 36, 70, "Assumption",
  CellTags->"188"],
Cell[202438, 6414, 632, 21, 70, "ProofText"],
Cell[203073, 6437, 1387, 38, 70, "Assumption",
  CellTags->"187"],
Cell[204463, 6477, 630, 21, 70, "ProofText"],
Cell[205096, 6500, 1387, 38, 70, "Assumption",
  CellTags->"186"],
Cell[206486, 6540, 632, 21, 70, "ProofText"],
Cell[207121, 6563, 1578, 43, 70, "Assumption",
  CellTags->"185"],
Cell[208702, 6608, 694, 21, 70, "ProofText"],
Cell[209399, 6631, 723, 21, 70, "Assumption",
  CellTags->"184"],
Cell[210125, 6654, 678, 21, 70, "ProofText"],
Cell[210806, 6677, 1740, 48, 70, "Assumption",
  CellTags->"183"],
Cell[212549, 6727, 678, 21, 70, "ProofText"],
Cell[213230, 6750, 1855, 49, 70, "Assumption",
  CellTags->"182"],
Cell[215088, 6801, 656, 21, 70, "ProofText"],
Cell[215747, 6824, 1078, 30, 70, "Assumption",
  CellTags->"181"],
Cell[216828, 6856, 674, 21, 70, "ProofText"],
Cell[217505, 6879, 2246, 58, 70, "Assumption",
  CellTags->"180"],
Cell[219754, 6939, 632, 21, 70, "ProofText"],
Cell[220389, 6962, 1069, 31, 70, "Assumption",
  CellTags->"179"],
Cell[221461, 6995, 630, 21, 70, "ProofText"],
Cell[222094, 7018, 1490, 41, 70, "Assumption",
  CellTags->"178"],
Cell[223587, 7061, 630, 21, 70, "ProofText"],
Cell[224220, 7084, 1069, 31, 70, "Assumption",
  CellTags->"177"],
Cell[225292, 7117, 630, 21, 70, "ProofText"],
Cell[225925, 7140, 1490, 41, 70, "Assumption",
  CellTags->"176"],
Cell[227418, 7183, 632, 21, 70, "ProofText"],
Cell[228053, 7206, 1151, 33, 70, "Assumption",
  CellTags->"175"],
Cell[229207, 7241, 632, 21, 70, "ProofText"],
Cell[229842, 7264, 1578, 43, 70, "Assumption",
  CellTags->"174"],
Cell[231423, 7309, 638, 21, 70, "ProofText"],
Cell[232064, 7332, 1005, 29, 70, "Assumption",
  CellTags->"173"],
Cell[233072, 7363, 638, 21, 70, "ProofText"],
Cell[233713, 7386, 1005, 29, 70, "Assumption",
  CellTags->"172"],
Cell[234721, 7417, 632, 21, 70, "ProofText"],
Cell[235356, 7440, 1049, 30, 70, "Assumption",
  CellTags->"171"],
Cell[236408, 7472, 630, 21, 70, "ProofText"],
Cell[237041, 7495, 1049, 30, 70, "Assumption",
  CellTags->"170"],
Cell[238093, 7527, 632, 21, 70, "ProofText"],
Cell[238728, 7550, 1151, 33, 70, "Assumption",
  CellTags->"169"],
Cell[239882, 7585, 632, 21, 70, "ProofText"],
Cell[240517, 7608, 1151, 33, 70, "Assumption",
  CellTags->"168"],
Cell[241671, 7643, 678, 21, 70, "ProofText"],
Cell[242352, 7666, 1703, 47, 70, "Assumption",
  CellTags->"167"],
Cell[244058, 7715, 656, 21, 70, "ProofText"],
Cell[244717, 7738, 1071, 30, 70, "Assumption",
  CellTags->"166"],
Cell[245791, 7770, 638, 21, 70, "ProofText"],
Cell[246432, 7793, 1299, 36, 70, "Assumption",
  CellTags->"165"],
Cell[247734, 7831, 638, 21, 70, "ProofText"],
Cell[248375, 7854, 1299, 36, 70, "Assumption",
  CellTags->"164"],
Cell[249677, 7892, 632, 21, 70, "ProofText"],
Cell[250312, 7915, 1387, 38, 70, "Assumption",
  CellTags->"163"],
Cell[251702, 7955, 630, 21, 70, "ProofText"],
Cell[252335, 7978, 1387, 38, 70, "Assumption",
  CellTags->"162"],
Cell[253725, 8018, 632, 21, 70, "ProofText"],
Cell[254360, 8041, 1578, 43, 70, "Assumption",
  CellTags->"161"],
Cell[255941, 8086, 632, 21, 70, "ProofText"],
Cell[256576, 8109, 1578, 43, 70, "Assumption",
  CellTags->"160"],
Cell[258157, 8154, 678, 21, 70, "ProofText"],
Cell[258838, 8177, 1548, 44, 70, "Assumption",
  CellTags->"159"],
Cell[260389, 8223, 656, 21, 70, "ProofText"],
Cell[261048, 8246, 720, 21, 70, "Assumption",
  CellTags->"158"],
Cell[261771, 8269, 674, 21, 70, "ProofText"],
Cell[262448, 8292, 1828, 49, 70, "Assumption",
  CellTags->"157"],
Cell[264279, 8343, 630, 21, 70, "ProofText"],
Cell[264912, 8366, 1265, 35, 70, "Assumption",
  CellTags->"156"],
Cell[266180, 8403, 630, 21, 70, "ProofText"],
Cell[266813, 8426, 1265, 35, 70, "Assumption",
  CellTags->"155"],
Cell[268081, 8463, 632, 21, 70, "ProofText"],
Cell[268716, 8486, 1355, 37, 70, "Assumption",
  CellTags->"154"],
Cell[270074, 8525, 632, 21, 70, "ProofText"],
Cell[270709, 8548, 1355, 37, 70, "Assumption",
  CellTags->"153"],
Cell[272067, 8587, 692, 21, 70, "ProofText"],
Cell[272762, 8610, 1732, 48, 70, "Assumption",
  CellTags->"152"],
Cell[274497, 8660, 682, 21, 70, "ProofText"],
Cell[275182, 8683, 1014, 29, 70, "Assumption",
  CellTags->"151"],
Cell[276199, 8714, 636, 21, 70, "ProofText"],
Cell[276838, 8737, 760, 22, 70, "Assumption",
  CellTags->"150"],
Cell[277601, 8761, 698, 21, 70, "ProofText"],
Cell[278302, 8784, 548, 16, 70, "Assumption",
  CellTags->"149"],
Cell[278853, 8802, 682, 21, 70, "ProofText"],
Cell[279538, 8825, 1466, 42, 70, "Assumption",
  CellTags->"148"],
Cell[281007, 8869, 682, 21, 70, "ProofText"],
Cell[281692, 8892, 1540, 42, 70, "Assumption",
  CellTags->"147"],
Cell[283235, 8936, 660, 21, 70, "ProofText"],
Cell[283898, 8959, 766, 22, 70, "Assumption",
  CellTags->"146"],
Cell[284667, 8983, 678, 21, 70, "ProofText"],
Cell[285348, 9006, 1884, 50, 70, "Assumption",
  CellTags->"145"],
Cell[287235, 9058, 636, 21, 70, "ProofText"],
Cell[287874, 9081, 923, 27, 70, "Assumption",
  CellTags->"144"],
Cell[288800, 9110, 634, 21, 70, "ProofText"],
Cell[289437, 9133, 1211, 34, 70, "Assumption",
  CellTags->"143"],
Cell[290651, 9169, 634, 21, 70, "ProofText"],
Cell[291288, 9192, 923, 27, 70, "Assumption",
  CellTags->"142"],
Cell[292214, 9221, 634, 21, 70, "ProofText"],
Cell[292851, 9244, 1211, 34, 70, "Assumption",
  CellTags->"141"],
Cell[294065, 9280, 636, 21, 70, "ProofText"],
Cell[294704, 9303, 1005, 29, 70, "Assumption",
  CellTags->"140"],
Cell[295712, 9334, 636, 21, 70, "ProofText"],
Cell[296351, 9357, 1299, 36, 70, "Assumption",
  CellTags->"139"],
Cell[297653, 9395, 636, 21, 70, "ProofText"],
Cell[298292, 9418, 1005, 29, 70, "Assumption",
  CellTags->"138"],
Cell[299300, 9449, 636, 21, 70, "ProofText"],
Cell[299939, 9472, 1299, 36, 70, "Assumption",
  CellTags->"137"],
Cell[301241, 9510, 678, 21, 70, "ProofText"],
Cell[301922, 9533, 1460, 42, 70, "Assumption",
  CellTags->"136"],
Cell[303385, 9577, 674, 21, 70, "ProofText"],
Cell[304062, 9600, 1732, 47, 70, "Assumption",
  CellTags->"135"],
Cell[305797, 9649, 630, 21, 70, "ProofText"],
Cell[306430, 9672, 1179, 33, 70, "Assumption",
  CellTags->"134"],
Cell[307612, 9707, 630, 21, 70, "ProofText"],
Cell[308245, 9730, 1179, 33, 70, "Assumption",
  CellTags->"133"],
Cell[309427, 9765, 632, 21, 70, "ProofText"],
Cell[310062, 9788, 1269, 35, 70, "Assumption",
  CellTags->"132"],
Cell[311334, 9825, 632, 21, 70, "ProofText"],
Cell[311969, 9848, 1269, 35, 70, "Assumption",
  CellTags->"131"],
Cell[313241, 9885, 692, 21, 70, "ProofText"],
Cell[313936, 9908, 1635, 46, 70, "Assumption",
  CellTags->"130"],
Cell[315574, 9956, 682, 21, 70, "ProofText"],
Cell[316259, 9979, 932, 27, 70, "Assumption",
  CellTags->"129"],
Cell[317194, 10008, 636, 21, 70, "ProofText"],
Cell[317833, 10031, 720, 21, 70, "Assumption",
  CellTags->"128"],
Cell[318556, 10054, 636, 21, 70, "ProofText"],
Cell[319195, 10077, 732, 22, 70, "Assumption",
  CellTags->"127"],
Cell[319930, 10101, 698, 21, 70, "ProofText"],
Cell[320631, 10124, 548, 16, 70, "Assumption",
  CellTags->"126"],
Cell[321182, 10142, 682, 21, 70, "ProofText"],
Cell[321867, 10165, 1466, 42, 70, "Assumption",
  CellTags->"125"],
Cell[323336, 10209, 682, 21, 70, "ProofText"],
Cell[324021, 10232, 1540, 42, 70, "Assumption",
  CellTags->"124"],
Cell[325564, 10276, 660, 21, 70, "ProofText"],
Cell[326227, 10299, 766, 22, 70, "Assumption",
  CellTags->"123"],
Cell[326996, 10323, 678, 21, 70, "ProofText"],
Cell[327677, 10346, 1884, 50, 70, "Assumption",
  CellTags->"122"],
Cell[329564, 10398, 636, 21, 70, "ProofText"],
Cell[330203, 10421, 923, 27, 70, "Assumption",
  CellTags->"121"],
Cell[331129, 10450, 634, 21, 70, "ProofText"],
Cell[331766, 10473, 1211, 34, 70, "Assumption",
  CellTags->"120"],
Cell[332980, 10509, 634, 21, 70, "ProofText"],
Cell[333617, 10532, 923, 27, 70, "Assumption",
  CellTags->"119"],
Cell[334543, 10561, 634, 21, 70, "ProofText"],
Cell[335180, 10584, 1211, 34, 70, "Assumption",
  CellTags->"118"],
Cell[336394, 10620, 636, 21, 70, "ProofText"],
Cell[337033, 10643, 1005, 29, 70, "Assumption",
  CellTags->"117"],
Cell[338041, 10674, 636, 21, 70, "ProofText"],
Cell[338680, 10697, 1299, 36, 70, "Assumption",
  CellTags->"116"],
Cell[339982, 10735, 636, 21, 70, "ProofText"],
Cell[340621, 10758, 1005, 29, 70, "Assumption",
  CellTags->"115"],
Cell[341629, 10789, 636, 21, 70, "ProofText"],
Cell[342268, 10812, 1299, 36, 70, "Assumption",
  CellTags->"114"],
Cell[343570, 10850, 638, 21, 70, "ProofText"],
Cell[344211, 10873, 664, 20, 70, "Assumption",
  CellTags->"113"],
Cell[344878, 10895, 638, 21, 70, "ProofText"],
Cell[345519, 10918, 664, 20, 70, "Assumption",
  CellTags->"112"],
Cell[346186, 10940, 632, 21, 70, "ProofText"],
Cell[346821, 10963, 704, 21, 70, "Assumption",
  CellTags->"111"],
Cell[347528, 10986, 630, 21, 70, "ProofText"],
Cell[348161, 11009, 704, 21, 70, "Assumption",
  CellTags->"110"],
Cell[348868, 11032, 632, 21, 70, "ProofText"],
Cell[349503, 11055, 789, 23, 70, "Assumption",
  CellTags->"109"],
Cell[350295, 11080, 632, 21, 70, "ProofText"],
Cell[350930, 11103, 789, 23, 70, "Assumption",
  CellTags->"108"],
Cell[351722, 11128, 636, 21, 70, "ProofText"],
Cell[352361, 11151, 664, 20, 70, "Assumption",
  CellTags->"107"],
Cell[353028, 11173, 636, 21, 70, "ProofText"],
Cell[353667, 11196, 664, 20, 70, "Assumption",
  CellTags->"106"],
Cell[354334, 11218, 638, 21, 70, "ProofText"],
Cell[354975, 11241, 702, 21, 70, "Assumption",
  CellTags->"105"],
Cell[355680, 11264, 638, 21, 70, "ProofText"],
Cell[356321, 11287, 702, 21, 70, "Assumption",
  CellTags->"104"],
Cell[357026, 11310, 632, 21, 70, "ProofText"],
Cell[357661, 11333, 742, 22, 70, "Assumption",
  CellTags->"103"],
Cell[358406, 11357, 630, 21, 70, "ProofText"],
Cell[359039, 11380, 742, 22, 70, "Assumption",
  CellTags->"102"],
Cell[359784, 11404, 632, 21, 70, "ProofText"],
Cell[360419, 11427, 827, 24, 70, "Assumption",
  CellTags->"101"],
Cell[361249, 11453, 632, 21, 70, "ProofText"],
Cell[361884, 11476, 827, 24, 70, "Assumption",
  CellTags->"100"],
Cell[362714, 11502, 636, 21, 70, "ProofText"],
Cell[363353, 11525, 700, 21, 70, "Assumption",
  CellTags->"99"],
Cell[364056, 11548, 636, 21, 70, "ProofText"],
Cell[364695, 11571, 700, 21, 70, "Assumption",
  CellTags->"98"],
Cell[365398, 11594, 638, 21, 70, "ProofText"],
Cell[366039, 11617, 932, 27, 70, "Assumption",
  CellTags->"97"],
Cell[366974, 11646, 638, 21, 70, "ProofText"],
Cell[367615, 11669, 932, 27, 70, "Assumption",
  CellTags->"96"],
Cell[368550, 11698, 632, 21, 70, "ProofText"],
Cell[369185, 11721, 1014, 29, 70, "Assumption",
  CellTags->"95"],
Cell[370202, 11752, 630, 21, 70, "ProofText"],
Cell[370835, 11775, 1014, 29, 70, "Assumption",
  CellTags->"94"],
Cell[371852, 11806, 632, 21, 70, "ProofText"],
Cell[372487, 11829, 1188, 33, 70, "Assumption",
  CellTags->"93"],
Cell[373678, 11864, 632, 21, 70, "ProofText"],
Cell[374313, 11887, 1188, 33, 70, "Assumption",
  CellTags->"92"],
Cell[375504, 11922, 632, 21, 70, "ProofText"],
Cell[376139, 11945, 1058, 30, 70, "Assumption",
  CellTags->"91"],
Cell[377200, 11977, 636, 21, 70, "ProofText"],
Cell[377839, 12000, 932, 27, 70, "Assumption",
  CellTags->"90"],
Cell[378774, 12029, 632, 21, 70, "ProofText"],
Cell[379409, 12052, 974, 28, 70, "Assumption",
  CellTags->"89"],
Cell[380386, 12082, 636, 21, 70, "ProofText"],
Cell[381025, 12105, 932, 27, 70, "Assumption",
  CellTags->"88"],
Cell[381960, 12134, 638, 21, 70, "ProofText"],
Cell[382601, 12157, 890, 26, 70, "Assumption",
  CellTags->"87"],
Cell[383494, 12185, 638, 21, 70, "ProofText"],
Cell[384135, 12208, 890, 26, 70, "Assumption",
  CellTags->"86"],
Cell[385028, 12236, 632, 21, 70, "ProofText"],
Cell[385663, 12259, 972, 28, 70, "Assumption",
  CellTags->"85"],
Cell[386638, 12289, 630, 21, 70, "ProofText"],
Cell[387271, 12312, 972, 28, 70, "Assumption",
  CellTags->"84"],
Cell[388246, 12342, 632, 21, 70, "ProofText"],
Cell[388881, 12365, 1146, 32, 70, "Assumption",
  CellTags->"83"],
Cell[390030, 12399, 632, 21, 70, "ProofText"],
Cell[390665, 12422, 1146, 32, 70, "Assumption",
  CellTags->"82"],
Cell[391814, 12456, 632, 21, 70, "ProofText"],
Cell[392449, 12479, 1014, 29, 70, "Assumption",
  CellTags->"81"],
Cell[393466, 12510, 636, 21, 70, "ProofText"],
Cell[394105, 12533, 890, 26, 70, "Assumption",
  CellTags->"80"],
Cell[394998, 12561, 632, 21, 70, "ProofText"],
Cell[395633, 12584, 930, 27, 70, "Assumption",
  CellTags->"79"],
Cell[396566, 12613, 636, 21, 70, "ProofText"],
Cell[397205, 12636, 890, 26, 70, "Assumption",
  CellTags->"78"],
Cell[398098, 12664, 651, 21, 70, "ProofText"],
Cell[398752, 12687, 651, 21, 70, "ProofText"],
Cell[399406, 12710, 651, 21, 70, "ProofText"],
Cell[400060, 12733, 651, 21, 70, "ProofText"],
Cell[400714, 12756, 650, 21, 70, "ProofText"],
Cell[401367, 12779, 652, 21, 70, "ProofText"],
Cell[402022, 12802, 650, 21, 70, "ProofText"],
Cell[402675, 12825, 650, 21, 70, "ProofText"],
Cell[403328, 12848, 652, 21, 70, "ProofText"],
Cell[403983, 12871, 650, 21, 70, "ProofText"],
Cell[404636, 12894, 652, 21, 70, "ProofText"],
Cell[405291, 12917, 652, 21, 70, "ProofText"],
Cell[405946, 12940, 652, 21, 70, "ProofText"],
Cell[406601, 12963, 652, 21, 70, "ProofText"],
Cell[407256, 12986, 652, 21, 70, "ProofText"],
Cell[407911, 13009, 652, 21, 70, "ProofText"],
Cell[408566, 13032, 652, 21, 70, "ProofText"],
Cell[409221, 13055, 652, 21, 70, "ProofText"],
Cell[409876, 13078, 648, 21, 70, "ProofText"],
Cell[410527, 13101, 648, 21, 70, "ProofText"],
Cell[411178, 13124, 648, 21, 70, "ProofText"],
Cell[411829, 13147, 648, 21, 70, "ProofText"],
Cell[412480, 13170, 650, 21, 70, "ProofText"],
Cell[413133, 13193, 650, 21, 70, "ProofText"],
Cell[413786, 13216, 650, 21, 70, "ProofText"],
Cell[414439, 13239, 650, 21, 70, "ProofText"],
Cell[415092, 13262, 650, 21, 70, "ProofText"],
Cell[415745, 13285, 650, 21, 70, "ProofText"],
Cell[416398, 13308, 650, 21, 70, "ProofText"],
Cell[417051, 13331, 650, 21, 70, "ProofText"],
Cell[417704, 13354, 650, 21, 70, "ProofText"],
Cell[418357, 13377, 650, 21, 70, "ProofText"],
Cell[419010, 13400, 650, 21, 70, "ProofText"],
Cell[419663, 13423, 650, 21, 70, "ProofText"],
Cell[420316, 13446, 650, 21, 70, "ProofText"],
Cell[420969, 13469, 650, 21, 70, "ProofText"],
Cell[421622, 13492, 650, 21, 70, "ProofText"],
Cell[422275, 13515, 650, 21, 70, "ProofText"],
Cell[422928, 13538, 650, 21, 70, "ProofText"],
Cell[423581, 13561, 650, 21, 70, "ProofText"],
Cell[424234, 13584, 648, 21, 70, "ProofText"],
Cell[424885, 13607, 648, 21, 70, "ProofText"],
Cell[425536, 13630, 650, 21, 70, "ProofText"],
Cell[426189, 13653, 650, 21, 70, "ProofText"],
Cell[426842, 13676, 648, 21, 70, "ProofText"],
Cell[427493, 13699, 648, 21, 70, "ProofText"],
Cell[428144, 13722, 648, 21, 70, "ProofText"],
Cell[428795, 13745, 648, 21, 70, "ProofText"],
Cell[429446, 13768, 650, 21, 70, "ProofText"],
Cell[430099, 13791, 648, 21, 70, "ProofText"],
Cell[430750, 13814, 732, 21, 70, "Assumption",
  CellTags->"209"],
Cell[431485, 13837, 652, 21, 70, "ProofText"],
Cell[432140, 13860, 646, 21, 70, "ProofText"],
Cell[432789, 13883, 800, 23, 70, "Assumption",
  CellTags->"210"],
Cell[433592, 13908, 650, 21, 70, "ProofText"],
Cell[434245, 13931, 652, 21, 70, "ProofText"],
Cell[434900, 13954, 648, 21, 70, "ProofText"],
Cell[435551, 13977, 1016, 29, 70, "Assumption",
  CellTags->"211"],
Cell[436570, 14008, 650, 21, 70, "ProofText"],
Cell[437223, 14031, 648, 21, 70, "ProofText"],
Cell[437874, 14054, 934, 27, 70, "Assumption",
  CellTags->"212"],
Cell[438811, 14083, 650, 21, 70, "ProofText"],
Cell[439464, 14106, 648, 21, 70, "ProofText"],
Cell[440115, 14129, 934, 27, 70, "Assumption",
  CellTags->"213"],
Cell[441052, 14158, 650, 21, 70, "ProofText"],
Cell[441705, 14181, 648, 21, 70, "ProofText"],
Cell[442356, 14204, 1257, 36, 70, "Assumption",
  CellTags->"214"],
Cell[443616, 14242, 652, 21, 70, "ProofText"],
Cell[444271, 14265, 758, 22, 70, "Assumption",
  CellTags->"215"],
Cell[445032, 14289, 650, 21, 70, "ProofText"],
Cell[445685, 14312, 652, 21, 70, "ProofText"],
Cell[446340, 14335, 654, 21, 70, "ProofText"],
Cell[446997, 14358, 974, 28, 70, "Assumption",
  CellTags->"216"],
Cell[447974, 14388, 650, 21, 70, "ProofText"],
Cell[448627, 14411, 654, 21, 70, "ProofText"],
Cell[449284, 14434, 974, 28, 70, "Assumption",
  CellTags->"217"],
Cell[450261, 14464, 652, 21, 70, "ProofText"],
Cell[450916, 14487, 654, 21, 70, "ProofText"],
Cell[451573, 14510, 892, 26, 70, "Assumption",
  CellTags->"218"],
Cell[452468, 14538, 650, 21, 70, "ProofText"],
Cell[453121, 14561, 654, 21, 70, "ProofText"],
Cell[453778, 14584, 1211, 35, 70, "Assumption",
  CellTags->"219"],
Cell[454992, 14621, 407, 12, 70, "ProofText"],
Cell[455402, 14635, 913, 27, 70, "Assumption",
  CellTags->"220"],
Cell[456318, 14664, 407, 12, 70, "ProofText"],
Cell[456728, 14678, 955, 28, 70, "Assumption",
  CellTags->"221"],
Cell[457686, 14708, 632, 21, 70, "ProofText"],
Cell[458321, 14731, 1216, 35, 70, "Assumption",
  CellTags->"239"],
Cell[459540, 14768, 640, 21, 70, "ProofText"],
Cell[460183, 14791, 1172, 34, 70, "Assumption",
  CellTags->"238"],
Cell[461358, 14827, 634, 21, 70, "ProofText"],
Cell[461995, 14850, 1148, 32, 70, "Assumption",
  CellTags->"237"],
Cell[463146, 14884, 634, 21, 70, "ProofText"],
Cell[463783, 14907, 934, 27, 70, "Assumption",
  CellTags->"236"],
Cell[464720, 14936, 634, 21, 70, "ProofText"],
Cell[465357, 14959, 1016, 29, 70, "Assumption",
  CellTags->"235"],
Cell[466376, 14990, 634, 21, 70, "ProofText"],
Cell[467013, 15013, 1190, 33, 70, "Assumption",
  CellTags->"234"],
Cell[468206, 15048, 634, 21, 70, "ProofText"],
Cell[468843, 15071, 1309, 37, 70, "Assumption",
  CellTags->"233"],
Cell[470155, 15110, 634, 21, 70, "ProofText"],
Cell[470792, 15133, 1148, 32, 70, "Assumption",
  CellTags->"232"],
Cell[471943, 15167, 634, 21, 70, "ProofText"],
Cell[472580, 15190, 1190, 33, 70, "Assumption",
  CellTags->"231"],
Cell[473773, 15225, 634, 21, 70, "ProofText"],
Cell[474410, 15248, 1309, 37, 70, "Assumption",
  CellTags->"230"],
Cell[475722, 15287, 634, 21, 70, "ProofText"],
Cell[476359, 15310, 974, 28, 70, "Assumption",
  CellTags->"229"],
Cell[477336, 15340, 634, 21, 70, "ProofText"],
Cell[477973, 15363, 1016, 29, 70, "Assumption",
  CellTags->"228"],
Cell[478992, 15394, 634, 21, 70, "ProofText"],
Cell[479629, 15417, 1546, 42, 70, "Assumption",
  CellTags->"227"],
Cell[481178, 15461, 634, 21, 70, "ProofText"],
Cell[481815, 15484, 892, 26, 70, "Assumption",
  CellTags->"226"],
Cell[482710, 15512, 634, 21, 70, "ProofText"],
Cell[483347, 15535, 934, 27, 70, "Assumption",
  CellTags->"225"],
Cell[484284, 15564, 640, 21, 70, "ProofText"],
Cell[484927, 15587, 1496, 41, 70, "Assumption",
  CellTags->"224"],
Cell[486426, 15630, 634, 21, 70, "ProofText"],
Cell[487063, 15653, 892, 26, 70, "Assumption",
  CellTags->"223"],
Cell[487958, 15681, 634, 21, 70, "ProofText"],
Cell[488595, 15704, 934, 27, 70, "Assumption",
  CellTags->"222"],
Cell[489532, 15733, 653, 21, 70, "ProofText"],
Cell[490188, 15756, 651, 21, 70, "ProofText"],
Cell[490842, 15779, 651, 21, 70, "ProofText"],
Cell[491496, 15802, 651, 21, 70, "ProofText"],
Cell[492150, 15825, 651, 21, 70, "ProofText"],
Cell[492804, 15848, 651, 21, 70, "ProofText"],
Cell[493458, 15871, 651, 21, 70, "ProofText"],
Cell[494112, 15894, 651, 21, 70, "ProofText"],
Cell[494766, 15917, 651, 21, 70, "ProofText"],
Cell[495420, 15940, 651, 21, 70, "ProofText"],
Cell[496074, 15963, 651, 21, 70, "ProofText"],
Cell[496728, 15986, 650, 21, 70, "ProofText"],
Cell[497381, 16009, 650, 21, 70, "ProofText"],
Cell[498034, 16032, 650, 21, 70, "ProofText"],
Cell[498687, 16055, 650, 21, 70, "ProofText"],
Cell[499340, 16078, 650, 21, 70, "ProofText"],
Cell[499993, 16101, 650, 21, 70, "ProofText"],
Cell[500646, 16124, 640, 21, 70, "ProofText"],
Cell[501289, 16147, 958, 28, 70, "Assumption",
  CellTags->"576"],
Cell[502250, 16177, 640, 21, 70, "ProofText"],
Cell[502893, 16200, 958, 28, 70, "Assumption",
  CellTags->"575"],
Cell[503854, 16230, 634, 21, 70, "ProofText"],
Cell[504491, 16253, 1000, 29, 70, "Assumption",
  CellTags->"574"],
Cell[505494, 16284, 632, 21, 70, "ProofText"],
Cell[506129, 16307, 1000, 29, 70, "Assumption",
  CellTags->"573"],
Cell[507132, 16338, 634, 21, 70, "ProofText"],
Cell[507769, 16361, 1094, 32, 70, "Assumption",
  CellTags->"572"],
Cell[508866, 16395, 634, 21, 70, "ProofText"],
Cell[509503, 16418, 1094, 32, 70, "Assumption",
  CellTags->"571"],
Cell[510600, 16452, 638, 21, 70, "ProofText"],
Cell[511241, 16475, 958, 28, 70, "Assumption",
  CellTags->"570"],
Cell[512202, 16505, 638, 21, 70, "ProofText"],
Cell[512843, 16528, 958, 28, 70, "Assumption",
  CellTags->"569"],
Cell[513804, 16558, 640, 21, 70, "ProofText"],
Cell[514447, 16581, 878, 26, 70, "Assumption",
  CellTags->"568"],
Cell[515328, 16609, 640, 21, 70, "ProofText"],
Cell[515971, 16632, 878, 26, 70, "Assumption",
  CellTags->"567"],
Cell[516852, 16660, 634, 21, 70, "ProofText"],
Cell[517489, 16683, 920, 27, 70, "Assumption",
  CellTags->"566"],
Cell[518412, 16712, 632, 21, 70, "ProofText"],
Cell[519047, 16735, 920, 27, 70, "Assumption",
  CellTags->"565"],
Cell[519970, 16764, 634, 21, 70, "ProofText"],
Cell[520607, 16787, 1014, 30, 70, "Assumption",
  CellTags->"564"],
Cell[521624, 16819, 634, 21, 70, "ProofText"],
Cell[522261, 16842, 1014, 30, 70, "Assumption",
  CellTags->"563"],
Cell[523278, 16874, 638, 21, 70, "ProofText"],
Cell[523919, 16897, 878, 26, 70, "Assumption",
  CellTags->"562"],
Cell[524800, 16925, 638, 21, 70, "ProofText"],
Cell[525441, 16948, 878, 26, 70, "Assumption",
  CellTags->"561"],
Cell[526322, 16976, 696, 21, 70, "ProofText"],
Cell[527021, 16999, 828, 23, 70, "Assumption",
  CellTags->"560"],
Cell[527852, 17024, 680, 21, 70, "ProofText"],
Cell[528535, 17047, 1972, 54, 70, "Assumption",
  CellTags->"559"],
Cell[530510, 17103, 680, 21, 70, "ProofText"],
Cell[531193, 17126, 2110, 54, 70, "Assumption",
  CellTags->"558"],
Cell[533306, 17182, 658, 21, 70, "ProofText"],
Cell[533967, 17205, 1283, 35, 70, "Assumption",
  CellTags->"557"],
Cell[535253, 17242, 676, 21, 70, "ProofText"],
Cell[535932, 17265, 2492, 62, 70, "Assumption",
  CellTags->"556"],
Cell[538427, 17329, 634, 21, 70, "ProofText"],
Cell[539064, 17352, 1178, 33, 70, "Assumption",
  CellTags->"555"],
Cell[540245, 17387, 632, 21, 70, "ProofText"],
Cell[540880, 17410, 1719, 46, 70, "Assumption",
  CellTags->"554"],
Cell[542602, 17458, 632, 21, 70, "ProofText"],
Cell[543237, 17481, 1178, 33, 70, "Assumption",
  CellTags->"553"],
Cell[544418, 17516, 632, 21, 70, "ProofText"],
Cell[545053, 17539, 1719, 46, 70, "Assumption",
  CellTags->"552"],
Cell[546775, 17587, 634, 21, 70, "ProofText"],
Cell[547412, 17610, 1260, 35, 70, "Assumption",
  CellTags->"551"],
Cell[548675, 17647, 634, 21, 70, "ProofText"],
Cell[549312, 17670, 1807, 48, 70, "Assumption",
  CellTags->"550"],
Cell[551122, 17720, 634, 21, 70, "ProofText"],
Cell[551759, 17743, 1260, 35, 70, "Assumption",
  CellTags->"549"],
Cell[553022, 17780, 634, 21, 70, "ProofText"],
Cell[553659, 17803, 1807, 48, 70, "Assumption",
  CellTags->"548"],
Cell[555469, 17853, 634, 21, 70, "ProofText"],
Cell[556106, 17876, 887, 26, 70, "Assumption",
  CellTags->"547"],
Cell[556996, 17904, 634, 21, 70, "ProofText"],
Cell[557633, 17927, 925, 27, 70, "Assumption",
  CellTags->"546"],
Cell[558561, 17956, 634, 21, 70, "ProofText"],
Cell[559198, 17979, 1398, 39, 70, "Assumption",
  CellTags->"545"],
Cell[560599, 18020, 634, 21, 70, "ProofText"],
Cell[561236, 18043, 1356, 38, 70, "Assumption",
  CellTags->"544"],
Cell[562595, 18083, 636, 21, 70, "ProofText"],
Cell[563234, 18106, 1201, 34, 70, "Assumption",
  CellTags->"543"],
Cell[564438, 18142, 636, 21, 70, "ProofText"],
Cell[565077, 18165, 1121, 32, 70, "Assumption",
  CellTags->"542"],
Cell[566201, 18199, 640, 21, 70, "ProofText"],
Cell[566844, 18222, 1179, 33, 70, "Assumption",
  CellTags->"541"],
Cell[568026, 18257, 640, 21, 70, "ProofText"],
Cell[568669, 18280, 1179, 33, 70, "Assumption",
  CellTags->"540"],
Cell[569851, 18315, 634, 21, 70, "ProofText"],
Cell[570488, 18338, 1223, 34, 70, "Assumption",
  CellTags->"539"],
Cell[571714, 18374, 632, 21, 70, "ProofText"],
Cell[572349, 18397, 1223, 34, 70, "Assumption",
  CellTags->"538"],
Cell[573575, 18433, 634, 21, 70, "ProofText"],
Cell[574212, 18456, 1325, 37, 70, "Assumption",
  CellTags->"537"],
Cell[575540, 18495, 634, 21, 70, "ProofText"],
Cell[576177, 18518, 1325, 37, 70, "Assumption",
  CellTags->"536"],
Cell[577505, 18557, 638, 21, 70, "ProofText"],
Cell[578146, 18580, 1179, 33, 70, "Assumption",
  CellTags->"535"],
Cell[579328, 18615, 638, 21, 70, "ProofText"],
Cell[579969, 18638, 1179, 33, 70, "Assumption",
  CellTags->"534"],
Cell[581151, 18673, 636, 21, 70, "ProofText"],
Cell[581790, 18696, 1434, 39, 70, "Assumption",
  CellTags->"533"],
Cell[583227, 18737, 640, 21, 70, "ProofText"],
Cell[583870, 18760, 1494, 41, 70, "Assumption",
  CellTags->"532"],
Cell[585367, 18803, 640, 21, 70, "ProofText"],
Cell[586010, 18826, 1494, 41, 70, "Assumption",
  CellTags->"531"],
Cell[587507, 18869, 634, 21, 70, "ProofText"],
Cell[588144, 18892, 1582, 43, 70, "Assumption",
  CellTags->"530"],
Cell[589729, 18937, 632, 21, 70, "ProofText"],
Cell[590364, 18960, 1582, 43, 70, "Assumption",
  CellTags->"529"],
Cell[591949, 19005, 634, 21, 70, "ProofText"],
Cell[592586, 19028, 1773, 48, 70, "Assumption",
  CellTags->"528"],
Cell[594362, 19078, 634, 21, 70, "ProofText"],
Cell[594999, 19101, 1773, 48, 70, "Assumption",
  CellTags->"527"],
Cell[596775, 19151, 634, 21, 70, "ProofText"],
Cell[597412, 19174, 1563, 43, 70, "Assumption",
  CellTags->"526"],
Cell[598978, 19219, 638, 21, 70, "ProofText"],
Cell[599619, 19242, 1494, 41, 70, "Assumption",
  CellTags->"525"],
Cell[601116, 19285, 634, 21, 70, "ProofText"],
Cell[601753, 19308, 1477, 41, 70, "Assumption",
  CellTags->"524"],
Cell[603233, 19351, 638, 21, 70, "ProofText"],
Cell[603874, 19374, 1494, 41, 70, "Assumption",
  CellTags->"523"],
Cell[605371, 19417, 636, 21, 70, "ProofText"],
Cell[606010, 19440, 2002, 53, 70, "Assumption",
  CellTags->"522"],
Cell[608015, 19495, 696, 21, 70, "ProofText"],
Cell[608714, 19518, 828, 23, 70, "Assumption",
  CellTags->"521"],
Cell[609545, 19543, 680, 21, 70, "ProofText"],
Cell[610228, 19566, 1972, 54, 70, "Assumption",
  CellTags->"520"],
Cell[612203, 19622, 680, 21, 70, "ProofText"],
Cell[612886, 19645, 2110, 54, 70, "Assumption",
  CellTags->"519"],
Cell[614999, 19701, 658, 21, 70, "ProofText"],
Cell[615660, 19724, 1283, 35, 70, "Assumption",
  CellTags->"518"],
Cell[616946, 19761, 676, 21, 70, "ProofText"],
Cell[617625, 19784, 2492, 62, 70, "Assumption",
  CellTags->"517"],
Cell[620120, 19848, 634, 21, 70, "ProofText"],
Cell[620757, 19871, 1178, 33, 70, "Assumption",
  CellTags->"516"],
Cell[621938, 19906, 632, 21, 70, "ProofText"],
Cell[622573, 19929, 1719, 46, 70, "Assumption",
  CellTags->"515"],
Cell[624295, 19977, 632, 21, 70, "ProofText"],
Cell[624930, 20000, 1178, 33, 70, "Assumption",
  CellTags->"514"],
Cell[626111, 20035, 632, 21, 70, "ProofText"],
Cell[626746, 20058, 1719, 46, 70, "Assumption",
  CellTags->"513"],
Cell[628468, 20106, 634, 21, 70, "ProofText"],
Cell[629105, 20129, 1260, 35, 70, "Assumption",
  CellTags->"512"],
Cell[630368, 20166, 634, 21, 70, "ProofText"],
Cell[631005, 20189, 1807, 48, 70, "Assumption",
  CellTags->"511"],
Cell[632815, 20239, 634, 21, 70, "ProofText"],
Cell[633452, 20262, 1260, 35, 70, "Assumption",
  CellTags->"510"],
Cell[634715, 20299, 634, 21, 70, "ProofText"],
Cell[635352, 20322, 1807, 48, 70, "Assumption",
  CellTags->"509"],
Cell[637162, 20372, 634, 21, 70, "ProofText"],
Cell[637799, 20395, 887, 26, 70, "Assumption",
  CellTags->"508"],
Cell[638689, 20423, 634, 21, 70, "ProofText"],
Cell[639326, 20446, 925, 27, 70, "Assumption",
  CellTags->"507"],
Cell[640254, 20475, 634, 21, 70, "ProofText"],
Cell[640891, 20498, 1398, 39, 70, "Assumption",
  CellTags->"506"],
Cell[642292, 20539, 634, 21, 70, "ProofText"],
Cell[642929, 20562, 1356, 38, 70, "Assumption",
  CellTags->"505"],
Cell[644288, 20602, 636, 21, 70, "ProofText"],
Cell[644927, 20625, 1201, 34, 70, "Assumption",
  CellTags->"504"],
Cell[646131, 20661, 636, 21, 70, "ProofText"],
Cell[646770, 20684, 1121, 32, 70, "Assumption",
  CellTags->"503"],
Cell[647894, 20718, 636, 21, 70, "ProofText"],
Cell[648533, 20741, 1434, 39, 70, "Assumption",
  CellTags->"502"],
Cell[649970, 20782, 636, 21, 70, "ProofText"],
Cell[650609, 20805, 2002, 53, 70, "Assumption",
  CellTags->"501"],
Cell[652614, 20860, 640, 21, 70, "ProofText"],
Cell[653257, 20883, 1179, 33, 70, "Assumption",
  CellTags->"500"],
Cell[654439, 20918, 640, 21, 70, "ProofText"],
Cell[655082, 20941, 1179, 33, 70, "Assumption",
  CellTags->"499"],
Cell[656264, 20976, 634, 21, 70, "ProofText"],
Cell[656901, 20999, 1223, 34, 70, "Assumption",
  CellTags->"498"],
Cell[658127, 21035, 632, 21, 70, "ProofText"],
Cell[658762, 21058, 1223, 34, 70, "Assumption",
  CellTags->"497"],
Cell[659988, 21094, 634, 21, 70, "ProofText"],
Cell[660625, 21117, 1325, 37, 70, "Assumption",
  CellTags->"496"],
Cell[661953, 21156, 634, 21, 70, "ProofText"],
Cell[662590, 21179, 1325, 37, 70, "Assumption",
  CellTags->"495"],
Cell[663918, 21218, 638, 21, 70, "ProofText"],
Cell[664559, 21241, 1179, 33, 70, "Assumption",
  CellTags->"494"],
Cell[665741, 21276, 638, 21, 70, "ProofText"],
Cell[666382, 21299, 1179, 33, 70, "Assumption",
  CellTags->"493"],
Cell[667564, 21334, 636, 21, 70, "ProofText"],
Cell[668203, 21357, 1434, 39, 70, "Assumption",
  CellTags->"492"],
Cell[669640, 21398, 636, 21, 70, "ProofText"],
Cell[670279, 21421, 1434, 39, 70, "Assumption",
  CellTags->"491"],
Cell[671716, 21462, 640, 21, 70, "ProofText"],
Cell[672359, 21485, 1494, 41, 70, "Assumption",
  CellTags->"490"],
Cell[673856, 21528, 640, 21, 70, "ProofText"],
Cell[674499, 21551, 1494, 41, 70, "Assumption",
  CellTags->"489"],
Cell[675996, 21594, 634, 21, 70, "ProofText"],
Cell[676633, 21617, 1582, 43, 70, "Assumption",
  CellTags->"488"],
Cell[678218, 21662, 632, 21, 70, "ProofText"],
Cell[678853, 21685, 1582, 43, 70, "Assumption",
  CellTags->"487"],
Cell[680438, 21730, 634, 21, 70, "ProofText"],
Cell[681075, 21753, 1773, 48, 70, "Assumption",
  CellTags->"486"],
Cell[682851, 21803, 634, 21, 70, "ProofText"],
Cell[683488, 21826, 1773, 48, 70, "Assumption",
  CellTags->"485"],
Cell[685264, 21876, 634, 21, 70, "ProofText"],
Cell[685901, 21899, 1563, 43, 70, "Assumption",
  CellTags->"484"],
Cell[687467, 21944, 638, 21, 70, "ProofText"],
Cell[688108, 21967, 1494, 41, 70, "Assumption",
  CellTags->"483"],
Cell[689605, 22010, 634, 21, 70, "ProofText"],
Cell[690242, 22033, 1477, 41, 70, "Assumption",
  CellTags->"482"],
Cell[691722, 22076, 638, 21, 70, "ProofText"],
Cell[692363, 22099, 1494, 41, 70, "Assumption",
  CellTags->"481"],
Cell[693860, 22142, 636, 21, 70, "ProofText"],
Cell[694499, 22165, 2002, 53, 70, "Assumption",
  CellTags->"480"],
Cell[696504, 22220, 636, 21, 70, "ProofText"],
Cell[697143, 22243, 2002, 53, 70, "Assumption",
  CellTags->"479"],
Cell[699148, 22298, 640, 21, 70, "ProofText"],
Cell[699791, 22321, 1128, 32, 70, "Assumption",
  CellTags->"478"],
Cell[700922, 22355, 640, 21, 70, "ProofText"],
Cell[701565, 22378, 1128, 32, 70, "Assumption",
  CellTags->"477"],
Cell[702696, 22412, 634, 21, 70, "ProofText"],
Cell[703333, 22435, 1170, 33, 70, "Assumption",
  CellTags->"476"],
Cell[704506, 22470, 632, 21, 70, "ProofText"],
Cell[705141, 22493, 1170, 33, 70, "Assumption",
  CellTags->"475"],
Cell[706314, 22528, 634, 21, 70, "ProofText"],
Cell[706951, 22551, 1264, 36, 70, "Assumption",
  CellTags->"474"],
Cell[708218, 22589, 634, 21, 70, "ProofText"],
Cell[708855, 22612, 1264, 36, 70, "Assumption",
  CellTags->"473"],
Cell[710122, 22650, 638, 21, 70, "ProofText"],
Cell[710763, 22673, 1128, 32, 70, "Assumption",
  CellTags->"472"],
Cell[711894, 22707, 638, 21, 70, "ProofText"],
Cell[712535, 22730, 1128, 32, 70, "Assumption",
  CellTags->"471"],
Cell[713666, 22764, 636, 21, 70, "ProofText"],
Cell[714305, 22787, 1371, 38, 70, "Assumption",
  CellTags->"470"],
Cell[715679, 22827, 636, 21, 70, "ProofText"],
Cell[716318, 22850, 1371, 38, 70, "Assumption",
  CellTags->"469"],
Cell[717692, 22890, 680, 21, 70, "ProofText"],
Cell[718375, 22913, 1926, 52, 70, "Assumption",
  CellTags->"468"],
Cell[720304, 22967, 658, 21, 70, "ProofText"],
Cell[720965, 22990, 1286, 35, 70, "Assumption",
  CellTags->"467"],
Cell[722254, 23027, 694, 21, 70, "ProofText"],
Cell[722951, 23050, 1732, 48, 70, "Assumption",
  CellTags->"466"],
Cell[724686, 23100, 684, 21, 70, "ProofText"],
Cell[725373, 23123, 1014, 29, 70, "Assumption",
  CellTags->"465"],
Cell[726390, 23154, 638, 21, 70, "ProofText"],
Cell[727031, 23177, 760, 22, 70, "Assumption",
  CellTags->"464"],
Cell[727794, 23201, 700, 21, 70, "ProofText"],
Cell[728497, 23224, 548, 16, 70, "Assumption",
  CellTags->"463"],
Cell[729048, 23242, 684, 21, 70, "ProofText"],
Cell[729735, 23265, 1466, 42, 70, "Assumption",
  CellTags->"462"],
Cell[731204, 23309, 684, 21, 70, "ProofText"],
Cell[731891, 23332, 1540, 42, 70, "Assumption",
  CellTags->"461"],
Cell[733434, 23376, 662, 21, 70, "ProofText"],
Cell[734099, 23399, 766, 22, 70, "Assumption",
  CellTags->"460"],
Cell[734868, 23423, 680, 21, 70, "ProofText"],
Cell[735551, 23446, 1884, 50, 70, "Assumption",
  CellTags->"459"],
Cell[737438, 23498, 638, 21, 70, "ProofText"],
Cell[738079, 23521, 923, 27, 70, "Assumption",
  CellTags->"458"],
Cell[739005, 23550, 636, 21, 70, "ProofText"],
Cell[739644, 23573, 1211, 34, 70, "Assumption",
  CellTags->"457"],
Cell[740858, 23609, 636, 21, 70, "ProofText"],
Cell[741497, 23632, 923, 27, 70, "Assumption",
  CellTags->"456"],
Cell[742423, 23661, 636, 21, 70, "ProofText"],
Cell[743062, 23684, 1211, 34, 70, "Assumption",
  CellTags->"455"],
Cell[744276, 23720, 638, 21, 70, "ProofText"],
Cell[744917, 23743, 1005, 29, 70, "Assumption",
  CellTags->"454"],
Cell[745925, 23774, 638, 21, 70, "ProofText"],
Cell[746566, 23797, 1299, 36, 70, "Assumption",
  CellTags->"453"],
Cell[747868, 23835, 638, 21, 70, "ProofText"],
Cell[748509, 23858, 1005, 29, 70, "Assumption",
  CellTags->"452"],
Cell[749517, 23889, 638, 21, 70, "ProofText"],
Cell[750158, 23912, 1299, 36, 70, "Assumption",
  CellTags->"451"],
Cell[751460, 23950, 638, 21, 70, "ProofText"],
Cell[752101, 23973, 664, 20, 70, "Assumption",
  CellTags->"450"],
Cell[752768, 23995, 638, 21, 70, "ProofText"],
Cell[753409, 24018, 702, 21, 70, "Assumption",
  CellTags->"449"],
Cell[754114, 24041, 638, 21, 70, "ProofText"],
Cell[754755, 24064, 934, 27, 70, "Assumption",
  CellTags->"448"],
Cell[755692, 24093, 638, 21, 70, "ProofText"],
Cell[756333, 24116, 892, 26, 70, "Assumption",
  CellTags->"447"],
Cell[757228, 24144, 640, 21, 70, "ProofText"],
Cell[757871, 24167, 958, 28, 70, "Assumption",
  CellTags->"446"],
Cell[758832, 24197, 640, 21, 70, "ProofText"],
Cell[759475, 24220, 878, 26, 70, "Assumption",
  CellTags->"445"],
Cell[760356, 24248, 640, 21, 70, "ProofText"],
Cell[760999, 24271, 1179, 33, 70, "Assumption",
  CellTags->"444"],
Cell[762181, 24306, 640, 21, 70, "ProofText"],
Cell[762824, 24329, 1494, 41, 70, "Assumption",
  CellTags->"443"],
Cell[764321, 24372, 640, 21, 70, "ProofText"],
Cell[764964, 24395, 1179, 33, 70, "Assumption",
  CellTags->"442"],
Cell[766146, 24430, 640, 21, 70, "ProofText"],
Cell[766789, 24453, 1494, 41, 70, "Assumption",
  CellTags->"441"],
Cell[768286, 24496, 640, 21, 70, "ProofText"],
Cell[768929, 24519, 1128, 32, 70, "Assumption",
  CellTags->"440"],
Cell[770060, 24553, 640, 21, 70, "ProofText"],
Cell[770703, 24576, 1265, 35, 70, "Assumption",
  CellTags->"439"],
Cell[771971, 24613, 640, 21, 70, "ProofText"],
Cell[772614, 24636, 1265, 35, 70, "Assumption",
  CellTags->"438"],
Cell[773882, 24673, 634, 21, 70, "ProofText"],
Cell[774519, 24696, 1355, 37, 70, "Assumption",
  CellTags->"437"],
Cell[775877, 24735, 632, 21, 70, "ProofText"],
Cell[776512, 24758, 1355, 37, 70, "Assumption",
  CellTags->"436"],
Cell[777870, 24797, 634, 21, 70, "ProofText"],
Cell[778507, 24820, 1550, 42, 70, "Assumption",
  CellTags->"435"],
Cell[780060, 24864, 634, 21, 70, "ProofText"],
Cell[780697, 24887, 1550, 42, 70, "Assumption",
  CellTags->"434"],
Cell[782250, 24931, 634, 21, 70, "ProofText"],
Cell[782887, 24954, 1316, 37, 70, "Assumption",
  CellTags->"433"],
Cell[784206, 24993, 638, 21, 70, "ProofText"],
Cell[784847, 25016, 1265, 35, 70, "Assumption",
  CellTags->"432"],
Cell[786115, 25053, 634, 21, 70, "ProofText"],
Cell[786752, 25076, 1230, 35, 70, "Assumption",
  CellTags->"431"],
Cell[787985, 25113, 638, 21, 70, "ProofText"],
Cell[788626, 25136, 1265, 35, 70, "Assumption",
  CellTags->"430"],
Cell[789894, 25173, 636, 21, 70, "ProofText"],
Cell[790533, 25196, 1785, 47, 70, "Assumption",
  CellTags->"429"],
Cell[792321, 25245, 636, 21, 70, "ProofText"],
Cell[792960, 25268, 1785, 47, 70, "Assumption",
  CellTags->"428"],
Cell[794748, 25317, 640, 21, 70, "ProofText"],
Cell[795391, 25340, 1265, 35, 70, "Assumption",
  CellTags->"427"],
Cell[796659, 25377, 696, 21, 70, "ProofText"],
Cell[797358, 25400, 629, 18, 70, "Assumption",
  CellTags->"426"],
Cell[797990, 25420, 680, 21, 70, "ProofText"],
Cell[798673, 25443, 1554, 44, 70, "Assumption",
  CellTags->"425"],
Cell[800230, 25489, 680, 21, 70, "ProofText"],
Cell[800913, 25512, 1643, 45, 70, "Assumption",
  CellTags->"424"],
Cell[802559, 25559, 658, 21, 70, "ProofText"],
Cell[803220, 25582, 891, 25, 70, "Assumption",
  CellTags->"423"],
Cell[804114, 25609, 676, 21, 70, "ProofText"],
Cell[804793, 25632, 1988, 52, 70, "Assumption",
  CellTags->"422"],
Cell[806784, 25686, 634, 21, 70, "ProofText"],
Cell[807421, 25709, 967, 28, 70, "Assumption",
  CellTags->"421"],
Cell[808391, 25739, 632, 21, 70, "ProofText"],
Cell[809026, 25762, 1299, 36, 70, "Assumption",
  CellTags->"420"],
Cell[810328, 25800, 632, 21, 70, "ProofText"],
Cell[810963, 25823, 967, 28, 70, "Assumption",
  CellTags->"419"],
Cell[811933, 25853, 632, 21, 70, "ProofText"],
Cell[812568, 25876, 1299, 36, 70, "Assumption",
  CellTags->"418"],
Cell[813870, 25914, 634, 21, 70, "ProofText"],
Cell[814507, 25937, 1049, 30, 70, "Assumption",
  CellTags->"417"],
Cell[815559, 25969, 634, 21, 70, "ProofText"],
Cell[816196, 25992, 1387, 38, 70, "Assumption",
  CellTags->"416"],
Cell[817586, 26032, 634, 21, 70, "ProofText"],
Cell[818223, 26055, 1049, 30, 70, "Assumption",
  CellTags->"415"],
Cell[819275, 26087, 634, 21, 70, "ProofText"],
Cell[819912, 26110, 1387, 38, 70, "Assumption",
  CellTags->"414"],
Cell[821302, 26150, 634, 21, 70, "ProofText"],
Cell[821939, 26173, 704, 21, 70, "Assumption",
  CellTags->"413"],
Cell[822646, 26196, 634, 21, 70, "ProofText"],
Cell[823283, 26219, 742, 22, 70, "Assumption",
  CellTags->"412"],
Cell[824028, 26243, 634, 21, 70, "ProofText"],
Cell[824665, 26266, 1016, 29, 70, "Assumption",
  CellTags->"411"],
Cell[825684, 26297, 634, 21, 70, "ProofText"],
Cell[826321, 26320, 974, 28, 70, "Assumption",
  CellTags->"410"],
Cell[827298, 26350, 636, 21, 70, "ProofText"],
Cell[827937, 26373, 1000, 29, 70, "Assumption",
  CellTags->"409"],
Cell[828940, 26404, 636, 21, 70, "ProofText"],
Cell[829579, 26427, 920, 27, 70, "Assumption",
  CellTags->"408"],
Cell[830502, 26456, 636, 21, 70, "ProofText"],
Cell[831141, 26479, 1223, 34, 70, "Assumption",
  CellTags->"407"],
Cell[832367, 26515, 636, 21, 70, "ProofText"],
Cell[833006, 26538, 1582, 43, 70, "Assumption",
  CellTags->"406"],
Cell[834591, 26583, 636, 21, 70, "ProofText"],
Cell[835230, 26606, 1223, 34, 70, "Assumption",
  CellTags->"405"],
Cell[836456, 26642, 636, 21, 70, "ProofText"],
Cell[837095, 26665, 1582, 43, 70, "Assumption",
  CellTags->"404"],
Cell[838680, 26710, 636, 21, 70, "ProofText"],
Cell[839319, 26733, 1170, 33, 70, "Assumption",
  CellTags->"403"],
Cell[840492, 26768, 636, 21, 70, "ProofText"],
Cell[841131, 26791, 1355, 37, 70, "Assumption",
  CellTags->"402"],
Cell[842489, 26830, 640, 21, 70, "ProofText"],
Cell[843132, 26853, 923, 27, 70, "Assumption",
  CellTags->"401"],
Cell[844058, 26882, 640, 21, 70, "ProofText"],
Cell[844701, 26905, 923, 27, 70, "Assumption",
  CellTags->"400"],
Cell[845627, 26934, 634, 21, 70, "ProofText"],
Cell[846264, 26957, 967, 28, 70, "Assumption",
  CellTags->"399"],
Cell[847234, 26987, 632, 21, 70, "ProofText"],
Cell[847869, 27010, 967, 28, 70, "Assumption",
  CellTags->"398"],
Cell[848839, 27040, 634, 21, 70, "ProofText"],
Cell[849476, 27063, 1069, 31, 70, "Assumption",
  CellTags->"397"],
Cell[850548, 27096, 634, 21, 70, "ProofText"],
Cell[851185, 27119, 1069, 31, 70, "Assumption",
  CellTags->"396"],
Cell[852257, 27152, 638, 21, 70, "ProofText"],
Cell[852898, 27175, 923, 27, 70, "Assumption",
  CellTags->"395"],
Cell[853824, 27204, 638, 21, 70, "ProofText"],
Cell[854465, 27227, 923, 27, 70, "Assumption",
  CellTags->"394"],
Cell[855391, 27256, 636, 21, 70, "ProofText"],
Cell[856030, 27279, 1178, 33, 70, "Assumption",
  CellTags->"393"],
Cell[857211, 27314, 636, 21, 70, "ProofText"],
Cell[857850, 27337, 1178, 33, 70, "Assumption",
  CellTags->"392"],
Cell[859031, 27372, 640, 21, 70, "ProofText"],
Cell[859674, 27395, 923, 27, 70, "Assumption",
  CellTags->"391"],
Cell[860600, 27424, 636, 21, 70, "ProofText"],
Cell[861239, 27447, 967, 28, 70, "Assumption",
  CellTags->"390"],
Cell[862209, 27477, 640, 21, 70, "ProofText"],
Cell[862852, 27500, 1211, 34, 70, "Assumption",
  CellTags->"389"],
Cell[864066, 27536, 640, 21, 70, "ProofText"],
Cell[864709, 27559, 1211, 34, 70, "Assumption",
  CellTags->"388"],
Cell[865923, 27595, 634, 21, 70, "ProofText"],
Cell[866560, 27618, 1299, 36, 70, "Assumption",
  CellTags->"387"],
Cell[867862, 27656, 632, 21, 70, "ProofText"],
Cell[868497, 27679, 1299, 36, 70, "Assumption",
  CellTags->"386"],
Cell[869799, 27717, 634, 21, 70, "ProofText"],
Cell[870436, 27740, 1490, 41, 70, "Assumption",
  CellTags->"385"],
Cell[871929, 27783, 634, 21, 70, "ProofText"],
Cell[872566, 27806, 1490, 41, 70, "Assumption",
  CellTags->"384"],
Cell[874059, 27849, 634, 21, 70, "ProofText"],
Cell[874696, 27872, 1265, 35, 70, "Assumption",
  CellTags->"383"],
Cell[875964, 27909, 638, 21, 70, "ProofText"],
Cell[876605, 27932, 1211, 34, 70, "Assumption",
  CellTags->"382"],
Cell[877819, 27968, 634, 21, 70, "ProofText"],
Cell[878456, 27991, 1179, 33, 70, "Assumption",
  CellTags->"381"],
Cell[879638, 28026, 638, 21, 70, "ProofText"],
Cell[880279, 28049, 1211, 34, 70, "Assumption",
  CellTags->"380"],
Cell[881493, 28085, 636, 21, 70, "ProofText"],
Cell[882132, 28108, 1719, 46, 70, "Assumption",
  CellTags->"379"],
Cell[883854, 28156, 636, 21, 70, "ProofText"],
Cell[884493, 28179, 1719, 46, 70, "Assumption",
  CellTags->"378"],
Cell[886215, 28227, 640, 21, 70, "ProofText"],
Cell[886858, 28250, 1211, 34, 70, "Assumption",
  CellTags->"377"],
Cell[888072, 28286, 636, 21, 70, "ProofText"],
Cell[888711, 28309, 1299, 36, 70, "Assumption",
  CellTags->"376"],
Cell[890013, 28347, 694, 21, 70, "ProofText"],
Cell[890710, 28370, 1635, 46, 70, "Assumption",
  CellTags->"375"],
Cell[892348, 28418, 684, 21, 70, "ProofText"],
Cell[893035, 28441, 932, 27, 70, "Assumption",
  CellTags->"374"],
Cell[893970, 28470, 638, 21, 70, "ProofText"],
Cell[894611, 28493, 720, 21, 70, "Assumption",
  CellTags->"373"],
Cell[895334, 28516, 638, 21, 70, "ProofText"],
Cell[895975, 28539, 732, 22, 70, "Assumption",
  CellTags->"372"],
Cell[896710, 28563, 700, 21, 70, "ProofText"],
Cell[897413, 28586, 548, 16, 70, "Assumption",
  CellTags->"371"],
Cell[897964, 28604, 684, 21, 70, "ProofText"],
Cell[898651, 28627, 1466, 42, 70, "Assumption",
  CellTags->"370"],
Cell[900120, 28671, 684, 21, 70, "ProofText"],
Cell[900807, 28694, 1540, 42, 70, "Assumption",
  CellTags->"369"],
Cell[902350, 28738, 662, 21, 70, "ProofText"],
Cell[903015, 28761, 766, 22, 70, "Assumption",
  CellTags->"368"],
Cell[903784, 28785, 680, 21, 70, "ProofText"],
Cell[904467, 28808, 1884, 50, 70, "Assumption",
  CellTags->"367"],
Cell[906354, 28860, 638, 21, 70, "ProofText"],
Cell[906995, 28883, 923, 27, 70, "Assumption",
  CellTags->"366"],
Cell[907921, 28912, 636, 21, 70, "ProofText"],
Cell[908560, 28935, 1211, 34, 70, "Assumption",
  CellTags->"365"],
Cell[909774, 28971, 636, 21, 70, "ProofText"],
Cell[910413, 28994, 923, 27, 70, "Assumption",
  CellTags->"364"],
Cell[911339, 29023, 636, 21, 70, "ProofText"],
Cell[911978, 29046, 1211, 34, 70, "Assumption",
  CellTags->"363"],
Cell[913192, 29082, 638, 21, 70, "ProofText"],
Cell[913833, 29105, 1005, 29, 70, "Assumption",
  CellTags->"362"],
Cell[914841, 29136, 638, 21, 70, "ProofText"],
Cell[915482, 29159, 1299, 36, 70, "Assumption",
  CellTags->"361"],
Cell[916784, 29197, 638, 21, 70, "ProofText"],
Cell[917425, 29220, 1005, 29, 70, "Assumption",
  CellTags->"360"],
Cell[918433, 29251, 638, 21, 70, "ProofText"],
Cell[919074, 29274, 1299, 36, 70, "Assumption",
  CellTags->"359"],
Cell[920376, 29312, 638, 21, 70, "ProofText"],
Cell[921017, 29335, 664, 20, 70, "Assumption",
  CellTags->"358"],
Cell[921684, 29357, 638, 21, 70, "ProofText"],
Cell[922325, 29380, 702, 21, 70, "Assumption",
  CellTags->"357"],
Cell[923030, 29403, 638, 21, 70, "ProofText"],
Cell[923671, 29426, 934, 27, 70, "Assumption",
  CellTags->"356"],
Cell[924608, 29455, 638, 21, 70, "ProofText"],
Cell[925249, 29478, 892, 26, 70, "Assumption",
  CellTags->"355"],
Cell[926144, 29506, 640, 21, 70, "ProofText"],
Cell[926787, 29529, 958, 28, 70, "Assumption",
  CellTags->"354"],
Cell[927748, 29559, 640, 21, 70, "ProofText"],
Cell[928391, 29582, 878, 26, 70, "Assumption",
  CellTags->"353"],
Cell[929272, 29610, 640, 21, 70, "ProofText"],
Cell[929915, 29633, 1179, 33, 70, "Assumption",
  CellTags->"352"],
Cell[931097, 29668, 640, 21, 70, "ProofText"],
Cell[931740, 29691, 1494, 41, 70, "Assumption",
  CellTags->"351"],
Cell[933237, 29734, 640, 21, 70, "ProofText"],
Cell[933880, 29757, 1179, 33, 70, "Assumption",
  CellTags->"350"],
Cell[935062, 29792, 640, 21, 70, "ProofText"],
Cell[935705, 29815, 1494, 41, 70, "Assumption",
  CellTags->"349"],
Cell[937202, 29858, 640, 21, 70, "ProofText"],
Cell[937845, 29881, 1128, 32, 70, "Assumption",
  CellTags->"348"],
Cell[938976, 29915, 640, 21, 70, "ProofText"],
Cell[939619, 29938, 1265, 35, 70, "Assumption",
  CellTags->"347"],
Cell[940887, 29975, 640, 21, 70, "ProofText"],
Cell[941530, 29998, 923, 27, 70, "Assumption",
  CellTags->"346"],
Cell[942456, 30027, 640, 21, 70, "ProofText"],
Cell[943099, 30050, 1211, 34, 70, "Assumption",
  CellTags->"345"],
Cell[944313, 30086, 640, 21, 70, "ProofText"],
Cell[944956, 30109, 1179, 33, 70, "Assumption",
  CellTags->"344"],
Cell[946138, 30144, 640, 21, 70, "ProofText"],
Cell[946781, 30167, 1179, 33, 70, "Assumption",
  CellTags->"343"],
Cell[947963, 30202, 634, 21, 70, "ProofText"],
Cell[948600, 30225, 1269, 35, 70, "Assumption",
  CellTags->"342"],
Cell[949872, 30262, 632, 21, 70, "ProofText"],
Cell[950507, 30285, 1269, 35, 70, "Assumption",
  CellTags->"341"],
Cell[951779, 30322, 634, 21, 70, "ProofText"],
Cell[952416, 30345, 1464, 40, 70, "Assumption",
  CellTags->"340"],
Cell[953883, 30387, 634, 21, 70, "ProofText"],
Cell[954520, 30410, 1464, 40, 70, "Assumption",
  CellTags->"339"],
Cell[955987, 30452, 634, 21, 70, "ProofText"],
Cell[956624, 30475, 1230, 35, 70, "Assumption",
  CellTags->"338"],
Cell[957857, 30512, 638, 21, 70, "ProofText"],
Cell[958498, 30535, 1179, 33, 70, "Assumption",
  CellTags->"337"],
Cell[959680, 30570, 634, 21, 70, "ProofText"],
Cell[960317, 30593, 1144, 33, 70, "Assumption",
  CellTags->"336"],
Cell[961464, 30628, 638, 21, 70, "ProofText"],
Cell[962105, 30651, 1179, 33, 70, "Assumption",
  CellTags->"335"],
Cell[963287, 30686, 636, 21, 70, "ProofText"],
Cell[963926, 30709, 1699, 45, 70, "Assumption",
  CellTags->"334"],
Cell[965628, 30756, 636, 21, 70, "ProofText"],
Cell[966267, 30779, 1699, 45, 70, "Assumption",
  CellTags->"333"],
Cell[967969, 30826, 640, 21, 70, "ProofText"],
Cell[968612, 30849, 1179, 33, 70, "Assumption",
  CellTags->"332"],
Cell[969794, 30884, 636, 21, 70, "ProofText"],
Cell[970433, 30907, 1269, 35, 70, "Assumption",
  CellTags->"331"],
Cell[971705, 30944, 640, 21, 70, "ProofText"],
Cell[972348, 30967, 1179, 33, 70, "Assumption",
  CellTags->"330"],
Cell[973530, 31002, 634, 21, 70, "ProofText"],
Cell[974167, 31025, 732, 22, 70, "Assumption",
  CellTags->"329"],
Cell[974902, 31049, 690, 21, 70, "ProofText"],
Cell[975595, 31072, 1541, 44, 70, "Assumption",
  CellTags->"328"],
Cell[977139, 31118, 680, 21, 70, "ProofText"],
Cell[977822, 31141, 1056, 30, 70, "Assumption",
  CellTags->"327"],
Cell[978881, 31173, 634, 21, 70, "ProofText"],
Cell[979518, 31196, 800, 23, 70, "Assumption",
  CellTags->"326"],
Cell[980321, 31221, 634, 21, 70, "ProofText"],
Cell[980958, 31244, 587, 17, 70, "Assumption",
  CellTags->"325"],
Cell[981548, 31263, 636, 21, 70, "ProofText"],
Cell[982187, 31286, 898, 25, 70, "Assumption",
  CellTags->"324"],
Cell[983088, 31313, 696, 21, 70, "ProofText"],
Cell[983787, 31336, 629, 18, 70, "Assumption",
  CellTags->"323"],
Cell[984419, 31356, 680, 21, 70, "ProofText"],
Cell[985102, 31379, 1554, 44, 70, "Assumption",
  CellTags->"322"],
Cell[986659, 31425, 680, 21, 70, "ProofText"],
Cell[987342, 31448, 1643, 45, 70, "Assumption",
  CellTags->"321"],
Cell[988988, 31495, 658, 21, 70, "ProofText"],
Cell[989649, 31518, 891, 25, 70, "Assumption",
  CellTags->"320"],
Cell[990543, 31545, 676, 21, 70, "ProofText"],
Cell[991222, 31568, 1988, 52, 70, "Assumption",
  CellTags->"319"],
Cell[993213, 31622, 634, 21, 70, "ProofText"],
Cell[993850, 31645, 967, 28, 70, "Assumption",
  CellTags->"318"],
Cell[994820, 31675, 632, 21, 70, "ProofText"],
Cell[995455, 31698, 1299, 36, 70, "Assumption",
  CellTags->"317"],
Cell[996757, 31736, 632, 21, 70, "ProofText"],
Cell[997392, 31759, 967, 28, 70, "Assumption",
  CellTags->"316"],
Cell[998362, 31789, 632, 21, 70, "ProofText"],
Cell[998997, 31812, 1299, 36, 70, "Assumption",
  CellTags->"315"],
Cell[1000299, 31850, 634, 21, 70, "ProofText"],
Cell[1000936, 31873, 1049, 30, 70, "Assumption",
  CellTags->"314"],
Cell[1001988, 31905, 634, 21, 70, "ProofText"],
Cell[1002625, 31928, 1387, 38, 70, "Assumption",
  CellTags->"313"],
Cell[1004015, 31968, 634, 21, 70, "ProofText"],
Cell[1004652, 31991, 1049, 30, 70, "Assumption",
  CellTags->"312"],
Cell[1005704, 32023, 634, 21, 70, "ProofText"],
Cell[1006341, 32046, 1387, 38, 70, "Assumption",
  CellTags->"311"],
Cell[1007731, 32086, 634, 21, 70, "ProofText"],
Cell[1008368, 32109, 704, 21, 70, "Assumption",
  CellTags->"310"],
Cell[1009075, 32132, 634, 21, 70, "ProofText"],
Cell[1009712, 32155, 742, 22, 70, "Assumption",
  CellTags->"309"],
Cell[1010457, 32179, 634, 21, 70, "ProofText"],
Cell[1011094, 32202, 1016, 29, 70, "Assumption",
  CellTags->"308"],
Cell[1012113, 32233, 634, 21, 70, "ProofText"],
Cell[1012750, 32256, 974, 28, 70, "Assumption",
  CellTags->"307"],
Cell[1013727, 32286, 636, 21, 70, "ProofText"],
Cell[1014366, 32309, 1000, 29, 70, "Assumption",
  CellTags->"306"],
Cell[1015369, 32340, 636, 21, 70, "ProofText"],
Cell[1016008, 32363, 920, 27, 70, "Assumption",
  CellTags->"305"],
Cell[1016931, 32392, 636, 21, 70, "ProofText"],
Cell[1017570, 32415, 1223, 34, 70, "Assumption",
  CellTags->"304"],
Cell[1018796, 32451, 636, 21, 70, "ProofText"],
Cell[1019435, 32474, 1582, 43, 70, "Assumption",
  CellTags->"303"],
Cell[1021020, 32519, 636, 21, 70, "ProofText"],
Cell[1021659, 32542, 1223, 34, 70, "Assumption",
  CellTags->"302"],
Cell[1022885, 32578, 636, 21, 70, "ProofText"],
Cell[1023524, 32601, 1582, 43, 70, "Assumption",
  CellTags->"301"],
Cell[1025109, 32646, 636, 21, 70, "ProofText"],
Cell[1025748, 32669, 1170, 33, 70, "Assumption",
  CellTags->"300"],
Cell[1026921, 32704, 636, 21, 70, "ProofText"],
Cell[1027560, 32727, 1355, 37, 70, "Assumption",
  CellTags->"299"],
Cell[1028918, 32766, 636, 21, 70, "ProofText"],
Cell[1029557, 32789, 967, 28, 70, "Assumption",
  CellTags->"298"],
Cell[1030527, 32819, 636, 21, 70, "ProofText"],
Cell[1031166, 32842, 1299, 36, 70, "Assumption",
  CellTags->"297"],
Cell[1032468, 32880, 636, 21, 70, "ProofText"],
Cell[1033107, 32903, 1269, 35, 70, "Assumption",
  CellTags->"296"],
Cell[1034379, 32940, 640, 21, 70, "ProofText"],
Cell[1035022, 32963, 923, 27, 70, "Assumption",
  CellTags->"295"],
Cell[1035948, 32992, 640, 21, 70, "ProofText"],
Cell[1036591, 33015, 923, 27, 70, "Assumption",
  CellTags->"294"],
Cell[1037517, 33044, 634, 21, 70, "ProofText"],
Cell[1038154, 33067, 967, 28, 70, "Assumption",
  CellTags->"293"],
Cell[1039124, 33097, 632, 21, 70, "ProofText"],
Cell[1039759, 33120, 967, 28, 70, "Assumption",
  CellTags->"292"],
Cell[1040729, 33150, 634, 21, 70, "ProofText"],
Cell[1041366, 33173, 1069, 31, 70, "Assumption",
  CellTags->"291"],
Cell[1042438, 33206, 634, 21, 70, "ProofText"],
Cell[1043075, 33229, 1069, 31, 70, "Assumption",
  CellTags->"290"],
Cell[1044147, 33262, 638, 21, 70, "ProofText"],
Cell[1044788, 33285, 923, 27, 70, "Assumption",
  CellTags->"289"],
Cell[1045714, 33314, 638, 21, 70, "ProofText"],
Cell[1046355, 33337, 923, 27, 70, "Assumption",
  CellTags->"288"],
Cell[1047281, 33366, 636, 21, 70, "ProofText"],
Cell[1047920, 33389, 1178, 33, 70, "Assumption",
  CellTags->"287"],
Cell[1049101, 33424, 636, 21, 70, "ProofText"],
Cell[1049740, 33447, 1178, 33, 70, "Assumption",
  CellTags->"286"],
Cell[1050921, 33482, 640, 21, 70, "ProofText"],
Cell[1051564, 33505, 923, 27, 70, "Assumption",
  CellTags->"285"],
Cell[1052490, 33534, 636, 21, 70, "ProofText"],
Cell[1053129, 33557, 967, 28, 70, "Assumption",
  CellTags->"284"],
Cell[1054099, 33587, 640, 21, 70, "ProofText"],
Cell[1054742, 33610, 923, 27, 70, "Assumption",
  CellTags->"283"],
Cell[1055668, 33639, 636, 21, 70, "ProofText"],
Cell[1056307, 33662, 967, 28, 70, "Assumption",
  CellTags->"282"],
Cell[1057277, 33692, 640, 21, 70, "ProofText"],
Cell[1057920, 33715, 1211, 34, 70, "Assumption",
  CellTags->"281"],
Cell[1059134, 33751, 640, 21, 70, "ProofText"],
Cell[1059777, 33774, 1211, 34, 70, "Assumption",
  CellTags->"280"],
Cell[1060991, 33810, 634, 21, 70, "ProofText"],
Cell[1061628, 33833, 1299, 36, 70, "Assumption",
  CellTags->"279"],
Cell[1062930, 33871, 632, 21, 70, "ProofText"],
Cell[1063565, 33894, 1299, 36, 70, "Assumption",
  CellTags->"278"],
Cell[1064867, 33932, 634, 21, 70, "ProofText"],
Cell[1065504, 33955, 1490, 41, 70, "Assumption",
  CellTags->"277"],
Cell[1066997, 33998, 634, 21, 70, "ProofText"],
Cell[1067634, 34021, 1490, 41, 70, "Assumption",
  CellTags->"276"],
Cell[1069127, 34064, 634, 21, 70, "ProofText"],
Cell[1069764, 34087, 1265, 35, 70, "Assumption",
  CellTags->"275"],
Cell[1071032, 34124, 638, 21, 70, "ProofText"],
Cell[1071673, 34147, 1211, 34, 70, "Assumption",
  CellTags->"274"],
Cell[1072887, 34183, 634, 21, 70, "ProofText"],
Cell[1073524, 34206, 1179, 33, 70, "Assumption",
  CellTags->"273"],
Cell[1074706, 34241, 638, 21, 70, "ProofText"],
Cell[1075347, 34264, 1211, 34, 70, "Assumption",
  CellTags->"272"],
Cell[1076561, 34300, 636, 21, 70, "ProofText"],
Cell[1077200, 34323, 1719, 46, 70, "Assumption",
  CellTags->"271"],
Cell[1078922, 34371, 636, 21, 70, "ProofText"],
Cell[1079561, 34394, 1719, 46, 70, "Assumption",
  CellTags->"270"],
Cell[1081283, 34442, 640, 21, 70, "ProofText"],
Cell[1081926, 34465, 1211, 34, 70, "Assumption",
  CellTags->"269"],
Cell[1083140, 34501, 636, 21, 70, "ProofText"],
Cell[1083779, 34524, 1299, 36, 70, "Assumption",
  CellTags->"268"],
Cell[1085081, 34562, 640, 21, 70, "ProofText"],
Cell[1085724, 34585, 1211, 34, 70, "Assumption",
  CellTags->"267"],
Cell[1086938, 34621, 636, 21, 70, "ProofText"],
Cell[1087577, 34644, 1299, 36, 70, "Assumption",
  CellTags->"266"],
Cell[1088879, 34682, 690, 21, 70, "ProofText"],
Cell[1089572, 34705, 1701, 46, 70, "Assumption",
  CellTags->"265"],
Cell[1091276, 34753, 690, 21, 70, "ProofText"],
Cell[1091969, 34776, 676, 20, 70, "Assumption",
  CellTags->"264"],
Cell[1092648, 34798, 634, 21, 70, "ProofText"],
Cell[1093285, 34821, 664, 20, 70, "Assumption",
  CellTags->"263"],
Cell[1093952, 34843, 690, 21, 70, "ProofText"],
Cell[1094645, 34866, 1701, 46, 70, "Assumption",
  CellTags->"262"],
Cell[1096349, 34914, 690, 21, 70, "ProofText"],
Cell[1097042, 34937, 676, 20, 70, "Assumption",
  CellTags->"261"],
Cell[1097721, 34959, 634, 21, 70, "ProofText"],
Cell[1098358, 34982, 664, 20, 70, "Assumption",
  CellTags->"260"],
Cell[1099025, 35004, 690, 21, 70, "ProofText"],
Cell[1099718, 35027, 1759, 47, 70, "Assumption",
  CellTags->"259"],
Cell[1101480, 35076, 690, 21, 70, "ProofText"],
Cell[1102173, 35099, 716, 21, 70, "Assumption",
  CellTags->"258"],
Cell[1102892, 35122, 634, 21, 70, "ProofText"],
Cell[1103529, 35145, 704, 21, 70, "Assumption",
  CellTags->"257"],
Cell[1104236, 35168, 690, 21, 70, "ProofText"],
Cell[1104929, 35191, 1759, 47, 70, "Assumption",
  CellTags->"256"],
Cell[1106691, 35240, 690, 21, 70, "ProofText"],
Cell[1107384, 35263, 716, 21, 70, "Assumption",
  CellTags->"255"],
Cell[1108103, 35286, 634, 21, 70, "ProofText"],
Cell[1108740, 35309, 704, 21, 70, "Assumption",
  CellTags->"254"],
Cell[1109447, 35332, 640, 21, 70, "ProofText"],
Cell[1110090, 35355, 783, 23, 70, "Assumption",
  CellTags->"253"],
Cell[1110876, 35380, 640, 21, 70, "ProofText"],
Cell[1111519, 35403, 783, 23, 70, "Assumption",
  CellTags->"252"],
Cell[1112305, 35428, 634, 21, 70, "ProofText"],
Cell[1112942, 35451, 823, 24, 70, "Assumption",
  CellTags->"251"],
Cell[1113768, 35477, 632, 21, 70, "ProofText"],
Cell[1114403, 35500, 823, 24, 70, "Assumption",
  CellTags->"250"],
Cell[1115229, 35526, 634, 21, 70, "ProofText"],
Cell[1115866, 35549, 908, 26, 70, "Assumption",
  CellTags->"249"],
Cell[1116777, 35577, 634, 21, 70, "ProofText"],
Cell[1117414, 35600, 908, 26, 70, "Assumption",
  CellTags->"248"],
Cell[1118325, 35628, 638, 21, 70, "ProofText"],
Cell[1118966, 35651, 783, 23, 70, "Assumption",
  CellTags->"247"],
Cell[1119752, 35676, 638, 21, 70, "ProofText"],
Cell[1120393, 35699, 783, 23, 70, "Assumption",
  CellTags->"246"],
Cell[1121179, 35724, 636, 21, 70, "ProofText"],
Cell[1121818, 35747, 1006, 29, 70, "Assumption",
  CellTags->"245"],
Cell[1122827, 35778, 636, 21, 70, "ProofText"],
Cell[1123466, 35801, 1006, 29, 70, "Assumption",
  CellTags->"244"],
Cell[1124475, 35832, 640, 21, 70, "ProofText"],
Cell[1125118, 35855, 783, 23, 70, "Assumption",
  CellTags->"243"],
Cell[1125904, 35880, 636, 21, 70, "ProofText"],
Cell[1126543, 35903, 823, 24, 70, "Assumption",
  CellTags->"242"],
Cell[1127369, 35929, 640, 21, 70, "ProofText"],
Cell[1128012, 35952, 783, 23, 70, "Assumption",
  CellTags->"241"],
Cell[1128798, 35977, 636, 21, 70, "ProofText"],
Cell[1129437, 36000, 823, 24, 70, "Assumption",
  CellTags->"240"],
Cell[1130263, 36026, 941, 30, 70, "ProofText"],
Cell[1131207, 36058, 182, 3, 70, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1131426, 36066, 88, 1, 70, "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{
Cell[1131539, 36071, 36, 0, 70, "Subsection"],
Cell[1131578, 36073, 476, 8, 70, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1132091, 36086, 34, 0, 70, "Subsection"],
Cell[1132128, 36088, 120, 7, 70, "Text"],
Cell[1132251, 36097, 98, 4, 70, "Text"],
Cell[1132352, 36103, 99, 4, 70, "Text"],
Cell[1132454, 36109, 195, 9, 70, "Text"],
Cell[1132652, 36120, 231, 9, 70, "Text"],
Cell[1132886, 36131, 230, 9, 70, "Text"],
Cell[1133119, 36142, 214, 9, 70, "Text"],
Cell[1133336, 36153, 216, 9, 70, "Text"],
Cell[1133555, 36164, 216, 9, 70, "Text"],
Cell[1133774, 36175, 230, 9, 70, "Text"],
Cell[1134007, 36186, 226, 9, 70, "Text"],
Cell[1134236, 36197, 227, 9, 70, "Text"],
Cell[1134466, 36208, 230, 9, 70, "Text"],
Cell[1134699, 36219, 224, 9, 70, "Text"],
Cell[1134926, 36230, 224, 9, 70, "Text"],
Cell[1135153, 36241, 218, 9, 70, "Text"],
Cell[1135374, 36252, 220, 9, 70, "Text"],
Cell[1135597, 36263, 225, 9, 70, "Text"],
Cell[1135825, 36274, 222, 9, 70, "Text"],
Cell[1136050, 36285, 221, 9, 70, "Text"],
Cell[1136274, 36296, 221, 9, 70, "Text"],
Cell[1136498, 36307, 221, 9, 70, "Text"],
Cell[1136722, 36318, 225, 9, 70, "Text"],
Cell[1136950, 36329, 218, 9, 70, "Text"],
Cell[1137171, 36340, 220, 9, 70, "Text"],
Cell[1137394, 36351, 227, 9, 70, "Text"],
Cell[1137624, 36362, 229, 9, 70, "Text"],
Cell[1137856, 36373, 230, 9, 70, "Text"],
Cell[1138089, 36384, 228, 9, 70, "Text"],
Cell[1138320, 36395, 226, 9, 70, "Text"],
Cell[1138549, 36406, 219, 9, 70, "Text"],
Cell[1138771, 36417, 224, 9, 70, "Text"],
Cell[1138998, 36428, 223, 9, 70, "Text"],
Cell[1139224, 36439, 234, 9, 70, "Text"],
Cell[1139461, 36450, 235, 9, 70, "Text"],
Cell[1139699, 36461, 225, 9, 70, "Text"],
Cell[1139927, 36472, 223, 9, 70, "Text"],
Cell[1140153, 36483, 219, 9, 70, "Text"],
Cell[1140375, 36494, 228, 9, 70, "Text"],
Cell[1140606, 36505, 236, 9, 70, "Text"],
Cell[1140845, 36516, 230, 9, 70, "Text"],
Cell[1141078, 36527, 228, 9, 70, "Text"],
Cell[1141309, 36538, 229, 9, 70, "Text"],
Cell[1141541, 36549, 232, 9, 70, "Text"],
Cell[1141776, 36560, 226, 9, 70, "Text"],
Cell[1142005, 36571, 234, 9, 70, "Text"],
Cell[1142242, 36582, 210, 9, 70, "Text"],
Cell[1142455, 36593, 182, 9, 70, "Text"],
Cell[1142640, 36604, 211, 9, 70, "Text"],
Cell[1142854, 36615, 214, 9, 70, "Text"],
Cell[1143071, 36626, 182, 9, 70, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[1143290, 36640, 56, 0, 70, "Subsection"],
Cell[1143349, 36642, 417, 13, 70, "Text",
  CellTags->"1"],
Cell[1143769, 36657, 807, 24, 70, "Text",
  CellTags->"10"],
Cell[1144579, 36683, 870, 26, 70, "Text",
  CellTags->"100"],
Cell[1145452, 36711, 870, 26, 70, "Text",
  CellTags->"101"],
Cell[1146325, 36739, 785, 24, 70, "Text",
  CellTags->"102"],
Cell[1147113, 36765, 785, 24, 70, "Text",
  CellTags->"103"],
Cell[1147901, 36791, 745, 23, 70, "Text",
  CellTags->"104"],
Cell[1148649, 36816, 745, 23, 70, "Text",
  CellTags->"105"],
Cell[1149397, 36841, 707, 22, 70, "Text",
  CellTags->"106"],
Cell[1150107, 36865, 707, 22, 70, "Text",
  CellTags->"107"],
Cell[1150817, 36889, 832, 25, 70, "Text",
  CellTags->"108"],
Cell[1151652, 36916, 832, 25, 70, "Text",
  CellTags->"109"],
Cell[1152487, 36943, 1581, 44, 70, "Text",
  CellTags->"11"],
Cell[1154071, 36989, 747, 23, 70, "Text",
  CellTags->"110"],
Cell[1154821, 37014, 747, 23, 70, "Text",
  CellTags->"111"],
Cell[1155571, 37039, 707, 22, 70, "Text",
  CellTags->"112"],
Cell[1156281, 37063, 707, 22, 70, "Text",
  CellTags->"113"],
Cell[1156991, 37087, 1342, 38, 70, "Text",
  CellTags->"114"],
Cell[1158336, 37127, 1048, 31, 70, "Text",
  CellTags->"115"],
Cell[1159387, 37160, 1342, 38, 70, "Text",
  CellTags->"116"],
Cell[1160732, 37200, 1048, 31, 70, "Text",
  CellTags->"117"],
Cell[1161783, 37233, 1254, 36, 70, "Text",
  CellTags->"118"],
Cell[1163040, 37271, 966, 29, 70, "Text",
  CellTags->"119"],
Cell[1164009, 37302, 1502, 43, 70, "Text",
  CellTags->"12"],
Cell[1165514, 37347, 1254, 36, 70, "Text",
  CellTags->"120"],
Cell[1166771, 37385, 966, 29, 70, "Text",
  CellTags->"121"],
Cell[1167740, 37416, 1927, 52, 70, "Text",
  CellTags->"122"],
Cell[1169670, 37470, 809, 24, 70, "Text",
  CellTags->"123"],
Cell[1170482, 37496, 1583, 44, 70, "Text",
  CellTags->"124"],
Cell[1172068, 37542, 1504, 43, 70, "Text",
  CellTags->"125"],
Cell[1173575, 37587, 591, 18, 70, "Text",
  CellTags->"126"],
Cell[1174169, 37607, 775, 24, 70, "Text",
  CellTags->"127"],
Cell[1174947, 37633, 763, 23, 70, "Text",
  CellTags->"128"],
Cell[1175713, 37658, 975, 29, 70, "Text",
  CellTags->"129"],
Cell[1176691, 37689, 589, 18, 70, "Text",
  CellTags->"13"],
Cell[1177283, 37709, 1673, 47, 70, "Text",
  CellTags->"130"],
Cell[1178959, 37758, 1312, 37, 70, "Text",
  CellTags->"131"],
Cell[1180274, 37797, 1312, 37, 70, "Text",
  CellTags->"132"],
Cell[1181589, 37836, 1222, 35, 70, "Text",
  CellTags->"133"],
Cell[1182814, 37873, 1222, 35, 70, "Text",
  CellTags->"134"],
Cell[1184039, 37910, 1775, 49, 70, "Text",
  CellTags->"135"],
Cell[1185817, 37961, 1498, 43, 70, "Text",
  CellTags->"136"],
Cell[1187318, 38006, 1342, 38, 70, "Text",
  CellTags->"137"],
Cell[1188663, 38046, 1048, 31, 70, "Text",
  CellTags->"138"],
Cell[1189714, 38079, 1342, 38, 70, "Text",
  CellTags->"139"],
Cell[1191059, 38119, 773, 24, 70, "Text",
  CellTags->"14"],
Cell[1191835, 38145, 1048, 31, 70, "Text",
  CellTags->"140"],
Cell[1192886, 38178, 1254, 36, 70, "Text",
  CellTags->"141"],
Cell[1194143, 38216, 966, 29, 70, "Text",
  CellTags->"142"],
Cell[1195112, 38247, 1254, 36, 70, "Text",
  CellTags->"143"],
Cell[1196369, 38285, 966, 29, 70, "Text",
  CellTags->"144"],
Cell[1197338, 38316, 1927, 52, 70, "Text",
  CellTags->"145"],
Cell[1199268, 38370, 809, 24, 70, "Text",
  CellTags->"146"],
Cell[1200080, 38396, 1583, 44, 70, "Text",
  CellTags->"147"],
Cell[1201666, 38442, 1504, 43, 70, "Text",
  CellTags->"148"],
Cell[1203173, 38487, 591, 18, 70, "Text",
  CellTags->"149"],
Cell[1203767, 38507, 1295, 37, 70, "Text",
  CellTags->"15"],
Cell[1205065, 38546, 803, 24, 70, "Text",
  CellTags->"150"],
Cell[1205871, 38572, 1057, 31, 70, "Text",
  CellTags->"151"],
Cell[1206931, 38605, 1770, 49, 70, "Text",
  CellTags->"152"],
Cell[1208704, 38656, 1398, 39, 70, "Text",
  CellTags->"153"],
Cell[1210105, 38697, 1398, 39, 70, "Text",
  CellTags->"154"],
Cell[1211506, 38738, 1308, 37, 70, "Text",
  CellTags->"155"],
Cell[1212817, 38777, 1308, 37, 70, "Text",
  CellTags->"156"],
Cell[1214128, 38816, 1871, 51, 70, "Text",
  CellTags->"157"],
Cell[1216002, 38869, 763, 23, 70, "Text",
  CellTags->"158"],
Cell[1216768, 38894, 1586, 45, 70, "Text",
  CellTags->"159"],
Cell[1218357, 38941, 1083, 31, 70, "Text",
  CellTags->"16"],
Cell[1219443, 38974, 1621, 45, 70, "Text",
  CellTags->"160"],
Cell[1221067, 39021, 1621, 45, 70, "Text",
  CellTags->"161"],
Cell[1222691, 39068, 1430, 40, 70, "Text",
  CellTags->"162"],
Cell[1224124, 39110, 1430, 40, 70, "Text",
  CellTags->"163"],
Cell[1225557, 39152, 1342, 38, 70, "Text",
  CellTags->"164"],
Cell[1226902, 39192, 1342, 38, 70, "Text",
  CellTags->"165"],
Cell[1228247, 39232, 1114, 32, 70, "Text",
  CellTags->"166"],
Cell[1229364, 39266, 1746, 49, 70, "Text",
  CellTags->"167"],
Cell[1231113, 39317, 1194, 35, 70, "Text",
  CellTags->"168"],
Cell[1232310, 39354, 1194, 35, 70, "Text",
  CellTags->"169"],
Cell[1233507, 39391, 1083, 31, 70, "Text",
  CellTags->"17"],
Cell[1234593, 39424, 1092, 32, 70, "Text",
  CellTags->"170"],
Cell[1235688, 39458, 1092, 32, 70, "Text",
  CellTags->"171"],
Cell[1236783, 39492, 1048, 31, 70, "Text",
  CellTags->"172"],
Cell[1237834, 39525, 1048, 31, 70, "Text",
  CellTags->"173"],
Cell[1238885, 39558, 1621, 45, 70, "Text",
  CellTags->"174"],
Cell[1240509, 39605, 1194, 35, 70, "Text",
  CellTags->"175"],
Cell[1241706, 39642, 1533, 43, 70, "Text",
  CellTags->"176"],
Cell[1243242, 39687, 1112, 33, 70, "Text",
  CellTags->"177"],
Cell[1244357, 39722, 1533, 43, 70, "Text",
  CellTags->"178"],
Cell[1245893, 39767, 1112, 33, 70, "Text",
  CellTags->"179"],
Cell[1247008, 39802, 863, 25, 70, "Text",
  CellTags->"18"],
Cell[1247874, 39829, 2289, 60, 70, "Text",
  CellTags->"180"],
Cell[1250166, 39891, 1121, 32, 70, "Text",
  CellTags->"181"],
Cell[1251290, 39925, 1898, 51, 70, "Text",
  CellTags->"182"],
Cell[1253191, 39978, 1778, 49, 70, "Text",
  CellTags->"183"],
Cell[1254972, 40029, 766, 23, 70, "Text",
  CellTags->"184"],
Cell[1255741, 40054, 1621, 45, 70, "Text",
  CellTags->"185"],
Cell[1257365, 40101, 1430, 40, 70, "Text",
  CellTags->"186"],
Cell[1258798, 40143, 1430, 40, 70, "Text",
  CellTags->"187"],
Cell[1260231, 40185, 1342, 38, 70, "Text",
  CellTags->"188"],
Cell[1261576, 40225, 1342, 38, 70, "Text",
  CellTags->"189"],
Cell[1262921, 40265, 768, 23, 70, "Text",
  CellTags->"19"],
Cell[1263692, 40290, 1194, 35, 70, "Text",
  CellTags->"190"],
Cell[1264889, 40327, 1092, 32, 70, "Text",
  CellTags->"191"],
Cell[1265984, 40361, 1092, 32, 70, "Text",
  CellTags->"192"],
Cell[1267079, 40395, 843, 25, 70, "Text",
  CellTags->"193"],
Cell[1267925, 40422, 1048, 31, 70, "Text",
  CellTags->"194"],
Cell[1268976, 40455, 1048, 31, 70, "Text",
  CellTags->"195"],
Cell[1270027, 40488, 1533, 43, 70, "Text",
  CellTags->"196"],
Cell[1271563, 40533, 1112, 33, 70, "Text",
  CellTags->"197"],
Cell[1272678, 40568, 1533, 43, 70, "Text",
  CellTags->"198"],
Cell[1274214, 40613, 1112, 33, 70, "Text",
  CellTags->"199"],
Cell[1275329, 40648, 2192, 61, 70, "Text",
  CellTags->"2"],
Cell[1277524, 40711, 1340, 38, 70, "Text",
  CellTags->"20"],
Cell[1278867, 40751, 2289, 60, 70, "Text",
  CellTags->"200"],
Cell[1281159, 40813, 1121, 32, 70, "Text",
  CellTags->"201"],
Cell[1282283, 40847, 1898, 51, 70, "Text",
  CellTags->"202"],
Cell[1284184, 40900, 1778, 49, 70, "Text",
  CellTags->"203"],
Cell[1285965, 40951, 766, 23, 70, "Text",
  CellTags->"204"],
Cell[1286734, 40976, 806, 24, 70, "Text",
  CellTags->"205"],
Cell[1287543, 41002, 1451, 42, 70, "Text",
  CellTags->"206"],
Cell[1288997, 41046, 931, 27, 70, "Text",
  CellTags->"207"],
Cell[1289931, 41075, 1541, 44, 70, "Text",
  CellTags->"208"],
Cell[1291475, 41121, 775, 23, 70, "Text",
  CellTags->"209"],
Cell[1292253, 41146, 1340, 38, 70, "Text",
  CellTags->"21"],
Cell[1293596, 41186, 843, 25, 70, "Text",
  CellTags->"210"],
Cell[1294442, 41213, 1059, 31, 70, "Text",
  CellTags->"211"],
Cell[1295504, 41246, 977, 29, 70, "Text",
  CellTags->"212"],
Cell[1296484, 41277, 977, 29, 70, "Text",
  CellTags->"213"],
Cell[1297464, 41308, 1300, 38, 70, "Text",
  CellTags->"214"],
Cell[1298767, 41348, 801, 24, 70, "Text",
  CellTags->"215"],
Cell[1299571, 41374, 1017, 30, 70, "Text",
  CellTags->"216"],
Cell[1300591, 41406, 1017, 30, 70, "Text",
  CellTags->"217"],
Cell[1301611, 41438, 935, 28, 70, "Text",
  CellTags->"218"],
Cell[1302549, 41468, 1254, 37, 70, "Text",
  CellTags->"219"],
Cell[1303806, 41507, 1252, 36, 70, "Text",
  CellTags->"22"],
Cell[1305061, 41545, 956, 29, 70, "Text",
  CellTags->"220"],
Cell[1306020, 41576, 557, 17, 70, "Text",
  CellTags->"220.1"],
Cell[1306580, 41595, 701, 22, 70, "Text",
  CellTags->"220.2"],
Cell[1307284, 41619, 998, 30, 70, "Text",
  CellTags->"221"],
Cell[1308285, 41651, 557, 17, 70, "Text",
  CellTags->"221.1"],
Cell[1308845, 41670, 739, 23, 70, "Text",
  CellTags->"221.2"],
Cell[1309587, 41695, 977, 29, 70, "Text",
  CellTags->"222"],
Cell[1310567, 41726, 935, 28, 70, "Text",
  CellTags->"223"],
Cell[1311505, 41756, 1539, 43, 70, "Text",
  CellTags->"224"],
Cell[1313047, 41801, 977, 29, 70, "Text",
  CellTags->"225"],
Cell[1314027, 41832, 935, 28, 70, "Text",
  CellTags->"226"],
Cell[1314965, 41862, 1589, 44, 70, "Text",
  CellTags->"227"],
Cell[1316557, 41908, 1059, 31, 70, "Text",
  CellTags->"228"],
Cell[1317619, 41941, 1017, 30, 70, "Text",
  CellTags->"229"],
Cell[1318639, 41973, 1252, 36, 70, "Text",
  CellTags->"23"],
Cell[1319894, 42011, 1352, 39, 70, "Text",
  CellTags->"230"],
Cell[1321249, 42052, 1233, 35, 70, "Text",
  CellTags->"231"],
Cell[1322485, 42089, 1191, 34, 70, "Text",
  CellTags->"232"],
Cell[1323679, 42125, 1352, 39, 70, "Text",
  CellTags->"233"],
Cell[1325034, 42166, 1233, 35, 70, "Text",
  CellTags->"234"],
Cell[1326270, 42203, 1059, 31, 70, "Text",
  CellTags->"235"],
Cell[1327332, 42236, 977, 29, 70, "Text",
  CellTags->"236"],
Cell[1328312, 42267, 1191, 34, 70, "Text",
  CellTags->"237"],
Cell[1329506, 42303, 1215, 36, 70, "Text",
  CellTags->"238"],
Cell[1330724, 42341, 1259, 37, 70, "Text",
  CellTags->"239"],
Cell[1331986, 42380, 1083, 31, 70, "Text",
  CellTags->"24"],
Cell[1333072, 42413, 866, 26, 70, "Text",
  CellTags->"240"],
Cell[1333941, 42441, 826, 25, 70, "Text",
  CellTags->"241"],
Cell[1334770, 42468, 866, 26, 70, "Text",
  CellTags->"242"],
Cell[1335639, 42496, 826, 25, 70, "Text",
  CellTags->"243"],
Cell[1336468, 42523, 1049, 31, 70, "Text",
  CellTags->"244"],
Cell[1337520, 42556, 1049, 31, 70, "Text",
  CellTags->"245"],
Cell[1338572, 42589, 826, 25, 70, "Text",
  CellTags->"246"],
Cell[1339401, 42616, 826, 25, 70, "Text",
  CellTags->"247"],
Cell[1340230, 42643, 951, 28, 70, "Text",
  CellTags->"248"],
Cell[1341184, 42673, 951, 28, 70, "Text",
  CellTags->"249"],
Cell[1342138, 42703, 1008, 30, 70, "Text",
  CellTags->"25"],
Cell[1343149, 42735, 866, 26, 70, "Text",
  CellTags->"250"],
Cell[1344018, 42763, 866, 26, 70, "Text",
  CellTags->"251"],
Cell[1344887, 42791, 826, 25, 70, "Text",
  CellTags->"252"],
Cell[1345716, 42818, 826, 25, 70, "Text",
  CellTags->"253"],
Cell[1346545, 42845, 747, 23, 70, "Text",
  CellTags->"254"],
Cell[1347295, 42870, 759, 23, 70, "Text",
  CellTags->"255"],
Cell[1348057, 42895, 1802, 49, 70, "Text",
  CellTags->"256"],
Cell[1349862, 42946, 747, 23, 70, "Text",
  CellTags->"257"],
Cell[1350612, 42971, 759, 23, 70, "Text",
  CellTags->"258"],
Cell[1351374, 42996, 1802, 49, 70, "Text",
  CellTags->"259"],
Cell[1353179, 43047, 1008, 30, 70, "Text",
  CellTags->"26"],
Cell[1354190, 43079, 707, 22, 70, "Text",
  CellTags->"260"],
Cell[1354900, 43103, 719, 22, 70, "Text",
  CellTags->"261"],
Cell[1355622, 43127, 1744, 48, 70, "Text",
  CellTags->"262"],
Cell[1357369, 43177, 707, 22, 70, "Text",
  CellTags->"263"],
Cell[1358079, 43201, 719, 22, 70, "Text",
  CellTags->"264"],
Cell[1358801, 43225, 1744, 48, 70, "Text",
  CellTags->"265"],
Cell[1360548, 43275, 1342, 38, 70, "Text",
  CellTags->"266"],
Cell[1361893, 43315, 1254, 36, 70, "Text",
  CellTags->"267"],
Cell[1363150, 43353, 1342, 38, 70, "Text",
  CellTags->"268"],
Cell[1364495, 43393, 1254, 36, 70, "Text",
  CellTags->"269"],
Cell[1365752, 43431, 964, 29, 70, "Text",
  CellTags->"27"],
Cell[1366719, 43462, 1762, 48, 70, "Text",
  CellTags->"270"],
Cell[1368484, 43512, 1762, 48, 70, "Text",
  CellTags->"271"],
Cell[1370249, 43562, 1254, 36, 70, "Text",
  CellTags->"272"],
Cell[1371506, 43600, 1222, 35, 70, "Text",
  CellTags->"273"],
Cell[1372731, 43637, 1254, 36, 70, "Text",
  CellTags->"274"],
Cell[1373988, 43675, 1308, 37, 70, "Text",
  CellTags->"275"],
Cell[1375299, 43714, 1533, 43, 70, "Text",
  CellTags->"276"],
Cell[1376835, 43759, 1533, 43, 70, "Text",
  CellTags->"277"],
Cell[1378371, 43804, 1342, 38, 70, "Text",
  CellTags->"278"],
Cell[1379716, 43844, 1342, 38, 70, "Text",
  CellTags->"279"],
Cell[1381061, 43884, 964, 29, 70, "Text",
  CellTags->"28"],
Cell[1382028, 43915, 1254, 36, 70, "Text",
  CellTags->"280"],
Cell[1383285, 43953, 1254, 36, 70, "Text",
  CellTags->"281"],
Cell[1384542, 43991, 1010, 30, 70, "Text",
  CellTags->"282"],
Cell[1385555, 44023, 966, 29, 70, "Text",
  CellTags->"283"],
Cell[1386524, 44054, 1010, 30, 70, "Text",
  CellTags->"284"],
Cell[1387537, 44086, 966, 29, 70, "Text",
  CellTags->"285"],
Cell[1388506, 44117, 1221, 35, 70, "Text",
  CellTags->"286"],
Cell[1389730, 44154, 1221, 35, 70, "Text",
  CellTags->"287"],
Cell[1390954, 44191, 966, 29, 70, "Text",
  CellTags->"288"],
Cell[1391923, 44222, 966, 29, 70, "Text",
  CellTags->"289"],
Cell[1392892, 44253, 1340, 38, 70, "Text",
  CellTags->"29"],
Cell[1394235, 44293, 1112, 33, 70, "Text",
  CellTags->"290"],
Cell[1395350, 44328, 1112, 33, 70, "Text",
  CellTags->"291"],
Cell[1396465, 44363, 1010, 30, 70, "Text",
  CellTags->"292"],
Cell[1397478, 44395, 1010, 30, 70, "Text",
  CellTags->"293"],
Cell[1398491, 44427, 966, 29, 70, "Text",
  CellTags->"294"],
Cell[1399460, 44458, 966, 29, 70, "Text",
  CellTags->"295"],
Cell[1400429, 44489, 1312, 37, 70, "Text",
  CellTags->"296"],
Cell[1401744, 44528, 1342, 38, 70, "Text",
  CellTags->"297"],
Cell[1403089, 44568, 1010, 30, 70, "Text",
  CellTags->"298"],
Cell[1404102, 44600, 1398, 39, 70, "Text",
  CellTags->"299"],
Cell[1405503, 44641, 1703, 48, 70, "Text",
  CellTags->"3"],
Cell[1407209, 44691, 1008, 30, 70, "Text",
  CellTags->"30"],
Cell[1408220, 44723, 1213, 35, 70, "Text",
  CellTags->"300"],
Cell[1409436, 44760, 1625, 45, 70, "Text",
  CellTags->"301"],
Cell[1411064, 44807, 1266, 36, 70, "Text",
  CellTags->"302"],
Cell[1412333, 44845, 1625, 45, 70, "Text",
  CellTags->"303"],
Cell[1413961, 44892, 1266, 36, 70, "Text",
  CellTags->"304"],
Cell[1415230, 44930, 963, 29, 70, "Text",
  CellTags->"305"],
Cell[1416196, 44961, 1043, 31, 70, "Text",
  CellTags->"306"],
Cell[1417242, 44994, 1017, 30, 70, "Text",
  CellTags->"307"],
Cell[1418262, 45026, 1059, 31, 70, "Text",
  CellTags->"308"],
Cell[1419324, 45059, 785, 24, 70, "Text",
  CellTags->"309"],
Cell[1420112, 45085, 753, 23, 70, "Text",
  CellTags->"3.1"],
Cell[1420868, 45110, 2029, 54, 70, "Text",
  CellTags->"31"],
Cell[1422900, 45166, 747, 23, 70, "Text",
  CellTags->"310"],
Cell[1423650, 45191, 557, 17, 70, "Text",
  CellTags->"3.1.1"],
Cell[1424210, 45210, 1430, 40, 70, "Text",
  CellTags->"311"],
Cell[1425643, 45252, 557, 17, 70, "Text",
  CellTags->"3.1.2"],
Cell[1426203, 45271, 1092, 32, 70, "Text",
  CellTags->"312"],
Cell[1427298, 45305, 1430, 40, 70, "Text",
  CellTags->"313"],
Cell[1428731, 45347, 1092, 32, 70, "Text",
  CellTags->"314"],
Cell[1429826, 45381, 1342, 38, 70, "Text",
  CellTags->"315"],
Cell[1431171, 45421, 1010, 30, 70, "Text",
  CellTags->"316"],
Cell[1432184, 45453, 1342, 38, 70, "Text",
  CellTags->"317"],
Cell[1433529, 45493, 1010, 30, 70, "Text",
  CellTags->"318"],
Cell[1434542, 45525, 2031, 54, 70, "Text",
  CellTags->"319"],
Cell[1436576, 45581, 1137, 34, 70, "Text",
  CellTags->"3.2"],
Cell[1437716, 45617, 932, 27, 70, "Text",
  CellTags->"32"],
Cell[1438651, 45646, 934, 27, 70, "Text",
  CellTags->"320"],
Cell[1439588, 45675, 713, 22, 70, "Text",
  CellTags->"3.2.1"],
Cell[1440304, 45699, 1681, 46, 70, "Text",
  CellTags->"321"],
Cell[1441988, 45747, 671, 21, 70, "Text",
  CellTags->"3.2.2"],
Cell[1442662, 45770, 1592, 45, 70, "Text",
  CellTags->"322"],
Cell[1444257, 45817, 672, 20, 70, "Text",
  CellTags->"323"],
Cell[1444932, 45839, 941, 27, 70, "Text",
  CellTags->"324"],
Cell[1445876, 45868, 630, 19, 70, "Text",
  CellTags->"325"],
Cell[1446509, 45889, 843, 25, 70, "Text",
  CellTags->"326"],
Cell[1447355, 45916, 1099, 32, 70, "Text",
  CellTags->"327"],
Cell[1448457, 45950, 1579, 45, 70, "Text",
  CellTags->"328"],
Cell[1450039, 45997, 775, 24, 70, "Text",
  CellTags->"329"],
Cell[1450817, 46023, 1679, 46, 70, "Text",
  CellTags->"33"],
Cell[1452499, 46071, 1222, 35, 70, "Text",
  CellTags->"330"],
Cell[1453724, 46108, 1312, 37, 70, "Text",
  CellTags->"331"],
Cell[1455039, 46147, 1222, 35, 70, "Text",
  CellTags->"332"],
Cell[1456264, 46184, 1742, 47, 70, "Text",
  CellTags->"333"],
Cell[1458009, 46233, 1742, 47, 70, "Text",
  CellTags->"334"],
Cell[1459754, 46282, 1222, 35, 70, "Text",
  CellTags->"335"],
Cell[1460979, 46319, 1187, 35, 70, "Text",
  CellTags->"336"],
Cell[1462169, 46356, 1222, 35, 70, "Text",
  CellTags->"337"],
Cell[1463394, 46393, 1273, 37, 70, "Text",
  CellTags->"338"],
Cell[1464670, 46432, 1507, 42, 70, "Text",
  CellTags->"339"],
Cell[1466180, 46476, 1590, 45, 70, "Text",
  CellTags->"34"],
Cell[1467773, 46523, 1507, 42, 70, "Text",
  CellTags->"340"],
Cell[1469283, 46567, 1312, 37, 70, "Text",
  CellTags->"341"],
Cell[1470598, 46606, 1312, 37, 70, "Text",
  CellTags->"342"],
Cell[1471913, 46645, 1222, 35, 70, "Text",
  CellTags->"343"],
Cell[1473138, 46682, 1222, 35, 70, "Text",
  CellTags->"344"],
Cell[1474363, 46719, 1254, 36, 70, "Text",
  CellTags->"345"],
Cell[1475620, 46757, 966, 29, 70, "Text",
  CellTags->"346"],
Cell[1476589, 46788, 1308, 37, 70, "Text",
  CellTags->"347"],
Cell[1477900, 46827, 1171, 34, 70, "Text",
  CellTags->"348"],
Cell[1479074, 46863, 1537, 43, 70, "Text",
  CellTags->"349"],
Cell[1480614, 46908, 670, 20, 70, "Text",
  CellTags->"35"],
Cell[1481287, 46930, 1222, 35, 70, "Text",
  CellTags->"350"],
Cell[1482512, 46967, 1537, 43, 70, "Text",
  CellTags->"351"],
Cell[1484052, 47012, 1222, 35, 70, "Text",
  CellTags->"352"],
Cell[1485277, 47049, 921, 28, 70, "Text",
  CellTags->"353"],
Cell[1486201, 47079, 1001, 30, 70, "Text",
  CellTags->"354"],
Cell[1487205, 47111, 935, 28, 70, "Text",
  CellTags->"355"],
Cell[1488143, 47141, 977, 29, 70, "Text",
  CellTags->"356"],
Cell[1489123, 47172, 745, 23, 70, "Text",
  CellTags->"357"],
Cell[1489871, 47197, 707, 22, 70, "Text",
  CellTags->"358"],
Cell[1490581, 47221, 1342, 38, 70, "Text",
  CellTags->"359"],
Cell[1491926, 47261, 1340, 38, 70, "Text",
  CellTags->"36"],
Cell[1493269, 47301, 1048, 31, 70, "Text",
  CellTags->"360"],
Cell[1494320, 47334, 1342, 38, 70, "Text",
  CellTags->"361"],
Cell[1495665, 47374, 1048, 31, 70, "Text",
  CellTags->"362"],
Cell[1496716, 47407, 1254, 36, 70, "Text",
  CellTags->"363"],
Cell[1497973, 47445, 966, 29, 70, "Text",
  CellTags->"364"],
Cell[1498942, 47476, 1254, 36, 70, "Text",
  CellTags->"365"],
Cell[1500199, 47514, 966, 29, 70, "Text",
  CellTags->"366"],
Cell[1501168, 47545, 1927, 52, 70, "Text",
  CellTags->"367"],
Cell[1503098, 47599, 809, 24, 70, "Text",
  CellTags->"368"],
Cell[1503910, 47625, 1583, 44, 70, "Text",
  CellTags->"369"],
Cell[1505496, 47671, 1252, 36, 70, "Text",
  CellTags->"37"],
Cell[1506751, 47709, 1504, 43, 70, "Text",
  CellTags->"370"],
Cell[1508258, 47754, 591, 18, 70, "Text",
  CellTags->"371"],
Cell[1508852, 47774, 775, 24, 70, "Text",
  CellTags->"372"],
Cell[1509630, 47800, 763, 23, 70, "Text",
  CellTags->"373"],
Cell[1510396, 47825, 975, 29, 70, "Text",
  CellTags->"374"],
Cell[1511374, 47856, 1673, 47, 70, "Text",
  CellTags->"375"],
Cell[1513050, 47905, 1342, 38, 70, "Text",
  CellTags->"376"],
Cell[1514395, 47945, 1254, 36, 70, "Text",
  CellTags->"377"],
Cell[1515652, 47983, 1762, 48, 70, "Text",
  CellTags->"378"],
Cell[1517417, 48033, 1762, 48, 70, "Text",
  CellTags->"379"],
Cell[1519182, 48083, 1252, 36, 70, "Text",
  CellTags->"38"],
Cell[1520437, 48121, 1254, 36, 70, "Text",
  CellTags->"380"],
Cell[1521694, 48159, 1222, 35, 70, "Text",
  CellTags->"381"],
Cell[1522919, 48196, 1254, 36, 70, "Text",
  CellTags->"382"],
Cell[1524176, 48234, 1308, 37, 70, "Text",
  CellTags->"383"],
Cell[1525487, 48273, 1533, 43, 70, "Text",
  CellTags->"384"],
Cell[1527023, 48318, 1533, 43, 70, "Text",
  CellTags->"385"],
Cell[1528559, 48363, 1342, 38, 70, "Text",
  CellTags->"386"],
Cell[1529904, 48403, 1342, 38, 70, "Text",
  CellTags->"387"],
Cell[1531249, 48443, 1254, 36, 70, "Text",
  CellTags->"388"],
Cell[1532506, 48481, 1254, 36, 70, "Text",
  CellTags->"389"],
Cell[1533763, 48519, 1008, 30, 70, "Text",
  CellTags->"39"],
Cell[1534774, 48551, 1010, 30, 70, "Text",
  CellTags->"390"],
Cell[1535787, 48583, 966, 29, 70, "Text",
  CellTags->"391"],
Cell[1536756, 48614, 1221, 35, 70, "Text",
  CellTags->"392"],
Cell[1537980, 48651, 1221, 35, 70, "Text",
  CellTags->"393"],
Cell[1539204, 48688, 966, 29, 70, "Text",
  CellTags->"394"],
Cell[1540173, 48719, 966, 29, 70, "Text",
  CellTags->"395"],
Cell[1541142, 48750, 1112, 33, 70, "Text",
  CellTags->"396"],
Cell[1542257, 48785, 1112, 33, 70, "Text",
  CellTags->"397"],
Cell[1543372, 48820, 1010, 30, 70, "Text",
  CellTags->"398"],
Cell[1544385, 48852, 1010, 30, 70, "Text",
  CellTags->"399"],
Cell[1545398, 48884, 1923, 52, 70, "Text",
  CellTags->"4"],
Cell[1547324, 48938, 964, 29, 70, "Text",
  CellTags->"40"],
Cell[1548291, 48969, 966, 29, 70, "Text",
  CellTags->"400"],
Cell[1549260, 49000, 966, 29, 70, "Text",
  CellTags->"401"],
Cell[1550229, 49031, 1398, 39, 70, "Text",
  CellTags->"402"],
Cell[1551630, 49072, 1213, 35, 70, "Text",
  CellTags->"403"],
Cell[1552846, 49109, 1625, 45, 70, "Text",
  CellTags->"404"],
Cell[1554474, 49156, 1266, 36, 70, "Text",
  CellTags->"405"],
Cell[1555743, 49194, 1625, 45, 70, "Text",
  CellTags->"406"],
Cell[1557371, 49241, 1266, 36, 70, "Text",
  CellTags->"407"],
Cell[1558640, 49279, 963, 29, 70, "Text",
  CellTags->"408"],
Cell[1559606, 49310, 1043, 31, 70, "Text",
  CellTags->"409"],
Cell[1560652, 49343, 964, 29, 70, "Text",
  CellTags->"41"],
Cell[1561619, 49374, 1017, 30, 70, "Text",
  CellTags->"410"],
Cell[1562639, 49406, 1059, 31, 70, "Text",
  CellTags->"411"],
Cell[1563701, 49439, 785, 24, 70, "Text",
  CellTags->"412"],
Cell[1564489, 49465, 747, 23, 70, "Text",
  CellTags->"413"],
Cell[1565239, 49490, 1430, 40, 70, "Text",
  CellTags->"414"],
Cell[1566672, 49532, 1092, 32, 70, "Text",
  CellTags->"415"],
Cell[1567767, 49566, 1430, 40, 70, "Text",
  CellTags->"416"],
Cell[1569200, 49608, 1092, 32, 70, "Text",
  CellTags->"417"],
Cell[1570295, 49642, 1342, 38, 70, "Text",
  CellTags->"418"],
Cell[1571640, 49682, 1010, 30, 70, "Text",
  CellTags->"419"],
Cell[1572653, 49714, 2029, 54, 70, "Text",
  CellTags->"42"],
Cell[1574685, 49770, 1342, 38, 70, "Text",
  CellTags->"420"],
Cell[1576030, 49810, 1010, 30, 70, "Text",
  CellTags->"421"],
Cell[1577043, 49842, 2031, 54, 70, "Text",
  CellTags->"422"],
Cell[1579077, 49898, 934, 27, 70, "Text",
  CellTags->"423"],
Cell[1580014, 49927, 1681, 46, 70, "Text",
  CellTags->"424"],
Cell[1581698, 49975, 1592, 45, 70, "Text",
  CellTags->"425"],
Cell[1583293, 50022, 672, 20, 70, "Text",
  CellTags->"426"],
Cell[1583968, 50044, 1308, 37, 70, "Text",
  CellTags->"427"],
Cell[1585279, 50083, 1828, 49, 70, "Text",
  CellTags->"428"],
Cell[1587110, 50134, 1828, 49, 70, "Text",
  CellTags->"429"],
Cell[1588941, 50185, 932, 27, 70, "Text",
  CellTags->"43"],
Cell[1589876, 50214, 1308, 37, 70, "Text",
  CellTags->"430"],
Cell[1591187, 50253, 1273, 37, 70, "Text",
  CellTags->"431"],
Cell[1592463, 50292, 1308, 37, 70, "Text",
  CellTags->"432"],
Cell[1593774, 50331, 1359, 39, 70, "Text",
  CellTags->"433"],
Cell[1595136, 50372, 1593, 44, 70, "Text",
  CellTags->"434"],
Cell[1596732, 50418, 1593, 44, 70, "Text",
  CellTags->"435"],
Cell[1598328, 50464, 1398, 39, 70, "Text",
  CellTags->"436"],
Cell[1599729, 50505, 1398, 39, 70, "Text",
  CellTags->"437"],
Cell[1601130, 50546, 1308, 37, 70, "Text",
  CellTags->"438"],
Cell[1602441, 50585, 1308, 37, 70, "Text",
  CellTags->"439"],
Cell[1603752, 50624, 1679, 46, 70, "Text",
  CellTags->"44"],
Cell[1605434, 50672, 1171, 34, 70, "Text",
  CellTags->"440"],
Cell[1606608, 50708, 1537, 43, 70, "Text",
  CellTags->"441"],
Cell[1608148, 50753, 1222, 35, 70, "Text",
  CellTags->"442"],
Cell[1609373, 50790, 1537, 43, 70, "Text",
  CellTags->"443"],
Cell[1610913, 50835, 1222, 35, 70, "Text",
  CellTags->"444"],
Cell[1612138, 50872, 921, 28, 70, "Text",
  CellTags->"445"],
Cell[1613062, 50902, 1001, 30, 70, "Text",
  CellTags->"446"],
Cell[1614066, 50934, 935, 28, 70, "Text",
  CellTags->"447"],
Cell[1615004, 50964, 977, 29, 70, "Text",
  CellTags->"448"],
Cell[1615984, 50995, 745, 23, 70, "Text",
  CellTags->"449"],
Cell[1616732, 51020, 1590, 45, 70, "Text",
  CellTags->"45"],
Cell[1618325, 51067, 707, 22, 70, "Text",
  CellTags->"450"],
Cell[1619035, 51091, 1342, 38, 70, "Text",
  CellTags->"451"],
Cell[1620380, 51131, 1048, 31, 70, "Text",
  CellTags->"452"],
Cell[1621431, 51164, 1342, 38, 70, "Text",
  CellTags->"453"],
Cell[1622776, 51204, 1048, 31, 70, "Text",
  CellTags->"454"],
Cell[1623827, 51237, 1254, 36, 70, "Text",
  CellTags->"455"],
Cell[1625084, 51275, 966, 29, 70, "Text",
  CellTags->"456"],
Cell[1626053, 51306, 1254, 36, 70, "Text",
  CellTags->"457"],
Cell[1627310, 51344, 966, 29, 70, "Text",
  CellTags->"458"],
Cell[1628279, 51375, 1927, 52, 70, "Text",
  CellTags->"459"],
Cell[1630209, 51429, 670, 20, 70, "Text",
  CellTags->"46"],
Cell[1630882, 51451, 809, 24, 70, "Text",
  CellTags->"460"],
Cell[1631694, 51477, 1583, 44, 70, "Text",
  CellTags->"461"],
Cell[1633280, 51523, 1504, 43, 70, "Text",
  CellTags->"462"],
Cell[1634787, 51568, 591, 18, 70, "Text",
  CellTags->"463"],
Cell[1635381, 51588, 803, 24, 70, "Text",
  CellTags->"464"],
Cell[1636187, 51614, 1057, 31, 70, "Text",
  CellTags->"465"],
Cell[1637247, 51647, 1770, 49, 70, "Text",
  CellTags->"466"],
Cell[1639020, 51698, 1329, 37, 70, "Text",
  CellTags->"467"],
Cell[1640352, 51737, 1969, 54, 70, "Text",
  CellTags->"468"],
Cell[1642324, 51793, 1414, 40, 70, "Text",
  CellTags->"469"],
Cell[1643741, 51835, 1097, 32, 70, "Text",
  CellTags->"47"],
Cell[1644841, 51869, 1414, 40, 70, "Text",
  CellTags->"470"],
Cell[1646258, 51911, 1171, 34, 70, "Text",
  CellTags->"471"],
Cell[1647432, 51947, 1171, 34, 70, "Text",
  CellTags->"472"],
Cell[1648606, 51983, 1302, 37, 70, "Text",
  CellTags->"473"],
Cell[1649911, 52022, 1302, 37, 70, "Text",
  CellTags->"474"],
Cell[1651216, 52061, 1213, 35, 70, "Text",
  CellTags->"475"],
Cell[1652432, 52098, 1213, 35, 70, "Text",
  CellTags->"476"],
Cell[1653648, 52135, 1171, 34, 70, "Text",
  CellTags->"477"],
Cell[1654822, 52171, 1171, 34, 70, "Text",
  CellTags->"478"],
Cell[1655996, 52207, 2045, 55, 70, "Text",
  CellTags->"479"],
Cell[1658044, 52264, 1577, 45, 70, "Text",
  CellTags->"48"],
Cell[1659624, 52311, 2045, 55, 70, "Text",
  CellTags->"480"],
Cell[1661672, 52368, 1537, 43, 70, "Text",
  CellTags->"481"],
Cell[1663212, 52413, 1520, 43, 70, "Text",
  CellTags->"482"],
Cell[1664735, 52458, 1537, 43, 70, "Text",
  CellTags->"483"],
Cell[1666275, 52503, 1606, 45, 70, "Text",
  CellTags->"484"],
Cell[1667884, 52550, 1816, 50, 70, "Text",
  CellTags->"485"],
Cell[1669703, 52602, 1816, 50, 70, "Text",
  CellTags->"486"],
Cell[1671522, 52654, 1625, 45, 70, "Text",
  CellTags->"487"],
Cell[1673150, 52701, 1625, 45, 70, "Text",
  CellTags->"488"],
Cell[1674778, 52748, 1537, 43, 70, "Text",
  CellTags->"489"],
Cell[1676318, 52793, 863, 25, 70, "Text",
  CellTags->"49"],
Cell[1677184, 52820, 1537, 43, 70, "Text",
  CellTags->"490"],
Cell[1678724, 52865, 1477, 41, 70, "Text",
  CellTags->"491"],
Cell[1680204, 52908, 1477, 41, 70, "Text",
  CellTags->"492"],
Cell[1681684, 52951, 1222, 35, 70, "Text",
  CellTags->"493"],
Cell[1682909, 52988, 1222, 35, 70, "Text",
  CellTags->"494"],
Cell[1684134, 53025, 1368, 39, 70, "Text",
  CellTags->"495"],
Cell[1685505, 53066, 1368, 39, 70, "Text",
  CellTags->"496"],
Cell[1686876, 53107, 1266, 36, 70, "Text",
  CellTags->"497"],
Cell[1688145, 53145, 1266, 36, 70, "Text",
  CellTags->"498"],
Cell[1689414, 53183, 1222, 35, 70, "Text",
  CellTags->"499"],
Cell[1690639, 53220, 805, 24, 70, "Text",
  CellTags->"5"],
Cell[1691447, 53246, 768, 23, 70, "Text",
  CellTags->"50"],
Cell[1692218, 53271, 1222, 35, 70, "Text",
  CellTags->"500"],
Cell[1693443, 53308, 2045, 55, 70, "Text",
  CellTags->"501"],
Cell[1695491, 53365, 1477, 41, 70, "Text",
  CellTags->"502"],
Cell[1696971, 53408, 1164, 34, 70, "Text",
  CellTags->"503"],
Cell[1698138, 53444, 1244, 36, 70, "Text",
  CellTags->"504"],
Cell[1699385, 53482, 1399, 40, 70, "Text",
  CellTags->"505"],
Cell[1700787, 53524, 1441, 41, 70, "Text",
  CellTags->"506"],
Cell[1702231, 53567, 968, 29, 70, "Text",
  CellTags->"507"],
Cell[1703202, 53598, 930, 28, 70, "Text",
  CellTags->"508"],
Cell[1704135, 53628, 1850, 50, 70, "Text",
  CellTags->"509"],
Cell[1705988, 53680, 841, 25, 70, "Text",
  CellTags->"51"],
Cell[1706832, 53707, 1303, 37, 70, "Text",
  CellTags->"510"],
Cell[1708138, 53746, 1850, 50, 70, "Text",
  CellTags->"511"],
Cell[1709991, 53798, 1303, 37, 70, "Text",
  CellTags->"512"],
Cell[1711297, 53837, 1762, 48, 70, "Text",
  CellTags->"513"],
Cell[1713062, 53887, 1221, 35, 70, "Text",
  CellTags->"514"],
Cell[1714286, 53924, 1762, 48, 70, "Text",
  CellTags->"515"],
Cell[1716051, 53974, 1221, 35, 70, "Text",
  CellTags->"516"],
Cell[1717275, 54011, 2535, 64, 70, "Text",
  CellTags->"517"],
Cell[1719813, 54077, 1326, 37, 70, "Text",
  CellTags->"518"],
Cell[1721142, 54116, 2153, 56, 70, "Text",
  CellTags->"519"],
Cell[1723298, 54174, 841, 25, 70, "Text",
  CellTags->"52"],
Cell[1724142, 54201, 2010, 55, 70, "Text",
  CellTags->"520"],
Cell[1726155, 54258, 871, 25, 70, "Text",
  CellTags->"521"],
Cell[1727029, 54285, 2045, 55, 70, "Text",
  CellTags->"522"],
Cell[1729077, 54342, 1537, 43, 70, "Text",
  CellTags->"523"],
Cell[1730617, 54387, 1520, 43, 70, "Text",
  CellTags->"524"],
Cell[1732140, 54432, 1537, 43, 70, "Text",
  CellTags->"525"],
Cell[1733680, 54477, 1606, 45, 70, "Text",
  CellTags->"526"],
Cell[1735289, 54524, 1816, 50, 70, "Text",
  CellTags->"527"],
Cell[1737108, 54576, 1816, 50, 70, "Text",
  CellTags->"528"],
Cell[1738927, 54628, 1625, 45, 70, "Text",
  CellTags->"529"],
Cell[1740555, 54675, 595, 18, 70, "Text",
  CellTags->"53"],
Cell[1741153, 54695, 1625, 45, 70, "Text",
  CellTags->"530"],
Cell[1742781, 54742, 1537, 43, 70, "Text",
  CellTags->"531"],
Cell[1744321, 54787, 1537, 43, 70, "Text",
  CellTags->"532"],
Cell[1745861, 54832, 1477, 41, 70, "Text",
  CellTags->"533"],
Cell[1747341, 54875, 1222, 35, 70, "Text",
  CellTags->"534"],
Cell[1748566, 54912, 1222, 35, 70, "Text",
  CellTags->"535"],
Cell[1749791, 54949, 1368, 39, 70, "Text",
  CellTags->"536"],
Cell[1751162, 54990, 1368, 39, 70, "Text",
  CellTags->"537"],
Cell[1752533, 55031, 1266, 36, 70, "Text",
  CellTags->"538"],
Cell[1753802, 55069, 1266, 36, 70, "Text",
  CellTags->"539"],
Cell[1755071, 55107, 1298, 38, 70, "Text",
  CellTags->"54"],
Cell[1756372, 55147, 1222, 35, 70, "Text",
  CellTags->"540"],
Cell[1757597, 55184, 1222, 35, 70, "Text",
  CellTags->"541"],
Cell[1758822, 55221, 1164, 34, 70, "Text",
  CellTags->"542"],
Cell[1759989, 55257, 1244, 36, 70, "Text",
  CellTags->"543"],
Cell[1761236, 55295, 1399, 40, 70, "Text",
  CellTags->"544"],
Cell[1762638, 55337, 1441, 41, 70, "Text",
  CellTags->"545"],
Cell[1764082, 55380, 968, 29, 70, "Text",
  CellTags->"546"],
Cell[1765053, 55411, 930, 28, 70, "Text",
  CellTags->"547"],
Cell[1765986, 55441, 1850, 50, 70, "Text",
  CellTags->"548"],
Cell[1767839, 55493, 1303, 37, 70, "Text",
  CellTags->"549"],
Cell[1769145, 55532, 557, 17, 70, "Text",
  CellTags->"55"],
Cell[1769705, 55551, 1850, 50, 70, "Text",
  CellTags->"550"],
Cell[1771558, 55603, 1303, 37, 70, "Text",
  CellTags->"551"],
Cell[1772864, 55642, 1762, 48, 70, "Text",
  CellTags->"552"],
Cell[1774629, 55692, 1221, 35, 70, "Text",
  CellTags->"553"],
Cell[1775853, 55729, 1762, 48, 70, "Text",
  CellTags->"554"],
Cell[1777618, 55779, 1221, 35, 70, "Text",
  CellTags->"555"],
Cell[1778842, 55816, 2535, 64, 70, "Text",
  CellTags->"556"],
Cell[1781380, 55882, 1326, 37, 70, "Text",
  CellTags->"557"],
Cell[1782709, 55921, 2153, 56, 70, "Text",
  CellTags->"558"],
Cell[1784865, 55979, 2010, 55, 70, "Text",
  CellTags->"559"],
Cell[1786878, 56036, 560, 17, 70, "Text",
  CellTags->"56"],
Cell[1787441, 56055, 871, 25, 70, "Text",
  CellTags->"560"],
Cell[1788315, 56082, 921, 28, 70, "Text",
  CellTags->"561"],
Cell[1789239, 56112, 921, 28, 70, "Text",
  CellTags->"562"],
Cell[1790163, 56142, 1052, 31, 70, "Text",
  CellTags->"563"],
Cell[1791218, 56175, 1052, 31, 70, "Text",
  CellTags->"564"],
Cell[1792273, 56208, 963, 29, 70, "Text",
  CellTags->"565"],
Cell[1793239, 56239, 963, 29, 70, "Text",
  CellTags->"566"],
Cell[1794205, 56270, 921, 28, 70, "Text",
  CellTags->"567"],
Cell[1795129, 56300, 921, 28, 70, "Text",
  CellTags->"568"],
Cell[1796053, 56330, 1001, 30, 70, "Text",
  CellTags->"569"],
Cell[1797057, 56362, 1252, 37, 70, "Text",
  CellTags->"57"],
Cell[1798312, 56401, 1001, 30, 70, "Text",
  CellTags->"570"],
Cell[1799316, 56433, 1132, 33, 70, "Text",
  CellTags->"571"],
Cell[1800451, 56468, 1132, 33, 70, "Text",
  CellTags->"572"],
Cell[1801586, 56503, 1043, 31, 70, "Text",
  CellTags->"573"],
Cell[1802632, 56536, 1043, 31, 70, "Text",
  CellTags->"574"],
Cell[1803678, 56569, 1001, 30, 70, "Text",
  CellTags->"575"],
Cell[1804682, 56601, 1001, 30, 70, "Text",
  CellTags->"576"],
Cell[1805686, 56633, 598, 18, 70, "Text",
  CellTags->"58"],
Cell[1806287, 56653, 745, 23, 70, "Text",
  CellTags->"59"],
Cell[1807035, 56678, 1579, 44, 70, "Text",
  CellTags->"6"],
Cell[1808617, 56724, 745, 23, 70, "Text",
  CellTags->"60"],
Cell[1809365, 56749, 705, 22, 70, "Text",
  CellTags->"61"],
Cell[1810073, 56773, 705, 22, 70, "Text",
  CellTags->"62"],
Cell[1810781, 56797, 679, 20, 70, "Text",
  CellTags->"63"],
Cell[1811463, 56819, 954, 29, 70, "Text",
  CellTags->"64"],
Cell[1812420, 56850, 555, 17, 70, "Text",
  CellTags->"64.1"],
Cell[1812978, 56869, 699, 22, 70, "Text",
  CellTags->"64.2"],
Cell[1813680, 56893, 996, 30, 70, "Text",
  CellTags->"65"],
Cell[1814679, 56925, 555, 17, 70, "Text",
  CellTags->"65.1"],
Cell[1815237, 56944, 737, 23, 70, "Text",
  CellTags->"65.2"],
Cell[1815977, 56969, 1015, 30, 70, "Text",
  CellTags->"66"],
Cell[1816995, 57001, 1015, 30, 70, "Text",
  CellTags->"67"],
Cell[1818013, 57033, 933, 28, 70, "Text",
  CellTags->"68"],
Cell[1818949, 57063, 933, 28, 70, "Text",
  CellTags->"69"],
Cell[1819885, 57093, 1500, 43, 70, "Text",
  CellTags->"7"],
Cell[1821388, 57138, 1537, 43, 70, "Text",
  CellTags->"70"],
Cell[1822928, 57183, 975, 29, 70, "Text",
  CellTags->"71"],
Cell[1823906, 57214, 975, 29, 70, "Text",
  CellTags->"72"],
Cell[1824884, 57245, 1587, 44, 70, "Text",
  CellTags->"73"],
Cell[1826474, 57291, 1257, 37, 70, "Text",
  CellTags->"74"],
Cell[1827734, 57330, 1213, 36, 70, "Text",
  CellTags->"75"],
Cell[1828950, 57368, 757, 23, 70, "Text",
  CellTags->"76"],
Cell[1829710, 57393, 799, 24, 70, "Text",
  CellTags->"77"],
Cell[1830512, 57419, 933, 28, 70, "Text",
  CellTags->"78"],
Cell[1831448, 57449, 973, 29, 70, "Text",
  CellTags->"79"],
Cell[1832424, 57480, 587, 18, 70, "Text",
  CellTags->"8"],
Cell[1833014, 57500, 933, 28, 70, "Text",
  CellTags->"80"],
Cell[1833950, 57530, 1057, 31, 70, "Text",
  CellTags->"81"],
Cell[1835010, 57563, 1189, 34, 70, "Text",
  CellTags->"82"],
Cell[1836202, 57599, 1189, 34, 70, "Text",
  CellTags->"83"],
Cell[1837394, 57635, 1015, 30, 70, "Text",
  CellTags->"84"],
Cell[1838412, 57667, 1015, 30, 70, "Text",
  CellTags->"85"],
Cell[1839430, 57699, 933, 28, 70, "Text",
  CellTags->"86"],
Cell[1840366, 57729, 933, 28, 70, "Text",
  CellTags->"87"],
Cell[1841302, 57759, 975, 29, 70, "Text",
  CellTags->"88"],
Cell[1842280, 57790, 1017, 30, 70, "Text",
  CellTags->"89"],
Cell[1843300, 57822, 1923, 52, 70, "Text",
  CellTags->"9"],
Cell[1845226, 57876, 975, 29, 70, "Text",
  CellTags->"90"],
Cell[1846204, 57907, 1101, 32, 70, "Text",
  CellTags->"91"],
Cell[1847308, 57941, 1231, 35, 70, "Text",
  CellTags->"92"],
Cell[1848542, 57978, 1231, 35, 70, "Text",
  CellTags->"93"],
Cell[1849776, 58015, 1057, 31, 70, "Text",
  CellTags->"94"],
Cell[1850836, 58048, 1057, 31, 70, "Text",
  CellTags->"95"],
Cell[1851896, 58081, 975, 29, 70, "Text",
  CellTags->"96"],
Cell[1852874, 58112, 975, 29, 70, "Text",
  CellTags->"97"],
Cell[1853852, 58143, 743, 23, 70, "Text",
  CellTags->"98"],
Cell[1854598, 58168, 743, 23, 70, "Text",
  CellTags->"99"],
Cell[1855344, 58193, 442, 13, 70, "Text",
  CellTags->"a contradiction"],
Cell[1855789, 58208, 1978, 54, 70, "Text",
  CellTags->"Definition (Divisible): 1"],
Cell[1857770, 58264, 2287, 59, 70, "Text",
  CellTags->"Definition (Divisible): 2"],
Cell[1860060, 58325, 3167, 79, 70, "Text",
  CellTags->"Definition (Rational)"],
Cell[1863230, 58406, 2318, 62, 70, "Text",
  CellTags->"Lemma (Coprime for Two)"],
Cell[1865551, 58470, 1403, 39, 70, "Text",
  CellTags->"Lemma (Euclid)"],
Cell[1866957, 58511, 1765, 49, 70, "Text",
  CellTags->"Lemma (Multiply Root Equation)"],
Cell[1868725, 58562, 2463, 67, 70, "Text",
  CellTags->"Lemma (Simplify by Cancelling)"],
Cell[1871191, 58631, 1135, 32, 70, "Text",
  CellTags->"Lemma (Squares Preserve Naturals)"],
Cell[1872329, 58665, 472, 13, 70, "Text",
  CellTags->"Theorem (Root Irrational)"]
}, Closed]]
}, Closed]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

