(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.2'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[   1086305,      34020]*)
(*NotebookOutlinePosition[   1152803,      36185]*)
(*  CellTagsIndexPosition[   1142876,      35819]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Theorem (Root Irrational))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[Not] rat[\@p]\)], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Theorem (Root Irrational)"],

Cell[CellGroupData[{

Cell["under the assumptions:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (Rational))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["q",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"rat", "[", 
              StyleBox["q",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[DoubleLeftRightArrow]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"nat", "[", 
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "\[And]", 
                      RowBox[{"nat", "[", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}]}], ")"}], "\[And]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"(", 
                        RowBox[{
                          StyleBox["q",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "=", 
                          FractionBox[
                            StyleBox["m",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], 
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]]}], ")"}], "\[And]", 
                      RowBox[{"(", 
                        RowBox[{
                          StyleBox["m",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[UpTee]", 
                          StyleBox["n",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], ")"}]}], ")"}]}], ")"}]}]}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (Rational)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (Coprime for Two))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"nat", "[", 
                StyleBox["m",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (Coprime for Two)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (Multiply Root Equation))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{\((\@p)\), "=", 
                FractionBox[
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (Multiply Root Equation)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (Euclid))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (Euclid)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (Divisible): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (Divisible): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (Divisible): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[Implies]", 
                RowBox[{
                  UnderscriptBox["\[Exists]", 
                    RowBox[{
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"nat", "[", 
                        StyleBox["d",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "\[And]", 
                      RowBox[{"(", 
                        RowBox[{
                          StyleBox["n",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "=", 
                          RowBox[{"p", "*", 
                            StyleBox["d",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}]}], ")"}]}], ")"}]}]}], 
              ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (Divisible): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (Simplify by Cancelling))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], "=", 
                  RowBox[{"p", "*", 
                    SuperscriptBox[
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}]}], ")"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (Simplify by Cancelling)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (Squares Preserve Naturals))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"nat", "[", 
              SuperscriptBox[
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (Squares Preserve Naturals)"]
}, Open  ]],

Cell[TextData[{
  "We prove ",
  StyleBox["(", "Label"],
  ButtonBox["Theorem (Root Irrational)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Theorem (Root Irrational)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " by contradiction."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["We assume ", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(rat[\@p]\)], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"1"],

Cell[TextData[{
  "and show ",
  Cell[BoxData[
      \("a contradiction"\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Rational)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Rational)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                RowBox[{"nat", "[", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "\[And]", 
                RowBox[{"nat", "[", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], ")"}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{\((\@p)\), "=", 
                    FractionBox[
                      StyleBox["m",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], 
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]]}], ")"}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"2"],

Cell[TextData[{
  "By ",
  StyleBox["(", "Label"],
  ButtonBox["2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we can take appropriate values such that:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{"nat", "[", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{\((\@p)\), "=", 
                FractionBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], 
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]]}], ")"}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"3"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Squares Preserve Naturals)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Squares Preserve Naturals)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(15)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"15"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(14)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"14"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"13"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(12)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"12"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(11)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"11"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Squares Preserve Naturals)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Squares Preserve Naturals)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"10"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(9)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"9"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"8"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(7)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"7"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"6"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.2.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.2.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Multiply Root Equation)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Multiply Root Equation)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "=", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"5"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.2.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.2.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"4"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(16)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"16"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["16",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "16"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(17)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"p", "\[VerticalBar]", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{"p", "\[VerticalBar]", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"17"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["17",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "17"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is simplified to"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(18)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Or]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"18"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(47)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"47"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(46)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"46"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(45)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"45"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(44)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"44"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(43)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"43"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(42)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"42"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(41)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"41"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(40)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"40"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.2.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.2.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(39)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"39"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Squares Preserve Naturals)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Squares Preserve Naturals)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(38)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"38"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(37)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"37"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(36)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"36"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(35)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"35"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(34)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"34"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(33)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"33"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(32)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"32"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(31)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"31"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(30)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"30"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Squares Preserve Naturals)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Squares Preserve Naturals)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(29)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"29"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(28)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"28"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(27)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"27"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(26)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"26"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(25)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"25"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(24)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"24"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(23)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"23"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(22)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"22"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(21)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"21"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Simplify by Cancelling)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Simplify by Cancelling)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(20)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                RowBox[{"p", "*", 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"20"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(19)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"19"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.2.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.2.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["42",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus ponens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(48)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"p", "\[VerticalBar]", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{"p", "\[VerticalBar]", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"48"],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["39",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "39"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["48",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "48"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["48",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "48"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is simplified to"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(49)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Or]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"49"],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["49",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "49"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["18",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "18"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["19",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "19"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(50)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"50"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["50",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "50"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(51)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"p", "\[VerticalBar]", 
        SuperscriptBox[
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"51"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["51",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "51"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["7",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "7"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(52)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"p", "\[VerticalBar]", 
        StyleBox[\(m\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"52"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["52",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "52"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(53)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                RowBox[{"p", "*", 
                  StyleBox["d",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"53"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["52",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "52"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(54)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[NotVerticalBar]", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"54"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["52",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "52"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["18",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "18"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(55)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"p", "\[NotVerticalBar]", 
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"55"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(56)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"56"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["12",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "12"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(57)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"p", "\[NotVerticalBar]", 
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"57"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["57",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "57"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["36",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "36"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(58)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"58"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["57",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "57"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(59)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"p", "\[NotVerticalBar]", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"59"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["47",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "47"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(60)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"60"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["43",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "43"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(61)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"61"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["33",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "33"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(62)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"62"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["24",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "24"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(63)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"63"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["52",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "52"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["40",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "40"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(64)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"64"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["52",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "52"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["21",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "21"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(65)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"65"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["51",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "51"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["28",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "28"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(66)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  StyleBox["d",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"66"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["51",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "51"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["25",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "25"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(67)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[NotVerticalBar]", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"67"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["51",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "51"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["65",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "65"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(68)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"68"],

Cell[TextData[{
  "By ",
  StyleBox["(", "Label"],
  ButtonBox["53",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "53"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we can take appropriate values such that:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(69)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"69"],

Cell[TextData[{
  "By ",
  StyleBox["(", "Label"],
  ButtonBox["66",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "66"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we can take appropriate values such that:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(70)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"70"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["59",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "59"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(142)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], "]"}], "\[And]",
               
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"142"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["59",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "59"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(141)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"141"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["57",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "57"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(140)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "]"}], "\[And]", 
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"140"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["57",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "57"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(139)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"139"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(138)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"138"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(137)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"137"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["52",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "52"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(136)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"136"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["52",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "52"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(135)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"nat", "[", 
                StyleBox["m",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[NotVerticalBar]", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"135"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["52",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "52"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["54",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "54"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(134)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[UpTee]", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"134"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["52",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "52"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["67",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "67"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(133)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[UpTee]", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"133"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["51",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "51"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(132)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"132"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["51",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "51"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(131)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"131"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["51",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "51"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(130)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "]"}], "\[And]", 
              RowBox[{"nat", "[", 
                StyleBox["m",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[NotVerticalBar]", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"130"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["51",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "51"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["54",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "54"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(129)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "\[UpTee]", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"129"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["51",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "51"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["67",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "67"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(128)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "\[UpTee]", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"128"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(127)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"127"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["54",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "54"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(126)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"126"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["58",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "58"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(125)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"125"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["67",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "67"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(124)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"124"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(123)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"123"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["54",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "54"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(122)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"122"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["58",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "58"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(121)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"121"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["67",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "67"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(120)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"120"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(119)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"119"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["54",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "54"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(118)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"118"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["58",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "58"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(117)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"117"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["67",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "67"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(116)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"116"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(115)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"115"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["54",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "54"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(114)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"114"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["58",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "58"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(113)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"113"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["67",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "67"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(112)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"112"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["38",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "38"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Squares Preserve Naturals)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Squares Preserve Naturals)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(111)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], ")"}], "2"], "]"}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"111"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["38",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "38"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(110)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"110"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["38",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "38"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(109)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"]}]}], ")"}]}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"109"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["38",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "38"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(108)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"108"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["38",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "38"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(107)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"]}], ")"}], 
                "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              StyleBox[\(n\_0\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "2"], ")"}], "2"]}], 
                      "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"107"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["38",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "38"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(106)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"106"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["38",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "38"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["54",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "54"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(105)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"105"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["38",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "38"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["58",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "58"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(104)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"104"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["38",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "38"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["67",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "67"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(103)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"103"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["29",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "29"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Squares Preserve Naturals)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Squares Preserve Naturals)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(102)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], ")"}], "2"], "]"}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"102"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["29",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "29"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(101)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"101"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["29",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "29"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(100)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"]}]}], ")"}]}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"100"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["29",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "29"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(99)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"99"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["29",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "29"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(98)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"]}], ")"}], 
                "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              StyleBox[\(m\_0\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "2"], ")"}], "2"]}], 
                      "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"98"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["29",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "29"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(97)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"97"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["29",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "29"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["54",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "54"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(96)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"96"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["29",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "29"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["58",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "58"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(95)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"95"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["29",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "29"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["67",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "67"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(94)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"94"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["69.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "69.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Squares Preserve Naturals)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Squares Preserve Naturals)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(93)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"93"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["69.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "69.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(92)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"92"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["69.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "69.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(91)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(d\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"91"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["69.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "69.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(90)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"90"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["69.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "69.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(89)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(d\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox[\(d\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"89"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["69.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "69.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(88)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"88"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["69.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "69.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["54",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "54"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(87)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"87"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["69.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "69.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["58",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "58"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(86)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"86"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["69.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "69.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["67",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "67"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(85)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"85"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["69.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "69.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Simplify by Cancelling)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Simplify by Cancelling)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(84)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox[\(d\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"84"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["69.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "69.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(83)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"83"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["69.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "69.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["20",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "20"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(82)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "=", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"82"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["70.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Squares Preserve Naturals)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Squares Preserve Naturals)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(81)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"81"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["70.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(80)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"80"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["70.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(79)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(d\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"79"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["70.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(78)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"78"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["70.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(77)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(d\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox[\(d\_1\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"77"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["70.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(76)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"76"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["70.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["54",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "54"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(75)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"75"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["70.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["58",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "58"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(74)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"74"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["70.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["67",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "67"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(73)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"73"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["70.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Simplify by Cancelling)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Simplify by Cancelling)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(72)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox[\(d\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"72"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["70.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(71)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"71"],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["127",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "127"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["60",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "60"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["123",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "123"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["61",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "61"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["119",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "119"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["62",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "62"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["115",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "115"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["63",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "63"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["71",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "71"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["51",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "51"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["83",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "83"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["52",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "52"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["131",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "131"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["52",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "52"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["124",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "124"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["126",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "126"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["55",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "55"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["116",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "116"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["57",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "57"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["118",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "118"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["57",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "57"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["137",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "137"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["57",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "57"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["103",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "103"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["59",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "59"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["105",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "105"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["59",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "59"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["110",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "110"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["59",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "59"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["139",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "139"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["59",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "59"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["122",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "122"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["64",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["134",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "134"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["64",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "64"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["114",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "114"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["68",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "68"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["129",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "129"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["68",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "68"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["38",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "38"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["141",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "141"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus ponens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(143)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"p", "\[NotVerticalBar]", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], ")"}], "2"]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"143"],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["108",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "108"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["143",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "143"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["128",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "128"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus ponens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(144)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"144"],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["112",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "112"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["144",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "144"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["132",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "132"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus ponens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(145)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  StyleBox["d",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"145"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["133",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "133"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus ponens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(146)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"146"],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["120",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "120"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is subsumed by ",
  StyleBox["(", "Label"],
  ButtonBox["146",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "146"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["136",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "136"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus ponens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(147)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                RowBox[{"p", "*", 
                  StyleBox["d",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"147"],

Cell[TextData[{
  "By ",
  StyleBox["(", "Label"],
  ButtonBox["145",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "145"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we can take appropriate values such that:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(148)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"148"],

Cell[TextData[{
  "By ",
  StyleBox["(", "Label"],
  ButtonBox["147",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "147"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we can take appropriate values such that:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(149)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"149"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["59",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "59"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["109",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "109"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(150)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"150"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["138",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "138"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(151)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"151"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["135",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "135"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(152)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[NotVerticalBar]", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"152"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["140",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "140"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(153)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"153"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["130",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "130"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(154)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[NotVerticalBar]", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"154"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["38",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "38"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["142",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "142"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(155)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"155"],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["153",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "153"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["58",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "58"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["151",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "151"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["152",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "152"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["54",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "54"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["154",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "154"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["67",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "67"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We delete ",
  StyleBox["(", "Label"],
  ButtonBox["155",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "155"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["150",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "150"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["81",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "81"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["77",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "77"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(336)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"336"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["81",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "81"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["79",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "79"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(335)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"335"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["81",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "81"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["89",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "89"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(334)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"334"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["81",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "81"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["91",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "91"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(333)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"333"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["81",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "81"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["98",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "98"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(332)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"332"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["81",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "81"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["100",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "100"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(331)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"331"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["81",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "81"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["150",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "150"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(330)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"330"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["81",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "81"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["67",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "67"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(329)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"329"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["81",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "81"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["58",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "58"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(328)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"328"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["81",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "81"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["54",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "54"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(327)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"327"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["81",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "81"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(326)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"326"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["81",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "81"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(325)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      StyleBox[\(d\_1\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          StyleBox[\(d\_1\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"325"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["81",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "81"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(324)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"324"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["81",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "81"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(323)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox[\(d\_1\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    StyleBox[\(d\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"323"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["81",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "81"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(322)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    StyleBox[\(d\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"322"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["81",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "81"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Squares Preserve Naturals)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Squares Preserve Naturals)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(321)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"321"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["82",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "82"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["58",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "58"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(320)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"320"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["82",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "82"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(319)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"319"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["82",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "82"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Simplify by Cancelling)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Simplify by Cancelling)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(318)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                RowBox[{"p", "*", 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"318"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["93",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "93"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["77",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "77"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(317)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"317"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["93",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "93"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["79",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "79"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(316)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"316"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["93",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "93"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["89",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "89"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(315)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"315"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["93",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "93"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["91",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "91"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(314)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"314"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["93",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "93"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["98",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "98"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(313)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"313"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["93",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "93"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["100",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "100"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(312)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"312"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["93",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "93"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["150",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "150"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(311)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"311"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["93",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "93"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["67",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "67"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(310)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"310"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["93",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "93"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["58",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "58"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(309)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"309"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["93",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "93"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["54",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "54"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(308)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"308"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["93",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "93"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(307)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"307"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["93",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "93"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(306)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      StyleBox[\(d\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          StyleBox[\(d\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"306"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["93",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "93"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(305)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"305"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["93",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "93"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(304)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox[\(d\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    StyleBox[\(d\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"304"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["93",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "93"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(303)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    StyleBox[\(d\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"303"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["93",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "93"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Squares Preserve Naturals)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Squares Preserve Naturals)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(302)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"302"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["95",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "95"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["20",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "20"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(301)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(m\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"301"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["95",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "95"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Multiply Root Equation)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Multiply Root Equation)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(300)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\((\@p)\), "\[NotEqual]", 
        FractionBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"300"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["95",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "95"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Simplify by Cancelling)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Simplify by Cancelling)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(299)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{"\[Not]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox["m",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}]}], ")"}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}]}], ")"}]}], ")"}]}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"299"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["102",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "102"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["77",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "77"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(298)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"298"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["102",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "102"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["79",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "79"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(297)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"297"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["102",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "102"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["89",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "89"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(296)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"296"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["102",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "102"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["91",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "91"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(295)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"295"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["102",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "102"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["98",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "98"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(294)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"294"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["102",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "102"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["100",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "100"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(293)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"293"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["102",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "102"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["150",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "150"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(292)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"292"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["102",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "102"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["67",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "67"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(291)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"291"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["102",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "102"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["58",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "58"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(290)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"290"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["102",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "102"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["54",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "54"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(289)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"289"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["102",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "102"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(288)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"288"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["102",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "102"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(287)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              StyleBox[\(m\_0\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "2"], ")"}], "2"], ")"}], 
                      "2"]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              RowBox[{"(", 
                                SuperscriptBox[
                                  StyleBox[\(m\_0\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None], "2"], ")"}], "2"], 
                            ")"}], "2"]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"287"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["102",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "102"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(286)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], "2"], 
              ")"}], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"286"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["102",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "102"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(285)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              StyleBox[\(m\_0\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "2"], ")"}], "2"], ")"}], 
                      "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        RowBox[{"(", 
                          SuperscriptBox[
                            StyleBox[\(m\_0\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"], ")"}], "2"], ")"}], 
                    "2"]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"285"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["102",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "102"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(284)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}], 
        "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        RowBox[{"(", 
                          SuperscriptBox[
                            StyleBox[\(m\_0\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"], ")"}], "2"], ")"}], 
                    "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"284"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["102",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "102"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Squares Preserve Naturals)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Squares Preserve Naturals)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(283)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            ")"}], "2"], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"283"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["104",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "104"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["20",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "20"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(282)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(m\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"282"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["104",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "104"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Multiply Root Equation)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Multiply Root Equation)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(281)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\((\@p)\), "\[NotEqual]", 
        FractionBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"281"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["104",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "104"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Simplify by Cancelling)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Simplify by Cancelling)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(280)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{"\[Not]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox["m",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}]}], ")"}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}]}], ")"}]}], ")"}]}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"280"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["111",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "111"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["77",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "77"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(279)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"279"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["111",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "111"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["79",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "79"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(278)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"278"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["111",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "111"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["89",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "89"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(277)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"277"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["111",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "111"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["91",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "91"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(276)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"276"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["111",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "111"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["98",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "98"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(275)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"275"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["111",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "111"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["100",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "100"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(274)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"274"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["111",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "111"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["150",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "150"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(273)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"273"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["111",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "111"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["67",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "67"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(272)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"272"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["111",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "111"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["58",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "58"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(271)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"271"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["111",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "111"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["54",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "54"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(270)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"270"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["111",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "111"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(269)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"269"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["111",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "111"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(268)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              StyleBox[\(n\_0\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "2"], ")"}], "2"], ")"}], 
                      "2"]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              RowBox[{"(", 
                                SuperscriptBox[
                                  StyleBox[\(n\_0\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None], "2"], ")"}], "2"], 
                            ")"}], "2"]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"268"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["111",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "111"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(267)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], "2"], 
              ")"}], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"267"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["111",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "111"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(266)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              StyleBox[\(n\_0\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "2"], ")"}], "2"], ")"}], 
                      "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        RowBox[{"(", 
                          SuperscriptBox[
                            StyleBox[\(n\_0\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"], ")"}], "2"], ")"}], 
                    "2"]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"266"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["111",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "111"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(265)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}], 
        "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        RowBox[{"(", 
                          SuperscriptBox[
                            StyleBox[\(n\_0\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"], ")"}], "2"], ")"}], 
                    "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"265"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["111",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "111"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Squares Preserve Naturals)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Squares Preserve Naturals)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(264)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            ")"}], "2"], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"264"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["113",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "113"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["20",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "20"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(263)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(m\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"263"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["113",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "113"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Multiply Root Equation)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Multiply Root Equation)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(262)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\((\@p)\), "\[NotEqual]", 
        FractionBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"262"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["113",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "113"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Simplify by Cancelling)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Simplify by Cancelling)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(261)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{"\[Not]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox["m",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}]}], ")"}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"261"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["117",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "117"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["20",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "20"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(260)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(m\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"260"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["117",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "117"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Multiply Root Equation)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Multiply Root Equation)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(259)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\((\@p)\), "\[NotEqual]", 
        FractionBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"259"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["117",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "117"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Simplify by Cancelling)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Simplify by Cancelling)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(258)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{"\[Not]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox["m",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}]}], ")"}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"258"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["148.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "148.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["77",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "77"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(257)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"257"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["148.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "148.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["79",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "79"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(256)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"256"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["148.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "148.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["89",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "89"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(255)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"255"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["148.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "148.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["91",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "91"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(254)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"254"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["148.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "148.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["98",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "98"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(253)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"253"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["148.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "148.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["100",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "100"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(252)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"252"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["148.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "148.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["150",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "150"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(251)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"251"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["148.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "148.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["67",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "67"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(250)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"250"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["148.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "148.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["58",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "58"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(249)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"249"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["148.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "148.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["54",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "54"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(248)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"248"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["148.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "148.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(247)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"247"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["148.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "148.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(246)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(d\_2\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox[\(d\_2\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"246"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["148.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "148.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(245)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"245"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["148.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "148.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(244)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(d\_2\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox[\(d\_2\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"244"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["148.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "148.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(243)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(d\_2\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"243"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["148.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "148.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Squares Preserve Naturals)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Squares Preserve Naturals)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(242)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"242"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["148.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "148.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(241)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"241"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["148.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "148.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Simplify by Cancelling)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Simplify by Cancelling)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(240)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox[\(d\_2\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"240"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["77",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "77"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(239)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"239"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["79",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "79"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(238)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"238"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["89",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "89"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(237)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"237"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["91",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "91"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(236)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"236"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["98",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "98"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(235)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"235"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["100",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "100"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(234)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"234"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["150",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "150"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(233)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"233"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["67",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "67"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(232)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"232"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["58",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "58"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(231)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"231"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["54",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "54"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(230)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"230"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["56",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "56"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(229)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"229"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Coprime for Two)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Coprime for Two)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(228)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(d\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox[\(d\_3\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"228"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(227)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"227"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(226)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(d\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox[\(d\_3\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"226"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(225)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(d\_3\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"225"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Squares Preserve Naturals)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Squares Preserve Naturals)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(224)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"224"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["20",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "20"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(223)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "=", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"223"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(222)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"222"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["149.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "149.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Simplify by Cancelling)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Simplify by Cancelling)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(221)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox[\(d\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"221"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["143",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "143"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (Euclid)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (Euclid)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(220)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"], 
          "]"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], "2"], 
              ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"220"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["143",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "143"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Divisible): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Divisible): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(219)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], "2"],
                 "]"}], "\[And]", 
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], "2"], 
              "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"219"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["70.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["77",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "77"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(218)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"218"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["70.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["79",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "79"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(217)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"217"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["70.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["89",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "89"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(216)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"216"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["70.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["91",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "91"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(215)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"215"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["70.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["98",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "98"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(214)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"214"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["70.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["100",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "100"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(213)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"213"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["70.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "70.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["150",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "150"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(212)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"212"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["69.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "69.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["77",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "77"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(211)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"211"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["69.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "69.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["79",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "79"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(210)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"210"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["69.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "69.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["89",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "89"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(209)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"209"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["69.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "69.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["91",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "91"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(208)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"208"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["69.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "69.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["98",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "98"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(207)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"207"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["69.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "69.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["100",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "100"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(206)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"206"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["69.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "69.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["150",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "150"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(205)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"205"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["29",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "29"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["77",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "77"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(204)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"204"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["29",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "29"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["79",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "79"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(203)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"203"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["29",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "29"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["89",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "89"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(202)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"202"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["29",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "29"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["91",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "91"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(201)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"201"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["29",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "29"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["98",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "98"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(200)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"200"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["29",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "29"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["100",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "100"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(199)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"199"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["29",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "29"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["150",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "150"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(198)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"198"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["38",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "38"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["77",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "77"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(197)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"197"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["38",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "38"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["79",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "79"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(196)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"196"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["38",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "38"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["89",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "89"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(195)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"195"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["38",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "38"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["91",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "91"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(194)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"194"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["38",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "38"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["98",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "98"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(193)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"193"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["38",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "38"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["100",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "100"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(192)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"192"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["38",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "38"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["150",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "150"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(191)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"191"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["84",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "84"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(190)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "=", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"190"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["77",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "77"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(189)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"189"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["79",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "79"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(188)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"188"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["89",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "89"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(187)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"187"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["91",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "91"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(186)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"186"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["98",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "98"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(185)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"185"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["100",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "100"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(184)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"184"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["150",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "150"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(183)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"183"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["77",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "77"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(182)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"182"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["79",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "79"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(181)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"181"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["89",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "89"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(180)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"180"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["91",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "91"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(179)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"179"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["98",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "98"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(178)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"178"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["100",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "100"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(177)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"177"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["150",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "150"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(176)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"176"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["77",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "77"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(175)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"175"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["79",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "79"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(174)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"174"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["89",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "89"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(173)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"173"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["91",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "91"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(172)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"172"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["98",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "98"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(171)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"171"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["100",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "100"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(170)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"170"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["150",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "150"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(169)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"169"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["77",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "77"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(168)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"168"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["79",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "79"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(167)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"167"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["89",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "89"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(166)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"166"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["91",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "91"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(165)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"165"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["98",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "98"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(164)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"164"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["100",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "100"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(163)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"163"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["150",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "150"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(162)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"162"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["51",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "51"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["77",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "77"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(161)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"161"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["51",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "51"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["89",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "89"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(160)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"160"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["51",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "51"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["98",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "98"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(159)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], ")"}], 
            "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"159"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["52",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "52"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["77",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "77"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(158)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"158"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["52",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "52"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["89",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "89"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(157)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"157"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["52",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "52"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["98",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "98"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(156)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], ")"}], 
            "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"156"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["a contradiction",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "a contradiction"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is proved because ",
  StyleBox["(", "Label"],
  ButtonBox["190",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "190"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["309",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "309"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " are contradictory."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["\[EmptySquare]", "ProofText",
  CellMargins->{{Inherited, Inherited}, {Inherited, 0}},
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TextAlignment->Right]
}, Open  ]],

Cell[CellGroupData[{

Cell["Additional Proof Generation Information", "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{

Cell["The Proof Call", "Subsection"],

Cell[BoxData[
    \(Prove[
        Theorem["\<Root Irrational\>"], \[IndentingNewLine]using \[Rule] \
{Definition["\<Rational\>"], Lemma["\<Coprime for Two\>"], 
            Lemma["\<Multiply Root Equation\>"], Lemma["\<Euclid\>"], 
            Definition["\<Divisible\>"], Lemma["\<Simplify by Cancelling\>"], 
            Lemma["\<Squares Preserve Naturals\>"]}, \[IndentingNewLine]by \
\[Rule] PredicateProver, SearchDepth \[Rule] \[Infinity]] // 
      Timing\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Version Info", "Subsection"],

Cell[TextData[{
  StyleBox["THEOREMA Version: ",
    FontWeight->"Bold"],
  "1",
  ".",
  "1",
  "\[Alpha]1"
}], "Text"],

Cell[TextData[{
  StyleBox["License Number: ",
    FontWeight->"Bold"],
  "D11A-00017"
}], "Text"],

Cell[TextData[{
  StyleBox["Expiration Date: ",
    FontWeight->"Bold"],
  "2001/12/31"
}], "Text"],

Cell[TextData[{
  StyleBox["Theorema`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/04/10 13:57:13 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`Common`SessionHandling`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/07/21 10:15:47 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ComputationalSession`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 2001/03/23 08:52:57 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.29 ",
  ", ",
  "Date: 2001/03/14 14:37:23 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`LookupTable`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`TmaException`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.51 ",
  ", ",
  "Date: 2001/01/15 16:00:55 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2000/09/19 14:31:32 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/09 12:04:10 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.63 ",
  ", ",
  "Date: 2001/08/30 14:05:09 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/07/02 13:34:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 1999/05/27 15:45:19 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Core`: ",
    FontWeight->"Bold"],
  "Revision: 1.84 ",
  ", ",
  "Date: 2001/08/30 13:59:45 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Domain`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 1999/06/18 13:12:07 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2000/07/20 13:24:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Functor`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2000/02/18 15:13:01 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 1999/08/13 01:53:07 ",
  ", ",
  "Last modified by: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Operator`: ",
    FontWeight->"Bold"],
  "Revision: 1.19 ",
  ", ",
  "Date: 2001/03/29 08:17:14 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Parser`: ",
    FontWeight->"Bold"],
  "Revision: 1.55 ",
  ", ",
  "Date: 2001/04/17 06:40:36 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.33 ",
  ", ",
  "Date: 1999/06/23 09:15:51 ",
  ", ",
  "Last modified by: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2000/08/25 16:43:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.19 ",
  ", ",
  "Date: 1999/06/18 09:25:18 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.31 ",
  ", ",
  "Date: 2000/08/09 13:56:28 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`BasicProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2001/03/23 09:31:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ConstraintLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/09/30 11:27:14 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.36 ",
  ", ",
  "Date: 2001/05/22 09:33:11 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2001/05/10 07:09:50 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/05/10 07:09:25 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.40 ",
  ", ",
  "Date: 2001/02/08 09:04:02 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObject`: ",
    FontWeight->"Bold"],
  "Revision: 1.29 ",
  ", ",
  "Date: 2001/05/09 13:19:00 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectInterface`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2000/08/02 09:03:58 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectManagement`: ",
    FontWeight->"Bold"],
  "Revision: 1.47 ",
  ", ",
  "Date: 2001/01/04 13:07:19 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`HandleConstraints`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:55:09 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`MetaUnification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:40 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Unification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 1999/07/23 13:28:33 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 1999/07/07 10:50:37 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/03/31 15:40:36 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.43 ",
  ", ",
  "Date: 2001/04/02 14:54:33 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/04/02 14:53:25 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/10/06 11:29:40 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/10/06 12:52:45 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`PredicateProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.13 ",
  ", ",
  "Date: 2001/04/02 14:52:15 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Debug`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 1999/01/14 15:24:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Toolbox`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Trace`: ",
    FontWeight->"Bold"],
  "Revision: 1.16 ",
  ", ",
  "Date: 2001/02/06 12:12:48 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`User`Preferences`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2000/02/28 14:02:34 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Utilities`FilterOptions`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Formulae Occuring during the Proof", "Subsection"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(rat[\@p]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"10"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(100)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"]}]}], ")"}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"100"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(101)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"101"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(102)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], ")"}], "2"], "]"}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"102"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(103)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"103"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(104)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"104"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(105)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"105"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(106)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"106"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(107)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"]}], ")"}], 
                "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              StyleBox[\(n\_0\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "2"], ")"}], "2"]}], 
                      "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"107"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(108)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"108"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(109)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"]}]}], ")"}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"109"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(11)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"11"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(110)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"110"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(111)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], ")"}], "2"], "]"}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"111"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(112)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"112"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(113)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"113"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(114)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"114"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(115)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"115"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(116)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"116"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(117)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"117"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(118)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"118"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(119)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"119"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(12)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"12"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(120)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"120"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(121)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"121"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(122)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"122"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(123)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"123"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(124)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"124"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(125)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"125"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(126)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"126"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(127)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"127"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(128)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "\[UpTee]", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"128"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(129)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "\[UpTee]", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"129"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"13"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(130)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "]"}], "\[And]", 
              RowBox[{"nat", "[", 
                StyleBox["m",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[NotVerticalBar]", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"130"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(131)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"131"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(132)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"132"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(133)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[UpTee]", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"133"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(134)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[UpTee]", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"134"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(135)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"nat", "[", 
                StyleBox["m",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[NotVerticalBar]", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"135"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(136)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"136"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(137)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"137"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(138)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"138"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(139)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"139"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(14)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"14"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(140)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "]"}], "\[And]", 
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"140"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(141)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"], "]"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"141"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(142)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], "]"}], "\[And]",
               
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"142"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(143)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"p", "\[NotVerticalBar]", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], ")"}], "2"]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"143"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(144)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"144"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(145)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  StyleBox["d",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"145"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(146)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"146"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(147)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                RowBox[{"p", "*", 
                  StyleBox["d",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"147"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(148)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"148"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(148.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        StyleBox[\(d\_2\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"148.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(148.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "=", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"148.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(149)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"149"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(149.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        StyleBox[\(d\_3\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"149.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(149.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(m\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "=", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"149.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(15)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"15"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(150)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"150"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(151)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"151"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(152)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[NotVerticalBar]", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"152"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(153)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"153"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(154)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[NotVerticalBar]", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"154"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(155)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"155"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(156)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], ")"}], 
            "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"156"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(157)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"157"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(158)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"158"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(159)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], ")"}], 
            "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"159"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(16)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"16"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(160)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"160"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(161)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "\[UpTee]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"p", "\[NotVerticalBar]", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"161"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(162)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"162"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(163)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"163"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(164)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"164"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(165)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"165"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(166)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"166"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(167)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"167"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(168)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"168"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(169)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"169"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(17)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"p", "\[VerticalBar]", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{"p", "\[VerticalBar]", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"17"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(170)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"170"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(171)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"171"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(172)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"172"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(173)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"173"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(174)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"174"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(175)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"175"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(176)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"176"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(177)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"177"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(178)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"178"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(179)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"179"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(18)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Or]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"18"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(180)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"180"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(181)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"181"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(182)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"182"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(183)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"183"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(184)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"184"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(185)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"185"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(186)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"186"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(187)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"187"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(188)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"188"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(189)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"189"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(19)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"19"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(190)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "=", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"190"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(191)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"191"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(192)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"192"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(193)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"193"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(194)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"194"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(195)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"195"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(196)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"196"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(197)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"197"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(198)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"198"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(199)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"199"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                RowBox[{"nat", "[", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "\[And]", 
                RowBox[{"nat", "[", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], ")"}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{\((\@p)\), "=", 
                    FractionBox[
                      StyleBox["m",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], 
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]]}], ")"}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}]}], ")"}]}], ")"}]}]], "Text",
    
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(20)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                RowBox[{"p", "*", 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"20"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(200)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"200"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(201)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"201"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(202)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"202"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(203)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"]}]}], ")"}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"203"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(204)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"204"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(205)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"205"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(206)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"206"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(207)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"207"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(208)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"208"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(209)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"209"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(21)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"21"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(210)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"210"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(211)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"211"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(212)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"212"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(213)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"213"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(214)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"214"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(215)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"215"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(216)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"216"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(217)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"217"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(218)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"218"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(219)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], "2"],
                 "]"}], "\[And]", 
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], "2"], 
              "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"219"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(22)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"22"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(220)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"], 
          "]"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], "2"], 
              ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"220"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(221)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox[\(d\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"221"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(222)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"222"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(223)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "=", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"223"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(224)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"224"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(225)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(d\_3\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"225"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(226)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(d\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox[\(d\_3\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"226"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(227)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"227"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(228)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(d\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox[\(d\_3\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"228"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(229)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"229"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(23)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"23"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(230)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"230"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(231)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"231"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(232)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"232"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(233)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"233"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(234)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"234"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(235)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"235"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(236)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"236"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(237)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"237"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(238)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"238"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(239)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"239"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(24)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"24"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(240)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox[\(d\_2\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"240"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(241)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"241"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(242)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"242"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(243)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(d\_2\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"243"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(244)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(d\_2\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox[\(d\_2\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"244"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(245)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"245"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(246)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(d\_2\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox[\(d\_2\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"246"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(247)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"247"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(248)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"248"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(249)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"249"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(25)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"25"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(250)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"250"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(251)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"251"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(252)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"252"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(253)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"253"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(254)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"254"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(255)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"255"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(256)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"256"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(257)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"257"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(258)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{"\[Not]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox["m",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}]}], ")"}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}], ")"}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"258"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(259)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\((\@p)\), "\[NotEqual]", 
        FractionBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"259"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(26)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"26"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(260)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(m\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"260"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(261)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{"\[Not]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox["m",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}]}], ")"}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}], ")"}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"261"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(262)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\((\@p)\), "\[NotEqual]", 
        FractionBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"262"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(263)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(m\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"263"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(264)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            ")"}], "2"], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"264"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(265)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}], 
        "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        RowBox[{"(", 
                          SuperscriptBox[
                            StyleBox[\(n\_0\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"], ")"}], "2"], ")"}], 
                    "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"265"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(266)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              StyleBox[\(n\_0\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "2"], ")"}], "2"], ")"}], 
                      "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        RowBox[{"(", 
                          SuperscriptBox[
                            StyleBox[\(n\_0\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"], ")"}], "2"], ")"}], 
                    "2"]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"266"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(267)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], "2"], 
              ")"}], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"267"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(268)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              StyleBox[\(n\_0\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "2"], ")"}], "2"], ")"}], 
                      "2"]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              RowBox[{"(", 
                                SuperscriptBox[
                                  StyleBox[\(n\_0\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None], "2"], ")"}], "2"], 
                            ")"}], "2"]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"268"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(269)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"269"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(27)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"27"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(270)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"270"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(271)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"271"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(272)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"272"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(273)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"273"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(274)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"274"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(275)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"275"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(276)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"276"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(277)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"277"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(278)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"278"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(279)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"279"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(28)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"28"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(280)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{"\[Not]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox["m",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}]}], ")"}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}]}], ")"}]}], ")"}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"280"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(281)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\((\@p)\), "\[NotEqual]", 
        FractionBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"281"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(282)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(m\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"282"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(283)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            ")"}], "2"], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"283"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(284)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}], 
        "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        RowBox[{"(", 
                          SuperscriptBox[
                            StyleBox[\(m\_0\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"], ")"}], "2"], ")"}], 
                    "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"284"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(285)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              StyleBox[\(m\_0\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "2"], ")"}], "2"], ")"}], 
                      "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        RowBox[{"(", 
                          SuperscriptBox[
                            StyleBox[\(m\_0\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"], ")"}], "2"], ")"}], 
                    "2"]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"285"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(286)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], "2"], 
              ")"}], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"286"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(287)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              StyleBox[\(m\_0\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "2"], ")"}], "2"], ")"}], 
                      "2"]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              RowBox[{"(", 
                                SuperscriptBox[
                                  StyleBox[\(m\_0\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None], "2"], ")"}], "2"], 
                            ")"}], "2"]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"287"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(288)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"288"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(289)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"289"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(29)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"29"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(290)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"290"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(291)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"291"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(292)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"292"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(293)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"293"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(294)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"294"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(295)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"295"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(296)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"296"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(297)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], ")"}], "2"], ")"}], 
                "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"297"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(298)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], ")"}], "2"], 
            "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"], ")"}], 
                  "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"298"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(299)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{"\[Not]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox["m",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      SuperscriptBox[
                        StyleBox[\(n\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}]}], ")"}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      SuperscriptBox[
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}]}], ")"}]}], ")"}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"299"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{"nat", "[", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{\((\@p)\), "=", 
                FractionBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], 
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]]}], ")"}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[UpTee]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(30)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"30"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(300)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\((\@p)\), "\[NotEqual]", 
        FractionBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"300"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(301)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(m\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"301"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(302)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"302"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(303)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    StyleBox[\(d\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"303"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(304)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox[\(d\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    StyleBox[\(d\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"304"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(305)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"305"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(306)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      StyleBox[\(d\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          StyleBox[\(d\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"306"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(307)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"307"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(308)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"308"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(309)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"309"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(31)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"31"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(310)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"310"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3.1.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3.1.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(311)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"311"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3.1.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        StyleBox[\(m\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3.1.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(312)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"312"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(313)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"313"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(314)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"314"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(315)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"315"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(316)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"316"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(317)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"317"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(318)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                RowBox[{"p", "*", 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"318"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(319)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"319"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{\((\@p)\), "=", 
            FractionBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]]}], ")"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(32)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"32"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(320)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"320"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3.2.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\((\@p)\), "=", 
        FractionBox[
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3.2.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(321)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"321"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3.2.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(m\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[UpTee]", 
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3.2.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(322)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    StyleBox[\(d\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"322"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(323)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox[\(d\_1\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    StyleBox[\(d\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"323"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(324)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"324"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(325)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      StyleBox[\(d\_1\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          StyleBox[\(d\_1\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"325"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(326)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"326"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(327)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"327"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(328)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"328"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(329)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"329"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(33)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"33"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(330)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"330"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(331)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"331"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(332)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"]}], ")"}], 
        "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"332"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(333)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"333"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(334)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"334"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(335)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              SuperscriptBox[
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"335"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(336)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(d\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                SuperscriptBox[
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"336"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(34)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          StyleBox[\(n\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"34"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(35)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"35"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(36)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox[\(n\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"36"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(37)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"37"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(38)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"38"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(39)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"39"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(40)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"40"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(41)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"41"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(42)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"42"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(43)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"43"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(44)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"44"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(45)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"45"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(46)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"p", "\[VerticalBar]", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"46"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(47)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"47"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(48)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"p", "\[VerticalBar]", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{"p", "\[VerticalBar]", 
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"48"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(49)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Or]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"49"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "=", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(50)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], "]"}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"50"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(51)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"p", "\[VerticalBar]", 
        SuperscriptBox[
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"51"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(52)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"p", "\[VerticalBar]", 
        StyleBox[\(m\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"52"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(53)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                RowBox[{"p", "*", 
                  StyleBox["d",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"53"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(54)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[NotVerticalBar]", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"54"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(55)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"p", "\[NotVerticalBar]", 
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"55"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(56)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"56"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(57)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"p", "\[NotVerticalBar]", 
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"57"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(58)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "\[NotEqual]", 
              RowBox[{"p", "*", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"58"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(59)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"p", "\[NotVerticalBar]", 
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ")"}], "2"]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"59"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox[\(m\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"6"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(60)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"60"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(61)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"61"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(62)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"62"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(63)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"63"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(64)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"64"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(65)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"65"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(66)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  StyleBox["d",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"66"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(67)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[NotVerticalBar]", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"67"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(68)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"68"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(69)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"69"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(69.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        StyleBox[\(d\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"69.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(69.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(m\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "=", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"69.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(7)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"7"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(70)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"nat", "[", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "=", 
            RowBox[{"p", "*", 
              StyleBox[\(d\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"70"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(70.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        StyleBox[\(d\_1\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"70.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(70.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "=", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"70.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(71)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"71"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(72)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  RowBox[{"(", 
                    SuperscriptBox[
                      StyleBox[\(m\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], ")"}], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox[\(d\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"72"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(73)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"73"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(74)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"74"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(75)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"75"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(76)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"76"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(77)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(d\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox[\(d\_1\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"77"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(78)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"78"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(79)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(d\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"79"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"8"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(80)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(d\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"80"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(81)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          StyleBox[\(d\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"81"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(82)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "=", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"82"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(83)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"nat", "[", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[And]", 
          RowBox[{"nat", "[", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"83"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(84)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox[\(d\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"84"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(85)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"85"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(86)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"86"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(87)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"87"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(88)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"88"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(89)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox[\(d\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox[\(d\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"89"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(9)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"9"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(90)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"90"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(91)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(d\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"91"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(92)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["d",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(d\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"92"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(93)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"nat", "[", 
        SuperscriptBox[
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"93"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(94)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            SuperscriptBox[
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"94"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(95)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"95"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(96)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                SuperscriptBox[
                  StyleBox[\(m\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], ")"}], "2"], "\[UpTee]", 
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Implies]", 
        RowBox[{"p", "\[NotVerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"96"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(97)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", 
        RowBox[{"p", "*", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"97"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(98)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    SuperscriptBox[
                      RowBox[{"(", 
                        SuperscriptBox[
                          StyleBox[\(m\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "2"], ")"}], "2"]}], ")"}], 
                "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        SuperscriptBox[
                          RowBox[{"(", 
                            SuperscriptBox[
                              StyleBox[\(m\_0\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "2"], ")"}], "2"]}], 
                      "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"98"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(99)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                RowBox[{"(", 
                  SuperscriptBox[
                    StyleBox[\(m\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], ")"}], "2"], ")"}], "2"]}], 
        "\[Implies]", 
        RowBox[{"p", "\[VerticalBar]", 
          SuperscriptBox[
            RowBox[{"(", 
              SuperscriptBox[
                StyleBox[\(m\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ")"}], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"99"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(a contradiction)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(False\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"a contradiction"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (Divisible): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"nat", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    RowBox[{"p", "*", 
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (Divisible): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (Divisible): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[Implies]", 
                RowBox[{
                  UnderscriptBox["\[Exists]", 
                    RowBox[{
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"nat", "[", 
                        StyleBox["d",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "\[And]", 
                      RowBox[{"(", 
                        RowBox[{
                          StyleBox["n",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "=", 
                          RowBox[{"p", "*", 
                            StyleBox["d",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}]}], ")"}]}], ")"}]}]}], 
              ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (Divisible): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (Rational))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["q",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"rat", "[", 
              StyleBox["q",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[DoubleLeftRightArrow]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"nat", "[", 
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "\[And]", 
                      RowBox[{"nat", "[", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}]}], ")"}], "\[And]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"(", 
                        RowBox[{
                          StyleBox["q",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "=", 
                          FractionBox[
                            StyleBox["m",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], 
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]]}], ")"}], "\[And]", 
                      RowBox[{"(", 
                        RowBox[{
                          StyleBox["m",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[UpTee]", 
                          StyleBox["n",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], ")"}]}], ")"}]}], ")"}]}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (Rational)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (Coprime for Two))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"nat", "[", 
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"nat", "[", 
                StyleBox["m",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[UpTee]", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "\[Implies]", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"p", "\[VerticalBar]", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (Coprime for Two)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (Euclid))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"p", "\[VerticalBar]", 
                  SuperscriptBox[
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}], "\[Implies]", 
                RowBox[{"p", "\[VerticalBar]", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (Euclid)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (Multiply Root Equation))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{\((\@p)\), "=", 
                FractionBox[
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (Multiply Root Equation)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (Simplify by Cancelling))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], "=", 
                  RowBox[{"p", "*", 
                    SuperscriptBox[
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}]}], ")"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  RowBox[{"p", "*", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"], "=", 
                RowBox[{"p", "*", 
                  SuperscriptBox[
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (Simplify by Cancelling)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (Squares Preserve Naturals))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"nat", "[", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"nat", "[", 
              SuperscriptBox[
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (Squares Preserve Naturals)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Theorem (Root Irrational))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[Not] rat[\@p]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Theorem (Root Irrational)"]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"5.2 for X",
ScreenRectangle->{{0, 1280}, {0, 1024}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{1016, 696},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Visible->True,
Magnification->1,
StyleDefinitions -> FrontEnd`FileName[{$RootDirectory, "home", "www", \
"education", "courses", "ss2006", "atp2", "Square-Root"}, "TheoremaProof.nb", \
CharacterEncoding -> "iso8859-1"]
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Theorem (Root Irrational)"->{
    Cell[1872, 56, 415, 11, 32, "Conclusion",
      CellTags->"Theorem (Root Irrational)"],
    Cell[1085805, 34003, 472, 13, 70, "Text",
      CellTags->"Theorem (Root Irrational)"]},
  "Definition (Rational)"->{
    Cell[2424, 74, 3110, 77, 39, "Assumption",
      CellTags->"Definition (Rational)"],
    Cell[1073536, 33663, 3167, 79, 70, "Text",
      CellTags->"Definition (Rational)"]},
  "Lemma (Coprime for Two)"->{
    Cell[5537, 153, 2261, 60, 38, "Assumption",
      CellTags->"Lemma (Coprime for Two)"],
    Cell[1076706, 33744, 2318, 62, 70, "Text",
      CellTags->"Lemma (Coprime for Two)"]},
  "Lemma (Multiply Root Equation)"->{
    Cell[7801, 215, 1713, 48, 38, "Assumption",
      CellTags->"Lemma (Multiply Root Equation)"],
    Cell[1080433, 33849, 1765, 49, 70, "Text",
      CellTags->"Lemma (Multiply Root Equation)"]},
  "Lemma (Euclid)"->{
    Cell[9517, 265, 1346, 37, 37, "Assumption",
      CellTags->"Lemma (Euclid)"],
    Cell[1079027, 33808, 1403, 39, 70, "Text",
      CellTags->"Lemma (Euclid)"]},
  "Definition (Divisible): 1"->{
    Cell[10866, 304, 1921, 52, 38, "Assumption",
      CellTags->"Definition (Divisible): 1"],
    Cell[1069265, 33546, 1978, 54, 70, "Text",
      CellTags->"Definition (Divisible): 1"]},
  "Definition (Divisible): 2"->{
    Cell[12790, 358, 2230, 57, 37, "Assumption",
      CellTags->"Definition (Divisible): 2"],
    Cell[1071246, 33602, 2287, 59, 70, "Text",
      CellTags->"Definition (Divisible): 2"]},
  "Lemma (Simplify by Cancelling)"->{
    Cell[15023, 417, 2411, 66, 38, "Assumption",
      CellTags->"Lemma (Simplify by Cancelling)"],
    Cell[1082201, 33900, 2463, 67, 70, "Text",
      CellTags->"Lemma (Simplify by Cancelling)"]},
  "Lemma (Squares Preserve Naturals)"->{
    Cell[17437, 485, 1078, 30, 37, "Assumption",
      CellTags->"Lemma (Squares Preserve Naturals)"],
    Cell[1084667, 33969, 1135, 32, 70, "Text",
      CellTags->"Lemma (Squares Preserve Naturals)"]},
  "1"->{
    Cell[19073, 535, 374, 11, 32, "Assumption",
      CellTags->"1"],
    Cell[656885, 21029, 417, 13, 70, "Text",
      CellTags->"1"]},
  "2"->{
    Cell[20420, 581, 2149, 59, 38, "Assumption",
      CellTags->"2"],
    Cell[789517, 25078, 2192, 61, 70, "Text",
      CellTags->"2"]},
  "3"->{
    Cell[22978, 656, 1660, 46, 38, "Assumption",
      CellTags->"3"],
    Cell[933315, 29369, 1703, 48, 70, "Text",
      CellTags->"3"]},
  "15"->{
    Cell[25344, 727, 546, 16, 24, "Assumption",
      CellTags->"15"],
    Cell[722969, 23057, 589, 18, 70, "Text",
      CellTags->"15"]},
  "14"->{
    Cell[26580, 768, 1464, 42, 30, "Assumption",
      CellTags->"14"],
    Cell[707540, 22574, 1502, 43, 70, "Text",
      CellTags->"14"]},
  "13"->{
    Cell[28734, 835, 1538, 42, 38, "Assumption",
      CellTags->"13"],
    Cell[693251, 22145, 1581, 44, 70, "Text",
      CellTags->"13"]},
  "12"->{
    Cell[30940, 902, 764, 22, 33, "Assumption",
      CellTags->"12"],
    Cell[683521, 21832, 807, 24, 70, "Text",
      CellTags->"12"]},
  "11"->{
    Cell[32390, 949, 1882, 50, 38, "Assumption",
      CellTags->"11"],
    Cell[671803, 21470, 1925, 52, 70, "Text",
      CellTags->"11"]},
  "10"->{
    Cell[34978, 1024, 546, 16, 33, "Assumption",
      CellTags->"10"],
    Cell[657305, 21044, 589, 18, 70, "Text",
      CellTags->"10"]},
  "9"->{
    Cell[36214, 1065, 1462, 42, 38, "Assumption",
      CellTags->"9"],
    Cell[1055284, 33125, 1500, 43, 70, "Text",
      CellTags->"9"]},
  "8"->{
    Cell[38366, 1132, 1536, 42, 38, "Assumption",
      CellTags->"8"],
    Cell[1042883, 32744, 1579, 44, 70, "Text",
      CellTags->"8"]},
  "7"->{
    Cell[40570, 1199, 762, 22, 33, "Assumption",
      CellTags->"7"],
    Cell[1029259, 32322, 805, 24, 70, "Text",
      CellTags->"7"]},
  "6"->{
    Cell[42018, 1246, 1880, 50, 38, "Assumption",
      CellTags->"6"],
    Cell[1016733, 31927, 1923, 52, 70, "Text",
      CellTags->"6"]},
  "5"->{
    Cell[44598, 1321, 728, 22, 33, "Assumption",
      CellTags->"5"],
    Cell[1006840, 31613, 771, 24, 70, "Text",
      CellTags->"5"]},
  "4"->{
    Cell[46012, 1368, 1250, 35, 33, "Assumption",
      CellTags->"4"],
    Cell[995019, 31246, 1293, 37, 70, "Text",
      CellTags->"4"]},
  "16"->{
    Cell[47904, 1428, 1040, 29, 33, "Assumption",
      CellTags->"16"],
    Cell[737467, 23493, 1083, 31, 70, "Text",
      CellTags->"16"]},
  "17"->{
    Cell[49588, 1482, 820, 23, 33, "Assumption",
      CellTags->"17"],
    Cell[750050, 23878, 863, 25, 70, "Text",
      CellTags->"17"]},
  "18"->{
    Cell[50799, 1521, 725, 21, 33, "Assumption",
      CellTags->"18"],
    Cell[762912, 24270, 768, 23, 70, "Text",
      CellTags->"18"]},
  "47"->{
    Cell[52168, 1567, 921, 27, 33, "Assumption",
      CellTags->"47"],
    Cell[1004236, 31530, 964, 29, 70, "Text",
      CellTags->"47"]},
  "46"->{
    Cell[53733, 1619, 1209, 34, 33, "Assumption",
      CellTags->"46"],
    Cell[1002981, 31492, 1252, 36, 70, "Text",
      CellTags->"46"]},
  "45"->{
    Cell[55584, 1678, 921, 27, 33, "Assumption",
      CellTags->"45"],
    Cell[1002014, 31461, 964, 29, 70, "Text",
      CellTags->"45"]},
  "44"->{
    Cell[57147, 1730, 1209, 34, 33, "Assumption",
      CellTags->"44"],
    Cell[1000759, 31423, 1252, 36, 70, "Text",
      CellTags->"44"]},
  "43"->{
    Cell[59000, 1789, 921, 27, 33, "Assumption",
      CellTags->"43"],
    Cell[999792, 31392, 964, 29, 70, "Text",
      CellTags->"43"]},
  "42"->{
    Cell[60565, 1841, 1209, 34, 33, "Assumption",
      CellTags->"42"],
    Cell[998537, 31354, 1252, 36, 70, "Text",
      CellTags->"42"]},
  "41"->{
    Cell[62416, 1900, 921, 27, 33, "Assumption",
      CellTags->"41"],
    Cell[997570, 31323, 964, 29, 70, "Text",
      CellTags->"41"]},
  "40"->{
    Cell[63979, 1952, 1209, 34, 33, "Assumption",
      CellTags->"40"],
    Cell[996315, 31285, 1252, 36, 70, "Text",
      CellTags->"40"]},
  "39"->{
    Cell[65832, 2011, 1040, 29, 33, "Assumption",
      CellTags->"39"],
    Cell[993933, 31213, 1083, 31, 70, "Text",
      CellTags->"39"]},
  "38"->{
    Cell[67572, 2065, 627, 18, 33, "Assumption",
      CellTags->"38"],
    Cell[993260, 31191, 670, 20, 70, "Text",
      CellTags->"38"]},
  "37"->{
    Cell[68883, 2108, 1552, 44, 38, "Assumption",
      CellTags->"37"],
    Cell[991667, 31144, 1590, 45, 70, "Text",
      CellTags->"37"]},
  "36"->{
    Cell[71119, 2177, 1641, 45, 38, "Assumption",
      CellTags->"36"],
    Cell[989985, 31096, 1679, 46, 70, "Text",
      CellTags->"36"]},
  "35"->{
    Cell[73422, 2247, 889, 25, 33, "Assumption",
      CellTags->"35"],
    Cell[989050, 31067, 932, 27, 70, "Text",
      CellTags->"35"]},
  "34"->{
    Cell[74991, 2297, 1986, 52, 38, "Assumption",
      CellTags->"34"],
    Cell[987018, 31011, 2029, 54, 70, "Text",
      CellTags->"34"]},
  "33"->{
    Cell[77615, 2374, 965, 28, 33, "Assumption",
      CellTags->"33"],
    Cell[977525, 30722, 1008, 30, 70, "Text",
      CellTags->"33"]},
  "32"->{
    Cell[79218, 2427, 1297, 36, 33, "Assumption",
      CellTags->"32"],
    Cell[963614, 30296, 1340, 38, 70, "Text",
      CellTags->"32"]},
  "31"->{
    Cell[81151, 2488, 965, 28, 33, "Assumption",
      CellTags->"31"],
    Cell[948115, 29819, 1008, 30, 70, "Text",
      CellTags->"31"]},
  "30"->{
    Cell[82752, 2541, 1297, 36, 33, "Assumption",
      CellTags->"30"],
    Cell[935021, 29419, 1340, 38, 70, "Text",
      CellTags->"30"]},
  "29"->{
    Cell[84749, 2602, 627, 18, 33, "Assumption",
      CellTags->"29"],
    Cell[917864, 28915, 670, 20, 70, "Text",
      CellTags->"29"]},
  "28"->{
    Cell[86060, 2645, 1552, 44, 38, "Assumption",
      CellTags->"28"],
    Cell[901709, 28448, 1590, 45, 70, "Text",
      CellTags->"28"]},
  "27"->{
    Cell[88296, 2714, 1641, 45, 38, "Assumption",
      CellTags->"27"],
    Cell[885652, 27977, 1679, 46, 70, "Text",
      CellTags->"27"]},
  "26"->{
    Cell[90599, 2784, 889, 25, 33, "Assumption",
      CellTags->"26"],
    Cell[870985, 27549, 932, 27, 70, "Text",
      CellTags->"26"]},
  "25"->{
    Cell[92168, 2834, 1986, 52, 38, "Assumption",
      CellTags->"25"],
    Cell[857458, 27141, 2029, 54, 70, "Text",
      CellTags->"25"]},
  "24"->{
    Cell[94792, 2911, 965, 28, 33, "Assumption",
      CellTags->"24"],
    Cell[844789, 26755, 1008, 30, 70, "Text",
      CellTags->"24"]},
  "23"->{
    Cell[96395, 2964, 1297, 36, 33, "Assumption",
      CellTags->"23"],
    Cell[832734, 26382, 1340, 38, 70, "Text",
      CellTags->"23"]},
  "22"->{
    Cell[98328, 3025, 965, 28, 33, "Assumption",
      CellTags->"22"],
    Cell[819820, 25990, 1008, 30, 70, "Text",
      CellTags->"22"]},
  "21"->{
    Cell[99929, 3078, 1297, 36, 33, "Assumption",
      CellTags->"21"],
    Cell[806233, 25578, 1340, 38, 70, "Text",
      CellTags->"21"]},
  "20"->{
    Cell[101918, 3139, 1539, 44, 38, "Assumption",
      CellTags->"20"],
    Cell[791712, 25141, 1577, 45, 70, "Text",
      CellTags->"20"]},
  "19"->{
    Cell[104139, 3208, 1054, 30, 33, "Assumption",
      CellTags->"19"],
    Cell[775868, 24664, 1097, 32, 70, "Text",
      CellTags->"19"]},
  "48"->{
    Cell[105851, 3263, 820, 23, 33, "Assumption",
      CellTags->"48"],
    Cell[1005203, 31561, 863, 25, 70, "Text",
      CellTags->"48"]},
  "49"->{
    Cell[107713, 3325, 725, 21, 33, "Assumption",
      CellTags->"49"],
    Cell[1006069, 31588, 768, 23, 70, "Text",
      CellTags->"49"]},
  "50"->{
    Cell[109728, 3394, 798, 23, 33, "Assumption",
      CellTags->"50"],
    Cell[1007614, 31639, 841, 25, 70, "Text",
      CellTags->"50"]},
  "51"->{
    Cell[111164, 3442, 552, 16, 33, "Assumption",
      CellTags->"51"],
    Cell[1008458, 31666, 595, 18, 70, "Text",
      CellTags->"51"]},
  "52"->{
    Cell[112352, 3483, 514, 15, 33, "Assumption",
      CellTags->"52"],
    Cell[1009056, 31686, 557, 17, 70, "Text",
      CellTags->"52"]},
  "53"->{
    Cell[113502, 3523, 1209, 35, 38, "Assumption",
      CellTags->"53"],
    Cell[1009616, 31705, 1252, 37, 70, "Text",
      CellTags->"53"]},
  "54"->{
    Cell[115347, 3583, 1494, 41, 38, "Assumption",
      CellTags->"54"],
    Cell[1010871, 31744, 1537, 43, 70, "Text",
      CellTags->"54"]},
  "55"->{
    Cell[117479, 3649, 517, 15, 33, "Assumption",
      CellTags->"55"],
    Cell[1012411, 31789, 560, 17, 70, "Text",
      CellTags->"55"]},
  "56"->{
    Cell[118634, 3689, 1170, 34, 38, "Assumption",
      CellTags->"56"],
    Cell[1012974, 31808, 1213, 36, 70, "Text",
      CellTags->"56"]},
  "57"->{
    Cell[120442, 3748, 555, 16, 33, "Assumption",
      CellTags->"57"],
    Cell[1014190, 31846, 598, 18, 70, "Text",
      CellTags->"57"]},
  "58"->{
    Cell[121635, 3789, 1214, 35, 38, "Assumption",
      CellTags->"58"],
    Cell[1014791, 31866, 1257, 37, 70, "Text",
      CellTags->"58"]},
  "59"->{
    Cell[123487, 3849, 636, 18, 33, "Assumption",
      CellTags->"59"],
    Cell[1016051, 31905, 679, 20, 70, "Text",
      CellTags->"59"]},
  "60"->{
    Cell[124761, 3892, 662, 20, 33, "Assumption",
      CellTags->"60"],
    Cell[1018659, 31981, 705, 22, 70, "Text",
      CellTags->"60"]},
  "61"->{
    Cell[126061, 3937, 662, 20, 33, "Assumption",
      CellTags->"61"],
    Cell[1019367, 32005, 705, 22, 70, "Text",
      CellTags->"61"]},
  "62"->{
    Cell[127361, 3982, 702, 21, 33, "Assumption",
      CellTags->"62"],
    Cell[1020075, 32029, 745, 23, 70, "Text",
      CellTags->"62"]},
  "63"->{
    Cell[128701, 4028, 702, 21, 33, "Assumption",
      CellTags->"63"],
    Cell[1020823, 32054, 745, 23, 70, "Text",
      CellTags->"63"]},
  "64"->{
    Cell[130041, 4074, 714, 21, 33, "Assumption",
      CellTags->"64"],
    Cell[1021571, 32079, 757, 23, 70, "Text",
      CellTags->"64"]},
  "65"->{
    Cell[131393, 4120, 972, 28, 33, "Assumption",
      CellTags->"65"],
    Cell[1022331, 32104, 1015, 30, 70, "Text",
      CellTags->"65"]},
  "66"->{
    Cell[133003, 4173, 1255, 36, 38, "Assumption",
      CellTags->"66"],
    Cell[1023349, 32136, 1298, 38, 70, "Text",
      CellTags->"66"]},
  "67"->{
    Cell[134896, 4234, 1544, 42, 38, "Assumption",
      CellTags->"67"],
    Cell[1024650, 32176, 1587, 44, 70, "Text",
      CellTags->"67"]},
  "68"->{
    Cell[137078, 4301, 756, 22, 33, "Assumption",
      CellTags->"68"],
    Cell[1026240, 32222, 799, 24, 70, "Text",
      CellTags->"68"]},
  "69"->{
    Cell[138245, 4339, 911, 27, 33, "Assumption",
      CellTags->"69"],
    Cell[1027042, 32248, 954, 29, 70, "Text",
      CellTags->"69"]},
  "70"->{
    Cell[139567, 4382, 953, 28, 33, "Assumption",
      CellTags->"70"],
    Cell[1030067, 32348, 996, 30, 70, "Text",
      CellTags->"70"]},
  "142"->{
    Cell[141204, 4435, 1703, 47, 38, "Assumption",
      CellTags->"142"],
    Cell[711706, 22699, 1746, 49, 70, "Text",
      CellTags->"142"]},
  "141"->{
    Cell[143569, 4507, 1071, 30, 33, "Assumption",
      CellTags->"141"],
    Cell[710589, 22665, 1114, 32, 70, "Text",
      CellTags->"141"]},
  "140"->{
    Cell[145324, 4562, 1498, 42, 38, "Assumption",
      CellTags->"140"],
    Cell[709045, 22619, 1541, 44, 70, "Text",
      CellTags->"140"]},
  "139"->{
    Cell[147484, 4629, 888, 25, 33, "Assumption",
      CellTags->"139"],
    Cell[706606, 22545, 931, 27, 70, "Text",
      CellTags->"139"]},
  "138"->{
    Cell[149056, 4679, 1408, 40, 38, "Assumption",
      CellTags->"138"],
    Cell[705152, 22501, 1451, 42, 70, "Text",
      CellTags->"138"]},
  "137"->{
    Cell[151126, 4744, 763, 22, 33, "Assumption",
      CellTags->"137"],
    Cell[704343, 22475, 806, 24, 70, "Text",
      CellTags->"137"]},
  "136"->{
    Cell[152573, 4791, 1460, 42, 38, "Assumption",
      CellTags->"136"],
    Cell[702842, 22430, 1498, 43, 70, "Text",
      CellTags->"136"]},
  "135"->{
    Cell[154713, 4858, 1732, 47, 38, "Assumption",
      CellTags->"135"],
    Cell[701064, 22379, 1775, 49, 70, "Text",
      CellTags->"135"]},
  "134"->{
    Cell[157083, 4930, 932, 27, 33, "Assumption",
      CellTags->"134"],
    Cell[700086, 22348, 975, 29, 70, "Text",
      CellTags->"134"]},
  "133"->{
    Cell[158653, 4982, 976, 28, 33, "Assumption",
      CellTags->"133"],
    Cell[699064, 22316, 1019, 30, 70, "Text",
      CellTags->"133"]},
  "132"->{
    Cell[160313, 5035, 1548, 44, 38, "Assumption",
      CellTags->"132"],
    Cell[697475, 22269, 1586, 45, 70, "Text",
      CellTags->"132"]},
  "131"->{
    Cell[162523, 5104, 720, 21, 33, "Assumption",
      CellTags->"131"],
    Cell[696709, 22244, 763, 23, 70, "Text",
      CellTags->"131"]},
  "130"->{
    Cell[163923, 5150, 1828, 49, 38, "Assumption",
      CellTags->"130"],
    Cell[694835, 22191, 1871, 51, 70, "Text",
      CellTags->"130"]},
  "129"->{
    Cell[166389, 5224, 1016, 29, 33, "Assumption",
      CellTags->"129"],
    Cell[692189, 22112, 1059, 31, 70, "Text",
      CellTags->"129"]},
  "128"->{
    Cell[168043, 5278, 1060, 30, 33, "Assumption",
      CellTags->"128"],
    Cell[691083, 22078, 1103, 32, 70, "Text",
      CellTags->"128"]},
  "127"->{
    Cell[169747, 5333, 664, 20, 33, "Assumption",
      CellTags->"127"],
    Cell[690373, 22054, 707, 22, 70, "Text",
      CellTags->"127"]},
  "126"->{
    Cell[171055, 5378, 892, 26, 33, "Assumption",
      CellTags->"126"],
    Cell[689435, 22024, 935, 28, 70, "Text",
      CellTags->"126"]},
  "125"->{
    Cell[172591, 5429, 702, 21, 33, "Assumption",
      CellTags->"125"],
    Cell[688687, 21999, 745, 23, 70, "Text",
      CellTags->"125"]},
  "124"->{
    Cell[173937, 5475, 934, 27, 33, "Assumption",
      CellTags->"124"],
    Cell[687707, 21968, 977, 29, 70, "Text",
      CellTags->"124"]},
  "123"->{
    Cell[175515, 5527, 664, 20, 33, "Assumption",
      CellTags->"123"],
    Cell[686997, 21944, 707, 22, 70, "Text",
      CellTags->"123"]},
  "122"->{
    Cell[176823, 5572, 892, 26, 33, "Assumption",
      CellTags->"122"],
    Cell[686059, 21914, 935, 28, 70, "Text",
      CellTags->"122"]},
  "121"->{
    Cell[178359, 5623, 702, 21, 33, "Assumption",
      CellTags->"121"],
    Cell[685311, 21889, 745, 23, 70, "Text",
      CellTags->"121"]},
  "120"->{
    Cell[179705, 5669, 934, 27, 33, "Assumption",
      CellTags->"120"],
    Cell[684331, 21858, 977, 29, 70, "Text",
      CellTags->"120"]},
  "119"->{
    Cell[181277, 5721, 704, 21, 33, "Assumption",
      CellTags->"119"],
    Cell[682771, 21807, 747, 23, 70, "Text",
      CellTags->"119"]},
  "118"->{
    Cell[182619, 5767, 974, 28, 33, "Assumption",
      CellTags->"118"],
    Cell[681751, 21775, 1017, 30, 70, "Text",
      CellTags->"118"]},
  "117"->{
    Cell[184231, 5820, 742, 22, 33, "Assumption",
      CellTags->"117"],
    Cell[680963, 21749, 785, 24, 70, "Text",
      CellTags->"117"]},
  "116"->{
    Cell[185611, 5867, 1016, 29, 33, "Assumption",
      CellTags->"116"],
    Cell[679901, 21716, 1059, 31, 70, "Text",
      CellTags->"116"]},
  "115"->{
    Cell[187265, 5921, 704, 21, 33, "Assumption",
      CellTags->"115"],
    Cell[679151, 21691, 747, 23, 70, "Text",
      CellTags->"115"]},
  "114"->{
    Cell[188607, 5967, 974, 28, 33, "Assumption",
      CellTags->"114"],
    Cell[678131, 21659, 1017, 30, 70, "Text",
      CellTags->"114"]},
  "113"->{
    Cell[190219, 6020, 742, 22, 33, "Assumption",
      CellTags->"113"],
    Cell[677343, 21633, 785, 24, 70, "Text",
      CellTags->"113"]},
  "112"->{
    Cell[191599, 6067, 1016, 29, 33, "Assumption",
      CellTags->"112"],
    Cell[676281, 21600, 1059, 31, 70, "Text",
      CellTags->"112"]},
  "111"->{
    Cell[193315, 6121, 723, 21, 33, "Assumption",
      CellTags->"111"],
    Cell[675512, 21575, 766, 23, 70, "Text",
      CellTags->"111"]},
  "110"->{
    Cell[194722, 6167, 1740, 48, 38, "Assumption",
      CellTags->"110"],
    Cell[673731, 21524, 1778, 49, 70, "Text",
      CellTags->"110"]},
  "109"->{
    Cell[197146, 6240, 1855, 49, 38, "Assumption",
      CellTags->"109"],
    Cell[669902, 21417, 1898, 51, 70, "Text",
      CellTags->"109"]},
  "108"->{
    Cell[199663, 6314, 1078, 30, 33, "Assumption",
      CellTags->"108"],
    Cell[668778, 21383, 1121, 32, 70, "Text",
      CellTags->"108"]},
  "107"->{
    Cell[201421, 6369, 2246, 58, 38, "Assumption",
      CellTags->"107"],
    Cell[666486, 21321, 2289, 60, 70, "Text",
      CellTags->"107"]},
  "106"->{
    Cell[204305, 6452, 789, 23, 33, "Assumption",
      CellTags->"106"],
    Cell[665651, 21294, 832, 25, 70, "Text",
      CellTags->"106"]},
  "105"->{
    Cell[205732, 6500, 1148, 32, 33, "Assumption",
      CellTags->"105"],
    Cell[664457, 21258, 1191, 34, 70, "Text",
      CellTags->"105"]},
  "104"->{
    Cell[207518, 6557, 827, 24, 33, "Assumption",
      CellTags->"104"],
    Cell[663584, 21230, 870, 26, 70, "Text",
      CellTags->"104"]},
  "103"->{
    Cell[208983, 6606, 1190, 33, 33, "Assumption",
      CellTags->"103"],
    Cell[662348, 21193, 1233, 35, 70, "Text",
      CellTags->"103"]},
  "102"->{
    Cell[210873, 6664, 723, 21, 33, "Assumption",
      CellTags->"102"],
    Cell[661579, 21168, 766, 23, 70, "Text",
      CellTags->"102"]},
  "101"->{
    Cell[212280, 6710, 1740, 48, 38, "Assumption",
      CellTags->"101"],
    Cell[659798, 21117, 1778, 49, 70, "Text",
      CellTags->"101"]},
  "100"->{
    Cell[214704, 6783, 1855, 49, 38, "Assumption",
      CellTags->"100"],
    Cell[657897, 21064, 1898, 51, 70, "Text",
      CellTags->"100"]},
  "99"->{
    Cell[217221, 6857, 1076, 30, 33, "Assumption",
      CellTags->"99"],
    Cell[1067698, 33497, 1119, 32, 70, "Text",
      CellTags->"99"]},
  "98"->{
    Cell[218977, 6912, 2244, 58, 38, "Assumption",
      CellTags->"98"],
    Cell[1065408, 33435, 2287, 60, 70, "Text",
      CellTags->"98"]},
  "97"->{
    Cell[221859, 6995, 787, 23, 33, "Assumption",
      CellTags->"97"],
    Cell[1064575, 33408, 830, 25, 70, "Text",
      CellTags->"97"]},
  "96"->{
    Cell[223284, 7043, 1146, 32, 33, "Assumption",
      CellTags->"96"],
    Cell[1063383, 33372, 1189, 34, 70, "Text",
      CellTags->"96"]},
  "95"->{
    Cell[225068, 7100, 825, 24, 33, "Assumption",
      CellTags->"95"],
    Cell[1062512, 33344, 868, 26, 70, "Text",
      CellTags->"95"]},
  "94"->{
    Cell[226531, 7149, 1188, 33, 33, "Assumption",
      CellTags->"94"],
    Cell[1061278, 33307, 1231, 35, 70, "Text",
      CellTags->"94"]},
  "93"->{
    Cell[228423, 7207, 546, 16, 33, "Assumption",
      CellTags->"93"],
    Cell[1060686, 33287, 589, 18, 70, "Text",
      CellTags->"93"]},
  "92"->{
    Cell[229657, 7248, 1464, 42, 38, "Assumption",
      CellTags->"92"],
    Cell[1059181, 33242, 1502, 43, 70, "Text",
      CellTags->"92"]},
  "91"->{
    Cell[231809, 7315, 1538, 42, 38, "Assumption",
      CellTags->"91"],
    Cell[1057597, 33196, 1581, 44, 70, "Text",
      CellTags->"91"]},
  "90"->{
    Cell[234013, 7382, 764, 22, 33, "Assumption",
      CellTags->"90"],
    Cell[1056787, 33170, 807, 24, 70, "Text",
      CellTags->"90"]},
  "89"->{
    Cell[235461, 7429, 1882, 50, 38, "Assumption",
      CellTags->"89"],
    Cell[1053356, 33071, 1925, 52, 70, "Text",
      CellTags->"89"]},
  "88"->{
    Cell[237985, 7504, 662, 20, 33, "Assumption",
      CellTags->"88"],
    Cell[1052648, 33047, 705, 22, 70, "Text",
      CellTags->"88"]},
  "87"->{
    Cell[239289, 7549, 890, 26, 33, "Assumption",
      CellTags->"87"],
    Cell[1051712, 33017, 933, 28, 70, "Text",
      CellTags->"87"]},
  "86"->{
    Cell[240821, 7600, 700, 21, 33, "Assumption",
      CellTags->"86"],
    Cell[1050966, 32992, 743, 23, 70, "Text",
      CellTags->"86"]},
  "85"->{
    Cell[242163, 7646, 932, 27, 33, "Assumption",
      CellTags->"85"],
    Cell[1049988, 32961, 975, 29, 70, "Text",
      CellTags->"85"]},
  "84"->{
    Cell[243793, 7698, 1633, 46, 38, "Assumption",
      CellTags->"84"],
    Cell[1048314, 32912, 1671, 47, 70, "Text",
      CellTags->"84"]},
  "83"->{
    Cell[246114, 7769, 930, 27, 33, "Assumption",
      CellTags->"83"],
    Cell[1047338, 32881, 973, 29, 70, "Text",
      CellTags->"83"]},
  "82"->{
    Cell[247686, 7821, 730, 22, 33, "Assumption",
      CellTags->"82"],
    Cell[1046562, 32855, 773, 24, 70, "Text",
      CellTags->"82"]},
  "81"->{
    Cell[249120, 7868, 546, 16, 33, "Assumption",
      CellTags->"81"],
    Cell[1045970, 32835, 589, 18, 70, "Text",
      CellTags->"81"]},
  "80"->{
    Cell[250354, 7909, 1464, 42, 38, "Assumption",
      CellTags->"80"],
    Cell[1044465, 32790, 1502, 43, 70, "Text",
      CellTags->"80"]},
  "79"->{
    Cell[252506, 7976, 1538, 42, 38, "Assumption",
      CellTags->"79"],
    Cell[1041299, 32698, 1581, 44, 70, "Text",
      CellTags->"79"]},
  "78"->{
    Cell[254710, 8043, 764, 22, 33, "Assumption",
      CellTags->"78"],
    Cell[1040489, 32672, 807, 24, 70, "Text",
      CellTags->"78"]},
  "77"->{
    Cell[256158, 8090, 1882, 50, 38, "Assumption",
      CellTags->"77"],
    Cell[1038561, 32618, 1925, 52, 70, "Text",
      CellTags->"77"]},
  "76"->{
    Cell[258682, 8165, 662, 20, 33, "Assumption",
      CellTags->"76"],
    Cell[1037853, 32594, 705, 22, 70, "Text",
      CellTags->"76"]},
  "75"->{
    Cell[259986, 8210, 890, 26, 33, "Assumption",
      CellTags->"75"],
    Cell[1036917, 32564, 933, 28, 70, "Text",
      CellTags->"75"]},
  "74"->{
    Cell[261518, 8261, 700, 21, 33, "Assumption",
      CellTags->"74"],
    Cell[1036171, 32539, 743, 23, 70, "Text",
      CellTags->"74"]},
  "73"->{
    Cell[262860, 8307, 932, 27, 33, "Assumption",
      CellTags->"73"],
    Cell[1035193, 32508, 975, 29, 70, "Text",
      CellTags->"73"]},
  "72"->{
    Cell[264490, 8359, 1730, 48, 38, "Assumption",
      CellTags->"72"],
    Cell[1033422, 32457, 1768, 49, 70, "Text",
      CellTags->"72"]},
  "71"->{
    Cell[266908, 8432, 1012, 29, 33, "Assumption",
      CellTags->"71"],
    Cell[1032364, 32424, 1055, 31, 70, "Text",
      CellTags->"71"]},
  "143"->{
    Cell[281634, 8946, 732, 21, 33, "Assumption",
      CellTags->"143"],
    Cell[713455, 22750, 775, 23, 70, "Text",
      CellTags->"143"]},
  "144"->{
    Cell[283675, 9015, 800, 23, 33, "Assumption",
      CellTags->"144"],
    Cell[714233, 22775, 843, 25, 70, "Text",
      CellTags->"144"]},
  "145"->{
    Cell[285784, 9086, 1257, 36, 38, "Assumption",
      CellTags->"145"],
    Cell[715079, 22802, 1300, 38, 70, "Text",
      CellTags->"145"]},
  "146"->{
    Cell[287701, 9147, 758, 22, 33, "Assumption",
      CellTags->"146"],
    Cell[716382, 22842, 801, 24, 70, "Text",
      CellTags->"146"]},
  "147"->{
    Cell[289774, 9217, 1211, 35, 38, "Assumption",
      CellTags->"147"],
    Cell[717186, 22868, 1254, 37, 70, "Text",
      CellTags->"147"]},
  "148"->{
    Cell[291398, 9268, 955, 28, 33, "Assumption",
      CellTags->"148"],
    Cell[718443, 22907, 998, 30, 70, "Text",
      CellTags->"148"]},
  "149"->{
    Cell[292766, 9312, 913, 27, 33, "Assumption",
      CellTags->"149"],
    Cell[720746, 22983, 956, 29, 70, "Text",
      CellTags->"149"]},
  "150"->{
    Cell[294319, 9364, 1309, 37, 38, "Assumption",
      CellTags->"150"],
    Cell[723561, 23077, 1352, 39, 70, "Text",
      CellTags->"150"]},
  "151"->{
    Cell[296274, 9426, 1172, 34, 38, "Assumption",
      CellTags->"151"],
    Cell[724916, 23118, 1215, 36, 70, "Text",
      CellTags->"151"]},
  "152"->{
    Cell[298092, 9485, 1496, 41, 38, "Assumption",
      CellTags->"152"],
    Cell[726134, 23156, 1539, 43, 70, "Text",
      CellTags->"152"]},
  "153"->{
    Cell[300228, 9551, 1216, 35, 38, "Assumption",
      CellTags->"153"],
    Cell[727676, 23201, 1259, 37, 70, "Text",
      CellTags->"153"]},
  "154"->{
    Cell[302084, 9611, 1546, 42, 38, "Assumption",
      CellTags->"154"],
    Cell[728938, 23240, 1589, 44, 70, "Text",
      CellTags->"154"]},
  "155"->{
    Cell[304270, 9678, 1309, 37, 38, "Assumption",
      CellTags->"155"],
    Cell[730530, 23286, 1352, 39, 70, "Text",
      CellTags->"155"]},
  "336"->{
    Cell[309489, 9855, 1299, 36, 33, "Assumption",
      CellTags->"336"],
    Cell[985673, 30971, 1342, 38, 70, "Text",
      CellTags->"336"]},
  "335"->{
    Cell[311426, 9916, 967, 28, 33, "Assumption",
      CellTags->"335"],
    Cell[984660, 30939, 1010, 30, 70, "Text",
      CellTags->"335"]},
  "334"->{
    Cell[313031, 9969, 1299, 36, 33, "Assumption",
      CellTags->"334"],
    Cell[983315, 30899, 1342, 38, 70, "Text",
      CellTags->"334"]},
  "333"->{
    Cell[314968, 10030, 967, 28, 33, "Assumption",
      CellTags->"333"],
    Cell[982302, 30867, 1010, 30, 70, "Text",
      CellTags->"333"]},
  "332"->{
    Cell[316573, 10083, 1582, 43, 33, "Assumption",
      CellTags->"332"],
    Cell[980674, 30820, 1625, 45, 70, "Text",
      CellTags->"332"]},
  "331"->{
    Cell[318795, 10151, 1223, 34, 33, "Assumption",
      CellTags->"331"],
    Cell[979405, 30782, 1266, 36, 70, "Text",
      CellTags->"331"]},
  "330"->{
    Cell[320658, 10210, 823, 24, 33, "Assumption",
      CellTags->"330"],
    Cell[978536, 30754, 866, 26, 70, "Text",
      CellTags->"330"]},
  "329"->{
    Cell[322119, 10259, 1016, 29, 33, "Assumption",
      CellTags->"329"],
    Cell[976463, 30689, 1059, 31, 70, "Text",
      CellTags->"329"]},
  "328"->{
    Cell[323773, 10313, 742, 22, 33, "Assumption",
      CellTags->"328"],
    Cell[975675, 30663, 785, 24, 70, "Text",
      CellTags->"328"]},
  "327"->{
    Cell[325153, 10360, 974, 28, 33, "Assumption",
      CellTags->"327"],
    Cell[974655, 30631, 1017, 30, 70, "Text",
      CellTags->"327"]},
  "326"->{
    Cell[326765, 10413, 704, 21, 33, "Assumption",
      CellTags->"326"],
    Cell[973905, 30606, 747, 23, 70, "Text",
      CellTags->"326"]},
  "325"->{
    Cell[328149, 10459, 1988, 52, 38, "Assumption",
      CellTags->"325"],
    Cell[971871, 30550, 2031, 54, 70, "Text",
      CellTags->"325"]},
  "324"->{
    Cell[330799, 10536, 891, 25, 33, "Assumption",
      CellTags->"324"],
    Cell[970934, 30521, 934, 27, 70, "Text",
      CellTags->"324"]},
  "323"->{
    Cell[332374, 10586, 1643, 45, 38, "Assumption",
      CellTags->"323"],
    Cell[969250, 30473, 1681, 46, 70, "Text",
      CellTags->"323"]},
  "322"->{
    Cell[334701, 10656, 1554, 44, 38, "Assumption",
      CellTags->"322"],
    Cell[967655, 30426, 1592, 45, 70, "Text",
      CellTags->"322"]},
  "321"->{
    Cell[336955, 10725, 629, 18, 33, "Assumption",
      CellTags->"321"],
    Cell[966306, 30381, 672, 20, 70, "Text",
      CellTags->"321"]},
  "320"->{
    Cell[338222, 10768, 587, 17, 33, "Assumption",
      CellTags->"320"],
    Cell[964957, 30336, 630, 19, 70, "Text",
      CellTags->"320"]},
  "319"->{
    Cell[339493, 10810, 1056, 30, 33, "Assumption",
      CellTags->"319"],
    Cell[961372, 30226, 1099, 32, 70, "Text",
      CellTags->"319"]},
  "318"->{
    Cell[341243, 10865, 1541, 44, 38, "Assumption",
      CellTags->"318"],
    Cell[959790, 30179, 1579, 45, 70, "Text",
      CellTags->"318"]},
  "317"->{
    Cell[343422, 10934, 1299, 36, 33, "Assumption",
      CellTags->"317"],
    Cell[958445, 30139, 1342, 38, 70, "Text",
      CellTags->"317"]},
  "316"->{
    Cell[345359, 10995, 967, 28, 33, "Assumption",
      CellTags->"316"],
    Cell[957432, 30107, 1010, 30, 70, "Text",
      CellTags->"316"]},
  "315"->{
    Cell[346964, 11048, 1299, 36, 33, "Assumption",
      CellTags->"315"],
    Cell[956087, 30067, 1342, 38, 70, "Text",
      CellTags->"315"]},
  "314"->{
    Cell[348901, 11109, 967, 28, 33, "Assumption",
      CellTags->"314"],
    Cell[955074, 30035, 1010, 30, 70, "Text",
      CellTags->"314"]},
  "313"->{
    Cell[350506, 11162, 1582, 43, 33, "Assumption",
      CellTags->"313"],
    Cell[953446, 29988, 1625, 45, 70, "Text",
      CellTags->"313"]},
  "312"->{
    Cell[352728, 11230, 1223, 34, 33, "Assumption",
      CellTags->"312"],
    Cell[952177, 29950, 1266, 36, 70, "Text",
      CellTags->"312"]},
  "311"->{
    Cell[354591, 11289, 823, 24, 33, "Assumption",
      CellTags->"311"],
    Cell[950748, 29903, 866, 26, 70, "Text",
      CellTags->"311"]},
  "310"->{
    Cell[356052, 11338, 1016, 29, 33, "Assumption",
      CellTags->"310"],
    Cell[949126, 29851, 1059, 31, 70, "Text",
      CellTags->"310"]},
  "309"->{
    Cell[357706, 11392, 742, 22, 33, "Assumption",
      CellTags->"309"],
    Cell[946571, 29768, 785, 24, 70, "Text",
      CellTags->"309"]},
  "308"->{
    Cell[359086, 11439, 974, 28, 33, "Assumption",
      CellTags->"308"],
    Cell[945551, 29736, 1017, 30, 70, "Text",
      CellTags->"308"]},
  "307"->{
    Cell[360698, 11492, 704, 21, 33, "Assumption",
      CellTags->"307"],
    Cell[944801, 29711, 747, 23, 70, "Text",
      CellTags->"307"]},
  "306"->{
    Cell[362082, 11538, 1988, 52, 38, "Assumption",
      CellTags->"306"],
    Cell[942767, 29655, 2031, 54, 70, "Text",
      CellTags->"306"]},
  "305"->{
    Cell[364732, 11615, 891, 25, 33, "Assumption",
      CellTags->"305"],
    Cell[941830, 29626, 934, 27, 70, "Text",
      CellTags->"305"]},
  "304"->{
    Cell[366307, 11665, 1643, 45, 38, "Assumption",
      CellTags->"304"],
    Cell[940146, 29578, 1681, 46, 70, "Text",
      CellTags->"304"]},
  "303"->{
    Cell[368634, 11735, 1554, 44, 38, "Assumption",
      CellTags->"303"],
    Cell[938551, 29531, 1592, 45, 70, "Text",
      CellTags->"303"]},
  "302"->{
    Cell[370888, 11804, 629, 18, 33, "Assumption",
      CellTags->"302"],
    Cell[937876, 29509, 672, 20, 70, "Text",
      CellTags->"302"]},
  "301"->{
    Cell[372155, 11847, 704, 21, 33, "Assumption",
      CellTags->"301"],
    Cell[937126, 29484, 747, 23, 70, "Text",
      CellTags->"301"]},
  "300"->{
    Cell[373553, 11893, 716, 21, 39, "Assumption",
      CellTags->"300"],
    Cell[936364, 29459, 759, 23, 70, "Text",
      CellTags->"300"]},
  "299"->{
    Cell[374963, 11939, 1759, 47, 38, "Assumption",
      CellTags->"299"],
    Cell[931510, 29318, 1802, 49, 70, "Text",
      CellTags->"299"]},
  "298"->{
    Cell[377362, 12011, 1719, 46, 34, "Assumption",
      CellTags->"298"],
    Cell[929745, 29268, 1762, 48, 70, "Text",
      CellTags->"298"]},
  "297"->{
    Cell[379721, 12082, 1178, 33, 33, "Assumption",
      CellTags->"297"],
    Cell[928521, 29231, 1221, 35, 70, "Text",
      CellTags->"297"]},
  "296"->{
    Cell[381539, 12140, 1719, 46, 34, "Assumption",
      CellTags->"296"],
    Cell[926756, 29181, 1762, 48, 70, "Text",
      CellTags->"296"]},
  "295"->{
    Cell[383898, 12211, 1178, 33, 33, "Assumption",
      CellTags->"295"],
    Cell[925532, 29144, 1221, 35, 70, "Text",
      CellTags->"295"]},
  "294"->{
    Cell[385716, 12269, 2002, 53, 34, "Assumption",
      CellTags->"294"],
    Cell[923484, 29087, 2045, 55, 70, "Text",
      CellTags->"294"]},
  "293"->{
    Cell[388360, 12347, 1434, 39, 33, "Assumption",
      CellTags->"293"],
    Cell[922004, 29044, 1477, 41, 70, "Text",
      CellTags->"293"]},
  "292"->{
    Cell[390436, 12411, 1006, 29, 33, "Assumption",
      CellTags->"292"],
    Cell[920952, 29011, 1049, 31, 70, "Text",
      CellTags->"292"]},
  "291"->{
    Cell[392082, 12465, 1398, 39, 33, "Assumption",
      CellTags->"291"],
    Cell[919508, 28968, 1441, 41, 70, "Text",
      CellTags->"291"]},
  "290"->{
    Cell[394120, 12529, 925, 27, 33, "Assumption",
      CellTags->"290"],
    Cell[918537, 28937, 968, 29, 70, "Text",
      CellTags->"290"]},
  "289"->{
    Cell[395685, 12581, 1356, 38, 33, "Assumption",
      CellTags->"289"],
    Cell[916462, 28873, 1399, 40, 70, "Text",
      CellTags->"289"]},
  "288"->{
    Cell[397681, 12644, 887, 26, 33, "Assumption",
      CellTags->"288"],
    Cell[915529, 28843, 930, 28, 70, "Text",
      CellTags->"288"]},
  "287"->{
    Cell[399250, 12695, 2492, 62, 38, "Assumption",
      CellTags->"287"],
    Cell[912991, 28777, 2535, 64, 70, "Text",
      CellTags->"287"]},
  "286"->{
    Cell[402406, 12782, 1283, 35, 33, "Assumption",
      CellTags->"286"],
    Cell[911662, 28738, 1326, 37, 70, "Text",
      CellTags->"286"]},
  "285"->{
    Cell[404375, 12842, 2110, 54, 38, "Assumption",
      CellTags->"285"],
    Cell[909506, 28680, 2153, 56, 70, "Text",
      CellTags->"285"]},
  "284"->{
    Cell[407171, 12921, 1972, 54, 38, "Assumption",
      CellTags->"284"],
    Cell[907493, 28623, 2010, 55, 70, "Text",
      CellTags->"284"]},
  "283"->{
    Cell[409845, 13000, 828, 23, 35, "Assumption",
      CellTags->"283"],
    Cell[906619, 28596, 871, 25, 70, "Text",
      CellTags->"283"]},
  "282"->{
    Cell[411313, 13048, 704, 21, 33, "Assumption",
      CellTags->"282"],
    Cell[905869, 28571, 747, 23, 70, "Text",
      CellTags->"282"]},
  "281"->{
    Cell[412713, 13094, 716, 21, 39, "Assumption",
      CellTags->"281"],
    Cell[905107, 28546, 759, 23, 70, "Text",
      CellTags->"281"]},
  "280"->{
    Cell[414125, 13140, 1759, 47, 38, "Assumption",
      CellTags->"280"],
    Cell[903302, 28495, 1802, 49, 70, "Text",
      CellTags->"280"]},
  "279"->{
    Cell[416524, 13212, 1719, 46, 34, "Assumption",
      CellTags->"279"],
    Cell[899944, 28398, 1762, 48, 70, "Text",
      CellTags->"279"]},
  "278"->{
    Cell[418883, 13283, 1178, 33, 33, "Assumption",
      CellTags->"278"],
    Cell[898720, 28361, 1221, 35, 70, "Text",
      CellTags->"278"]},
  "277"->{
    Cell[420701, 13341, 1719, 46, 34, "Assumption",
      CellTags->"277"],
    Cell[896955, 28311, 1762, 48, 70, "Text",
      CellTags->"277"]},
  "276"->{
    Cell[423060, 13412, 1178, 33, 33, "Assumption",
      CellTags->"276"],
    Cell[895731, 28274, 1221, 35, 70, "Text",
      CellTags->"276"]},
  "275"->{
    Cell[424878, 13470, 2002, 53, 34, "Assumption",
      CellTags->"275"],
    Cell[893683, 28217, 2045, 55, 70, "Text",
      CellTags->"275"]},
  "274"->{
    Cell[427522, 13548, 1434, 39, 33, "Assumption",
      CellTags->"274"],
    Cell[892203, 28174, 1477, 41, 70, "Text",
      CellTags->"274"]},
  "273"->{
    Cell[429598, 13612, 1006, 29, 33, "Assumption",
      CellTags->"273"],
    Cell[891151, 28141, 1049, 31, 70, "Text",
      CellTags->"273"]},
  "272"->{
    Cell[431244, 13666, 1398, 39, 33, "Assumption",
      CellTags->"272"],
    Cell[889707, 28098, 1441, 41, 70, "Text",
      CellTags->"272"]},
  "271"->{
    Cell[433282, 13730, 925, 27, 33, "Assumption",
      CellTags->"271"],
    Cell[888736, 28067, 968, 29, 70, "Text",
      CellTags->"271"]},
  "270"->{
    Cell[434847, 13782, 1356, 38, 33, "Assumption",
      CellTags->"270"],
    Cell[887334, 28025, 1399, 40, 70, "Text",
      CellTags->"270"]},
  "269"->{
    Cell[436843, 13845, 887, 26, 33, "Assumption",
      CellTags->"269"],
    Cell[884719, 27947, 930, 28, 70, "Text",
      CellTags->"269"]},
  "268"->{
    Cell[438412, 13896, 2492, 62, 38, "Assumption",
      CellTags->"268"],
    Cell[882181, 27881, 2535, 64, 70, "Text",
      CellTags->"268"]},
  "267"->{
    Cell[441568, 13983, 1283, 35, 33, "Assumption",
      CellTags->"267"],
    Cell[880852, 27842, 1326, 37, 70, "Text",
      CellTags->"267"]},
  "266"->{
    Cell[443537, 14043, 2110, 54, 38, "Assumption",
      CellTags->"266"],
    Cell[878696, 27784, 2153, 56, 70, "Text",
      CellTags->"266"]},
  "265"->{
    Cell[446333, 14122, 1972, 54, 38, "Assumption",
      CellTags->"265"],
    Cell[876683, 27727, 2010, 55, 70, "Text",
      CellTags->"265"]},
  "264"->{
    Cell[449007, 14201, 828, 23, 35, "Assumption",
      CellTags->"264"],
    Cell[875809, 27700, 871, 25, 70, "Text",
      CellTags->"264"]},
  "263"->{
    Cell[450475, 14249, 664, 20, 33, "Assumption",
      CellTags->"263"],
    Cell[875099, 27676, 707, 22, 70, "Text",
      CellTags->"263"]},
  "262"->{
    Cell[451835, 14294, 676, 20, 39, "Assumption",
      CellTags->"262"],
    Cell[874377, 27652, 719, 22, 70, "Text",
      CellTags->"262"]},
  "261"->{
    Cell[453207, 14339, 1701, 46, 38, "Assumption",
      CellTags->"261"],
    Cell[872630, 27602, 1744, 48, 70, "Text",
      CellTags->"261"]},
  "260"->{
    Cell[455548, 14410, 664, 20, 33, "Assumption",
      CellTags->"260"],
    Cell[871920, 27578, 707, 22, 70, "Text",
      CellTags->"260"]},
  "259"->{
    Cell[456908, 14455, 676, 20, 39, "Assumption",
      CellTags->"259"],
    Cell[870263, 27525, 719, 22, 70, "Text",
      CellTags->"259"]},
  "258"->{
    Cell[458280, 14500, 1701, 46, 38, "Assumption",
      CellTags->"258"],
    Cell[868516, 27475, 1744, 48, 70, "Text",
      CellTags->"258"]},
  "257"->{
    Cell[460625, 14571, 1211, 34, 33, "Assumption",
      CellTags->"257"],
    Cell[867259, 27437, 1254, 36, 70, "Text",
      CellTags->"257"]},
  "256"->{
    Cell[462480, 14630, 923, 27, 33, "Assumption",
      CellTags->"256"],
    Cell[866290, 27406, 966, 29, 70, "Text",
      CellTags->"256"]},
  "255"->{
    Cell[464047, 14682, 1211, 34, 33, "Assumption",
      CellTags->"255"],
    Cell[865033, 27368, 1254, 36, 70, "Text",
      CellTags->"255"]},
  "254"->{
    Cell[465902, 14741, 923, 27, 33, "Assumption",
      CellTags->"254"],
    Cell[864064, 27337, 966, 29, 70, "Text",
      CellTags->"254"]},
  "253"->{
    Cell[467469, 14793, 1494, 41, 33, "Assumption",
      CellTags->"253"],
    Cell[862524, 27292, 1537, 43, 70, "Text",
      CellTags->"253"]},
  "252"->{
    Cell[469609, 14859, 1179, 33, 33, "Assumption",
      CellTags->"252"],
    Cell[861299, 27255, 1222, 35, 70, "Text",
      CellTags->"252"]},
  "251"->{
    Cell[471434, 14917, 783, 23, 33, "Assumption",
      CellTags->"251"],
    Cell[860470, 27228, 826, 25, 70, "Text",
      CellTags->"251"]},
  "250"->{
    Cell[472861, 14965, 934, 27, 33, "Assumption",
      CellTags->"250"],
    Cell[859490, 27197, 977, 29, 70, "Text",
      CellTags->"250"]},
  "249"->{
    Cell[474439, 15017, 702, 21, 33, "Assumption",
      CellTags->"249"],
    Cell[856710, 27116, 745, 23, 70, "Text",
      CellTags->"249"]},
  "248"->{
    Cell[475785, 15063, 892, 26, 33, "Assumption",
      CellTags->"248"],
    Cell[855772, 27086, 935, 28, 70, "Text",
      CellTags->"248"]},
  "247"->{
    Cell[477321, 15114, 664, 20, 33, "Assumption",
      CellTags->"247"],
    Cell[855062, 27062, 707, 22, 70, "Text",
      CellTags->"247"]},
  "246"->{
    Cell[478671, 15159, 1884, 50, 38, "Assumption",
      CellTags->"246"],
    Cell[853132, 27008, 1927, 52, 70, "Text",
      CellTags->"246"]},
  "245"->{
    Cell[481223, 15234, 766, 22, 33, "Assumption",
      CellTags->"245"],
    Cell[852320, 26982, 809, 24, 70, "Text",
      CellTags->"245"]},
  "244"->{
    Cell[482679, 15281, 1540, 42, 38, "Assumption",
      CellTags->"244"],
    Cell[850734, 26936, 1583, 44, 70, "Text",
      CellTags->"244"]},
  "243"->{
    Cell[484909, 15348, 1466, 42, 38, "Assumption",
      CellTags->"243"],
    Cell[849227, 26891, 1504, 43, 70, "Text",
      CellTags->"243"]},
  "242"->{
    Cell[487081, 15415, 548, 16, 33, "Assumption",
      CellTags->"242"],
    Cell[848633, 26871, 591, 18, 70, "Text",
      CellTags->"242"]},
  "241"->{
    Cell[488319, 15456, 1014, 29, 33, "Assumption",
      CellTags->"241"],
    Cell[847573, 26838, 1057, 31, 70, "Text",
      CellTags->"241"]},
  "240"->{
    Cell[490033, 15510, 1732, 48, 38, "Assumption",
      CellTags->"240"],
    Cell[845800, 26787, 1770, 49, 70, "Text",
      CellTags->"240"]},
  "239"->{
    Cell[492409, 15583, 1211, 34, 33, "Assumption",
      CellTags->"239"],
    Cell[843532, 26717, 1254, 36, 70, "Text",
      CellTags->"239"]},
  "238"->{
    Cell[494264, 15642, 923, 27, 33, "Assumption",
      CellTags->"238"],
    Cell[842563, 26686, 966, 29, 70, "Text",
      CellTags->"238"]},
  "237"->{
    Cell[495831, 15694, 1211, 34, 33, "Assumption",
      CellTags->"237"],
    Cell[841306, 26648, 1254, 36, 70, "Text",
      CellTags->"237"]},
  "236"->{
    Cell[497686, 15753, 923, 27, 33, "Assumption",
      CellTags->"236"],
    Cell[840337, 26617, 966, 29, 70, "Text",
      CellTags->"236"]},
  "235"->{
    Cell[499253, 15805, 1494, 41, 33, "Assumption",
      CellTags->"235"],
    Cell[838797, 26572, 1537, 43, 70, "Text",
      CellTags->"235"]},
  "234"->{
    Cell[501393, 15871, 1179, 33, 33, "Assumption",
      CellTags->"234"],
    Cell[837572, 26535, 1222, 35, 70, "Text",
      CellTags->"234"]},
  "233"->{
    Cell[503218, 15929, 783, 23, 33, "Assumption",
      CellTags->"233"],
    Cell[836743, 26508, 826, 25, 70, "Text",
      CellTags->"233"]},
  "232"->{
    Cell[504645, 15977, 934, 27, 33, "Assumption",
      CellTags->"232"],
    Cell[835763, 26477, 977, 29, 70, "Text",
      CellTags->"232"]},
  "231"->{
    Cell[506223, 16029, 702, 21, 33, "Assumption",
      CellTags->"231"],
    Cell[835015, 26452, 745, 23, 70, "Text",
      CellTags->"231"]},
  "230"->{
    Cell[507569, 16075, 892, 26, 33, "Assumption",
      CellTags->"230"],
    Cell[834077, 26422, 935, 28, 70, "Text",
      CellTags->"230"]},
  "229"->{
    Cell[509105, 16126, 664, 20, 33, "Assumption",
      CellTags->"229"],
    Cell[832024, 26358, 707, 22, 70, "Text",
      CellTags->"229"]},
  "228"->{
    Cell[510455, 16171, 1884, 50, 38, "Assumption",
      CellTags->"228"],
    Cell[830094, 26304, 1927, 52, 70, "Text",
      CellTags->"228"]},
  "227"->{
    Cell[513007, 16246, 766, 22, 33, "Assumption",
      CellTags->"227"],
    Cell[829282, 26278, 809, 24, 70, "Text",
      CellTags->"227"]},
  "226"->{
    Cell[514463, 16293, 1540, 42, 38, "Assumption",
      CellTags->"226"],
    Cell[827696, 26232, 1583, 44, 70, "Text",
      CellTags->"226"]},
  "225"->{
    Cell[516693, 16360, 1466, 42, 38, "Assumption",
      CellTags->"225"],
    Cell[826189, 26187, 1504, 43, 70, "Text",
      CellTags->"225"]},
  "224"->{
    Cell[518865, 16427, 548, 16, 33, "Assumption",
      CellTags->"224"],
    Cell[825595, 26167, 591, 18, 70, "Text",
      CellTags->"224"]},
  "223"->{
    Cell[520057, 16468, 732, 22, 33, "Assumption",
      CellTags->"223"],
    Cell[824817, 26141, 775, 24, 70, "Text",
      CellTags->"223"]},
  "222"->{
    Cell[521479, 16515, 932, 27, 33, "Assumption",
      CellTags->"222"],
    Cell[823839, 26110, 975, 29, 70, "Text",
      CellTags->"222"]},
  "221"->{
    Cell[523111, 16567, 1635, 46, 38, "Assumption",
      CellTags->"221"],
    Cell[822163, 26061, 1673, 47, 70, "Text",
      CellTags->"221"]},
  "220"->{
    Cell[525410, 16638, 1286, 35, 33, "Assumption",
      CellTags->"220"],
    Cell[820831, 26022, 1329, 37, 70, "Text",
      CellTags->"220"]},
  "219"->{
    Cell[527382, 16698, 1926, 52, 38, "Assumption",
      CellTags->"219"],
    Cell[817848, 25934, 1969, 54, 70, "Text",
      CellTags->"219"]},
  "218"->{
    Cell[529950, 16775, 1211, 34, 33, "Assumption",
      CellTags->"218"],
    Cell[816591, 25896, 1254, 36, 70, "Text",
      CellTags->"218"]},
  "217"->{
    Cell[531803, 16834, 923, 27, 33, "Assumption",
      CellTags->"217"],
    Cell[815622, 25865, 966, 29, 70, "Text",
      CellTags->"217"]},
  "216"->{
    Cell[533368, 16886, 1211, 34, 33, "Assumption",
      CellTags->"216"],
    Cell[814365, 25827, 1254, 36, 70, "Text",
      CellTags->"216"]},
  "215"->{
    Cell[535221, 16945, 923, 27, 33, "Assumption",
      CellTags->"215"],
    Cell[813396, 25796, 966, 29, 70, "Text",
      CellTags->"215"]},
  "214"->{
    Cell[536786, 16997, 1494, 41, 33, "Assumption",
      CellTags->"214"],
    Cell[811856, 25751, 1537, 43, 70, "Text",
      CellTags->"214"]},
  "213"->{
    Cell[538924, 17063, 1179, 33, 33, "Assumption",
      CellTags->"213"],
    Cell[810631, 25714, 1222, 35, 70, "Text",
      CellTags->"213"]},
  "212"->{
    Cell[540747, 17121, 783, 23, 33, "Assumption",
      CellTags->"212"],
    Cell[809802, 25687, 826, 25, 70, "Text",
      CellTags->"212"]},
  "211"->{
    Cell[542172, 17169, 1211, 34, 33, "Assumption",
      CellTags->"211"],
    Cell[808545, 25649, 1254, 36, 70, "Text",
      CellTags->"211"]},
  "210"->{
    Cell[544025, 17228, 923, 27, 33, "Assumption",
      CellTags->"210"],
    Cell[807576, 25618, 966, 29, 70, "Text",
      CellTags->"210"]},
  "209"->{
    Cell[545590, 17280, 1211, 34, 33, "Assumption",
      CellTags->"209"],
    Cell[804976, 25540, 1254, 36, 70, "Text",
      CellTags->"209"]},
  "208"->{
    Cell[547443, 17339, 923, 27, 33, "Assumption",
      CellTags->"208"],
    Cell[804007, 25509, 966, 29, 70, "Text",
      CellTags->"208"]},
  "207"->{
    Cell[549008, 17391, 1494, 41, 33, "Assumption",
      CellTags->"207"],
    Cell[802467, 25464, 1537, 43, 70, "Text",
      CellTags->"207"]},
  "206"->{
    Cell[551146, 17457, 1179, 33, 33, "Assumption",
      CellTags->"206"],
    Cell[801242, 25427, 1222, 35, 70, "Text",
      CellTags->"206"]},
  "205"->{
    Cell[552969, 17515, 783, 23, 33, "Assumption",
      CellTags->"205"],
    Cell[800413, 25400, 826, 25, 70, "Text",
      CellTags->"205"]},
  "204"->{
    Cell[554390, 17563, 1490, 41, 33, "Assumption",
      CellTags->"204"],
    Cell[798877, 25355, 1533, 43, 70, "Text",
      CellTags->"204"]},
  "203"->{
    Cell[556518, 17629, 1069, 31, 33, "Assumption",
      CellTags->"203"],
    Cell[797762, 25320, 1112, 33, 70, "Text",
      CellTags->"203"]},
  "202"->{
    Cell[558225, 17685, 1490, 41, 33, "Assumption",
      CellTags->"202"],
    Cell[796226, 25275, 1533, 43, 70, "Text",
      CellTags->"202"]},
  "201"->{
    Cell[560353, 17751, 1069, 31, 33, "Assumption",
      CellTags->"201"],
    Cell[795111, 25240, 1112, 33, 70, "Text",
      CellTags->"201"]},
  "200"->{
    Cell[562060, 17807, 1773, 48, 33, "Assumption",
      CellTags->"200"],
    Cell[793292, 25188, 1816, 50, 70, "Text",
      CellTags->"200"]},
  "199"->{
    Cell[564473, 17880, 1325, 37, 33, "Assumption",
      CellTags->"199"],
    Cell[788146, 25037, 1368, 39, 70, "Text",
      CellTags->"199"]},
  "198"->{
    Cell[566438, 17942, 908, 26, 33, "Assumption",
      CellTags->"198"],
    Cell[787192, 25007, 951, 28, 70, "Text",
      CellTags->"198"]},
  "197"->{
    Cell[567984, 17993, 1490, 41, 33, "Assumption",
      CellTags->"197"],
    Cell[785656, 24962, 1533, 43, 70, "Text",
      CellTags->"197"]},
  "196"->{
    Cell[570112, 18059, 1069, 31, 33, "Assumption",
      CellTags->"196"],
    Cell[784541, 24927, 1112, 33, 70, "Text",
      CellTags->"196"]},
  "195"->{
    Cell[571819, 18115, 1490, 41, 33, "Assumption",
      CellTags->"195"],
    Cell[783005, 24882, 1533, 43, 70, "Text",
      CellTags->"195"]},
  "194"->{
    Cell[573947, 18181, 1069, 31, 33, "Assumption",
      CellTags->"194"],
    Cell[781890, 24847, 1112, 33, 70, "Text",
      CellTags->"194"]},
  "193"->{
    Cell[575654, 18237, 1773, 48, 33, "Assumption",
      CellTags->"193"],
    Cell[780071, 24795, 1816, 50, 70, "Text",
      CellTags->"193"]},
  "192"->{
    Cell[578067, 18310, 1325, 37, 33, "Assumption",
      CellTags->"192"],
    Cell[778700, 24754, 1368, 39, 70, "Text",
      CellTags->"192"]},
  "191"->{
    Cell[580032, 18372, 908, 26, 33, "Assumption",
      CellTags->"191"],
    Cell[777746, 24724, 951, 28, 70, "Text",
      CellTags->"191"]},
  "190"->{
    Cell[581576, 18423, 732, 22, 33, "Assumption",
      CellTags->"190"],
    Cell[776968, 24698, 775, 24, 70, "Text",
      CellTags->"190"]},
  "189"->{
    Cell[582946, 18470, 1299, 36, 33, "Assumption",
      CellTags->"189"],
    Cell[774523, 24624, 1342, 38, 70, "Text",
      CellTags->"189"]},
  "188"->{
    Cell[584883, 18531, 967, 28, 33, "Assumption",
      CellTags->"188"],
    Cell[773510, 24592, 1010, 30, 70, "Text",
      CellTags->"188"]},
  "187"->{
    Cell[586488, 18584, 1299, 36, 33, "Assumption",
      CellTags->"187"],
    Cell[772165, 24552, 1342, 38, 70, "Text",
      CellTags->"187"]},
  "186"->{
    Cell[588425, 18645, 967, 28, 33, "Assumption",
      CellTags->"186"],
    Cell[771152, 24520, 1010, 30, 70, "Text",
      CellTags->"186"]},
  "185"->{
    Cell[590030, 18698, 1582, 43, 33, "Assumption",
      CellTags->"185"],
    Cell[769524, 24473, 1625, 45, 70, "Text",
      CellTags->"185"]},
  "184"->{
    Cell[592252, 18766, 1223, 34, 33, "Assumption",
      CellTags->"184"],
    Cell[768255, 24435, 1266, 36, 70, "Text",
      CellTags->"184"]},
  "183"->{
    Cell[594115, 18825, 823, 24, 33, "Assumption",
      CellTags->"183"],
    Cell[767386, 24407, 866, 26, 70, "Text",
      CellTags->"183"]},
  "182"->{
    Cell[595576, 18874, 1299, 36, 33, "Assumption",
      CellTags->"182"],
    Cell[766041, 24367, 1342, 38, 70, "Text",
      CellTags->"182"]},
  "181"->{
    Cell[597513, 18935, 967, 28, 33, "Assumption",
      CellTags->"181"],
    Cell[765028, 24335, 1010, 30, 70, "Text",
      CellTags->"181"]},
  "180"->{
    Cell[599118, 18988, 1299, 36, 33, "Assumption",
      CellTags->"180"],
    Cell[763683, 24295, 1342, 38, 70, "Text",
      CellTags->"180"]},
  "179"->{
    Cell[601055, 19049, 967, 28, 33, "Assumption",
      CellTags->"179"],
    Cell[761899, 24238, 1010, 30, 70, "Text",
      CellTags->"179"]},
  "178"->{
    Cell[602660, 19102, 1582, 43, 33, "Assumption",
      CellTags->"178"],
    Cell[760271, 24191, 1625, 45, 70, "Text",
      CellTags->"178"]},
  "177"->{
    Cell[604882, 19170, 1223, 34, 33, "Assumption",
      CellTags->"177"],
    Cell[759002, 24153, 1266, 36, 70, "Text",
      CellTags->"177"]},
  "176"->{
    Cell[606745, 19229, 823, 24, 33, "Assumption",
      CellTags->"176"],
    Cell[758133, 24125, 866, 26, 70, "Text",
      CellTags->"176"]},
  "175"->{
    Cell[608212, 19278, 1211, 34, 33, "Assumption",
      CellTags->"175"],
    Cell[756876, 24087, 1254, 36, 70, "Text",
      CellTags->"175"]},
  "174"->{
    Cell[610067, 19337, 923, 27, 33, "Assumption",
      CellTags->"174"],
    Cell[755907, 24056, 966, 29, 70, "Text",
      CellTags->"174"]},
  "173"->{
    Cell[611634, 19389, 1211, 34, 33, "Assumption",
      CellTags->"173"],
    Cell[754650, 24018, 1254, 36, 70, "Text",
      CellTags->"173"]},
  "172"->{
    Cell[613489, 19448, 923, 27, 33, "Assumption",
      CellTags->"172"],
    Cell[753681, 23987, 966, 29, 70, "Text",
      CellTags->"172"]},
  "171"->{
    Cell[615056, 19500, 1494, 41, 33, "Assumption",
      CellTags->"171"],
    Cell[752141, 23942, 1537, 43, 70, "Text",
      CellTags->"171"]},
  "170"->{
    Cell[617196, 19566, 1179, 33, 33, "Assumption",
      CellTags->"170"],
    Cell[750916, 23905, 1222, 35, 70, "Text",
      CellTags->"170"]},
  "169"->{
    Cell[619021, 19624, 783, 23, 33, "Assumption",
      CellTags->"169"],
    Cell[749221, 23851, 826, 25, 70, "Text",
      CellTags->"169"]},
  "168"->{
    Cell[620448, 19672, 1211, 34, 33, "Assumption",
      CellTags->"168"],
    Cell[747964, 23813, 1254, 36, 70, "Text",
      CellTags->"168"]},
  "167"->{
    Cell[622303, 19731, 923, 27, 33, "Assumption",
      CellTags->"167"],
    Cell[746995, 23782, 966, 29, 70, "Text",
      CellTags->"167"]},
  "166"->{
    Cell[623870, 19783, 1211, 34, 33, "Assumption",
      CellTags->"166"],
    Cell[745738, 23744, 1254, 36, 70, "Text",
      CellTags->"166"]},
  "165"->{
    Cell[625725, 19842, 923, 27, 33, "Assumption",
      CellTags->"165"],
    Cell[744769, 23713, 966, 29, 70, "Text",
      CellTags->"165"]},
  "164"->{
    Cell[627292, 19894, 1494, 41, 33, "Assumption",
      CellTags->"164"],
    Cell[743229, 23668, 1537, 43, 70, "Text",
      CellTags->"164"]},
  "163"->{
    Cell[629432, 19960, 1179, 33, 33, "Assumption",
      CellTags->"163"],
    Cell[742004, 23631, 1222, 35, 70, "Text",
      CellTags->"163"]},
  "162"->{
    Cell[631257, 20018, 783, 23, 33, "Assumption",
      CellTags->"162"],
    Cell[741175, 23604, 826, 25, 70, "Text",
      CellTags->"162"]},
  "161"->{
    Cell[632678, 20066, 1265, 35, 33, "Assumption",
      CellTags->"161"],
    Cell[739864, 23565, 1308, 37, 70, "Text",
      CellTags->"161"]},
  "160"->{
    Cell[634581, 20126, 1265, 35, 33, "Assumption",
      CellTags->"160"],
    Cell[738553, 23526, 1308, 37, 70, "Text",
      CellTags->"160"]},
  "159"->{
    Cell[636484, 20186, 1563, 43, 33, "Assumption",
      CellTags->"159"],
    Cell[735858, 23446, 1606, 45, 70, "Text",
      CellTags->"159"]},
  "158"->{
    Cell[638685, 20254, 1179, 33, 33, "Assumption",
      CellTags->"158"],
    Cell[734633, 23409, 1222, 35, 70, "Text",
      CellTags->"158"]},
  "157"->{
    Cell[640502, 20312, 1179, 33, 33, "Assumption",
      CellTags->"157"],
    Cell[733408, 23372, 1222, 35, 70, "Text",
      CellTags->"157"]},
  "156"->{
    Cell[642319, 20370, 1477, 41, 33, "Assumption",
      CellTags->"156"],
    Cell[731885, 23327, 1520, 43, 70, "Text",
      CellTags->"156"]},
  "AdditionalInfo"->{
    Cell[644962, 20453, 88, 1, 53, "Section",
      CellTags->"AdditionalInfo"]},
  "148.1"->{
    Cell[719444, 22939, 557, 17, 70, "Text",
      CellTags->"148.1"]},
  "148.2"->{
    Cell[720004, 22958, 739, 23, 70, "Text",
      CellTags->"148.2"]},
  "149.1"->{
    Cell[721705, 23014, 557, 17, 70, "Text",
      CellTags->"149.1"]},
  "149.2"->{
    Cell[722265, 23033, 701, 22, 70, "Text",
      CellTags->"149.2"]},
  "3.1"->{
    Cell[947359, 29794, 753, 23, 70, "Text",
      CellTags->"3.1"]},
  "3.1.1"->{
    Cell[950188, 29884, 557, 17, 70, "Text",
      CellTags->"3.1.1"]},
  "3.1.2"->{
    Cell[951617, 29931, 557, 17, 70, "Text",
      CellTags->"3.1.2"]},
  "3.2"->{
    Cell[962474, 30260, 1137, 34, 70, "Text",
      CellTags->"3.2"]},
  "3.2.1"->{
    Cell[965590, 30357, 713, 22, 70, "Text",
      CellTags->"3.2.1"]},
  "3.2.2"->{
    Cell[966981, 30403, 671, 21, 70, "Text",
      CellTags->"3.2.2"]},
  "69.1"->{
    Cell[1027999, 32279, 555, 17, 70, "Text",
      CellTags->"69.1"]},
  "69.2"->{
    Cell[1028557, 32298, 699, 22, 70, "Text",
      CellTags->"69.2"]},
  "70.1"->{
    Cell[1031066, 32380, 555, 17, 70, "Text",
      CellTags->"70.1"]},
  "70.2"->{
    Cell[1031624, 32399, 737, 23, 70, "Text",
      CellTags->"70.2"]},
  "a contradiction"->{
    Cell[1068820, 33531, 442, 13, 70, "Text",
      CellTags->"a contradiction"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Theorem (Root Irrational)", 1087177, 34042},
  {"Definition (Rational)", 1087391, 34047},
  {"Lemma (Coprime for Two)", 1087601, 34052},
  {"Lemma (Multiply Root Equation)", 1087823, 34057},
  {"Lemma (Euclid)", 1088043, 34062},
  {"Definition (Divisible): 1", 1088242, 34067},
  {"Definition (Divisible): 2", 1088464, 34072},
  {"Lemma (Simplify by Cancelling)", 1088691, 34077},
  {"Lemma (Squares Preserve Naturals)", 1088931, 34082},
  {"1", 1089145, 34087},
  {"2", 1089292, 34092},
  {"3", 1089441, 34097},
  {"15", 1089591, 34102},
  {"14", 1089741, 34107},
  {"13", 1089893, 34112},
  {"12", 1090045, 34117},
  {"11", 1090195, 34122},
  {"10", 1090347, 34127},
  {"9", 1090497, 34132},
  {"8", 1090648, 34137},
  {"7", 1090799, 34142},
  {"6", 1090948, 34147},
  {"5", 1091099, 34152},
  {"4", 1091248, 34157},
  {"16", 1091399, 34162},
  {"17", 1091552, 34167},
  {"18", 1091703, 34172},
  {"47", 1091854, 34177},
  {"46", 1092006, 34182},
  {"45", 1092160, 34187},
  {"44", 1092312, 34192},
  {"43", 1092466, 34197},
  {"42", 1092617, 34202},
  {"41", 1092770, 34207},
  {"40", 1092921, 34212},
  {"39", 1093074, 34217},
  {"38", 1093227, 34222},
  {"37", 1093378, 34227},
  {"36", 1093531, 34232},
  {"35", 1093684, 34237},
  {"34", 1093835, 34242},
  {"33", 1093988, 34247},
  {"32", 1094140, 34252},
  {"31", 1094293, 34257},
  {"30", 1094445, 34262},
  {"29", 1094598, 34267},
  {"28", 1094749, 34272},
  {"27", 1094902, 34277},
  {"26", 1095055, 34282},
  {"25", 1095206, 34287},
  {"24", 1095359, 34292},
  {"23", 1095511, 34297},
  {"22", 1095664, 34302},
  {"21", 1095816, 34307},
  {"20", 1095969, 34312},
  {"19", 1096123, 34317},
  {"48", 1096277, 34322},
  {"49", 1096430, 34327},
  {"50", 1096583, 34332},
  {"51", 1096736, 34337},
  {"52", 1096889, 34342},
  {"53", 1097042, 34347},
  {"54", 1097197, 34352},
  {"55", 1097352, 34357},
  {"56", 1097505, 34362},
  {"57", 1097660, 34367},
  {"58", 1097813, 34372},
  {"59", 1097968, 34377},
  {"60", 1098121, 34382},
  {"61", 1098274, 34387},
  {"62", 1098427, 34392},
  {"63", 1098580, 34397},
  {"64", 1098733, 34402},
  {"65", 1098886, 34407},
  {"66", 1099040, 34412},
  {"67", 1099195, 34417},
  {"68", 1099350, 34422},
  {"69", 1099503, 34427},
  {"70", 1099656, 34432},
  {"142", 1099810, 34437},
  {"141", 1099967, 34442},
  {"140", 1100124, 34447},
  {"139", 1100281, 34452},
  {"138", 1100436, 34457},
  {"137", 1100593, 34462},
  {"136", 1100748, 34467},
  {"135", 1100905, 34472},
  {"134", 1101062, 34477},
  {"133", 1101217, 34482},
  {"132", 1101373, 34487},
  {"131", 1101530, 34492},
  {"130", 1101685, 34497},
  {"129", 1101842, 34502},
  {"128", 1101999, 34507},
  {"127", 1102156, 34512},
  {"126", 1102311, 34517},
  {"125", 1102466, 34522},
  {"124", 1102621, 34527},
  {"123", 1102776, 34532},
  {"122", 1102931, 34537},
  {"121", 1103086, 34542},
  {"120", 1103241, 34547},
  {"119", 1103396, 34552},
  {"118", 1103551, 34557},
  {"117", 1103707, 34562},
  {"116", 1103862, 34567},
  {"115", 1104019, 34572},
  {"114", 1104174, 34577},
  {"113", 1104330, 34582},
  {"112", 1104485, 34587},
  {"111", 1104642, 34592},
  {"110", 1104797, 34597},
  {"109", 1104954, 34602},
  {"108", 1105111, 34607},
  {"107", 1105268, 34612},
  {"106", 1105425, 34617},
  {"105", 1105580, 34622},
  {"104", 1105737, 34627},
  {"103", 1105892, 34632},
  {"102", 1106049, 34637},
  {"101", 1106204, 34642},
  {"100", 1106361, 34647},
  {"99", 1106517, 34652},
  {"98", 1106672, 34657},
  {"97", 1106827, 34662},
  {"96", 1106980, 34667},
  {"95", 1107135, 34672},
  {"94", 1107288, 34677},
  {"93", 1107443, 34682},
  {"92", 1107596, 34687},
  {"91", 1107751, 34692},
  {"90", 1107906, 34697},
  {"89", 1108059, 34702},
  {"88", 1108214, 34707},
  {"87", 1108367, 34712},
  {"86", 1108520, 34717},
  {"85", 1108673, 34722},
  {"84", 1108826, 34727},
  {"83", 1108981, 34732},
  {"82", 1109134, 34737},
  {"81", 1109287, 34742},
  {"80", 1109440, 34747},
  {"79", 1109595, 34752},
  {"78", 1109750, 34757},
  {"77", 1109903, 34762},
  {"76", 1110058, 34767},
  {"75", 1110211, 34772},
  {"74", 1110364, 34777},
  {"73", 1110517, 34782},
  {"72", 1110670, 34787},
  {"71", 1110825, 34792},
  {"143", 1110981, 34797},
  {"144", 1111136, 34802},
  {"145", 1111291, 34807},
  {"146", 1111448, 34812},
  {"147", 1111603, 34817},
  {"148", 1111760, 34822},
  {"149", 1111915, 34827},
  {"150", 1112070, 34832},
  {"151", 1112227, 34837},
  {"152", 1112384, 34842},
  {"153", 1112541, 34847},
  {"154", 1112698, 34852},
  {"155", 1112855, 34857},
  {"336", 1113012, 34862},
  {"335", 1113169, 34867},
  {"334", 1113325, 34872},
  {"333", 1113482, 34877},
  {"332", 1113639, 34882},
  {"331", 1113797, 34887},
  {"330", 1113955, 34892},
  {"329", 1114111, 34897},
  {"328", 1114269, 34902},
  {"327", 1114425, 34907},
  {"326", 1114582, 34912},
  {"325", 1114738, 34917},
  {"324", 1114896, 34922},
  {"323", 1115052, 34927},
  {"322", 1115210, 34932},
  {"321", 1115368, 34937},
  {"320", 1115524, 34942},
  {"319", 1115680, 34947},
  {"318", 1115838, 34952},
  {"317", 1115996, 34957},
  {"316", 1116154, 34962},
  {"315", 1116311, 34967},
  {"314", 1116469, 34972},
  {"313", 1116626, 34977},
  {"312", 1116784, 34982},
  {"311", 1116942, 34987},
  {"310", 1117098, 34992},
  {"309", 1117256, 34997},
  {"308", 1117412, 35002},
  {"307", 1117569, 35007},
  {"306", 1117725, 35012},
  {"305", 1117883, 35017},
  {"304", 1118039, 35022},
  {"303", 1118197, 35027},
  {"302", 1118355, 35032},
  {"301", 1118511, 35037},
  {"300", 1118667, 35042},
  {"299", 1118823, 35047},
  {"298", 1118981, 35052},
  {"297", 1119139, 35057},
  {"296", 1119297, 35062},
  {"295", 1119455, 35067},
  {"294", 1119613, 35072},
  {"293", 1119771, 35077},
  {"292", 1119929, 35082},
  {"291", 1120087, 35087},
  {"290", 1120245, 35092},
  {"289", 1120401, 35097},
  {"288", 1120559, 35102},
  {"287", 1120715, 35107},
  {"286", 1120873, 35112},
  {"285", 1121031, 35117},
  {"284", 1121189, 35122},
  {"283", 1121347, 35127},
  {"282", 1121503, 35132},
  {"281", 1121659, 35137},
  {"280", 1121815, 35142},
  {"279", 1121973, 35147},
  {"278", 1122131, 35152},
  {"277", 1122289, 35157},
  {"276", 1122447, 35162},
  {"275", 1122605, 35167},
  {"274", 1122763, 35172},
  {"273", 1122921, 35177},
  {"272", 1123079, 35182},
  {"271", 1123237, 35187},
  {"270", 1123393, 35192},
  {"269", 1123551, 35197},
  {"268", 1123707, 35202},
  {"267", 1123865, 35207},
  {"266", 1124023, 35212},
  {"265", 1124181, 35217},
  {"264", 1124339, 35222},
  {"263", 1124495, 35227},
  {"262", 1124651, 35232},
  {"261", 1124807, 35237},
  {"260", 1124965, 35242},
  {"259", 1125121, 35247},
  {"258", 1125277, 35252},
  {"257", 1125435, 35257},
  {"256", 1125593, 35262},
  {"255", 1125749, 35267},
  {"254", 1125907, 35272},
  {"253", 1126063, 35277},
  {"252", 1126221, 35282},
  {"251", 1126379, 35287},
  {"250", 1126535, 35292},
  {"249", 1126691, 35297},
  {"248", 1126847, 35302},
  {"247", 1127003, 35307},
  {"246", 1127159, 35312},
  {"245", 1127317, 35317},
  {"244", 1127473, 35322},
  {"243", 1127631, 35327},
  {"242", 1127789, 35332},
  {"241", 1127945, 35337},
  {"240", 1128103, 35342},
  {"239", 1128261, 35347},
  {"238", 1128419, 35352},
  {"237", 1128575, 35357},
  {"236", 1128733, 35362},
  {"235", 1128889, 35367},
  {"234", 1129047, 35372},
  {"233", 1129205, 35377},
  {"232", 1129361, 35382},
  {"231", 1129517, 35387},
  {"230", 1129673, 35392},
  {"229", 1129829, 35397},
  {"228", 1129985, 35402},
  {"227", 1130143, 35407},
  {"226", 1130299, 35412},
  {"225", 1130457, 35417},
  {"224", 1130615, 35422},
  {"223", 1130771, 35427},
  {"222", 1130927, 35432},
  {"221", 1131083, 35437},
  {"220", 1131241, 35442},
  {"219", 1131399, 35447},
  {"218", 1131557, 35452},
  {"217", 1131715, 35457},
  {"216", 1131871, 35462},
  {"215", 1132029, 35467},
  {"214", 1132185, 35472},
  {"213", 1132343, 35477},
  {"212", 1132501, 35482},
  {"211", 1132657, 35487},
  {"210", 1132815, 35492},
  {"209", 1132971, 35497},
  {"208", 1133129, 35502},
  {"207", 1133285, 35507},
  {"206", 1133443, 35512},
  {"205", 1133601, 35517},
  {"204", 1133757, 35522},
  {"203", 1133915, 35527},
  {"202", 1134073, 35532},
  {"201", 1134231, 35537},
  {"200", 1134389, 35542},
  {"199", 1134547, 35547},
  {"198", 1134705, 35552},
  {"197", 1134861, 35557},
  {"196", 1135019, 35562},
  {"195", 1135177, 35567},
  {"194", 1135335, 35572},
  {"193", 1135493, 35577},
  {"192", 1135651, 35582},
  {"191", 1135809, 35587},
  {"190", 1135965, 35592},
  {"189", 1136121, 35597},
  {"188", 1136279, 35602},
  {"187", 1136436, 35607},
  {"186", 1136594, 35612},
  {"185", 1136751, 35617},
  {"184", 1136909, 35622},
  {"183", 1137067, 35627},
  {"182", 1137223, 35632},
  {"181", 1137381, 35637},
  {"180", 1137538, 35642},
  {"179", 1137696, 35647},
  {"178", 1137853, 35652},
  {"177", 1138011, 35657},
  {"176", 1138169, 35662},
  {"175", 1138325, 35667},
  {"174", 1138483, 35672},
  {"173", 1138639, 35677},
  {"172", 1138797, 35682},
  {"171", 1138953, 35687},
  {"170", 1139111, 35692},
  {"169", 1139269, 35697},
  {"168", 1139425, 35702},
  {"167", 1139583, 35707},
  {"166", 1139739, 35712},
  {"165", 1139897, 35717},
  {"164", 1140053, 35722},
  {"163", 1140211, 35727},
  {"162", 1140369, 35732},
  {"161", 1140525, 35737},
  {"160", 1140683, 35742},
  {"159", 1140841, 35747},
  {"158", 1140999, 35752},
  {"157", 1141157, 35757},
  {"156", 1141315, 35762},
  {"AdditionalInfo", 1141484, 35767},
  {"148.1", 1141579, 35770},
  {"148.2", 1141664, 35773},
  {"149.1", 1141749, 35776},
  {"149.2", 1141834, 35779},
  {"3.1", 1141917, 35782},
  {"3.1.1", 1142000, 35785},
  {"3.1.2", 1142085, 35788},
  {"3.2", 1142168, 35791},
  {"3.2.1", 1142252, 35794},
  {"3.2.2", 1142337, 35797},
  {"69.1", 1142421, 35800},
  {"69.2", 1142505, 35803},
  {"70.1", 1142589, 35806},
  {"70.2", 1142673, 35809},
  {"a contradiction", 1142768, 35812}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 93, 1, 32, "ProofText"],
Cell[1872, 56, 415, 11, 32, "Conclusion",
  CellTags->"Theorem (Root Irrational)"],

Cell[CellGroupData[{
Cell[2312, 71, 109, 1, 32, "ProofText"],
Cell[2424, 74, 3110, 77, 39, "Assumption",
  CellTags->"Definition (Rational)"],
Cell[5537, 153, 2261, 60, 38, "Assumption",
  CellTags->"Lemma (Coprime for Two)"],
Cell[7801, 215, 1713, 48, 38, "Assumption",
  CellTags->"Lemma (Multiply Root Equation)"],
Cell[9517, 265, 1346, 37, 37, "Assumption",
  CellTags->"Lemma (Euclid)"],
Cell[10866, 304, 1921, 52, 38, "Assumption",
  CellTags->"Definition (Divisible): 1"],
Cell[12790, 358, 2230, 57, 37, "Assumption",
  CellTags->"Definition (Divisible): 2"],
Cell[15023, 417, 2411, 66, 38, "Assumption",
  CellTags->"Lemma (Simplify by Cancelling)"],
Cell[17437, 485, 1078, 30, 37, "Assumption",
  CellTags->"Lemma (Squares Preserve Naturals)"]
}, Open  ]],
Cell[18530, 518, 433, 12, 32, "ProofText"],
Cell[18966, 532, 104, 1, 32, "ProofText"],
Cell[19073, 535, 374, 11, 32, "Assumption",
  CellTags->"1"],
Cell[19450, 548, 296, 8, 32, "ProofText"],
Cell[19749, 558, 668, 21, 32, "ProofText"],
Cell[20420, 581, 2149, 59, 38, "Assumption",
  CellTags->"2"],
Cell[22572, 642, 403, 12, 32, "ProofText"],
Cell[22978, 656, 1660, 46, 38, "Assumption",
  CellTags->"3"],
Cell[24641, 704, 700, 21, 24, "ProofText"],
Cell[25344, 727, 546, 16, 24, "Assumption",
  CellTags->"15"],
Cell[25893, 745, 684, 21, 24, "ProofText"],
Cell[26580, 768, 1464, 42, 30, "Assumption",
  CellTags->"14"],
Cell[28047, 812, 684, 21, 24, "ProofText"],
Cell[28734, 835, 1538, 42, 38, "Assumption",
  CellTags->"13"],
Cell[30275, 879, 662, 21, 33, "ProofText"],
Cell[30940, 902, 764, 22, 33, "Assumption",
  CellTags->"12"],
Cell[31707, 926, 680, 21, 33, "ProofText"],
Cell[32390, 949, 1882, 50, 38, "Assumption",
  CellTags->"11"],
Cell[34275, 1001, 700, 21, 33, "ProofText"],
Cell[34978, 1024, 546, 16, 33, "Assumption",
  CellTags->"10"],
Cell[35527, 1042, 684, 21, 33, "ProofText"],
Cell[36214, 1065, 1462, 42, 38, "Assumption",
  CellTags->"9"],
Cell[37679, 1109, 684, 21, 33, "ProofText"],
Cell[38366, 1132, 1536, 42, 38, "Assumption",
  CellTags->"8"],
Cell[39905, 1176, 662, 21, 33, "ProofText"],
Cell[40570, 1199, 762, 22, 33, "Assumption",
  CellTags->"7"],
Cell[41335, 1223, 680, 21, 33, "ProofText"],
Cell[42018, 1246, 1880, 50, 38, "Assumption",
  CellTags->"6"],
Cell[43901, 1298, 694, 21, 33, "ProofText"],
Cell[44598, 1321, 728, 22, 33, "Assumption",
  CellTags->"5"],
Cell[45329, 1345, 680, 21, 33, "ProofText"],
Cell[46012, 1368, 1250, 35, 33, "Assumption",
  CellTags->"4"],
Cell[47265, 1405, 636, 21, 33, "ProofText"],
Cell[47904, 1428, 1040, 29, 33, "Assumption",
  CellTags->"16"],
Cell[48947, 1459, 638, 21, 33, "ProofText"],
Cell[49588, 1482, 820, 23, 33, "Assumption",
  CellTags->"17"],
Cell[50411, 1507, 385, 12, 33, "ProofText"],
Cell[50799, 1521, 725, 21, 33, "Assumption",
  CellTags->"18"],
Cell[51527, 1544, 638, 21, 33, "ProofText"],
Cell[52168, 1567, 921, 27, 33, "Assumption",
  CellTags->"47"],
Cell[53092, 1596, 638, 21, 33, "ProofText"],
Cell[53733, 1619, 1209, 34, 33, "Assumption",
  CellTags->"46"],
Cell[54945, 1655, 636, 21, 33, "ProofText"],
Cell[55584, 1678, 921, 27, 33, "Assumption",
  CellTags->"45"],
Cell[56508, 1707, 636, 21, 33, "ProofText"],
Cell[57147, 1730, 1209, 34, 33, "Assumption",
  CellTags->"44"],
Cell[58359, 1766, 638, 21, 33, "ProofText"],
Cell[59000, 1789, 921, 27, 33, "Assumption",
  CellTags->"43"],
Cell[59924, 1818, 638, 21, 33, "ProofText"],
Cell[60565, 1841, 1209, 34, 33, "Assumption",
  CellTags->"42"],
Cell[61777, 1877, 636, 21, 33, "ProofText"],
Cell[62416, 1900, 921, 27, 33, "Assumption",
  CellTags->"41"],
Cell[63340, 1929, 636, 21, 33, "ProofText"],
Cell[63979, 1952, 1209, 34, 33, "Assumption",
  CellTags->"40"],
Cell[65191, 1988, 638, 21, 33, "ProofText"],
Cell[65832, 2011, 1040, 29, 33, "Assumption",
  CellTags->"39"],
Cell[66875, 2042, 694, 21, 33, "ProofText"],
Cell[67572, 2065, 627, 18, 33, "Assumption",
  CellTags->"38"],
Cell[68202, 2085, 678, 21, 33, "ProofText"],
Cell[68883, 2108, 1552, 44, 38, "Assumption",
  CellTags->"37"],
Cell[70438, 2154, 678, 21, 33, "ProofText"],
Cell[71119, 2177, 1641, 45, 38, "Assumption",
  CellTags->"36"],
Cell[72763, 2224, 656, 21, 33, "ProofText"],
Cell[73422, 2247, 889, 25, 33, "Assumption",
  CellTags->"35"],
Cell[74314, 2274, 674, 21, 33, "ProofText"],
Cell[74991, 2297, 1986, 52, 38, "Assumption",
  CellTags->"34"],
Cell[76980, 2351, 632, 21, 33, "ProofText"],
Cell[77615, 2374, 965, 28, 33, "Assumption",
  CellTags->"33"],
Cell[78583, 2404, 632, 21, 33, "ProofText"],
Cell[79218, 2427, 1297, 36, 33, "Assumption",
  CellTags->"32"],
Cell[80518, 2465, 630, 21, 33, "ProofText"],
Cell[81151, 2488, 965, 28, 33, "Assumption",
  CellTags->"31"],
Cell[82119, 2518, 630, 21, 33, "ProofText"],
Cell[82752, 2541, 1297, 36, 33, "Assumption",
  CellTags->"30"],
Cell[84052, 2579, 694, 21, 33, "ProofText"],
Cell[84749, 2602, 627, 18, 33, "Assumption",
  CellTags->"29"],
Cell[85379, 2622, 678, 21, 33, "ProofText"],
Cell[86060, 2645, 1552, 44, 38, "Assumption",
  CellTags->"28"],
Cell[87615, 2691, 678, 21, 33, "ProofText"],
Cell[88296, 2714, 1641, 45, 38, "Assumption",
  CellTags->"27"],
Cell[89940, 2761, 656, 21, 33, "ProofText"],
Cell[90599, 2784, 889, 25, 33, "Assumption",
  CellTags->"26"],
Cell[91491, 2811, 674, 21, 33, "ProofText"],
Cell[92168, 2834, 1986, 52, 38, "Assumption",
  CellTags->"25"],
Cell[94157, 2888, 632, 21, 33, "ProofText"],
Cell[94792, 2911, 965, 28, 33, "Assumption",
  CellTags->"24"],
Cell[95760, 2941, 632, 21, 33, "ProofText"],
Cell[96395, 2964, 1297, 36, 33, "Assumption",
  CellTags->"23"],
Cell[97695, 3002, 630, 21, 33, "ProofText"],
Cell[98328, 3025, 965, 28, 33, "Assumption",
  CellTags->"22"],
Cell[99296, 3055, 630, 21, 33, "ProofText"],
Cell[99929, 3078, 1297, 36, 33, "Assumption",
  CellTags->"21"],
Cell[101229, 3116, 686, 21, 33, "ProofText"],
Cell[101918, 3139, 1539, 44, 38, "Assumption",
  CellTags->"20"],
Cell[103460, 3185, 676, 21, 33, "ProofText"],
Cell[104139, 3208, 1054, 30, 33, "Assumption",
  CellTags->"19"],
Cell[105196, 3240, 652, 21, 33, "ProofText"],
Cell[105851, 3263, 820, 23, 33, "Assumption",
  CellTags->"48"],
Cell[106674, 3288, 648, 21, 33, "ProofText"],
Cell[107325, 3311, 385, 12, 33, "ProofText"],
Cell[107713, 3325, 725, 21, 33, "Assumption",
  CellTags->"49"],
Cell[108441, 3348, 649, 21, 33, "ProofText"],
Cell[109093, 3371, 632, 21, 33, "ProofText"],
Cell[109728, 3394, 798, 23, 33, "Assumption",
  CellTags->"50"],
Cell[110529, 3419, 632, 21, 33, "ProofText"],
Cell[111164, 3442, 552, 16, 33, "Assumption",
  CellTags->"51"],
Cell[111719, 3460, 630, 21, 33, "ProofText"],
Cell[112352, 3483, 514, 15, 33, "Assumption",
  CellTags->"52"],
Cell[112869, 3500, 630, 21, 33, "ProofText"],
Cell[113502, 3523, 1209, 35, 38, "Assumption",
  CellTags->"53"],
Cell[114714, 3560, 630, 21, 33, "ProofText"],
Cell[115347, 3583, 1494, 41, 38, "Assumption",
  CellTags->"54"],
Cell[116844, 3626, 632, 21, 33, "ProofText"],
Cell[117479, 3649, 517, 15, 33, "Assumption",
  CellTags->"55"],
Cell[117999, 3666, 632, 21, 33, "ProofText"],
Cell[118634, 3689, 1170, 34, 38, "Assumption",
  CellTags->"56"],
Cell[119807, 3725, 632, 21, 33, "ProofText"],
Cell[120442, 3748, 555, 16, 33, "Assumption",
  CellTags->"57"],
Cell[121000, 3766, 632, 21, 33, "ProofText"],
Cell[121635, 3789, 1214, 35, 38, "Assumption",
  CellTags->"58"],
Cell[122852, 3826, 632, 21, 33, "ProofText"],
Cell[123487, 3849, 636, 18, 33, "Assumption",
  CellTags->"59"],
Cell[124126, 3869, 632, 21, 33, "ProofText"],
Cell[124761, 3892, 662, 20, 33, "Assumption",
  CellTags->"60"],
Cell[125426, 3914, 632, 21, 33, "ProofText"],
Cell[126061, 3937, 662, 20, 33, "Assumption",
  CellTags->"61"],
Cell[126726, 3959, 632, 21, 33, "ProofText"],
Cell[127361, 3982, 702, 21, 33, "Assumption",
  CellTags->"62"],
Cell[128066, 4005, 632, 21, 33, "ProofText"],
Cell[128701, 4028, 702, 21, 33, "Assumption",
  CellTags->"63"],
Cell[129406, 4051, 632, 21, 33, "ProofText"],
Cell[130041, 4074, 714, 21, 33, "Assumption",
  CellTags->"64"],
Cell[130758, 4097, 632, 21, 33, "ProofText"],
Cell[131393, 4120, 972, 28, 33, "Assumption",
  CellTags->"65"],
Cell[132368, 4150, 632, 21, 33, "ProofText"],
Cell[133003, 4173, 1255, 36, 38, "Assumption",
  CellTags->"66"],
Cell[134261, 4211, 632, 21, 33, "ProofText"],
Cell[134896, 4234, 1544, 42, 38, "Assumption",
  CellTags->"67"],
Cell[136443, 4278, 632, 21, 33, "ProofText"],
Cell[137078, 4301, 756, 22, 33, "Assumption",
  CellTags->"68"],
Cell[137837, 4325, 405, 12, 33, "ProofText"],
Cell[138245, 4339, 911, 27, 33, "Assumption",
  CellTags->"69"],
Cell[139159, 4368, 405, 12, 33, "ProofText"],
Cell[139567, 4382, 953, 28, 33, "Assumption",
  CellTags->"70"],
Cell[140523, 4412, 678, 21, 33, "ProofText"],
Cell[141204, 4435, 1703, 47, 38, "Assumption",
  CellTags->"142"],
Cell[142910, 4484, 656, 21, 33, "ProofText"],
Cell[143569, 4507, 1071, 30, 33, "Assumption",
  CellTags->"141"],
Cell[144643, 4539, 678, 21, 33, "ProofText"],
Cell[145324, 4562, 1498, 42, 38, "Assumption",
  CellTags->"140"],
Cell[146825, 4606, 656, 21, 33, "ProofText"],
Cell[147484, 4629, 888, 25, 33, "Assumption",
  CellTags->"139"],
Cell[148375, 4656, 678, 21, 33, "ProofText"],
Cell[149056, 4679, 1408, 40, 38, "Assumption",
  CellTags->"138"],
Cell[150467, 4721, 656, 21, 33, "ProofText"],
Cell[151126, 4744, 763, 22, 33, "Assumption",
  CellTags->"137"],
Cell[151892, 4768, 678, 21, 33, "ProofText"],
Cell[152573, 4791, 1460, 42, 38, "Assumption",
  CellTags->"136"],
Cell[154036, 4835, 674, 21, 33, "ProofText"],
Cell[154713, 4858, 1732, 47, 38, "Assumption",
  CellTags->"135"],
Cell[156448, 4907, 632, 21, 33, "ProofText"],
Cell[157083, 4930, 932, 27, 33, "Assumption",
  CellTags->"134"],
Cell[158018, 4959, 632, 21, 33, "ProofText"],
Cell[158653, 4982, 976, 28, 33, "Assumption",
  CellTags->"133"],
Cell[159632, 5012, 678, 21, 33, "ProofText"],
Cell[160313, 5035, 1548, 44, 38, "Assumption",
  CellTags->"132"],
Cell[161864, 5081, 656, 21, 33, "ProofText"],
Cell[162523, 5104, 720, 21, 33, "Assumption",
  CellTags->"131"],
Cell[163246, 5127, 674, 21, 33, "ProofText"],
Cell[163923, 5150, 1828, 49, 38, "Assumption",
  CellTags->"130"],
Cell[165754, 5201, 632, 21, 33, "ProofText"],
Cell[166389, 5224, 1016, 29, 33, "Assumption",
  CellTags->"129"],
Cell[167408, 5255, 632, 21, 33, "ProofText"],
Cell[168043, 5278, 1060, 30, 33, "Assumption",
  CellTags->"128"],
Cell[169106, 5310, 638, 21, 33, "ProofText"],
Cell[169747, 5333, 664, 20, 33, "Assumption",
  CellTags->"127"],
Cell[170414, 5355, 638, 21, 33, "ProofText"],
Cell[171055, 5378, 892, 26, 33, "Assumption",
  CellTags->"126"],
Cell[171950, 5406, 638, 21, 33, "ProofText"],
Cell[172591, 5429, 702, 21, 33, "Assumption",
  CellTags->"125"],
Cell[173296, 5452, 638, 21, 33, "ProofText"],
Cell[173937, 5475, 934, 27, 33, "Assumption",
  CellTags->"124"],
Cell[174874, 5504, 638, 21, 33, "ProofText"],
Cell[175515, 5527, 664, 20, 33, "Assumption",
  CellTags->"123"],
Cell[176182, 5549, 638, 21, 33, "ProofText"],
Cell[176823, 5572, 892, 26, 33, "Assumption",
  CellTags->"122"],
Cell[177718, 5600, 638, 21, 33, "ProofText"],
Cell[178359, 5623, 702, 21, 33, "Assumption",
  CellTags->"121"],
Cell[179064, 5646, 638, 21, 33, "ProofText"],
Cell[179705, 5669, 934, 27, 33, "Assumption",
  CellTags->"120"],
Cell[180642, 5698, 632, 21, 33, "ProofText"],
Cell[181277, 5721, 704, 21, 33, "Assumption",
  CellTags->"119"],
Cell[181984, 5744, 632, 21, 33, "ProofText"],
Cell[182619, 5767, 974, 28, 33, "Assumption",
  CellTags->"118"],
Cell[183596, 5797, 632, 21, 33, "ProofText"],
Cell[184231, 5820, 742, 22, 33, "Assumption",
  CellTags->"117"],
Cell[184976, 5844, 632, 21, 33, "ProofText"],
Cell[185611, 5867, 1016, 29, 33, "Assumption",
  CellTags->"116"],
Cell[186630, 5898, 632, 21, 33, "ProofText"],
Cell[187265, 5921, 704, 21, 33, "Assumption",
  CellTags->"115"],
Cell[187972, 5944, 632, 21, 33, "ProofText"],
Cell[188607, 5967, 974, 28, 33, "Assumption",
  CellTags->"114"],
Cell[189584, 5997, 632, 21, 33, "ProofText"],
Cell[190219, 6020, 742, 22, 33, "Assumption",
  CellTags->"113"],
Cell[190964, 6044, 632, 21, 33, "ProofText"],
Cell[191599, 6067, 1016, 29, 33, "Assumption",
  CellTags->"112"],
Cell[192618, 6098, 694, 21, 33, "ProofText"],
Cell[193315, 6121, 723, 21, 33, "Assumption",
  CellTags->"111"],
Cell[194041, 6144, 678, 21, 33, "ProofText"],
Cell[194722, 6167, 1740, 48, 38, "Assumption",
  CellTags->"110"],
Cell[196465, 6217, 678, 21, 33, "ProofText"],
Cell[197146, 6240, 1855, 49, 38, "Assumption",
  CellTags->"109"],
Cell[199004, 6291, 656, 21, 33, "ProofText"],
Cell[199663, 6314, 1078, 30, 33, "Assumption",
  CellTags->"108"],
Cell[200744, 6346, 674, 21, 33, "ProofText"],
Cell[201421, 6369, 2246, 58, 38, "Assumption",
  CellTags->"107"],
Cell[203670, 6429, 632, 21, 33, "ProofText"],
Cell[204305, 6452, 789, 23, 33, "Assumption",
  CellTags->"106"],
Cell[205097, 6477, 632, 21, 33, "ProofText"],
Cell[205732, 6500, 1148, 32, 33, "Assumption",
  CellTags->"105"],
Cell[206883, 6534, 632, 21, 33, "ProofText"],
Cell[207518, 6557, 827, 24, 33, "Assumption",
  CellTags->"104"],
Cell[208348, 6583, 632, 21, 33, "ProofText"],
Cell[208983, 6606, 1190, 33, 33, "Assumption",
  CellTags->"103"],
Cell[210176, 6641, 694, 21, 33, "ProofText"],
Cell[210873, 6664, 723, 21, 33, "Assumption",
  CellTags->"102"],
Cell[211599, 6687, 678, 21, 33, "ProofText"],
Cell[212280, 6710, 1740, 48, 38, "Assumption",
  CellTags->"101"],
Cell[214023, 6760, 678, 21, 33, "ProofText"],
Cell[214704, 6783, 1855, 49, 38, "Assumption",
  CellTags->"100"],
Cell[216562, 6834, 656, 21, 33, "ProofText"],
Cell[217221, 6857, 1076, 30, 33, "Assumption",
  CellTags->"99"],
Cell[218300, 6889, 674, 21, 33, "ProofText"],
Cell[218977, 6912, 2244, 58, 38, "Assumption",
  CellTags->"98"],
Cell[221224, 6972, 632, 21, 33, "ProofText"],
Cell[221859, 6995, 787, 23, 33, "Assumption",
  CellTags->"97"],
Cell[222649, 7020, 632, 21, 33, "ProofText"],
Cell[223284, 7043, 1146, 32, 33, "Assumption",
  CellTags->"96"],
Cell[224433, 7077, 632, 21, 33, "ProofText"],
Cell[225068, 7100, 825, 24, 33, "Assumption",
  CellTags->"95"],
Cell[225896, 7126, 632, 21, 33, "ProofText"],
Cell[226531, 7149, 1188, 33, 33, "Assumption",
  CellTags->"94"],
Cell[227722, 7184, 698, 21, 33, "ProofText"],
Cell[228423, 7207, 546, 16, 33, "Assumption",
  CellTags->"93"],
Cell[228972, 7225, 682, 21, 33, "ProofText"],
Cell[229657, 7248, 1464, 42, 38, "Assumption",
  CellTags->"92"],
Cell[231124, 7292, 682, 21, 33, "ProofText"],
Cell[231809, 7315, 1538, 42, 38, "Assumption",
  CellTags->"91"],
Cell[233350, 7359, 660, 21, 33, "ProofText"],
Cell[234013, 7382, 764, 22, 33, "Assumption",
  CellTags->"90"],
Cell[234780, 7406, 678, 21, 33, "ProofText"],
Cell[235461, 7429, 1882, 50, 38, "Assumption",
  CellTags->"89"],
Cell[237346, 7481, 636, 21, 33, "ProofText"],
Cell[237985, 7504, 662, 20, 33, "Assumption",
  CellTags->"88"],
Cell[238650, 7526, 636, 21, 33, "ProofText"],
Cell[239289, 7549, 890, 26, 33, "Assumption",
  CellTags->"87"],
Cell[240182, 7577, 636, 21, 33, "ProofText"],
Cell[240821, 7600, 700, 21, 33, "Assumption",
  CellTags->"86"],
Cell[241524, 7623, 636, 21, 33, "ProofText"],
Cell[242163, 7646, 932, 27, 33, "Assumption",
  CellTags->"85"],
Cell[243098, 7675, 692, 21, 33, "ProofText"],
Cell[243793, 7698, 1633, 46, 38, "Assumption",
  CellTags->"84"],
Cell[245429, 7746, 682, 21, 33, "ProofText"],
Cell[246114, 7769, 930, 27, 33, "Assumption",
  CellTags->"83"],
Cell[247047, 7798, 636, 21, 33, "ProofText"],
Cell[247686, 7821, 730, 22, 33, "Assumption",
  CellTags->"82"],
Cell[248419, 7845, 698, 21, 33, "ProofText"],
Cell[249120, 7868, 546, 16, 33, "Assumption",
  CellTags->"81"],
Cell[249669, 7886, 682, 21, 33, "ProofText"],
Cell[250354, 7909, 1464, 42, 38, "Assumption",
  CellTags->"80"],
Cell[251821, 7953, 682, 21, 33, "ProofText"],
Cell[252506, 7976, 1538, 42, 38, "Assumption",
  CellTags->"79"],
Cell[254047, 8020, 660, 21, 33, "ProofText"],
Cell[254710, 8043, 764, 22, 33, "Assumption",
  CellTags->"78"],
Cell[255477, 8067, 678, 21, 33, "ProofText"],
Cell[256158, 8090, 1882, 50, 38, "Assumption",
  CellTags->"77"],
Cell[258043, 8142, 636, 21, 33, "ProofText"],
Cell[258682, 8165, 662, 20, 33, "Assumption",
  CellTags->"76"],
Cell[259347, 8187, 636, 21, 33, "ProofText"],
Cell[259986, 8210, 890, 26, 33, "Assumption",
  CellTags->"75"],
Cell[260879, 8238, 636, 21, 33, "ProofText"],
Cell[261518, 8261, 700, 21, 33, "Assumption",
  CellTags->"74"],
Cell[262221, 8284, 636, 21, 33, "ProofText"],
Cell[262860, 8307, 932, 27, 33, "Assumption",
  CellTags->"73"],
Cell[263795, 8336, 692, 21, 33, "ProofText"],
Cell[264490, 8359, 1730, 48, 38, "Assumption",
  CellTags->"72"],
Cell[266223, 8409, 682, 21, 33, "ProofText"],
Cell[266908, 8432, 1012, 29, 33, "Assumption",
  CellTags->"71"],
Cell[267923, 8463, 651, 21, 33, "ProofText"],
Cell[268577, 8486, 651, 21, 33, "ProofText"],
Cell[269231, 8509, 651, 21, 33, "ProofText"],
Cell[269885, 8532, 651, 21, 33, "ProofText"],
Cell[270539, 8555, 648, 21, 33, "ProofText"],
Cell[271190, 8578, 648, 21, 33, "ProofText"],
Cell[271841, 8601, 650, 21, 33, "ProofText"],
Cell[272494, 8624, 650, 21, 33, "ProofText"],
Cell[273147, 8647, 650, 21, 33, "ProofText"],
Cell[273800, 8670, 650, 21, 33, "ProofText"],
Cell[274453, 8693, 650, 21, 33, "ProofText"],
Cell[275106, 8716, 650, 21, 33, "ProofText"],
Cell[275759, 8739, 650, 21, 33, "ProofText"],
Cell[276412, 8762, 650, 21, 33, "ProofText"],
Cell[277065, 8785, 650, 21, 33, "ProofText"],
Cell[277718, 8808, 650, 21, 33, "ProofText"],
Cell[278371, 8831, 650, 21, 33, "ProofText"],
Cell[279024, 8854, 650, 21, 33, "ProofText"],
Cell[279677, 8877, 650, 21, 33, "ProofText"],
Cell[280330, 8900, 650, 21, 33, "ProofText"],
Cell[280983, 8923, 648, 21, 33, "ProofText"],
Cell[281634, 8946, 732, 21, 33, "Assumption",
  CellTags->"143"],
Cell[282369, 8969, 652, 21, 33, "ProofText"],
Cell[283024, 8992, 648, 21, 33, "ProofText"],
Cell[283675, 9015, 800, 23, 33, "Assumption",
  CellTags->"144"],
Cell[284478, 9040, 652, 21, 33, "ProofText"],
Cell[285133, 9063, 648, 21, 33, "ProofText"],
Cell[285784, 9086, 1257, 36, 38, "Assumption",
  CellTags->"145"],
Cell[287044, 9124, 654, 21, 33, "ProofText"],
Cell[287701, 9147, 758, 22, 33, "Assumption",
  CellTags->"146"],
Cell[288462, 9171, 652, 21, 33, "ProofText"],
Cell[289117, 9194, 654, 21, 33, "ProofText"],
Cell[289774, 9217, 1211, 35, 38, "Assumption",
  CellTags->"147"],
Cell[290988, 9254, 407, 12, 33, "ProofText"],
Cell[291398, 9268, 955, 28, 33, "Assumption",
  CellTags->"148"],
Cell[292356, 9298, 407, 12, 33, "ProofText"],
Cell[292766, 9312, 913, 27, 33, "Assumption",
  CellTags->"149"],
Cell[293682, 9341, 634, 21, 33, "ProofText"],
Cell[294319, 9364, 1309, 37, 38, "Assumption",
  CellTags->"150"],
Cell[295631, 9403, 640, 21, 33, "ProofText"],
Cell[296274, 9426, 1172, 34, 38, "Assumption",
  CellTags->"151"],
Cell[297449, 9462, 640, 21, 33, "ProofText"],
Cell[298092, 9485, 1496, 41, 38, "Assumption",
  CellTags->"152"],
Cell[299591, 9528, 634, 21, 33, "ProofText"],
Cell[300228, 9551, 1216, 35, 38, "Assumption",
  CellTags->"153"],
Cell[301447, 9588, 634, 21, 33, "ProofText"],
Cell[302084, 9611, 1546, 42, 38, "Assumption",
  CellTags->"154"],
Cell[303633, 9655, 634, 21, 33, "ProofText"],
Cell[304270, 9678, 1309, 37, 38, "Assumption",
  CellTags->"155"],
Cell[305582, 9717, 651, 21, 33, "ProofText"],
Cell[306236, 9740, 651, 21, 33, "ProofText"],
Cell[306890, 9763, 651, 21, 33, "ProofText"],
Cell[307544, 9786, 651, 21, 33, "ProofText"],
Cell[308198, 9809, 653, 21, 33, "ProofText"],
Cell[308854, 9832, 632, 21, 33, "ProofText"],
Cell[309489, 9855, 1299, 36, 33, "Assumption",
  CellTags->"336"],
Cell[310791, 9893, 632, 21, 33, "ProofText"],
Cell[311426, 9916, 967, 28, 33, "Assumption",
  CellTags->"335"],
Cell[312396, 9946, 632, 21, 33, "ProofText"],
Cell[313031, 9969, 1299, 36, 33, "Assumption",
  CellTags->"334"],
Cell[314333, 10007, 632, 21, 33, "ProofText"],
Cell[314968, 10030, 967, 28, 33, "Assumption",
  CellTags->"333"],
Cell[315938, 10060, 632, 21, 33, "ProofText"],
Cell[316573, 10083, 1582, 43, 33, "Assumption",
  CellTags->"332"],
Cell[318158, 10128, 634, 21, 33, "ProofText"],
Cell[318795, 10151, 1223, 34, 33, "Assumption",
  CellTags->"331"],
Cell[320021, 10187, 634, 21, 33, "ProofText"],
Cell[320658, 10210, 823, 24, 33, "Assumption",
  CellTags->"330"],
Cell[321484, 10236, 632, 21, 33, "ProofText"],
Cell[322119, 10259, 1016, 29, 33, "Assumption",
  CellTags->"329"],
Cell[323138, 10290, 632, 21, 33, "ProofText"],
Cell[323773, 10313, 742, 22, 33, "Assumption",
  CellTags->"328"],
Cell[324518, 10337, 632, 21, 33, "ProofText"],
Cell[325153, 10360, 974, 28, 33, "Assumption",
  CellTags->"327"],
Cell[326130, 10390, 632, 21, 33, "ProofText"],
Cell[326765, 10413, 704, 21, 33, "Assumption",
  CellTags->"326"],
Cell[327472, 10436, 674, 21, 33, "ProofText"],
Cell[328149, 10459, 1988, 52, 38, "Assumption",
  CellTags->"325"],
Cell[330140, 10513, 656, 21, 33, "ProofText"],
Cell[330799, 10536, 891, 25, 33, "Assumption",
  CellTags->"324"],
Cell[331693, 10563, 678, 21, 33, "ProofText"],
Cell[332374, 10586, 1643, 45, 38, "Assumption",
  CellTags->"323"],
Cell[334020, 10633, 678, 21, 33, "ProofText"],
Cell[334701, 10656, 1554, 44, 38, "Assumption",
  CellTags->"322"],
Cell[336258, 10702, 694, 21, 33, "ProofText"],
Cell[336955, 10725, 629, 18, 33, "Assumption",
  CellTags->"321"],
Cell[337587, 10745, 632, 21, 33, "ProofText"],
Cell[338222, 10768, 587, 17, 33, "Assumption",
  CellTags->"320"],
Cell[338812, 10787, 678, 21, 33, "ProofText"],
Cell[339493, 10810, 1056, 30, 33, "Assumption",
  CellTags->"319"],
Cell[340552, 10842, 688, 21, 33, "ProofText"],
Cell[341243, 10865, 1541, 44, 38, "Assumption",
  CellTags->"318"],
Cell[342787, 10911, 632, 21, 33, "ProofText"],
Cell[343422, 10934, 1299, 36, 33, "Assumption",
  CellTags->"317"],
Cell[344724, 10972, 632, 21, 33, "ProofText"],
Cell[345359, 10995, 967, 28, 33, "Assumption",
  CellTags->"316"],
Cell[346329, 11025, 632, 21, 33, "ProofText"],
Cell[346964, 11048, 1299, 36, 33, "Assumption",
  CellTags->"315"],
Cell[348266, 11086, 632, 21, 33, "ProofText"],
Cell[348901, 11109, 967, 28, 33, "Assumption",
  CellTags->"314"],
Cell[349871, 11139, 632, 21, 33, "ProofText"],
Cell[350506, 11162, 1582, 43, 33, "Assumption",
  CellTags->"313"],
Cell[352091, 11207, 634, 21, 33, "ProofText"],
Cell[352728, 11230, 1223, 34, 33, "Assumption",
  CellTags->"312"],
Cell[353954, 11266, 634, 21, 33, "ProofText"],
Cell[354591, 11289, 823, 24, 33, "Assumption",
  CellTags->"311"],
Cell[355417, 11315, 632, 21, 33, "ProofText"],
Cell[356052, 11338, 1016, 29, 33, "Assumption",
  CellTags->"310"],
Cell[357071, 11369, 632, 21, 33, "ProofText"],
Cell[357706, 11392, 742, 22, 33, "Assumption",
  CellTags->"309"],
Cell[358451, 11416, 632, 21, 33, "ProofText"],
Cell[359086, 11439, 974, 28, 33, "Assumption",
  CellTags->"308"],
Cell[360063, 11469, 632, 21, 33, "ProofText"],
Cell[360698, 11492, 704, 21, 33, "Assumption",
  CellTags->"307"],
Cell[361405, 11515, 674, 21, 33, "ProofText"],
Cell[362082, 11538, 1988, 52, 38, "Assumption",
  CellTags->"306"],
Cell[364073, 11592, 656, 21, 33, "ProofText"],
Cell[364732, 11615, 891, 25, 33, "Assumption",
  CellTags->"305"],
Cell[365626, 11642, 678, 21, 33, "ProofText"],
Cell[366307, 11665, 1643, 45, 38, "Assumption",
  CellTags->"304"],
Cell[367953, 11712, 678, 21, 33, "ProofText"],
Cell[368634, 11735, 1554, 44, 38, "Assumption",
  CellTags->"303"],
Cell[370191, 11781, 694, 21, 33, "ProofText"],
Cell[370888, 11804, 629, 18, 33, "Assumption",
  CellTags->"302"],
Cell[371520, 11824, 632, 21, 33, "ProofText"],
Cell[372155, 11847, 704, 21, 33, "Assumption",
  CellTags->"301"],
Cell[372862, 11870, 688, 21, 33, "ProofText"],
Cell[373553, 11893, 716, 21, 39, "Assumption",
  CellTags->"300"],
Cell[374272, 11916, 688, 21, 33, "ProofText"],
Cell[374963, 11939, 1759, 47, 38, "Assumption",
  CellTags->"299"],
Cell[376725, 11988, 634, 21, 33, "ProofText"],
Cell[377362, 12011, 1719, 46, 34, "Assumption",
  CellTags->"298"],
Cell[379084, 12059, 634, 21, 33, "ProofText"],
Cell[379721, 12082, 1178, 33, 33, "Assumption",
  CellTags->"297"],
Cell[380902, 12117, 634, 21, 33, "ProofText"],
Cell[381539, 12140, 1719, 46, 34, "Assumption",
  CellTags->"296"],
Cell[383261, 12188, 634, 21, 33, "ProofText"],
Cell[383898, 12211, 1178, 33, 33, "Assumption",
  CellTags->"295"],
Cell[385079, 12246, 634, 21, 33, "ProofText"],
Cell[385716, 12269, 2002, 53, 34, "Assumption",
  CellTags->"294"],
Cell[387721, 12324, 636, 21, 33, "ProofText"],
Cell[388360, 12347, 1434, 39, 33, "Assumption",
  CellTags->"293"],
Cell[389797, 12388, 636, 21, 33, "ProofText"],
Cell[390436, 12411, 1006, 29, 33, "Assumption",
  CellTags->"292"],
Cell[391445, 12442, 634, 21, 33, "ProofText"],
Cell[392082, 12465, 1398, 39, 33, "Assumption",
  CellTags->"291"],
Cell[393483, 12506, 634, 21, 33, "ProofText"],
Cell[394120, 12529, 925, 27, 33, "Assumption",
  CellTags->"290"],
Cell[395048, 12558, 634, 21, 33, "ProofText"],
Cell[395685, 12581, 1356, 38, 33, "Assumption",
  CellTags->"289"],
Cell[397044, 12621, 634, 21, 33, "ProofText"],
Cell[397681, 12644, 887, 26, 33, "Assumption",
  CellTags->"288"],
Cell[398571, 12672, 676, 21, 33, "ProofText"],
Cell[399250, 12695, 2492, 62, 38, "Assumption",
  CellTags->"287"],
Cell[401745, 12759, 658, 21, 33, "ProofText"],
Cell[402406, 12782, 1283, 35, 33, "Assumption",
  CellTags->"286"],
Cell[403692, 12819, 680, 21, 33, "ProofText"],
Cell[404375, 12842, 2110, 54, 38, "Assumption",
  CellTags->"285"],
Cell[406488, 12898, 680, 21, 33, "ProofText"],
Cell[407171, 12921, 1972, 54, 38, "Assumption",
  CellTags->"284"],
Cell[409146, 12977, 696, 21, 33, "ProofText"],
Cell[409845, 13000, 828, 23, 35, "Assumption",
  CellTags->"283"],
Cell[410676, 13025, 634, 21, 33, "ProofText"],
Cell[411313, 13048, 704, 21, 33, "Assumption",
  CellTags->"282"],
Cell[412020, 13071, 690, 21, 33, "ProofText"],
Cell[412713, 13094, 716, 21, 39, "Assumption",
  CellTags->"281"],
Cell[413432, 13117, 690, 21, 33, "ProofText"],
Cell[414125, 13140, 1759, 47, 38, "Assumption",
  CellTags->"280"],
Cell[415887, 13189, 634, 21, 33, "ProofText"],
Cell[416524, 13212, 1719, 46, 34, "Assumption",
  CellTags->"279"],
Cell[418246, 13260, 634, 21, 33, "ProofText"],
Cell[418883, 13283, 1178, 33, 33, "Assumption",
  CellTags->"278"],
Cell[420064, 13318, 634, 21, 33, "ProofText"],
Cell[420701, 13341, 1719, 46, 34, "Assumption",
  CellTags->"277"],
Cell[422423, 13389, 634, 21, 33, "ProofText"],
Cell[423060, 13412, 1178, 33, 33, "Assumption",
  CellTags->"276"],
Cell[424241, 13447, 634, 21, 33, "ProofText"],
Cell[424878, 13470, 2002, 53, 34, "Assumption",
  CellTags->"275"],
Cell[426883, 13525, 636, 21, 33, "ProofText"],
Cell[427522, 13548, 1434, 39, 33, "Assumption",
  CellTags->"274"],
Cell[428959, 13589, 636, 21, 33, "ProofText"],
Cell[429598, 13612, 1006, 29, 33, "Assumption",
  CellTags->"273"],
Cell[430607, 13643, 634, 21, 33, "ProofText"],
Cell[431244, 13666, 1398, 39, 33, "Assumption",
  CellTags->"272"],
Cell[432645, 13707, 634, 21, 33, "ProofText"],
Cell[433282, 13730, 925, 27, 33, "Assumption",
  CellTags->"271"],
Cell[434210, 13759, 634, 21, 33, "ProofText"],
Cell[434847, 13782, 1356, 38, 33, "Assumption",
  CellTags->"270"],
Cell[436206, 13822, 634, 21, 33, "ProofText"],
Cell[436843, 13845, 887, 26, 33, "Assumption",
  CellTags->"269"],
Cell[437733, 13873, 676, 21, 33, "ProofText"],
Cell[438412, 13896, 2492, 62, 38, "Assumption",
  CellTags->"268"],
Cell[440907, 13960, 658, 21, 33, "ProofText"],
Cell[441568, 13983, 1283, 35, 33, "Assumption",
  CellTags->"267"],
Cell[442854, 14020, 680, 21, 33, "ProofText"],
Cell[443537, 14043, 2110, 54, 38, "Assumption",
  CellTags->"266"],
Cell[445650, 14099, 680, 21, 33, "ProofText"],
Cell[446333, 14122, 1972, 54, 38, "Assumption",
  CellTags->"265"],
Cell[448308, 14178, 696, 21, 33, "ProofText"],
Cell[449007, 14201, 828, 23, 35, "Assumption",
  CellTags->"264"],
Cell[449838, 14226, 634, 21, 33, "ProofText"],
Cell[450475, 14249, 664, 20, 33, "Assumption",
  CellTags->"263"],
Cell[451142, 14271, 690, 21, 33, "ProofText"],
Cell[451835, 14294, 676, 20, 39, "Assumption",
  CellTags->"262"],
Cell[452514, 14316, 690, 21, 33, "ProofText"],
Cell[453207, 14339, 1701, 46, 38, "Assumption",
  CellTags->"261"],
Cell[454911, 14387, 634, 21, 33, "ProofText"],
Cell[455548, 14410, 664, 20, 33, "Assumption",
  CellTags->"260"],
Cell[456215, 14432, 690, 21, 33, "ProofText"],
Cell[456908, 14455, 676, 20, 39, "Assumption",
  CellTags->"259"],
Cell[457587, 14477, 690, 21, 33, "ProofText"],
Cell[458280, 14500, 1701, 46, 38, "Assumption",
  CellTags->"258"],
Cell[459984, 14548, 638, 21, 33, "ProofText"],
Cell[460625, 14571, 1211, 34, 33, "Assumption",
  CellTags->"257"],
Cell[461839, 14607, 638, 21, 33, "ProofText"],
Cell[462480, 14630, 923, 27, 33, "Assumption",
  CellTags->"256"],
Cell[463406, 14659, 638, 21, 33, "ProofText"],
Cell[464047, 14682, 1211, 34, 33, "Assumption",
  CellTags->"255"],
Cell[465261, 14718, 638, 21, 33, "ProofText"],
Cell[465902, 14741, 923, 27, 33, "Assumption",
  CellTags->"254"],
Cell[466828, 14770, 638, 21, 33, "ProofText"],
Cell[467469, 14793, 1494, 41, 33, "Assumption",
  CellTags->"253"],
Cell[468966, 14836, 640, 21, 33, "ProofText"],
Cell[469609, 14859, 1179, 33, 33, "Assumption",
  CellTags->"252"],
Cell[470791, 14894, 640, 21, 33, "ProofText"],
Cell[471434, 14917, 783, 23, 33, "Assumption",
  CellTags->"251"],
Cell[472220, 14942, 638, 21, 33, "ProofText"],
Cell[472861, 14965, 934, 27, 33, "Assumption",
  CellTags->"250"],
Cell[473798, 14994, 638, 21, 33, "ProofText"],
Cell[474439, 15017, 702, 21, 33, "Assumption",
  CellTags->"249"],
Cell[475144, 15040, 638, 21, 33, "ProofText"],
Cell[475785, 15063, 892, 26, 33, "Assumption",
  CellTags->"248"],
Cell[476680, 15091, 638, 21, 33, "ProofText"],
Cell[477321, 15114, 664, 20, 33, "Assumption",
  CellTags->"247"],
Cell[477988, 15136, 680, 21, 33, "ProofText"],
Cell[478671, 15159, 1884, 50, 38, "Assumption",
  CellTags->"246"],
Cell[480558, 15211, 662, 21, 33, "ProofText"],
Cell[481223, 15234, 766, 22, 33, "Assumption",
  CellTags->"245"],
Cell[481992, 15258, 684, 21, 33, "ProofText"],
Cell[482679, 15281, 1540, 42, 38, "Assumption",
  CellTags->"244"],
Cell[484222, 15325, 684, 21, 33, "ProofText"],
Cell[484909, 15348, 1466, 42, 38, "Assumption",
  CellTags->"243"],
Cell[486378, 15392, 700, 21, 33, "ProofText"],
Cell[487081, 15415, 548, 16, 33, "Assumption",
  CellTags->"242"],
Cell[487632, 15433, 684, 21, 33, "ProofText"],
Cell[488319, 15456, 1014, 29, 33, "Assumption",
  CellTags->"241"],
Cell[489336, 15487, 694, 21, 33, "ProofText"],
Cell[490033, 15510, 1732, 48, 38, "Assumption",
  CellTags->"240"],
Cell[491768, 15560, 638, 21, 33, "ProofText"],
Cell[492409, 15583, 1211, 34, 33, "Assumption",
  CellTags->"239"],
Cell[493623, 15619, 638, 21, 33, "ProofText"],
Cell[494264, 15642, 923, 27, 33, "Assumption",
  CellTags->"238"],
Cell[495190, 15671, 638, 21, 33, "ProofText"],
Cell[495831, 15694, 1211, 34, 33, "Assumption",
  CellTags->"237"],
Cell[497045, 15730, 638, 21, 33, "ProofText"],
Cell[497686, 15753, 923, 27, 33, "Assumption",
  CellTags->"236"],
Cell[498612, 15782, 638, 21, 33, "ProofText"],
Cell[499253, 15805, 1494, 41, 33, "Assumption",
  CellTags->"235"],
Cell[500750, 15848, 640, 21, 33, "ProofText"],
Cell[501393, 15871, 1179, 33, 33, "Assumption",
  CellTags->"234"],
Cell[502575, 15906, 640, 21, 33, "ProofText"],
Cell[503218, 15929, 783, 23, 33, "Assumption",
  CellTags->"233"],
Cell[504004, 15954, 638, 21, 33, "ProofText"],
Cell[504645, 15977, 934, 27, 33, "Assumption",
  CellTags->"232"],
Cell[505582, 16006, 638, 21, 33, "ProofText"],
Cell[506223, 16029, 702, 21, 33, "Assumption",
  CellTags->"231"],
Cell[506928, 16052, 638, 21, 33, "ProofText"],
Cell[507569, 16075, 892, 26, 33, "Assumption",
  CellTags->"230"],
Cell[508464, 16103, 638, 21, 33, "ProofText"],
Cell[509105, 16126, 664, 20, 33, "Assumption",
  CellTags->"229"],
Cell[509772, 16148, 680, 21, 33, "ProofText"],
Cell[510455, 16171, 1884, 50, 38, "Assumption",
  CellTags->"228"],
Cell[512342, 16223, 662, 21, 33, "ProofText"],
Cell[513007, 16246, 766, 22, 33, "Assumption",
  CellTags->"227"],
Cell[513776, 16270, 684, 21, 33, "ProofText"],
Cell[514463, 16293, 1540, 42, 38, "Assumption",
  CellTags->"226"],
Cell[516006, 16337, 684, 21, 33, "ProofText"],
Cell[516693, 16360, 1466, 42, 38, "Assumption",
  CellTags->"225"],
Cell[518162, 16404, 700, 21, 33, "ProofText"],
Cell[518865, 16427, 548, 16, 33, "Assumption",
  CellTags->"224"],
Cell[519416, 16445, 638, 21, 33, "ProofText"],
Cell[520057, 16468, 732, 22, 33, "Assumption",
  CellTags->"223"],
Cell[520792, 16492, 684, 21, 33, "ProofText"],
Cell[521479, 16515, 932, 27, 33, "Assumption",
  CellTags->"222"],
Cell[522414, 16544, 694, 21, 33, "ProofText"],
Cell[523111, 16567, 1635, 46, 38, "Assumption",
  CellTags->"221"],
Cell[524749, 16615, 658, 21, 33, "ProofText"],
Cell[525410, 16638, 1286, 35, 33, "Assumption",
  CellTags->"220"],
Cell[526699, 16675, 680, 21, 33, "ProofText"],
Cell[527382, 16698, 1926, 52, 38, "Assumption",
  CellTags->"219"],
Cell[529311, 16752, 636, 21, 33, "ProofText"],
Cell[529950, 16775, 1211, 34, 33, "Assumption",
  CellTags->"218"],
Cell[531164, 16811, 636, 21, 33, "ProofText"],
Cell[531803, 16834, 923, 27, 33, "Assumption",
  CellTags->"217"],
Cell[532729, 16863, 636, 21, 33, "ProofText"],
Cell[533368, 16886, 1211, 34, 33, "Assumption",
  CellTags->"216"],
Cell[534582, 16922, 636, 21, 33, "ProofText"],
Cell[535221, 16945, 923, 27, 33, "Assumption",
  CellTags->"215"],
Cell[536147, 16974, 636, 21, 33, "ProofText"],
Cell[536786, 16997, 1494, 41, 33, "Assumption",
  CellTags->"214"],
Cell[538283, 17040, 638, 21, 33, "ProofText"],
Cell[538924, 17063, 1179, 33, 33, "Assumption",
  CellTags->"213"],
Cell[540106, 17098, 638, 21, 33, "ProofText"],
Cell[540747, 17121, 783, 23, 33, "Assumption",
  CellTags->"212"],
Cell[541533, 17146, 636, 21, 33, "ProofText"],
Cell[542172, 17169, 1211, 34, 33, "Assumption",
  CellTags->"211"],
Cell[543386, 17205, 636, 21, 33, "ProofText"],
Cell[544025, 17228, 923, 27, 33, "Assumption",
  CellTags->"210"],
Cell[544951, 17257, 636, 21, 33, "ProofText"],
Cell[545590, 17280, 1211, 34, 33, "Assumption",
  CellTags->"209"],
Cell[546804, 17316, 636, 21, 33, "ProofText"],
Cell[547443, 17339, 923, 27, 33, "Assumption",
  CellTags->"208"],
Cell[548369, 17368, 636, 21, 33, "ProofText"],
Cell[549008, 17391, 1494, 41, 33, "Assumption",
  CellTags->"207"],
Cell[550505, 17434, 638, 21, 33, "ProofText"],
Cell[551146, 17457, 1179, 33, 33, "Assumption",
  CellTags->"206"],
Cell[552328, 17492, 638, 21, 33, "ProofText"],
Cell[552969, 17515, 783, 23, 33, "Assumption",
  CellTags->"205"],
Cell[553755, 17540, 632, 21, 33, "ProofText"],
Cell[554390, 17563, 1490, 41, 33, "Assumption",
  CellTags->"204"],
Cell[555883, 17606, 632, 21, 33, "ProofText"],
Cell[556518, 17629, 1069, 31, 33, "Assumption",
  CellTags->"203"],
Cell[557590, 17662, 632, 21, 33, "ProofText"],
Cell[558225, 17685, 1490, 41, 33, "Assumption",
  CellTags->"202"],
Cell[559718, 17728, 632, 21, 33, "ProofText"],
Cell[560353, 17751, 1069, 31, 33, "Assumption",
  CellTags->"201"],
Cell[561425, 17784, 632, 21, 33, "ProofText"],
Cell[562060, 17807, 1773, 48, 33, "Assumption",
  CellTags->"200"],
Cell[563836, 17857, 634, 21, 33, "ProofText"],
Cell[564473, 17880, 1325, 37, 33, "Assumption",
  CellTags->"199"],
Cell[565801, 17919, 634, 21, 33, "ProofText"],
Cell[566438, 17942, 908, 26, 33, "Assumption",
  CellTags->"198"],
Cell[567349, 17970, 632, 21, 33, "ProofText"],
Cell[567984, 17993, 1490, 41, 33, "Assumption",
  CellTags->"197"],
Cell[569477, 18036, 632, 21, 33, "ProofText"],
Cell[570112, 18059, 1069, 31, 33, "Assumption",
  CellTags->"196"],
Cell[571184, 18092, 632, 21, 33, "ProofText"],
Cell[571819, 18115, 1490, 41, 33, "Assumption",
  CellTags->"195"],
Cell[573312, 18158, 632, 21, 33, "ProofText"],
Cell[573947, 18181, 1069, 31, 33, "Assumption",
  CellTags->"194"],
Cell[575019, 18214, 632, 21, 33, "ProofText"],
Cell[575654, 18237, 1773, 48, 33, "Assumption",
  CellTags->"193"],
Cell[577430, 18287, 634, 21, 33, "ProofText"],
Cell[578067, 18310, 1325, 37, 33, "Assumption",
  CellTags->"192"],
Cell[579395, 18349, 634, 21, 33, "ProofText"],
Cell[580032, 18372, 908, 26, 33, "Assumption",
  CellTags->"191"],
Cell[580943, 18400, 630, 21, 33, "ProofText"],
Cell[581576, 18423, 732, 22, 33, "Assumption",
  CellTags->"190"],
Cell[582311, 18447, 632, 21, 33, "ProofText"],
Cell[582946, 18470, 1299, 36, 33, "Assumption",
  CellTags->"189"],
Cell[584248, 18508, 632, 21, 33, "ProofText"],
Cell[584883, 18531, 967, 28, 33, "Assumption",
  CellTags->"188"],
Cell[585853, 18561, 632, 21, 33, "ProofText"],
Cell[586488, 18584, 1299, 36, 33, "Assumption",
  CellTags->"187"],
Cell[587790, 18622, 632, 21, 33, "ProofText"],
Cell[588425, 18645, 967, 28, 33, "Assumption",
  CellTags->"186"],
Cell[589395, 18675, 632, 21, 33, "ProofText"],
Cell[590030, 18698, 1582, 43, 33, "Assumption",
  CellTags->"185"],
Cell[591615, 18743, 634, 21, 33, "ProofText"],
Cell[592252, 18766, 1223, 34, 33, "Assumption",
  CellTags->"184"],
Cell[593478, 18802, 634, 21, 33, "ProofText"],
Cell[594115, 18825, 823, 24, 33, "Assumption",
  CellTags->"183"],
Cell[594941, 18851, 632, 21, 33, "ProofText"],
Cell[595576, 18874, 1299, 36, 33, "Assumption",
  CellTags->"182"],
Cell[596878, 18912, 632, 21, 33, "ProofText"],
Cell[597513, 18935, 967, 28, 33, "Assumption",
  CellTags->"181"],
Cell[598483, 18965, 632, 21, 33, "ProofText"],
Cell[599118, 18988, 1299, 36, 33, "Assumption",
  CellTags->"180"],
Cell[600420, 19026, 632, 21, 33, "ProofText"],
Cell[601055, 19049, 967, 28, 33, "Assumption",
  CellTags->"179"],
Cell[602025, 19079, 632, 21, 33, "ProofText"],
Cell[602660, 19102, 1582, 43, 33, "Assumption",
  CellTags->"178"],
Cell[604245, 19147, 634, 21, 33, "ProofText"],
Cell[604882, 19170, 1223, 34, 33, "Assumption",
  CellTags->"177"],
Cell[606108, 19206, 634, 21, 33, "ProofText"],
Cell[606745, 19229, 823, 24, 33, "Assumption",
  CellTags->"176"],
Cell[607571, 19255, 638, 21, 33, "ProofText"],
Cell[608212, 19278, 1211, 34, 33, "Assumption",
  CellTags->"175"],
Cell[609426, 19314, 638, 21, 33, "ProofText"],
Cell[610067, 19337, 923, 27, 33, "Assumption",
  CellTags->"174"],
Cell[610993, 19366, 638, 21, 33, "ProofText"],
Cell[611634, 19389, 1211, 34, 33, "Assumption",
  CellTags->"173"],
Cell[612848, 19425, 638, 21, 33, "ProofText"],
Cell[613489, 19448, 923, 27, 33, "Assumption",
  CellTags->"172"],
Cell[614415, 19477, 638, 21, 33, "ProofText"],
Cell[615056, 19500, 1494, 41, 33, "Assumption",
  CellTags->"171"],
Cell[616553, 19543, 640, 21, 33, "ProofText"],
Cell[617196, 19566, 1179, 33, 33, "Assumption",
  CellTags->"170"],
Cell[618378, 19601, 640, 21, 33, "ProofText"],
Cell[619021, 19624, 783, 23, 33, "Assumption",
  CellTags->"169"],
Cell[619807, 19649, 638, 21, 33, "ProofText"],
Cell[620448, 19672, 1211, 34, 33, "Assumption",
  CellTags->"168"],
Cell[621662, 19708, 638, 21, 33, "ProofText"],
Cell[622303, 19731, 923, 27, 33, "Assumption",
  CellTags->"167"],
Cell[623229, 19760, 638, 21, 33, "ProofText"],
Cell[623870, 19783, 1211, 34, 33, "Assumption",
  CellTags->"166"],
Cell[625084, 19819, 638, 21, 33, "ProofText"],
Cell[625725, 19842, 923, 27, 33, "Assumption",
  CellTags->"165"],
Cell[626651, 19871, 638, 21, 33, "ProofText"],
Cell[627292, 19894, 1494, 41, 33, "Assumption",
  CellTags->"164"],
Cell[628789, 19937, 640, 21, 33, "ProofText"],
Cell[629432, 19960, 1179, 33, 33, "Assumption",
  CellTags->"163"],
Cell[630614, 19995, 640, 21, 33, "ProofText"],
Cell[631257, 20018, 783, 23, 33, "Assumption",
  CellTags->"162"],
Cell[632043, 20043, 632, 21, 33, "ProofText"],
Cell[632678, 20066, 1265, 35, 33, "Assumption",
  CellTags->"161"],
Cell[633946, 20103, 632, 21, 33, "ProofText"],
Cell[634581, 20126, 1265, 35, 33, "Assumption",
  CellTags->"160"],
Cell[635849, 20163, 632, 21, 33, "ProofText"],
Cell[636484, 20186, 1563, 43, 33, "Assumption",
  CellTags->"159"],
Cell[638050, 20231, 632, 21, 33, "ProofText"],
Cell[638685, 20254, 1179, 33, 33, "Assumption",
  CellTags->"158"],
Cell[639867, 20289, 632, 21, 33, "ProofText"],
Cell[640502, 20312, 1179, 33, 33, "Assumption",
  CellTags->"157"],
Cell[641684, 20347, 632, 21, 33, "ProofText"],
Cell[642319, 20370, 1477, 41, 33, "Assumption",
  CellTags->"156"],
Cell[643799, 20413, 941, 30, 33, "ProofText"],
Cell[644743, 20445, 182, 3, 26, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[644962, 20453, 88, 1, 53, "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{
Cell[645075, 20458, 36, 0, 70, "Subsection"],
Cell[645114, 20460, 476, 8, 70, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[645627, 20473, 34, 0, 70, "Subsection"],
Cell[645664, 20475, 120, 7, 70, "Text"],
Cell[645787, 20484, 98, 4, 70, "Text"],
Cell[645888, 20490, 99, 4, 70, "Text"],
Cell[645990, 20496, 195, 9, 70, "Text"],
Cell[646188, 20507, 231, 9, 70, "Text"],
Cell[646422, 20518, 230, 9, 70, "Text"],
Cell[646655, 20529, 214, 9, 70, "Text"],
Cell[646872, 20540, 216, 9, 70, "Text"],
Cell[647091, 20551, 216, 9, 70, "Text"],
Cell[647310, 20562, 230, 9, 70, "Text"],
Cell[647543, 20573, 226, 9, 70, "Text"],
Cell[647772, 20584, 227, 9, 70, "Text"],
Cell[648002, 20595, 230, 9, 70, "Text"],
Cell[648235, 20606, 224, 9, 70, "Text"],
Cell[648462, 20617, 224, 9, 70, "Text"],
Cell[648689, 20628, 218, 9, 70, "Text"],
Cell[648910, 20639, 220, 9, 70, "Text"],
Cell[649133, 20650, 225, 9, 70, "Text"],
Cell[649361, 20661, 222, 9, 70, "Text"],
Cell[649586, 20672, 221, 9, 70, "Text"],
Cell[649810, 20683, 221, 9, 70, "Text"],
Cell[650034, 20694, 221, 9, 70, "Text"],
Cell[650258, 20705, 225, 9, 70, "Text"],
Cell[650486, 20716, 218, 9, 70, "Text"],
Cell[650707, 20727, 220, 9, 70, "Text"],
Cell[650930, 20738, 227, 9, 70, "Text"],
Cell[651160, 20749, 229, 9, 70, "Text"],
Cell[651392, 20760, 230, 9, 70, "Text"],
Cell[651625, 20771, 228, 9, 70, "Text"],
Cell[651856, 20782, 226, 9, 70, "Text"],
Cell[652085, 20793, 219, 9, 70, "Text"],
Cell[652307, 20804, 224, 9, 70, "Text"],
Cell[652534, 20815, 223, 9, 70, "Text"],
Cell[652760, 20826, 234, 9, 70, "Text"],
Cell[652997, 20837, 235, 9, 70, "Text"],
Cell[653235, 20848, 225, 9, 70, "Text"],
Cell[653463, 20859, 223, 9, 70, "Text"],
Cell[653689, 20870, 219, 9, 70, "Text"],
Cell[653911, 20881, 228, 9, 70, "Text"],
Cell[654142, 20892, 236, 9, 70, "Text"],
Cell[654381, 20903, 230, 9, 70, "Text"],
Cell[654614, 20914, 228, 9, 70, "Text"],
Cell[654845, 20925, 229, 9, 70, "Text"],
Cell[655077, 20936, 232, 9, 70, "Text"],
Cell[655312, 20947, 226, 9, 70, "Text"],
Cell[655541, 20958, 234, 9, 70, "Text"],
Cell[655778, 20969, 210, 9, 70, "Text"],
Cell[655991, 20980, 182, 9, 70, "Text"],
Cell[656176, 20991, 211, 9, 70, "Text"],
Cell[656390, 21002, 214, 9, 70, "Text"],
Cell[656607, 21013, 182, 9, 70, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[656826, 21027, 56, 0, 70, "Subsection"],
Cell[656885, 21029, 417, 13, 70, "Text",
  CellTags->"1"],
Cell[657305, 21044, 589, 18, 70, "Text",
  CellTags->"10"],
Cell[657897, 21064, 1898, 51, 70, "Text",
  CellTags->"100"],
Cell[659798, 21117, 1778, 49, 70, "Text",
  CellTags->"101"],
Cell[661579, 21168, 766, 23, 70, "Text",
  CellTags->"102"],
Cell[662348, 21193, 1233, 35, 70, "Text",
  CellTags->"103"],
Cell[663584, 21230, 870, 26, 70, "Text",
  CellTags->"104"],
Cell[664457, 21258, 1191, 34, 70, "Text",
  CellTags->"105"],
Cell[665651, 21294, 832, 25, 70, "Text",
  CellTags->"106"],
Cell[666486, 21321, 2289, 60, 70, "Text",
  CellTags->"107"],
Cell[668778, 21383, 1121, 32, 70, "Text",
  CellTags->"108"],
Cell[669902, 21417, 1898, 51, 70, "Text",
  CellTags->"109"],
Cell[671803, 21470, 1925, 52, 70, "Text",
  CellTags->"11"],
Cell[673731, 21524, 1778, 49, 70, "Text",
  CellTags->"110"],
Cell[675512, 21575, 766, 23, 70, "Text",
  CellTags->"111"],
Cell[676281, 21600, 1059, 31, 70, "Text",
  CellTags->"112"],
Cell[677343, 21633, 785, 24, 70, "Text",
  CellTags->"113"],
Cell[678131, 21659, 1017, 30, 70, "Text",
  CellTags->"114"],
Cell[679151, 21691, 747, 23, 70, "Text",
  CellTags->"115"],
Cell[679901, 21716, 1059, 31, 70, "Text",
  CellTags->"116"],
Cell[680963, 21749, 785, 24, 70, "Text",
  CellTags->"117"],
Cell[681751, 21775, 1017, 30, 70, "Text",
  CellTags->"118"],
Cell[682771, 21807, 747, 23, 70, "Text",
  CellTags->"119"],
Cell[683521, 21832, 807, 24, 70, "Text",
  CellTags->"12"],
Cell[684331, 21858, 977, 29, 70, "Text",
  CellTags->"120"],
Cell[685311, 21889, 745, 23, 70, "Text",
  CellTags->"121"],
Cell[686059, 21914, 935, 28, 70, "Text",
  CellTags->"122"],
Cell[686997, 21944, 707, 22, 70, "Text",
  CellTags->"123"],
Cell[687707, 21968, 977, 29, 70, "Text",
  CellTags->"124"],
Cell[688687, 21999, 745, 23, 70, "Text",
  CellTags->"125"],
Cell[689435, 22024, 935, 28, 70, "Text",
  CellTags->"126"],
Cell[690373, 22054, 707, 22, 70, "Text",
  CellTags->"127"],
Cell[691083, 22078, 1103, 32, 70, "Text",
  CellTags->"128"],
Cell[692189, 22112, 1059, 31, 70, "Text",
  CellTags->"129"],
Cell[693251, 22145, 1581, 44, 70, "Text",
  CellTags->"13"],
Cell[694835, 22191, 1871, 51, 70, "Text",
  CellTags->"130"],
Cell[696709, 22244, 763, 23, 70, "Text",
  CellTags->"131"],
Cell[697475, 22269, 1586, 45, 70, "Text",
  CellTags->"132"],
Cell[699064, 22316, 1019, 30, 70, "Text",
  CellTags->"133"],
Cell[700086, 22348, 975, 29, 70, "Text",
  CellTags->"134"],
Cell[701064, 22379, 1775, 49, 70, "Text",
  CellTags->"135"],
Cell[702842, 22430, 1498, 43, 70, "Text",
  CellTags->"136"],
Cell[704343, 22475, 806, 24, 70, "Text",
  CellTags->"137"],
Cell[705152, 22501, 1451, 42, 70, "Text",
  CellTags->"138"],
Cell[706606, 22545, 931, 27, 70, "Text",
  CellTags->"139"],
Cell[707540, 22574, 1502, 43, 70, "Text",
  CellTags->"14"],
Cell[709045, 22619, 1541, 44, 70, "Text",
  CellTags->"140"],
Cell[710589, 22665, 1114, 32, 70, "Text",
  CellTags->"141"],
Cell[711706, 22699, 1746, 49, 70, "Text",
  CellTags->"142"],
Cell[713455, 22750, 775, 23, 70, "Text",
  CellTags->"143"],
Cell[714233, 22775, 843, 25, 70, "Text",
  CellTags->"144"],
Cell[715079, 22802, 1300, 38, 70, "Text",
  CellTags->"145"],
Cell[716382, 22842, 801, 24, 70, "Text",
  CellTags->"146"],
Cell[717186, 22868, 1254, 37, 70, "Text",
  CellTags->"147"],
Cell[718443, 22907, 998, 30, 70, "Text",
  CellTags->"148"],
Cell[719444, 22939, 557, 17, 70, "Text",
  CellTags->"148.1"],
Cell[720004, 22958, 739, 23, 70, "Text",
  CellTags->"148.2"],
Cell[720746, 22983, 956, 29, 70, "Text",
  CellTags->"149"],
Cell[721705, 23014, 557, 17, 70, "Text",
  CellTags->"149.1"],
Cell[722265, 23033, 701, 22, 70, "Text",
  CellTags->"149.2"],
Cell[722969, 23057, 589, 18, 70, "Text",
  CellTags->"15"],
Cell[723561, 23077, 1352, 39, 70, "Text",
  CellTags->"150"],
Cell[724916, 23118, 1215, 36, 70, "Text",
  CellTags->"151"],
Cell[726134, 23156, 1539, 43, 70, "Text",
  CellTags->"152"],
Cell[727676, 23201, 1259, 37, 70, "Text",
  CellTags->"153"],
Cell[728938, 23240, 1589, 44, 70, "Text",
  CellTags->"154"],
Cell[730530, 23286, 1352, 39, 70, "Text",
  CellTags->"155"],
Cell[731885, 23327, 1520, 43, 70, "Text",
  CellTags->"156"],
Cell[733408, 23372, 1222, 35, 70, "Text",
  CellTags->"157"],
Cell[734633, 23409, 1222, 35, 70, "Text",
  CellTags->"158"],
Cell[735858, 23446, 1606, 45, 70, "Text",
  CellTags->"159"],
Cell[737467, 23493, 1083, 31, 70, "Text",
  CellTags->"16"],
Cell[738553, 23526, 1308, 37, 70, "Text",
  CellTags->"160"],
Cell[739864, 23565, 1308, 37, 70, "Text",
  CellTags->"161"],
Cell[741175, 23604, 826, 25, 70, "Text",
  CellTags->"162"],
Cell[742004, 23631, 1222, 35, 70, "Text",
  CellTags->"163"],
Cell[743229, 23668, 1537, 43, 70, "Text",
  CellTags->"164"],
Cell[744769, 23713, 966, 29, 70, "Text",
  CellTags->"165"],
Cell[745738, 23744, 1254, 36, 70, "Text",
  CellTags->"166"],
Cell[746995, 23782, 966, 29, 70, "Text",
  CellTags->"167"],
Cell[747964, 23813, 1254, 36, 70, "Text",
  CellTags->"168"],
Cell[749221, 23851, 826, 25, 70, "Text",
  CellTags->"169"],
Cell[750050, 23878, 863, 25, 70, "Text",
  CellTags->"17"],
Cell[750916, 23905, 1222, 35, 70, "Text",
  CellTags->"170"],
Cell[752141, 23942, 1537, 43, 70, "Text",
  CellTags->"171"],
Cell[753681, 23987, 966, 29, 70, "Text",
  CellTags->"172"],
Cell[754650, 24018, 1254, 36, 70, "Text",
  CellTags->"173"],
Cell[755907, 24056, 966, 29, 70, "Text",
  CellTags->"174"],
Cell[756876, 24087, 1254, 36, 70, "Text",
  CellTags->"175"],
Cell[758133, 24125, 866, 26, 70, "Text",
  CellTags->"176"],
Cell[759002, 24153, 1266, 36, 70, "Text",
  CellTags->"177"],
Cell[760271, 24191, 1625, 45, 70, "Text",
  CellTags->"178"],
Cell[761899, 24238, 1010, 30, 70, "Text",
  CellTags->"179"],
Cell[762912, 24270, 768, 23, 70, "Text",
  CellTags->"18"],
Cell[763683, 24295, 1342, 38, 70, "Text",
  CellTags->"180"],
Cell[765028, 24335, 1010, 30, 70, "Text",
  CellTags->"181"],
Cell[766041, 24367, 1342, 38, 70, "Text",
  CellTags->"182"],
Cell[767386, 24407, 866, 26, 70, "Text",
  CellTags->"183"],
Cell[768255, 24435, 1266, 36, 70, "Text",
  CellTags->"184"],
Cell[769524, 24473, 1625, 45, 70, "Text",
  CellTags->"185"],
Cell[771152, 24520, 1010, 30, 70, "Text",
  CellTags->"186"],
Cell[772165, 24552, 1342, 38, 70, "Text",
  CellTags->"187"],
Cell[773510, 24592, 1010, 30, 70, "Text",
  CellTags->"188"],
Cell[774523, 24624, 1342, 38, 70, "Text",
  CellTags->"189"],
Cell[775868, 24664, 1097, 32, 70, "Text",
  CellTags->"19"],
Cell[776968, 24698, 775, 24, 70, "Text",
  CellTags->"190"],
Cell[777746, 24724, 951, 28, 70, "Text",
  CellTags->"191"],
Cell[778700, 24754, 1368, 39, 70, "Text",
  CellTags->"192"],
Cell[780071, 24795, 1816, 50, 70, "Text",
  CellTags->"193"],
Cell[781890, 24847, 1112, 33, 70, "Text",
  CellTags->"194"],
Cell[783005, 24882, 1533, 43, 70, "Text",
  CellTags->"195"],
Cell[784541, 24927, 1112, 33, 70, "Text",
  CellTags->"196"],
Cell[785656, 24962, 1533, 43, 70, "Text",
  CellTags->"197"],
Cell[787192, 25007, 951, 28, 70, "Text",
  CellTags->"198"],
Cell[788146, 25037, 1368, 39, 70, "Text",
  CellTags->"199"],
Cell[789517, 25078, 2192, 61, 70, "Text",
  CellTags->"2"],
Cell[791712, 25141, 1577, 45, 70, "Text",
  CellTags->"20"],
Cell[793292, 25188, 1816, 50, 70, "Text",
  CellTags->"200"],
Cell[795111, 25240, 1112, 33, 70, "Text",
  CellTags->"201"],
Cell[796226, 25275, 1533, 43, 70, "Text",
  CellTags->"202"],
Cell[797762, 25320, 1112, 33, 70, "Text",
  CellTags->"203"],
Cell[798877, 25355, 1533, 43, 70, "Text",
  CellTags->"204"],
Cell[800413, 25400, 826, 25, 70, "Text",
  CellTags->"205"],
Cell[801242, 25427, 1222, 35, 70, "Text",
  CellTags->"206"],
Cell[802467, 25464, 1537, 43, 70, "Text",
  CellTags->"207"],
Cell[804007, 25509, 966, 29, 70, "Text",
  CellTags->"208"],
Cell[804976, 25540, 1254, 36, 70, "Text",
  CellTags->"209"],
Cell[806233, 25578, 1340, 38, 70, "Text",
  CellTags->"21"],
Cell[807576, 25618, 966, 29, 70, "Text",
  CellTags->"210"],
Cell[808545, 25649, 1254, 36, 70, "Text",
  CellTags->"211"],
Cell[809802, 25687, 826, 25, 70, "Text",
  CellTags->"212"],
Cell[810631, 25714, 1222, 35, 70, "Text",
  CellTags->"213"],
Cell[811856, 25751, 1537, 43, 70, "Text",
  CellTags->"214"],
Cell[813396, 25796, 966, 29, 70, "Text",
  CellTags->"215"],
Cell[814365, 25827, 1254, 36, 70, "Text",
  CellTags->"216"],
Cell[815622, 25865, 966, 29, 70, "Text",
  CellTags->"217"],
Cell[816591, 25896, 1254, 36, 70, "Text",
  CellTags->"218"],
Cell[817848, 25934, 1969, 54, 70, "Text",
  CellTags->"219"],
Cell[819820, 25990, 1008, 30, 70, "Text",
  CellTags->"22"],
Cell[820831, 26022, 1329, 37, 70, "Text",
  CellTags->"220"],
Cell[822163, 26061, 1673, 47, 70, "Text",
  CellTags->"221"],
Cell[823839, 26110, 975, 29, 70, "Text",
  CellTags->"222"],
Cell[824817, 26141, 775, 24, 70, "Text",
  CellTags->"223"],
Cell[825595, 26167, 591, 18, 70, "Text",
  CellTags->"224"],
Cell[826189, 26187, 1504, 43, 70, "Text",
  CellTags->"225"],
Cell[827696, 26232, 1583, 44, 70, "Text",
  CellTags->"226"],
Cell[829282, 26278, 809, 24, 70, "Text",
  CellTags->"227"],
Cell[830094, 26304, 1927, 52, 70, "Text",
  CellTags->"228"],
Cell[832024, 26358, 707, 22, 70, "Text",
  CellTags->"229"],
Cell[832734, 26382, 1340, 38, 70, "Text",
  CellTags->"23"],
Cell[834077, 26422, 935, 28, 70, "Text",
  CellTags->"230"],
Cell[835015, 26452, 745, 23, 70, "Text",
  CellTags->"231"],
Cell[835763, 26477, 977, 29, 70, "Text",
  CellTags->"232"],
Cell[836743, 26508, 826, 25, 70, "Text",
  CellTags->"233"],
Cell[837572, 26535, 1222, 35, 70, "Text",
  CellTags->"234"],
Cell[838797, 26572, 1537, 43, 70, "Text",
  CellTags->"235"],
Cell[840337, 26617, 966, 29, 70, "Text",
  CellTags->"236"],
Cell[841306, 26648, 1254, 36, 70, "Text",
  CellTags->"237"],
Cell[842563, 26686, 966, 29, 70, "Text",
  CellTags->"238"],
Cell[843532, 26717, 1254, 36, 70, "Text",
  CellTags->"239"],
Cell[844789, 26755, 1008, 30, 70, "Text",
  CellTags->"24"],
Cell[845800, 26787, 1770, 49, 70, "Text",
  CellTags->"240"],
Cell[847573, 26838, 1057, 31, 70, "Text",
  CellTags->"241"],
Cell[848633, 26871, 591, 18, 70, "Text",
  CellTags->"242"],
Cell[849227, 26891, 1504, 43, 70, "Text",
  CellTags->"243"],
Cell[850734, 26936, 1583, 44, 70, "Text",
  CellTags->"244"],
Cell[852320, 26982, 809, 24, 70, "Text",
  CellTags->"245"],
Cell[853132, 27008, 1927, 52, 70, "Text",
  CellTags->"246"],
Cell[855062, 27062, 707, 22, 70, "Text",
  CellTags->"247"],
Cell[855772, 27086, 935, 28, 70, "Text",
  CellTags->"248"],
Cell[856710, 27116, 745, 23, 70, "Text",
  CellTags->"249"],
Cell[857458, 27141, 2029, 54, 70, "Text",
  CellTags->"25"],
Cell[859490, 27197, 977, 29, 70, "Text",
  CellTags->"250"],
Cell[860470, 27228, 826, 25, 70, "Text",
  CellTags->"251"],
Cell[861299, 27255, 1222, 35, 70, "Text",
  CellTags->"252"],
Cell[862524, 27292, 1537, 43, 70, "Text",
  CellTags->"253"],
Cell[864064, 27337, 966, 29, 70, "Text",
  CellTags->"254"],
Cell[865033, 27368, 1254, 36, 70, "Text",
  CellTags->"255"],
Cell[866290, 27406, 966, 29, 70, "Text",
  CellTags->"256"],
Cell[867259, 27437, 1254, 36, 70, "Text",
  CellTags->"257"],
Cell[868516, 27475, 1744, 48, 70, "Text",
  CellTags->"258"],
Cell[870263, 27525, 719, 22, 70, "Text",
  CellTags->"259"],
Cell[870985, 27549, 932, 27, 70, "Text",
  CellTags->"26"],
Cell[871920, 27578, 707, 22, 70, "Text",
  CellTags->"260"],
Cell[872630, 27602, 1744, 48, 70, "Text",
  CellTags->"261"],
Cell[874377, 27652, 719, 22, 70, "Text",
  CellTags->"262"],
Cell[875099, 27676, 707, 22, 70, "Text",
  CellTags->"263"],
Cell[875809, 27700, 871, 25, 70, "Text",
  CellTags->"264"],
Cell[876683, 27727, 2010, 55, 70, "Text",
  CellTags->"265"],
Cell[878696, 27784, 2153, 56, 70, "Text",
  CellTags->"266"],
Cell[880852, 27842, 1326, 37, 70, "Text",
  CellTags->"267"],
Cell[882181, 27881, 2535, 64, 70, "Text",
  CellTags->"268"],
Cell[884719, 27947, 930, 28, 70, "Text",
  CellTags->"269"],
Cell[885652, 27977, 1679, 46, 70, "Text",
  CellTags->"27"],
Cell[887334, 28025, 1399, 40, 70, "Text",
  CellTags->"270"],
Cell[888736, 28067, 968, 29, 70, "Text",
  CellTags->"271"],
Cell[889707, 28098, 1441, 41, 70, "Text",
  CellTags->"272"],
Cell[891151, 28141, 1049, 31, 70, "Text",
  CellTags->"273"],
Cell[892203, 28174, 1477, 41, 70, "Text",
  CellTags->"274"],
Cell[893683, 28217, 2045, 55, 70, "Text",
  CellTags->"275"],
Cell[895731, 28274, 1221, 35, 70, "Text",
  CellTags->"276"],
Cell[896955, 28311, 1762, 48, 70, "Text",
  CellTags->"277"],
Cell[898720, 28361, 1221, 35, 70, "Text",
  CellTags->"278"],
Cell[899944, 28398, 1762, 48, 70, "Text",
  CellTags->"279"],
Cell[901709, 28448, 1590, 45, 70, "Text",
  CellTags->"28"],
Cell[903302, 28495, 1802, 49, 70, "Text",
  CellTags->"280"],
Cell[905107, 28546, 759, 23, 70, "Text",
  CellTags->"281"],
Cell[905869, 28571, 747, 23, 70, "Text",
  CellTags->"282"],
Cell[906619, 28596, 871, 25, 70, "Text",
  CellTags->"283"],
Cell[907493, 28623, 2010, 55, 70, "Text",
  CellTags->"284"],
Cell[909506, 28680, 2153, 56, 70, "Text",
  CellTags->"285"],
Cell[911662, 28738, 1326, 37, 70, "Text",
  CellTags->"286"],
Cell[912991, 28777, 2535, 64, 70, "Text",
  CellTags->"287"],
Cell[915529, 28843, 930, 28, 70, "Text",
  CellTags->"288"],
Cell[916462, 28873, 1399, 40, 70, "Text",
  CellTags->"289"],
Cell[917864, 28915, 670, 20, 70, "Text",
  CellTags->"29"],
Cell[918537, 28937, 968, 29, 70, "Text",
  CellTags->"290"],
Cell[919508, 28968, 1441, 41, 70, "Text",
  CellTags->"291"],
Cell[920952, 29011, 1049, 31, 70, "Text",
  CellTags->"292"],
Cell[922004, 29044, 1477, 41, 70, "Text",
  CellTags->"293"],
Cell[923484, 29087, 2045, 55, 70, "Text",
  CellTags->"294"],
Cell[925532, 29144, 1221, 35, 70, "Text",
  CellTags->"295"],
Cell[926756, 29181, 1762, 48, 70, "Text",
  CellTags->"296"],
Cell[928521, 29231, 1221, 35, 70, "Text",
  CellTags->"297"],
Cell[929745, 29268, 1762, 48, 70, "Text",
  CellTags->"298"],
Cell[931510, 29318, 1802, 49, 70, "Text",
  CellTags->"299"],
Cell[933315, 29369, 1703, 48, 70, "Text",
  CellTags->"3"],
Cell[935021, 29419, 1340, 38, 70, "Text",
  CellTags->"30"],
Cell[936364, 29459, 759, 23, 70, "Text",
  CellTags->"300"],
Cell[937126, 29484, 747, 23, 70, "Text",
  CellTags->"301"],
Cell[937876, 29509, 672, 20, 70, "Text",
  CellTags->"302"],
Cell[938551, 29531, 1592, 45, 70, "Text",
  CellTags->"303"],
Cell[940146, 29578, 1681, 46, 70, "Text",
  CellTags->"304"],
Cell[941830, 29626, 934, 27, 70, "Text",
  CellTags->"305"],
Cell[942767, 29655, 2031, 54, 70, "Text",
  CellTags->"306"],
Cell[944801, 29711, 747, 23, 70, "Text",
  CellTags->"307"],
Cell[945551, 29736, 1017, 30, 70, "Text",
  CellTags->"308"],
Cell[946571, 29768, 785, 24, 70, "Text",
  CellTags->"309"],
Cell[947359, 29794, 753, 23, 70, "Text",
  CellTags->"3.1"],
Cell[948115, 29819, 1008, 30, 70, "Text",
  CellTags->"31"],
Cell[949126, 29851, 1059, 31, 70, "Text",
  CellTags->"310"],
Cell[950188, 29884, 557, 17, 70, "Text",
  CellTags->"3.1.1"],
Cell[950748, 29903, 866, 26, 70, "Text",
  CellTags->"311"],
Cell[951617, 29931, 557, 17, 70, "Text",
  CellTags->"3.1.2"],
Cell[952177, 29950, 1266, 36, 70, "Text",
  CellTags->"312"],
Cell[953446, 29988, 1625, 45, 70, "Text",
  CellTags->"313"],
Cell[955074, 30035, 1010, 30, 70, "Text",
  CellTags->"314"],
Cell[956087, 30067, 1342, 38, 70, "Text",
  CellTags->"315"],
Cell[957432, 30107, 1010, 30, 70, "Text",
  CellTags->"316"],
Cell[958445, 30139, 1342, 38, 70, "Text",
  CellTags->"317"],
Cell[959790, 30179, 1579, 45, 70, "Text",
  CellTags->"318"],
Cell[961372, 30226, 1099, 32, 70, "Text",
  CellTags->"319"],
Cell[962474, 30260, 1137, 34, 70, "Text",
  CellTags->"3.2"],
Cell[963614, 30296, 1340, 38, 70, "Text",
  CellTags->"32"],
Cell[964957, 30336, 630, 19, 70, "Text",
  CellTags->"320"],
Cell[965590, 30357, 713, 22, 70, "Text",
  CellTags->"3.2.1"],
Cell[966306, 30381, 672, 20, 70, "Text",
  CellTags->"321"],
Cell[966981, 30403, 671, 21, 70, "Text",
  CellTags->"3.2.2"],
Cell[967655, 30426, 1592, 45, 70, "Text",
  CellTags->"322"],
Cell[969250, 30473, 1681, 46, 70, "Text",
  CellTags->"323"],
Cell[970934, 30521, 934, 27, 70, "Text",
  CellTags->"324"],
Cell[971871, 30550, 2031, 54, 70, "Text",
  CellTags->"325"],
Cell[973905, 30606, 747, 23, 70, "Text",
  CellTags->"326"],
Cell[974655, 30631, 1017, 30, 70, "Text",
  CellTags->"327"],
Cell[975675, 30663, 785, 24, 70, "Text",
  CellTags->"328"],
Cell[976463, 30689, 1059, 31, 70, "Text",
  CellTags->"329"],
Cell[977525, 30722, 1008, 30, 70, "Text",
  CellTags->"33"],
Cell[978536, 30754, 866, 26, 70, "Text",
  CellTags->"330"],
Cell[979405, 30782, 1266, 36, 70, "Text",
  CellTags->"331"],
Cell[980674, 30820, 1625, 45, 70, "Text",
  CellTags->"332"],
Cell[982302, 30867, 1010, 30, 70, "Text",
  CellTags->"333"],
Cell[983315, 30899, 1342, 38, 70, "Text",
  CellTags->"334"],
Cell[984660, 30939, 1010, 30, 70, "Text",
  CellTags->"335"],
Cell[985673, 30971, 1342, 38, 70, "Text",
  CellTags->"336"],
Cell[987018, 31011, 2029, 54, 70, "Text",
  CellTags->"34"],
Cell[989050, 31067, 932, 27, 70, "Text",
  CellTags->"35"],
Cell[989985, 31096, 1679, 46, 70, "Text",
  CellTags->"36"],
Cell[991667, 31144, 1590, 45, 70, "Text",
  CellTags->"37"],
Cell[993260, 31191, 670, 20, 70, "Text",
  CellTags->"38"],
Cell[993933, 31213, 1083, 31, 70, "Text",
  CellTags->"39"],
Cell[995019, 31246, 1293, 37, 70, "Text",
  CellTags->"4"],
Cell[996315, 31285, 1252, 36, 70, "Text",
  CellTags->"40"],
Cell[997570, 31323, 964, 29, 70, "Text",
  CellTags->"41"],
Cell[998537, 31354, 1252, 36, 70, "Text",
  CellTags->"42"],
Cell[999792, 31392, 964, 29, 70, "Text",
  CellTags->"43"],
Cell[1000759, 31423, 1252, 36, 70, "Text",
  CellTags->"44"],
Cell[1002014, 31461, 964, 29, 70, "Text",
  CellTags->"45"],
Cell[1002981, 31492, 1252, 36, 70, "Text",
  CellTags->"46"],
Cell[1004236, 31530, 964, 29, 70, "Text",
  CellTags->"47"],
Cell[1005203, 31561, 863, 25, 70, "Text",
  CellTags->"48"],
Cell[1006069, 31588, 768, 23, 70, "Text",
  CellTags->"49"],
Cell[1006840, 31613, 771, 24, 70, "Text",
  CellTags->"5"],
Cell[1007614, 31639, 841, 25, 70, "Text",
  CellTags->"50"],
Cell[1008458, 31666, 595, 18, 70, "Text",
  CellTags->"51"],
Cell[1009056, 31686, 557, 17, 70, "Text",
  CellTags->"52"],
Cell[1009616, 31705, 1252, 37, 70, "Text",
  CellTags->"53"],
Cell[1010871, 31744, 1537, 43, 70, "Text",
  CellTags->"54"],
Cell[1012411, 31789, 560, 17, 70, "Text",
  CellTags->"55"],
Cell[1012974, 31808, 1213, 36, 70, "Text",
  CellTags->"56"],
Cell[1014190, 31846, 598, 18, 70, "Text",
  CellTags->"57"],
Cell[1014791, 31866, 1257, 37, 70, "Text",
  CellTags->"58"],
Cell[1016051, 31905, 679, 20, 70, "Text",
  CellTags->"59"],
Cell[1016733, 31927, 1923, 52, 70, "Text",
  CellTags->"6"],
Cell[1018659, 31981, 705, 22, 70, "Text",
  CellTags->"60"],
Cell[1019367, 32005, 705, 22, 70, "Text",
  CellTags->"61"],
Cell[1020075, 32029, 745, 23, 70, "Text",
  CellTags->"62"],
Cell[1020823, 32054, 745, 23, 70, "Text",
  CellTags->"63"],
Cell[1021571, 32079, 757, 23, 70, "Text",
  CellTags->"64"],
Cell[1022331, 32104, 1015, 30, 70, "Text",
  CellTags->"65"],
Cell[1023349, 32136, 1298, 38, 70, "Text",
  CellTags->"66"],
Cell[1024650, 32176, 1587, 44, 70, "Text",
  CellTags->"67"],
Cell[1026240, 32222, 799, 24, 70, "Text",
  CellTags->"68"],
Cell[1027042, 32248, 954, 29, 70, "Text",
  CellTags->"69"],
Cell[1027999, 32279, 555, 17, 70, "Text",
  CellTags->"69.1"],
Cell[1028557, 32298, 699, 22, 70, "Text",
  CellTags->"69.2"],
Cell[1029259, 32322, 805, 24, 70, "Text",
  CellTags->"7"],
Cell[1030067, 32348, 996, 30, 70, "Text",
  CellTags->"70"],
Cell[1031066, 32380, 555, 17, 70, "Text",
  CellTags->"70.1"],
Cell[1031624, 32399, 737, 23, 70, "Text",
  CellTags->"70.2"],
Cell[1032364, 32424, 1055, 31, 70, "Text",
  CellTags->"71"],
Cell[1033422, 32457, 1768, 49, 70, "Text",
  CellTags->"72"],
Cell[1035193, 32508, 975, 29, 70, "Text",
  CellTags->"73"],
Cell[1036171, 32539, 743, 23, 70, "Text",
  CellTags->"74"],
Cell[1036917, 32564, 933, 28, 70, "Text",
  CellTags->"75"],
Cell[1037853, 32594, 705, 22, 70, "Text",
  CellTags->"76"],
Cell[1038561, 32618, 1925, 52, 70, "Text",
  CellTags->"77"],
Cell[1040489, 32672, 807, 24, 70, "Text",
  CellTags->"78"],
Cell[1041299, 32698, 1581, 44, 70, "Text",
  CellTags->"79"],
Cell[1042883, 32744, 1579, 44, 70, "Text",
  CellTags->"8"],
Cell[1044465, 32790, 1502, 43, 70, "Text",
  CellTags->"80"],
Cell[1045970, 32835, 589, 18, 70, "Text",
  CellTags->"81"],
Cell[1046562, 32855, 773, 24, 70, "Text",
  CellTags->"82"],
Cell[1047338, 32881, 973, 29, 70, "Text",
  CellTags->"83"],
Cell[1048314, 32912, 1671, 47, 70, "Text",
  CellTags->"84"],
Cell[1049988, 32961, 975, 29, 70, "Text",
  CellTags->"85"],
Cell[1050966, 32992, 743, 23, 70, "Text",
  CellTags->"86"],
Cell[1051712, 33017, 933, 28, 70, "Text",
  CellTags->"87"],
Cell[1052648, 33047, 705, 22, 70, "Text",
  CellTags->"88"],
Cell[1053356, 33071, 1925, 52, 70, "Text",
  CellTags->"89"],
Cell[1055284, 33125, 1500, 43, 70, "Text",
  CellTags->"9"],
Cell[1056787, 33170, 807, 24, 70, "Text",
  CellTags->"90"],
Cell[1057597, 33196, 1581, 44, 70, "Text",
  CellTags->"91"],
Cell[1059181, 33242, 1502, 43, 70, "Text",
  CellTags->"92"],
Cell[1060686, 33287, 589, 18, 70, "Text",
  CellTags->"93"],
Cell[1061278, 33307, 1231, 35, 70, "Text",
  CellTags->"94"],
Cell[1062512, 33344, 868, 26, 70, "Text",
  CellTags->"95"],
Cell[1063383, 33372, 1189, 34, 70, "Text",
  CellTags->"96"],
Cell[1064575, 33408, 830, 25, 70, "Text",
  CellTags->"97"],
Cell[1065408, 33435, 2287, 60, 70, "Text",
  CellTags->"98"],
Cell[1067698, 33497, 1119, 32, 70, "Text",
  CellTags->"99"],
Cell[1068820, 33531, 442, 13, 70, "Text",
  CellTags->"a contradiction"],
Cell[1069265, 33546, 1978, 54, 70, "Text",
  CellTags->"Definition (Divisible): 1"],
Cell[1071246, 33602, 2287, 59, 70, "Text",
  CellTags->"Definition (Divisible): 2"],
Cell[1073536, 33663, 3167, 79, 70, "Text",
  CellTags->"Definition (Rational)"],
Cell[1076706, 33744, 2318, 62, 70, "Text",
  CellTags->"Lemma (Coprime for Two)"],
Cell[1079027, 33808, 1403, 39, 70, "Text",
  CellTags->"Lemma (Euclid)"],
Cell[1080433, 33849, 1765, 49, 70, "Text",
  CellTags->"Lemma (Multiply Root Equation)"],
Cell[1082201, 33900, 2463, 67, 70, "Text",
  CellTags->"Lemma (Simplify by Cancelling)"],
Cell[1084667, 33969, 1135, 32, 70, "Text",
  CellTags->"Lemma (Squares Preserve Naturals)"],
Cell[1085805, 34003, 472, 13, 70, "Text",
  CellTags->"Theorem (Root Irrational)"]
}, Closed]]
}, Closed]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

